﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;

namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/ejercicios")]
    public class EjerciciosController: DocumentController<EjercicioInfo, EjercicioDetail, EjercicioService, EjercicioFacade>
    {
        public EjerciciosController()
            :base(new EjercicioFacade())
        {

        }        
           
    }
}
