﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/jornadas")]
    public class JornadasController : CatalogController<JornadaFacade, JornadaService, JornadaInfo>
    {
        public JornadasController()
            :base(new JornadaFacade())
        {

        }

        [HttpGet]
        [Route("get-jornada-cbo")]
        public DataTable GetRiesgoPuestoCBO(int idSucursal)
        {
            try
            {
                Facade = new JornadaFacade();
                return Facade.GetJornadaCBO(this.SessionID, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return null;
        }

    }
}