﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/pacs")]
    public class PACsController : CatalogController<PACFacade, PACService, PACInfo>
    {
        public PACsController()
            :base(new PACFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList()
        {
            DataTable dtRet = new DataTable();
            try
            {
                PACFacade Facade = new PACFacade();
                dtRet = Facade.LoadList(SessionID);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return dtRet;
        }

    }
}