﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/periodos-pagos")]
    public class PeriodosPagosController : CatalogController<PeriodoPagoFacade, PeriodoPagoService, PeriodoPagoInfo>
    {
        public PeriodosPagosController()
            :base(new PeriodoPagoFacade())
        {

        }
		
        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadCbo(int arg)
        {
            try
            {
                Facade = new PeriodoPagoFacade();
                return Facade.LoadCbo(this.SessionID);
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
            return null;
        }

    }
}