﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/tipos-contratos")]
    public class TiposContratosController : CatalogController<TipoContratoFacade, TipoContratoService, TipoContratoInfo>
    {
        public TiposContratosController()
            :base(new TipoContratoFacade())
        {

        }

        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadCbo()
        {
            try
            {
                Facade = new TipoContratoFacade();
                return Facade.LoadCbo(this.SessionID);
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
            return null;
        }

    }
}