﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/tipos-regimenes")]
    public class TiposRegimenesController : CatalogController<TipoRegimenFacade, TipoRegimenService, TipoRegimenInfo>
    {
        public TiposRegimenesController()
            :base(new TipoRegimenFacade())
        {

        }

		
        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadCbo()
        {
            try
            {
                Facade = new TipoRegimenFacade();
                return Facade.LoadCBO(this.SessionID);
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
            return null;
        }

    }
}