﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Credito;
using System.Data;


namespace Azteca.Web.Controllers.Credito
{
    [Route("api/credito/perfiles-auto-cobros-tipos")]
    public class PerfilesAutoCobrosTiposController : CatalogController<PerfilAutoCobroTipoFacade, PerfilAutoCobroTipoService, PerfilAutoCobroTipoInfo>
    {
        public PerfilesAutoCobrosTiposController()
            :base(new PerfilAutoCobroTipoFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList(int IdSucursal)
        {
            {
                DataTable dtRet = new DataTable();
                try
                {
                    PerfilAutoCobroTipoFacade Facade = new PerfilAutoCobroTipoFacade();
                    dtRet = Facade.LoadList(SessionID, IdSucursal);
                }
                catch (Exception ex)
                {
                    HandleException(ex);
                }
                return dtRet;
            }
        }


        /*
        [HttpGet]
        [Route("action-name")]
        public void SampleMethod(int arg)
        {
            try
            {
                
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
        }
		*/

    }
}