﻿using System;
using Azteca.Web.Controllers.Kernel;
using Microsoft.AspNetCore.Mvc;

using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Azteca.Web.Controllers.Analytic
{

    [Route("api/custom/aga/contabilidad/cuentas")]
    public class CuentasController:BaseController
    {

        [HttpGet]
        [Route("importar-cuentas")]
        public void ImportarCuentas(int IdEmpresa)
        {
            try
            {
                ConsorcioAga.Custom.Contabilidad.CuentaFacade CuentasFac = new ConsorcioAga.Custom.Contabilidad.CuentaFacade();
                CuentasFac.ImportarCuentas(IdEmpresa);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
        }

    }

}

