﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Kernel.Search;
using Azteca.Business.Distribucion;
using ConsorcioAga.Custom.Distribucion;


namespace Azteca.Web.Controllers.Distribucion
{
    [Route("api/custom/aga/distribucion/comprobantesToPrint")]
    public class ComprobantesToPrintController: BaseController
    {
        [HttpGet]
        [Route("comprobantes-listar")]
        public List<comprobantePrint> ComprobantesList(DateTime fechaCobro, string conexion)
        {
            List<comprobantePrint> dtRet = null;
            try
            {
                ComprobantesToPrint Prn = new ComprobantesToPrint();
                dtRet = Prn.ComprobantesList(SessionID, fechaCobro, conexion);
            }
            catch(Exception ex)
            {
                HandleException("Error al obtener listado de comprobantes", ex);
            }
            return dtRet;

        }
    }
}
