﻿using Azteca.Web.Controllers.Kernel;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Azteca.Web.Controllers.Distribucion
{

    [Route("api/custom/aga/distribucion/pedidos")]
    public class PedidoPixcuaConntroller : BaseController
    {

        [HttpPost]
        [Route("generar-pedido-pixcua")]
        public bool GenerarPedidoPixcua(string idPedidoTit, int idSucursal, string codigoSucursal, string origen, bool regenerar)
        {
            try
            {
                ConsorcioAga.Custom.Pixcua.PedidoFacade Facade = new ConsorcioAga.Custom.Pixcua.PedidoFacade();
                Facade.GenerarPedidoDistribucion(this.SessionID, idPedidoTit, codigoSucursal, idSucursal, origen, new DateTime(1970, 1, 1), false, regenerar, false);
                return true;
            }
            catch (Exception ex)
            {
                HandleException("Error al ejecutar la búsqueda.", ex);
                return false;
            }
        }

    }
}
