﻿using Azteca.Web.Controllers.Kernel;
using ConsorcioAga.Custom.RH;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Azteca.Web.Controllers.Empleado
{

    [Route("api/custom/empleado")]
    public class EmpleadoController : BaseController
    {


        [HttpGet]
        [Route("login")]
        public EmpleadoInfo LoginEmpleado(string numEmpleado, DateTime fecha, string contrasena)
        {
            try
            {
                ConsorcioAga.Custom.RH.EmpleadoFacade EmpleadoFac = new ConsorcioAga.Custom.RH.EmpleadoFacade();
                return EmpleadoFac.LoginEmpleado(numEmpleado, fecha, contrasena);
                
            }
            catch (Exception ex)
            {
                HandleException("Error al consultar la información del empleado.", ex);
            }
            return null;
        }

    }
}
