﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Distribucion;
using System.Data;


namespace Azteca.Web.Controllers.Distribucion
{
    [Route("api/distribucion/tipos-conteos")]
    public class TiposConteosController : CatalogController<TipoConteoFacade, TipoConteoService, TipoConteoInfo>
    {
        public TiposConteosController()
            :base(new TipoConteoFacade())
        {

        }

        [HttpGet]
        [Route("get-tipos-conteo-cbo")]
        public DataTable LoadTipoConteoCBO(int idSucursal)
        {
            try
            {
                Facade = new TipoConteoFacade();
                return Facade.LoadTipoConteoCBO(this.SessionID, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return null;
        }

    }
}