﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Distribucion;

namespace Azteca.Web.Controllers.Distribucion
{
    [Route("api/distribucion/tripulaciones")]
    public class TripulacionesController: DocumentController<TripulacionInfo, TripulacionDetail, TripulacionService, TripulacionFacade>
    {
        public TripulacionesController()
            :base(new TripulacionFacade())
        {

        }    
        [HttpGet]
        [Route("detail-new-document")]
        public List<TripulacionDetail> DetailNewDocument(string tipoTripulacion, int idSucursal)
        {
            try
            {
                Facade = new TripulacionFacade();
                return Facade.DetailNewDocument(this.SessionID, tipoTripulacion, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return null;
        }
           
    }
}
