﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Inventario;

namespace Azteca.Web.Controllers.Inventario
{
    [Route("api/inventario/transferencias-tit")]
    public class TransferenciasTitController: DocumentController<TransferenciaInfo, TransferenciaDetail, TransferenciaService, TransferenciaFacade>
    {
        public TransferenciasTitController()
            :base(new TransferenciaFacade())
        {

        }        
           
    }
}
