﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Inventario;
using System.Data;


namespace Azteca.Web.Controllers.Inventario
{
    [Route("api/inventario/unidades-medida-tipo")]
    public class UnidadesMedidaTipoController : CatalogController<UnidadMedidaTipoFacade, UnidadMedidaTipoService, UnidadMedidaTipoInfo>
    {
        public UnidadesMedidaTipoController()
            :base(new UnidadMedidaTipoFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList(int arg)
        {
            DataTable dtRet = new DataTable();

            try
            {
                UnidadMedidaTipoFacade Facade = new UnidadMedidaTipoFacade();
                dtRet = Facade.LoadList(SessionID);
            }
            catch (Exception ex)
            {
                HandleException("Mensaje de error", ex);
            }
            return dtRet;
        }

    }
}