﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Mantenimiento;

namespace Azteca.Web.Controllers.Mantenimiento
{
    [Route("api/mantenimiento/requisiciones-servicios")]
    public class RequisicionesServiciosController: DocumentController<RequisicionServicioInfo, RequisicionServicioDetail, RequisicionServicioService, RequisicionServicioFacade>
    {
        public RequisicionesServiciosController()
            :base(new RequisicionServicioFacade())
        {

        }        
           
    }
}
