﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Mantenimiento;
using System.Data;


namespace Azteca.Web.Controllers.Mantenimiento
{
    [Route("api/mantenimiento/servicios")]
    public class ServiciosController : CatalogController<ServicioFacade, ServicioService, ServicioInfo>
    {
        public ServiciosController()
            :base(new ServicioFacade())
        {

        }


        [HttpGet]
        [Route("load-servicios")]
        public List<ServicioItem> searchKeyword(string idOrden)
        {
            List<ServicioItem> dtRet = null;
            try
            {
                ServicioFacade Facade = new ServicioFacade();
                dtRet = Facade.LoadList(SessionID, idOrden);
            }
            catch (Exception ex)
            {
                HandleException("Error al obtener listado de servicios", ex);
            }
            return dtRet;
        }


    }
}