﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.RH;
using System.Data;


namespace Azteca.Web.Controllers.RH
{
    [Route("api/rh/motivos")]
    public class MotivosController : CatalogController<MotivoFacade, MotivoService, MotivoInfo>
    {
        public MotivosController()
            :base(new MotivoFacade())
        {

        }

        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadCbo(int idSucursal)
        {
            try
            {
                return Facade.LoadCbo(SessionID, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return null;
        }

    }
}