﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Tesoreria;

namespace Azteca.Web.Controllers.Tesoreria
{
    [Route("api/tesoreria/cuentas-por-pagar")]
    public class CuentasPorPagarController: DocumentController<CuentaPorPagarInfo, CuentaPorPagarDetail, CuentaPorPagarService, CuentaPorPagarFacade>
    {
        public CuentasPorPagarController()
            :base(new CuentaPorPagarFacade())
        {

        }        
           
    }
}
