import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { EjercicioTipoService } from '../services/ejercicio-tipo.service';
import { EjercicioTipoItem } from '../models/ejercicio-tipo';
export declare class EjerciciosTiposManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private ejercicioTipoService;
    ejerciciosTipos: EjercicioTipoItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, ejercicioTipoService: EjercicioTipoService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
