import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { CatalogEditor } from 'framework3/editors';
import { ComprobanteCorreo } from '../models/comprobante-correo';
export declare class ComprobantesCorreoEditor extends CatalogEditor {
    protected context: Context;
    private formBuilder;
    protected router: Router;
    protected route: ActivatedRoute;
    protected changeDetectorRef: ChangeDetectorRef;
    editorForm: FormGroup;
    tiposComprobantes: {
        id: number;
        name: string;
    }[];
    data: ComprobanteCorreo;
    dataUpdater: EventEmitter<ComprobanteCorreo>;
    dialog: ModalDirective;
    constructor(context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, changeDetectorRef: ChangeDetectorRef);
    onTipoComprobanteChange(id: number): void;
    show(): void;
    onUpdate(): void;
}
