import { Context } from 'framework3/core';
import { DocumentListDialog, SearchRequest } from 'framework3/search';
import { ComprobanteFiscalService } from '../services/comprobante-fiscal.service';
import { ComprobanteFiscalItem } from '../models/comprobante-fiscal';
export declare class ComprobantesListComponent extends DocumentListDialog {
    protected context: Context;
    private comprobanteFiscalService;
    comprobantes: ComprobanteFiscalItem[];
    idContribuyente: number;
    idComprobanteTipo: number;
    Activos: boolean;
    sinReferencia: boolean;
    pageIndex: number;
    pageSize: number;
    startPeriod: number;
    constructor(context: Context, comprobanteFiscalService: ComprobanteFiscalService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selecteItems: ComprobanteFiscalItem[]): void;
    onSelectedItemChanged(item: ComprobanteFiscalItem): void;
    handleError(error: any): void;
}
