import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { CatalogEditor } from 'framework3/editors';
import { RetencionAsignacionInfo } from '../models/retencion-asignacion';
import { RetencionInfo } from '../models/retencion';
import { RetencionesSelectorComponent } from '../controls/retenciones-selector.component';
export declare class RetencionAsignacionEditor extends CatalogEditor {
    protected context: Context;
    private formBuilder;
    protected router: Router;
    protected route: ActivatedRoute;
    protected changeDetectorRef: ChangeDetectorRef;
    editorForm: FormGroup;
    tiposCalculo: {
        id: number;
        name: string;
    }[];
    data: RetencionAsignacionInfo;
    dataUpdater: EventEmitter<RetencionAsignacionInfo>;
    dialog: ModalDirective;
    selectorRetenciones: RetencionesSelectorComponent;
    constructor(context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, changeDetectorRef: ChangeDetectorRef);
    onTipoCalculoChange(): void;
    show(): void;
    onUpdate(): void;
    onItemChanged(args: RetencionInfo): void;
}
