import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { ComprobanteFiscalInfo, ComprobanteFiscalItem } from '../models/comprobante-fiscal';
import { ComprobanteFiscalService } from '../services/comprobante-fiscal.service';
export declare class ComprobanteFiscalSelectorComponent extends DocumentSelector {
    protected context: Context;
    private comprobanteFiscalService;
    comprobanteFiscal: any[];
    selectedItem: ComprobanteFiscalInfo;
    idContribuyente: number;
    selectedItemChanged: EventEmitter<ComprobanteFiscalInfo>;
    constructor(context: Context, comprobanteFiscalService: ComprobanteFiscalService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findComprobantesFiscales(keyword: string): Observable<ComprobanteFiscalItem[]>;
    onKeywordSearch(keyword: string): void;
}
