import { EventEmitter } from '@angular/core';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogSelector, SearchRequest } from 'framework3/search';
import { Observable } from 'rxjs';
import { EsquemaInfo } from '../models/esquema';
import { EsquemaService } from '../services/esquema.service';
export declare class EsquemaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: EsquemaInfo;
    selectedItemChanged: EventEmitter<EsquemaInfo>;
    constructor(context: Context, service: EsquemaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findItems(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
