import { EventEmitter } from '@angular/core';
import { Context } from 'framework3/core';
import { DocumentSelector, SearchRequest } from 'framework3/search';
import { Observable } from 'rxjs';
import { PeriodoItem, PeriodoInfo } from '../models/periodo';
import { PeriodoService } from '../services/periodo.service';
export declare class PeriodosSelectorComponent extends DocumentSelector {
    protected context: Context;
    private periodoService;
    periodos: any[];
    selectedItem: PeriodoInfo;
    selectedItemChanged: EventEmitter<PeriodoInfo>;
    idEjercicioTipo: number;
    constructor(context: Context, periodoService: PeriodoService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findPeriodos(keyword: string): Observable<PeriodoItem[]>;
    onKeywordSearch(keyword: string): void;
}
