import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { PolizaPerfilItem } from '../models/poliza-perfil';
import { PolizaPerfilService } from '../services/poliza-perfil.service';
export declare class PolizaPerfilListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    searchByUser: boolean;
    polizasPerfil: PolizaPerfilItem[];
    constructor(context: Context, service: PolizaPerfilService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedGroups: PolizaPerfilItem[]): void;
    onSelectedItemChanged(group: PolizaPerfilItem): void;
}
