import { FormBuilder } from '@angular/forms';
import { Context, FileLink } from "framework3/core";
import { AlertsBarComponent } from "framework3/controls";
import { ComprobanteFiscalService } from '../../services/comprobante-fiscal.service';
import { ModalDirective } from 'ngx-bootstrap';
import { ComprobanteFiscalInfo } from '../../models/comprobante-fiscal';
export declare class ComprobanteSearch {
    private context;
    private formBuilder;
    private comprobanteFiscalService;
    private form;
    serie: string;
    folio: string;
    consultando: boolean;
    links: FileLink[];
    comprobante: ComprobanteFiscalInfo;
    alerts: AlertsBarComponent;
    dlgSearch: ModalDirective;
    constructor(context: Context, formBuilder: FormBuilder, comprobanteFiscalService: ComprobanteFiscalService);
    onClickSearchComprobante(): void;
    onClickGetComprobante(): void;
    openPDF(idComprobante: string): void;
    hideListDialog(): void;
    handleError(error: any): void;
}
