"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var poliza_1 = require("../../models/poliza");
var PolizaViewerComponent = /** @class */ (function () {
    function PolizaViewerComponent() {
        this.poliza = new poliza_1.PolizaInfo();
    }
    __decorate([
        core_1.Input(),
        __metadata("design:type", poliza_1.PolizaInfo)
    ], PolizaViewerComponent.prototype, "poliza", void 0);
    PolizaViewerComponent = __decorate([
        core_1.Component({
            selector: 'accounting-poliza-viewer',
            template: "\n      <div class=\"container\">\n          <div class=\"row\">\n              <div class=\"col\">\n                  <h6>{{poliza.concepto}}</h6>\n              </div>\n          </div>\n          <table class=\"table table-bordered\">\n              <thead>\n                  <tr>\n                      <th scope=\"col\">Cuenta</th>\n                      <th scope=\"col\">Concepto</th>\n                      <th scope=\"col\">Referencia</th>\n                      <th scope=\"col\">Cargo</th>\n                      <th scope=\"col\">Abono</th>\n                  </tr>\n              </thead>\n              <tbody>\n                  <tr *ngFor=\"let item of poliza.details\">\n                      <td scope=\"row\">{{ item.cuentaText }}</td>\n                      <td scope=\"row\">{{ item.notas }}</td>\n                      <td scope=\"row\">{{ item.referencia }}</td>\n                      <td scope=\"row\" class=\"text-right\">{{ item.cargo }}</td>\n                      <td scope=\"row\" class=\"text-right\">{{ item.abono }}</td>\n                  </tr>\n              </tbody>\n              <tfoot>\n                  <tr>\n                      <td colspan=\"3\">Resultado</td>\n                      <td>{{poliza.cargos}}</td>\n                      <td>{{poliza.abonos}}</td>\n                  </tr>\n              </tfoot>\n          </table>\n\n      </div>\n    "
        }),
        __metadata("design:paramtypes", [])
    ], PolizaViewerComponent);
    return PolizaViewerComponent;
}());
exports.PolizaViewerComponent = PolizaViewerComponent;
