import { FormBuilder, FormGroup } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { CollectionView } from 'wijmo/wijmo';
import { ModalDirective } from 'ngx-bootstrap';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { Context } from 'framework3/core';
import { PolizaService } from '../../services/poliza.service';
import { PolizaLogEntry } from '../../models/poliza-log-entry';
export declare class PolizasLogComponent {
    private formBuilder;
    private context;
    private router;
    private route;
    private polizaService;
    editorForm: FormGroup;
    logCollection: CollectionView;
    currentEntry: PolizaLogEntry;
    alerts: AlertsBarComponent;
    detailsDialog: ModalDirective;
    polizaLogDialog: ModalDirective;
    id: string;
    constructor(formBuilder: FormBuilder, context: Context, router: Router, route: ActivatedRoute, polizaService: PolizaService);
    loadLog(): void;
    mainToolbarClick(button: ToolbarButton): void;
    onRowView(entry: PolizaLogEntry): void;
    handleError(error: any): void;
    show(id: any): void;
}
