"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var divisa_1 = require("./divisa");
var ComprobanteFiscalInfo = /** @class */ (function (_super) {
    __extends(ComprobanteFiscalInfo, _super);
    function ComprobanteFiscalInfo() {
        var _this = _super.call(this) || this;
        _this.emisor = new EmisorInfo();
        _this.receptor = new ReceptorInfo();
        _this.impuestos = new ImpuestosInfo();
        _this.comprobantesRelacionados = new ComprobantesRelacionadosInfo();
        _this.timbreFiscal = new TimbreFiscalInfo();
        _this.divisa = new divisa_1.DivisaInfo();
        _this.impuestosLocales = new ImpuestosLocalesInfo();
        return _this;
    }
    return ComprobanteFiscalInfo;
}(core_1.DocumentInfo));
exports.ComprobanteFiscalInfo = ComprobanteFiscalInfo;
var ComprobanteFiscalItem = /** @class */ (function () {
    function ComprobanteFiscalItem() {
    }
    return ComprobanteFiscalItem;
}());
exports.ComprobanteFiscalItem = ComprobanteFiscalItem;
var EmisorInfo = /** @class */ (function () {
    function EmisorInfo() {
        this.rfc = '';
        this.nombre = '';
        this.regimenFiscal = '';
    }
    return EmisorInfo;
}());
exports.EmisorInfo = EmisorInfo;
var ReceptorInfo = /** @class */ (function () {
    function ReceptorInfo() {
        this.rfc = '';
        this.nombre = '';
        this.domicilio = new domicilioInfo();
    }
    return ReceptorInfo;
}());
exports.ReceptorInfo = ReceptorInfo;
var ImpuestosInfo = /** @class */ (function () {
    function ImpuestosInfo() {
        this.totalTraslados = 0;
        this.totalRetenciones = 0;
    }
    return ImpuestosInfo;
}());
exports.ImpuestosInfo = ImpuestosInfo;
var ComprobantesRelacionadosInfo = /** @class */ (function () {
    function ComprobantesRelacionadosInfo() {
        this.tipoRelacion = '';
        this.comprobantes = [];
    }
    return ComprobantesRelacionadosInfo;
}());
exports.ComprobantesRelacionadosInfo = ComprobantesRelacionadosInfo;
var TimbreFiscalInfo = /** @class */ (function () {
    function TimbreFiscalInfo() {
    }
    return TimbreFiscalInfo;
}());
exports.TimbreFiscalInfo = TimbreFiscalInfo;
var ImpuestosLocalesInfo = /** @class */ (function () {
    function ImpuestosLocalesInfo() {
    }
    return ImpuestosLocalesInfo;
}());
exports.ImpuestosLocalesInfo = ImpuestosLocalesInfo;
var domicilioInfo = /** @class */ (function () {
    function domicilioInfo() {
        this.calle = '';
        this.numeroExterior = '';
        this.numeroInterior = '';
        this.colonia = '';
        this.localidad = '';
        this.referencia = '';
        this.municipio = '';
        this.estado = '';
        this.pais = '';
        this.codigoPostal = '';
        this.codigoEstado = '';
        this.codigoPais = '';
    }
    return domicilioInfo;
}());
exports.domicilioInfo = domicilioInfo;
