import { CatalogInfo, CatalogItem } from 'framework3/core';
import { DomicilioInfo } from 'framework3/general';
import { ComprobanteCorreo } from '../models/comprobante-correo';
export declare class ContribuyenteInfo extends CatalogInfo {
    idContribuyenteOrigen: number;
    rfc: string;
    razonSocial: string;
    correo: string;
    idUsoCFDI: number;
    idCuenta: number;
    domicilio: DomicilioInfo;
    comprobantesCorreos: ComprobanteCorreo[];
    constructor();
}
export declare class ContribuyenteItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    valido: string;
    estatus?: string;
    selected?: boolean;
}
export declare class UsoCFDIItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    valido: string;
    estatus?: string;
    selected?: boolean;
}
