import { HierarchyInfo, CatalogItem } from 'framework3/core';
export declare class CuentaInfo extends HierarchyInfo<CuentaInfo> {
    idCuentaTipo: number;
    cuentaNombre: string;
    idCategoriaFlujo: number;
    idDivisa: number;
    saldo: number;
    fechaUltMovto: Date;
    afectable: boolean;
    idSegmentoNegocio: number;
    agrupadorSAT: string;
    constructor();
}
export declare class CuentaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean;
    estatus?: string;
}
export declare class CuentaTipoItem {
    id: number;
    nombre: string;
}
