import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class MapaDistribucionInfo extends CatalogInfo {
    nombre: string;
    idEsquema: number;
    constructor();
}
export declare class MapaDistribucionItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class MapElementInfo {
    baseAssembly: string;
    baseTypeName: string;
    basePath: string;
    name: string;
    property: string;
    typeElement: string;
    elements: MapElementInfo[];
    hasChildren: boolean;
    constructor();
}
