import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { ComprobanteCancelacionInfo } from '../models/comprobante-cancelacion';
import { ComprobanteCancelacionDetail } from '../models/comprobante-cancelacion-detail';
export declare class ComprobanteCancelacionService extends DocumentService<ComprobanteCancelacionDetail, ComprobanteCancelacionInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<ComprobanteCancelacionInfo>;
    evaluarProceso(idComprobanteCancelacion: string): Promise<boolean>;
}
