"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
//Locales
var lista_negra_1 = require("../models/lista-negra");
var ListaNegraService = /** @class */ (function (_super) {
    __extends(ListaNegraService, _super);
    function ListaNegraService(http, context) {
        return _super.call(this, http, context, 'api/contabilidad/lista-negra') || this;
    }
    ListaNegraService.prototype.create = function () {
        return Promise.resolve(new lista_negra_1.ListaNegraInfo());
    };
    ListaNegraService.prototype.listaFromFile = function (file, idEmpresa, idSucursal) {
        var params = new http_1.HttpParams()
            .append("idEmpresa", idEmpresa.toString())
            .append("idSucursal", idSucursal.toString());
        return this.apiService.post("lista-negra-file", params, file)
            .toPromise();
    };
    ListaNegraService.prototype.permitirEFO = function (idListaNegra, idUsuario, idEmpresa, status) {
        var params = new http_1.HttpParams()
            .append("IdListaNegra", idListaNegra.toString())
            .append("IdUsuario", idUsuario.toString())
            .append("IdEmpresa", idEmpresa.toString())
            .append("Status", status.toString());
        return this.apiService.post("permitir-efo", params)
            .toPromise();
    };
    ListaNegraService.prototype.eliminarFirmas = function () {
        var params = new http_1.HttpParams();
        return this.apiService.post("eliminar-firmas", params)
            .toPromise();
    };
    ListaNegraService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], ListaNegraService);
    return ListaNegraService;
}(core_2.CatalogService));
exports.ListaNegraService = ListaNegraService;
