import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { MapaDistribucionInfo, MapElementInfo } from '../models/mapa-distribucion';
export declare class MapaDistribucionService extends CatalogService<MapaDistribucionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<MapaDistribucionInfo>;
    getElementByEsquma(idEsquema: number): Promise<MapElementInfo[]>;
    getElementChildrens(element: MapElementInfo): Promise<MapElementInfo[]>;
}
