import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { MetodoPagoInfo, MetodoPagoItem } from '../models/metodo-pago';
export declare class MetodoPagoService extends CatalogService<MetodoPagoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<MetodoPagoInfo>;
    loadList(idEmpresa: number): Promise<MetodoPagoItem[]>;
}
