import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { PeriodoInfo, PeriodoItem } from '../models/periodo';
import { PeriodoDetail } from '../models/periodo-detail';
export declare class PeriodoService extends DocumentService<PeriodoDetail, PeriodoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<PeriodoInfo>;
    searchKeyword(idBranch: number, keyword: string): Observable<PeriodoItem[]>;
}
