import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { FileInfo } from 'framework3/general';
import { PlantillaComprobanteInfo } from '../models/plantilla-comprobante';
export declare class PlantillaComprobanteService extends CatalogService<PlantillaComprobanteInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<PlantillaComprobanteInfo>;
    downloadPlantilla(idPlantillaComprobante: number): Promise<FileInfo>;
}
