import { HttpClient } from '@angular/common/http';
import { Context, CatalogService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { PolizaPerfilInfo } from '../models/poliza-perfil';
export declare class PolizaPerfilService extends CatalogService<PolizaPerfilInfo> {
    constructor(httpClient: HttpClient, context: Context);
    create(): Promise<PolizaPerfilInfo>;
    searchPerfilByUsuario(idBranch: number, request: SearchRequest): Promise<SearchResult>;
}
