import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SegmentoNegocioInfo, SegmentoNegocioItem } from '../models/segmento-negocio';
export declare class SegmentoNegocioService extends CatalogService<SegmentoNegocioInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<SegmentoNegocioInfo>;
    loadList(idEmpresa: number): Promise<SegmentoNegocioItem[]>;
}
