import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { FacturaInfo, FacturaItem } from '../models/factura';
import { FacturaService } from '../services/factura.service';
export declare class FacturaSelectorComponent extends DocumentSelector {
    protected context: Context;
    private facturaService;
    factura: any[];
    selectedItem: FacturaInfo;
    idDeudor: number;
    idGrupoDeudor: number;
    selectedItemChanged: EventEmitter<FacturaInfo>;
    constructor(context: Context, facturaService: FacturaService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findFacturas(keyword: string): Observable<FacturaItem[]>;
    onKeywordSearch(keyword: string): void;
}
