import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { NotaConceptoInfo } from '../../accounting/models/nota-concepto';
import { NotaConceptoService } from '../../accounting/services/nota-concepto.service';
export declare class NotaConceptoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private notaConceptoService;
    notaConcepto: any[];
    selectedItem: NotaConceptoInfo;
    idNotaTipo: number;
    selectedItemChanged: EventEmitter<NotaConceptoInfo>;
    constructor(context: Context, notaConceptoService: NotaConceptoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findNotasConceptos(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
