"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var accounting_module_1 = require("../accounting/accounting.module");
var rh_module_1 = require("../rh/rh.module");
var credit_routing_module_1 = require("./credit.routing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
var wijmo_angular2_grid_detail_1 = require("wijmo/wijmo.angular2.grid.detail");
//
var ng2_ace_editor_1 = require("ng2-ace-editor");
/////////////////////////////// Servicios ////////////////////////////
var caja_service_1 = require("./services/caja.service");
var cajero_service_1 = require("./services/cajero.service");
var grupo_deudor_service_1 = require("./services/grupo-deudor.service");
var deudor_service_1 = require("./services/deudor.service");
var forma_pago_service_1 = require("./services/forma-pago.service");
var cuenta_por_cobrar_service_1 = require("./services/cuenta-por-cobrar.service");
var cobranza_service_1 = require("./services/cobranza.service");
var concepto_service_1 = require("./services/concepto.service");
var reporte_service_1 = require("./services/reporte.service");
var anticipo_service_1 = require("./services/anticipo.service");
var empresa_service_1 = require("./services/empresa.service");
var sucursal_service_1 = require("./services/sucursal.service");
var nota_service_1 = require("./services/nota.service");
var factura_service_1 = require("./services/factura.service");
var nota_tipo_service_1 = require("./services/nota-tipo.service");
var cobro_tipo_service_1 = require("./services/cobro-tipo.service");
var deposito_tipo_service_1 = require("./services/deposito-tipo.service");
var deposito_service_1 = require("./services/deposito.service");
var perfil_auto_cobro_tipo_service_1 = require("./services/perfil-auto-cobro-tipo.service");
//////////////////////////// Componentes /////////////////////////////
var grupo_deudores_selector_component_1 = require("./components/grupo-deudores-selector.component");
var deudores_selector_component_1 = require("./components/deudores-selector.component");
var cajas_selector_component_1 = require("./components/cajas-selector.component");
var envio_comprobantes_fiscales_component_1 = require("./components/envio-comprobantes-fiscales.component");
var confirmacion_component_1 = require("./parts/confirmacion.component");
var deudores_bloqueados_component_1 = require("./components/deudores-bloqueados.component");
//////////////////////////// Controls /////////////////////////////
var anticipos_selector_component_1 = require("./controls/anticipos-selector.component");
var depositos_selector_component_1 = require("./controls/depositos-selector.component");
var facturas_selector_component_1 = require("./controls/facturas-selector.component");
var cpc_selector_component_1 = require("./controls/cpc-selector.component");
var modificar_addenda_component_1 = require("./controls/modificar-addenda.component");
var nota_concepto_selector_component_1 = require("./controls/nota-concepto-selector.component");
//////////////////////////// Catalogos ////////////////////////////////
var cajas_manager_1 = require("./catalogs/cajas.manager");
var cajas_editor_1 = require("./catalogs/cajas.editor");
var cajeros_manager_1 = require("./catalogs/cajeros.manager");
var cajeros_editor_1 = require("./catalogs/cajeros.editor");
var grupos_deudores_manager_1 = require("./catalogs/grupos-deudores.manager");
var grupos_deudores_editor_1 = require("./catalogs/grupos-deudores.editor");
var deudores_manager_1 = require("./catalogs/deudores.manager");
var deudores_editor_1 = require("./catalogs/deudores.editor");
var formas_pago_manager_1 = require("./catalogs/formas-pago.manager");
var formas_pago_editor_1 = require("./catalogs/formas-pago.editor");
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var sucursales_manager_1 = require("./catalogs/sucursales.manager");
var sucursales_editor_1 = require("./catalogs/sucursales.editor");
var notas_tipos_manager_1 = require("./catalogs/notas-tipos.manager");
var notas_tipos_editor_1 = require("./catalogs/notas-tipos.editor");
var depositos_tipos_manager_1 = require("./catalogs/depositos-tipos.manager");
var depositos_tipos_editor_1 = require("./catalogs/depositos-tipos.editor");
var perfiles_auto_cobros_tipos_manager_1 = require("./catalogs/perfiles-auto-cobros-tipos.manager");
var perfiles_auto_cobros_tipos_editor_1 = require("./catalogs/perfiles-auto-cobros-tipos.editor");
///////////////////////////// Document /////////////////////////////////
var cuentas_por_cobrar_editor_1 = require("./documents/cuentas-por-cobrar.editor");
var cuentas_por_cobrar_manager_1 = require("./documents/cuentas-por-cobrar.manager");
var cobranzas_editor_1 = require("./documents/cobranzas.editor");
var cobranzas_manager_1 = require("./documents/cobranzas.manager");
var anticipos_editor_1 = require("./documents/anticipos.editor");
var anticipos_manager_1 = require("./documents/anticipos.manager");
var notas_editor_1 = require("./documents/notas.editor");
var notas_manager_1 = require("./documents/notas.manager");
var depositos_editor_1 = require("./documents/depositos.editor");
var depositos_manager_1 = require("./documents/depositos.manager");
//////////////////////////// Parts /////////////////////////////////////
var caja_miembros_component_1 = require("./parts/caja-miembros.component");
var cajeros_list_component_1 = require("./dialogs/cajeros-list.component");
var facturacion_component_1 = require("./documents/parts/facturacion.component");
var cuentas_por_cobrar_detail_editor_1 = require("./documents/parts/cuentas-por-cobrar-detail.editor");
var cobranzas_detail_editor_1 = require("./documents/parts/cobranzas-detail.editor");
var corte_component_1 = require("./parts/corte.component");
var corte_historico_component_1 = require("./parts/corte-historico.component");
var cobranza_component_1 = require("./parts/cobranza.component");
var anticipos_detail_editor_1 = require("./documents/parts/anticipos-detail.editor");
var notas_detail_editor_1 = require("./documents/parts/notas-detail.editor");
var depositos_detail_editor_1 = require("./documents/parts/depositos-detail.editor");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [cajas_manager_1.CajasManager, cajas_editor_1.CajasEditor, cajeros_manager_1.CajerosManager, cajeros_editor_1.CajerosEditor, caja_miembros_component_1.CajaMiembrosComponent, cajeros_list_component_1.CajerosListComponent, corte_component_1.CorteComponent, grupos_deudores_manager_1.GruposDeudoresManager, grupos_deudores_editor_1.GruposDeudoresEditor,
    deudores_manager_1.DeudoresManager, deudores_editor_1.DeudoresEditor, grupo_deudores_selector_component_1.GrupoDeudorSelectorComponent, deudores_selector_component_1.DeudorSelectorComponent, formas_pago_manager_1.FormasPagoManager, formas_pago_editor_1.FormasPagoEditor,
    cuentas_por_cobrar_manager_1.CuentasPorCobrarManager, cuentas_por_cobrar_editor_1.CuentasPorCobrarEditor, cuentas_por_cobrar_detail_editor_1.CuentaPorCobrarDetailEditor, cobranzas_manager_1.CobranzasManager, cobranzas_editor_1.CobranzasEditor, cobranzas_detail_editor_1.CobranzaDetailEditor, cobranza_component_1.CobranzaComponent, modificar_addenda_component_1.ModificarAddendaEditor,
    cajas_selector_component_1.CajasSelectorComponent, facturacion_component_1.FacturacionComponent, corte_historico_component_1.CorteHistoricoComponent, notas_editor_1.NotasEditor, notas_manager_1.NotasManager, notas_detail_editor_1.NotaDetailEditor, envio_comprobantes_fiscales_component_1.EnvioComprobantesFiscalesComponent,
    anticipos_editor_1.AnticiposEditor, anticipos_manager_1.AnticiposManager, anticipos_detail_editor_1.AnticipoDetailEditor, empresas_manager_1.EmpresasManager, empresas_editor_1.EmpresasEditor, sucursales_manager_1.SucursalesManager, sucursales_editor_1.SucursalesEditor, anticipos_selector_component_1.AnticipoSelectorComponent, facturas_selector_component_1.FacturaSelectorComponent, cpc_selector_component_1.CuentasPorCobrarSelectorComponent,
    notas_tipos_manager_1.NotasTiposManager, notas_tipos_editor_1.NotasTiposEditor, nota_concepto_selector_component_1.NotaConceptoSelectorComponent, depositos_tipos_manager_1.DepositosTiposManager, depositos_tipos_editor_1.DepositosTiposEditor, depositos_manager_1.DepositosManager, depositos_editor_1.DepositosEditor, depositos_detail_editor_1.DepositoDetailEditor, depositos_selector_component_1.DepositosSelectorComponent, confirmacion_component_1.Confirmacion,
    perfiles_auto_cobros_tipos_manager_1.PerfilesAutoCobrosTiposManager, perfiles_auto_cobros_tipos_editor_1.PerfilesAutoCobrosTiposEditor, deudores_bloqueados_component_1.DeudoresBloqueadosComponent];
var SERVICIOS = [caja_service_1.CajaService, cajero_service_1.CajeroService, grupo_deudor_service_1.GrupoDeudorService, deudor_service_1.DeudorService, forma_pago_service_1.FormaPagoService, cuenta_por_cobrar_service_1.CuentaPorCobrarService, cobranza_service_1.CobranzaService, concepto_service_1.ConceptoService, reporte_service_1.ReporteService, anticipo_service_1.AnticipoService,
    empresa_service_1.EmpresaService, sucursal_service_1.SucursalService, nota_service_1.NotaService, factura_service_1.FacturaService, nota_tipo_service_1.NotaTipoService, cobro_tipo_service_1.CobroTipoService, deposito_tipo_service_1.DepositoTipoService, deposito_service_1.DepositoService, perfil_auto_cobro_tipo_service_1.PerfilAutoCobroTipoService];
var CreditModule = /** @class */ (function () {
    function CreditModule() {
    }
    CreditModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule, ng2_ace_editor_1.AceEditorModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, credit_routing_module_1.CreditRoutingModule, accounting_module_1.AccountingModule, rh_module_1.RhModule,
                wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, wijmo_angular2_grid_detail_1.WjGridDetailModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], CreditModule);
    return CreditModule;
}());
exports.CreditModule = CreditModule;
