import { DocumentInfo, DocumentItem } from 'framework3/core';
import { AnticipoDetail } from './anticipo-detail';
export declare class AnticipoInfo extends DocumentInfo<AnticipoDetail> {
    concepto: string;
    importe: number;
    idImpuesto: number;
    baseImpuesto: number;
    tipoFactor: string;
    tasaOCuota: number;
    importeImpuesto: number;
    idDeudor: number;
    idGrupoDeudor: number;
    idFormaPago: number;
    idBanco: number;
    cuenta: string;
    idComprobanteIngreso: string;
    fechaComprobanteIngreso: Date;
    idComprobanteEgreso: string;
    fechaComprobanteEgreso: Date;
    idCaja: number;
    idCorte: string;
    referencia: string;
    fechaReferencia: Date;
    constructor();
}
export declare class AnticipoItem extends DocumentItem {
    id: string;
    codigo: string;
    nombre: string;
    importe: number;
    status: string;
    workflowTag: string;
}
