import { DocumentInfo, DocumentItem } from 'framework3/core';
import { CuentaPorCobrarDetail } from './cuenta-por-cobrar-detail';
export declare class CuentaPorCobrarInfo extends DocumentInfo<CuentaPorCobrarDetail> {
    idDeudor: number;
    condicionesPago: string;
    idOrigen: number;
    idConcepto: number;
    vencimiento: Date;
    idDocumentoRef: string;
    fechaDocumentoRef: Date;
    idCobranzaTit: string;
    fechaCobranza: Date;
    referenciaAlf: string;
    referenciaNum: string;
    idCFDSerie: number;
    folioFactura: string;
    subTotal: number;
    descuentos: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    total: number;
    saldo: number;
    idDivisa: number;
    tipoCambio: number;
    observaciones: string;
    constructor();
}
export declare class CuentaPorCobrarItem extends DocumentItem {
    id: string;
    fecha: Date;
    idDeudor: number;
    condicionesPago: string;
    subtotal: number;
    descuentos: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    total: number;
    saldo: number;
    idContribuyente: number;
    idCFDSerie: number;
    serie: string;
    contribuyente: string;
    origen: string;
    codigoDeudor: string;
    deudor: string;
    sel: boolean;
    nombre: string;
}
