"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var contribuyente_1 = require("../../accounting/models/contribuyente");
var grupo_deudor_1 = require("./grupo-deudor");
var general_1 = require("framework3/general");
var domicilio_comprobante_1 = require("./domicilio-comprobante");
var razon_social_comprobante_1 = require("./razon-social-comprobante");
var DeudorInfo = /** @class */ (function (_super) {
    __extends(DeudorInfo, _super);
    function DeudorInfo() {
        var _this = _super.call(this) || this;
        _this.idGrupoDeudor = 0;
        _this.facturable = false;
        _this.desgloseIEPS = false;
        _this.domicilio = new general_1.DomicilioInfo();
        _this.contribuyente = new contribuyente_1.ContribuyenteInfo();
        _this.grupoDeudor = new grupo_deudor_1.GrupoDeudorInfo();
        _this.domicilioComprobante = new domicilio_comprobante_1.DomicilioComprobanteInfo();
        _this.razonSocialComprobante = new razon_social_comprobante_1.RazonSocialComprobante();
        _this.clasificaciones = [];
        _this.comprobantesCorreos = [];
        _this.perfilesAutoCobro = [];
        _this.rV = [];
        return _this;
    }
    return DeudorInfo;
}(core_1.CatalogInfo));
exports.DeudorInfo = DeudorInfo;
var DeudorItem = /** @class */ (function () {
    function DeudorItem() {
        this.selected = false;
    }
    return DeudorItem;
}());
exports.DeudorItem = DeudorItem;
