import { TrackableItem } from 'framework3/editors';
import { FormaPagoInfo } from '../models/forma-pago';
export declare class FormaPagoDetail extends TrackableItem {
    idFormaPago: number;
    formaPago: FormaPagoInfo;
    monto: number;
    cambio: number;
    referencia: string;
    idBanco: number;
    cuentaOrdenante: string;
    idCuentaBeneficiario: number;
    cuentaBeneficiario: string;
    rfcOrdenante: string;
    rfcBeneficiario: string;
    numeroOperacion: string;
    tipoCadenaPago: string;
    fecha: Date;
    cuentasPorCobrar: FormaPagoCxC[];
    constructor();
}
export declare class FormaPagoCxC {
    idCuentaPorCobrarTit: string;
    fechaCuentaPorCobrar: Date;
    serie: string;
    folioFactura: number;
    total: number;
    saldo: number;
    importe: number;
}
export declare class CobranzaFormaPagoDetail {
    idCaja: number;
    FormaPagoDetail: FormaPagoDetail[];
    constructor();
}
