import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { CobroTipoInfo, CobroTipoItem } from '../models/cobro-tipo';
export declare class CobroTipoService extends CatalogService<CobroTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CobroTipoInfo>;
    loadList(idBranch: number, todos: boolean): Promise<CobroTipoItem[]>;
}
