import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { DepositoTipoInfo, DepositoTipoItem } from '../models/deposito-tipo';
export declare class DepositoTipoService extends CatalogService<DepositoTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<DepositoTipoInfo>;
    loadList(idBranch: number): Promise<DepositoTipoItem[]>;
}
