import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { DepositoInfo, DepositoItem } from '../models/deposito';
import { DepositoDetail } from '../models/deposito-detail';
export declare class DepositoService extends DocumentService<DepositoDetail, DepositoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<DepositoInfo>;
    searchKeyword(idBranch: number, keyword: string): Observable<DepositoItem[]>;
}
