import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { DeudorItem, DeudorInfo } from '../models/deudor';
export declare class DeudorService extends CatalogService<DeudorInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<DeudorInfo>;
    loadBloqueados(idEmpresa: number, fecha: Date): Promise<DeudorItem[]>;
    desbloquear(idDeudor: number, fecha: Date): Promise<any>;
}
