"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
//Locales
var grupo_deudor_1 = require("../models/grupo-deudor");
var GrupoDeudorService = /** @class */ (function (_super) {
    __extends(GrupoDeudorService, _super);
    function GrupoDeudorService(http, context) {
        return _super.call(this, http, context, "api/credito/grupos-deudores") || this;
    }
    GrupoDeudorService.prototype.create = function () {
        return Promise.resolve(new grupo_deudor_1.GrupoDeudorInfo());
    };
    GrupoDeudorService.prototype.getGrupoDeudor = function () {
        var params = new http_1.HttpParams();
        return this.apiService.get('get-grupo-deudor', params)
            .toPromise();
    };
    GrupoDeudorService.prototype.getDeudoresList = function (idGrupoDeudor) {
        var params = new http_1.HttpParams()
            .set('idGrupoDeudor', idGrupoDeudor.toString());
        return this.apiService.get('list-deudores', params)
            .toPromise();
    };
    GrupoDeudorService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], GrupoDeudorService);
    return GrupoDeudorService;
}(core_2.CatalogService));
exports.GrupoDeudorService = GrupoDeudorService;
