import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { NotaTipoInfo, NotaTipoItem } from '../models/nota-tipo';
import { NotaConceptoItem } from '../../accounting/models/nota-concepto';
export declare class NotaTipoService extends CatalogService<NotaTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<NotaTipoInfo>;
    loadList(idSucursal: number): Promise<NotaTipoItem[]>;
    loadConceptosList(idSucursal: number, idNotaTipo: number): Promise<NotaConceptoItem[]>;
}
