import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { AlmacenService } from '../services/almacen.service';
import { Existencias } from '../models/almacen';
export declare class AlmacenExistencias extends BaseComponent {
    private context;
    private almacenService;
    private grupoService;
    private router;
    private route;
    private location;
    almacenExistencias: Existencias[];
    idAlmacen: number;
    alerts: AlertsBarComponent;
    constructor(context: Context, almacenService: AlmacenService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadExistencias(): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
