import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, UsuarioItem, GrupoService } from 'framework3/core';
import { UsuariosListComponent } from 'framework3/security/components/dialogs/usuarios-list.component';
import { AreaService } from '../services/area.service';
export declare class AreasUsuariosComponent extends BaseComponent {
    private context;
    private areaService;
    private grupoService;
    private router;
    private route;
    private location;
    usuarios: UsuarioItem[];
    idArea: number;
    currentItem: CatalogItem;
    usuariosDialog: UsuariosListComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, areaService: AreaService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadArea(): void;
    refreshList(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onSelectedUsersChanged(newUsers: UsuarioItem[]): void;
    onRemoveUser(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
