import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { AlmacenInfo } from '../models/almacen';
import { AlmacenService } from '../services/almacen.service';
export declare class AlmacenesSelectorComponent extends CatalogSelector {
    protected context: Context;
    private almacenService;
    almacenes: any[];
    selectedItem: AlmacenInfo;
    area: number;
    constructor(context: Context, almacenService: AlmacenService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findAlmacenes(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
