import { EventEmitter, ElementRef } from '@angular/core';
import { Context } from 'framework3/core';
import { SerieInfo } from '../models/serie';
import { ArticuloStockService } from '../services/articulo-stock.service';
export declare class ArticuloSeriesComponent {
    private context;
    private articuloService;
    private series;
    private serie;
    private seriesCollection;
    serieInput: ElementRef;
    idArticuloStock: number;
    idAlmacen: number;
    seriesChange: EventEmitter<SerieInfo[]>;
    constructor(context: Context, articuloService: ArticuloStockService);
    clear(): void;
    addSerie(): void;
    updateSeries(newSerie: SerieInfo): void;
    count(): number;
    onAddSerie(): void;
    onSerieKeyup(args: any): void;
    onRowDelete(row: SerieInfo): void;
    handleError(error: any): void;
}
