import { Router, ActivatedRoute } from '@angular/router';
import { Context, DocumentItem } from 'framework3/core';
import { DocumentManager, WorkflowEventArgs } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { TransferenciaInfo, TransferenciaItem } from '../models/transferencia';
import { TransferenciaService } from '../services/transferencia.service';
import { TrensferenciaAceptarComponent } from '../parts/transferencia-aceptar.component';
export declare class TransferenciasTitManager extends DocumentManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private transferenciaService;
    transferenciasTit: TransferenciaItem[];
    transferencia: TransferenciaInfo;
    argsCurrentDocument: WorkflowEventArgs;
    dlgTransferenciaAceptar: TrensferenciaAceptarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, transferenciaService: TransferenciaService);
    onConfigureDocument(): void;
    onSearchRequested(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(document: DocumentItem): void;
    onEditingItem(document: DocumentItem): void;
    onDeletingItem(document: DocumentItem): void;
    onCloningItem(document: DocumentItem): void;
    onApplyingNextStep(args: WorkflowEventArgs): void;
    onTransferenciaAceptada(idAlmacen: any): void;
    onApplyingPreviousStep(document: DocumentItem): void;
}
