import { EventEmitter, SimpleChange } from '@angular/core';
import { ControlValueAccessor, FormBuilder } from '@angular/forms';
import { BaseControl } from 'framework3/controls/models/base-control';
import { ArticuloStockInfo } from '../models/articulo-stock';
export declare class ArticuloStockControlesComponent extends BaseControl implements ControlValueAccessor {
    private formBuilder;
    private form;
    metodosValuacion: {
        id: string;
        nombre: string;
    }[];
    readonly valid: boolean;
    articuloStock: ArticuloStockInfo;
    articuloStockChange: EventEmitter<ArticuloStockInfo>;
    validChange: EventEmitter<boolean>;
    private manejaSeries;
    private manejaLotes;
    private manejaCaducidad;
    private metodoValuacion;
    constructor(formBuilder: FormBuilder);
    ngOnChanges(changes: SimpleChange): void;
    ngAfterViewInit(): void;
    updateArticuloStockControles(): void;
    notifiyChange(): void;
    onSerieCheckChange(args: any): void;
    onLotesCheckChange(args: any): void;
    onCaducidadCheckChange(args: any): void;
    onMetodoValuacionChange(args: any): void;
    writeValue(value: any): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
}
