import { EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { AreaItem } from '../models/area';
import { AlmacenItem } from '../models/almacen';
import { AreaService } from '../services/area.service';
import { AlmacenService } from '../services/almacen.service';
export declare class TrensferenciaAceptarComponent {
    private formBuilder;
    private context;
    private router;
    private route;
    private areaService;
    private almacenService;
    editorForm: FormGroup;
    areas: AreaItem[];
    almacenes: AlmacenItem[];
    idAlmacen: number;
    transferenciaAceptada: EventEmitter<number>;
    alerts: AlertsBarComponent;
    dlgTransferenciaAceptar: ModalDirective;
    constructor(formBuilder: FormBuilder, context: Context, router: Router, route: ActivatedRoute, areaService: AreaService, almacenService: AlmacenService);
    private loadAreas;
    private loadAlmacenes;
    showAceptar(idSucursalDestino: number): void;
    accept(): void;
    discardChanges(): void;
    showAlert(message: string, type: string): void;
}
