import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { MetaAlmacenInfo } from '../models/meta-almacen';
import { MetaAlmacenSucursalItem } from '../models/metaalmacen-sucursal-item';
export declare class MetaAlmacenService extends CatalogService<MetaAlmacenInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<MetaAlmacenInfo>;
    getMetaAlmacenesSucursales(idMetaAlmacen: number, idEmpresa: number): Promise<MetaAlmacenSucursalItem[]>;
    addAlmacen(idMetaAlmacen: number, idSucursal: number, idAlmacen: number): Promise<any>;
}
