import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { TraspasoInfo } from '../models/traspaso';
import { TraspasoDetail } from '../models/traspaso-detail';
export declare class TraspasoService extends DocumentService<TraspasoDetail, TraspasoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<TraspasoInfo>;
    update(info: TraspasoInfo): Promise<TraspasoInfo>;
    protected mapDocument(document: TraspasoInfo): void;
}
