import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, HierarchyService } from 'framework3/core';
import { UbicacionInfo, UbicacionItem } from '../models/ubicacion';
export declare class UbicacionService extends HierarchyService<UbicacionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<UbicacionInfo>;
    loadJerarquia(idSucursal: number, idAlmacen: number): Promise<UbicacionInfo[]>;
    searchByAlmacen(idAlmacen: number, keyword: string): Observable<UbicacionItem[]>;
}
