import { CatalogEditor, EditorEventArgs } from "framework3/editors";
import { Context } from "framework3/core";
import { ProveedorTipoService } from "../services";
import { ChangeDetectorRef } from "@angular/core";
import { Router, ActivatedRoute } from "@angular/router";
import { FormBuilder } from "@angular/forms";
import { CatalogOptions } from "framework3/custom";
import { ProveedorTipoInfo } from "../models/proveedor-tipo";
import { Location } from '@angular/common';
export declare class ProveedorTipoEditor extends CatalogEditor {
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    protected changeDetector: ChangeDetectorRef;
    protected context: Context;
    private location;
    private proveedorTipoService;
    proveedorTipo: ProveedorTipoInfo;
    constructor(router: Router, route: ActivatedRoute, formBuilder: FormBuilder, changeDetector: ChangeDetectorRef, context: Context, location: Location, proveedorTipoService: ProveedorTipoService);
    onConfigureCatalog(options: CatalogOptions): void;
    onCreatingItem(): void;
    onViewingItem(id: number): void;
    onCloningItem(id: number): void;
    onLoadingItem(id: number): void;
    onSavingItem(args: EditorEventArgs): void;
}
