import { CatalogManager } from "framework3/editors";
import { ProveedorTipoItem } from "../models/proveedor-tipo";
import { ActivatedRoute, Router } from "@angular/router";
import { Context, CatalogItem } from "framework3/core";
import { CatalogOptions } from "framework3/custom";
import { SearchRequest } from "framework3/search";
import { ProveedorTipoService } from "../services";
export declare class ProveedoresTiposManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private proveedorService;
    proveedorTipos: ProveedorTipoItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, proveedorService: ProveedorTipoService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
