import { EventEmitter } from "@angular/core";
import { Context, CatalogItem } from "framework3/core";
import { CatalogManager } from "framework3/editors";
import { Router, ActivatedRoute } from "@angular/router";
import { CatalogOptions } from "framework3/custom";
import { SearchRequest } from "framework3/search";
import { SucursalItem } from "../models/sucursal";
import { SucursalService } from "../services/sucursal.service";
export declare class SucursalesManager extends CatalogManager {
    protected router: Router;
    protected route: ActivatedRoute;
    protected context: Context;
    private sucursalService;
    sucursales: SucursalItem[];
    idEmpresa: number;
    refreshListParent: EventEmitter<void>;
    constructor(router: Router, route: ActivatedRoute, context: Context, sucursalService: SucursalService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
