import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { TipoRequisicionService } from '../services/tipo-requisicion.service';
import { TipoRequisicionItem } from '../models/tipo-requisicion';
export declare class TiposRequisicionManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private tipoRequisicionService;
    tiposRequisicion: TipoRequisicionItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, tipoRequisicionService: TipoRequisicionService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
