import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ProveedorInfo } from '../models/proveedor';
import { ProveedorService } from '../services/proveedor.service';
export declare class ProveedorSelectorComponent extends CatalogSelector {
    protected context: Context;
    private proveedorService;
    proveedores: any[];
    selectedItem: ProveedorInfo;
    proveedorUpdated: EventEmitter<{}>;
    proveedorSelector: boolean;
    constructor(context: Context, proveedorService: ProveedorService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findProveedor(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
