import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CategoriasPresupuestalesService } from '../services';
import { CategoriasPresupuestalesInfo } from '..';
export declare class CategoriaPresupuestalSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    categoriasPresupuestales: any[];
    selectedItem: CategoriasPresupuestalesInfo;
    itemSelected: EventEmitter<CategoriasPresupuestalesInfo>;
    enabled: boolean;
    constructor(context: Context, service: CategoriasPresupuestalesService);
    loadItem(itemID: number): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    doSearch(request: SearchRequest): void;
    onKeywordSearch(keyword: string): void;
}
