import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CentroCostoInfo } from '../models/centro-costo';
import { CentroCostoService } from '../services';
export declare class CentroCostoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    centrosCosto: any[];
    selectedItem: CentroCostoInfo;
    itemSelected: EventEmitter<CentroCostoInfo>;
    enabled: boolean;
    constructor(context: Context, service: CentroCostoService);
    loadItem(itemID: number): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    doSearch(request: SearchRequest): void;
    onKeywordSearch(keyword: string): void;
}
