import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { DepartamentoService } from '../services/departamento.service';
import { DepartamentoInfo } from '../models/departamento';
export declare class DepartamentosSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    departamentos: any[];
    selectedItem: DepartamentoInfo;
    selectedItemChanged: EventEmitter<DepartamentoInfo>;
    enabled: boolean;
    constructor(context: Context, service: DepartamentoService);
    loadItem(itemID: number): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    doSearch(request: SearchRequest): void;
    onKeywordSearch(keyword: string): void;
}
