import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { CategoriasPresupuestalesService } from '../services/categorias-presupuestales.service';
import { CategoriasPresupuestalesItem } from '../models/categorias-presupuestales';
export declare class CategoriaPresupuestalListComponent extends CatalogListDialog {
    protected context: Context;
    private categoriaSvc;
    categoriasPresupuestales: CategoriasPresupuestalesItem[];
    constructor(context: Context, categoriaSvc: CategoriasPresupuestalesService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: CategoriasPresupuestalesItem[]): void;
    onSelectedItemChanged(item: CategoriasPresupuestalesItem): void;
}
