import { EventEmitter } from '@angular/core';
import { FlexGrid } from 'wijmo/wijmo.grid';
import * as wjcGrid from 'wijmo/wijmo.grid';
import { CollectionView } from 'wijmo/wijmo';
import { ModalDirective } from 'ngx-bootstrap';
import { AlertsBarComponent } from 'framework3/controls';
import { Context, BaseComponent } from 'framework3/core';
import { SearchRequest } from 'framework3/search';
import { ProveedorService } from '../services/proveedor.service';
import { ProveedorServicioItem, ProveedorServicio } from '../models/proveedor';
import { ProveedorServicioComponent } from '../components/proveedor-servicio.component';
export declare class ProveedoresServicioListComponent extends BaseComponent {
    protected context: Context;
    private proveedorService;
    proveedores: ProveedorServicioItem[];
    idServicio: number;
    currentItem: ProveedorServicioItem;
    selectedItem: EventEmitter<ProveedorServicioItem>;
    collectionView: CollectionView;
    listDialog: ModalDirective;
    grid: FlexGrid;
    alerts: AlertsBarComponent;
    costoDialog: ModalDirective;
    proveedorCostoComponent: ProveedorServicioComponent;
    constructor(context: Context, proveedorService: ProveedorService);
    applyPolicy(): void;
    ngAfterViewInit(): void;
    initializeGrid(sender: wjcGrid.FlexGrid): void;
    onSearchRequested(request: SearchRequest): void;
    triggerSearch(): void;
    show(): void;
    handleError(error: any): void;
    isValid(): boolean;
    onChangeCost(proveedor: any): void;
    onSavedCost(item: ProveedorServicio): void;
    onCancelCost(item: boolean): void;
    private onConfirmClick;
    private onCancelClick;
    refreshControls(): void;
}
