import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { ServicioService } from '../services/servicio.service';
import { ServicioItem } from '../models/servicio';
export declare class ServicioListComponent extends CatalogListDialog {
    protected context: Context;
    private servicioSvc;
    servicios: ServicioItem[];
    constructor(context: Context, servicioSvc: ServicioService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: ServicioItem[]): void;
    onSelectedItemChanged(item: ServicioItem): void;
}
