"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Azteca Kernel
var core_2 = require("framework3/core");
var controls_1 = require("framework3/controls");
//Features
var central_service_1 = require("../services/central.service");
var orden_service_1 = require("../services/orden.service");
var proveedores_articulo_list_component_1 = require("../dialogs/proveedores-articulo-list.component");
var proveedores_servicio_list_component_1 = require("../dialogs/proveedores-servicio-list.component");
//
var wjcCore = require("wijmo/wijmo");
var wijmo_grid_1 = require("wijmo/wijmo.grid");
var moment = require("moment");
//
var _ = require("lodash");
var OrdenesWizardEditorComponent = /** @class */ (function (_super) {
    __extends(OrdenesWizardEditorComponent, _super);
    function OrdenesWizardEditorComponent(context, formBuilder, router, route, location, centralService, ordenService) {
        var _this = _super.call(this) || this;
        _this.context = context;
        _this.formBuilder = formBuilder;
        _this.router = router;
        _this.route = route;
        _this.location = location;
        _this.centralService = centralService;
        _this.ordenService = ordenService;
        _this.currentStep = 1;
        _this.securityContext = [];
        _this.centrales = [];
        _this.departamentos = [];
        _this.requisiciones = [];
        _this.form = formBuilder.group({
            'idCentralCompras': [0],
            'idDepartamento': [0],
            'fechaIni': [new Date],
            'fechaFin': [new Date],
        });
        _this.fechaFin = moment().toDate();
        _this.fechaIni = moment().add(-30, 'day').toDate();
        return _this;
    }
    OrdenesWizardEditorComponent.prototype.ngOnInit = function () {
        //this.route.params.forEach(param => {
        //    this.proceso = +param['proceso'];
        //});
        this.loadCentrales();
    };
    OrdenesWizardEditorComponent.prototype.applyPolicy = function (policy) {
    };
    //handleError(error: any) {
    //    this.context.app.hideSpinner();
    //    let message = this.getErrorMessage(error);
    //    this.alerts.showAlert(message, 'danger');
    //}
    OrdenesWizardEditorComponent.prototype.handleError = function (error) {
        this.context.app.hideSpinner();
        var message = this.context.getExceptionMessage(error);
        this.alerts.showAlert(message, 'danger');
    };
    OrdenesWizardEditorComponent.prototype.initializeGrid = function (flex) {
        this.grid = flex;
        // start collapsed
        if (flex)
            flex.collapseGroupsToLevel(0);
        //Manejo de doble click
        //flex.addEventListener(flex.hostElement, "dblclick", (e: wjcGrid.FormatItemEventArgs) => {
        //    //let ht: HitTestInfo = flex.hitTest(e);
        //    //if (ht.cellType == CellType.Cell) {
        //    //    if (this.enabled && this.allowEdit) {
        //    //        this.editingItem.emit(this.currentItem);
        //    //    }
        //    //}
        //    // cells and column footer panels only
        //    if (e.panel == flex.cells) {
        //        let item: OrdenRequisicionDetail = flex.rows[e.row].dataItem
        //        item.articuloServicio="editado"
        //    }
        //});
        //// custom cell calculation
        //flex.formatItem.addHandler((s: wjcGrid.FlexGrid, e: wjcGrid.FormatItemEventArgs) => {
        //    // cells and column footer panels only
        //    if (e.panel == s.cells) {
        //        // get row, column, and data item (or group description)
        //        let r = s.rows[e.row],
        //            c = s.columns[e.col],
        //            item = s.rows[e.row].dataItem,
        //            group = r instanceof wjcGrid.GroupRow ? item : null,
        //            negative = false; // assume value is not negative
        //    //    // calculate profit
        //    //    //if (c.binding == 'profit') {
        //    //    //    let profit = group
        //    //    //        ? group.getAggregate('Sum', 'cantidad') 
        //    //    //        : item.cantidad;
        //    //    //    e.cell.textContent = wjcCore.Globalize.format(profit, c.format);
        //    //    //    negative = profit < 0;
        //    //    //}
        //        let texto:string=""
        //        if (group && c.binding == 'proveedor') {
        //            let profit = group
        //                ? item.proveedor
        //                : item.proveedor;
        //            if (group.items.length > 0)
        //                texto = group.items[0].proveedor;
        //            e.cell.textContent = texto;
        //    //    //    negative = profit < 0;
        //        }
        //    //    if (c.binding == 'costoUnitario') {
        //    //        let profit = group
        //    //            ? group.getAggregate('Sum', 'importe')
        //    //            : item.costoUnitario;
        //    //        e.cell.textContent = wjcCore.Globalize.format(profit, c.format);
        //    //        negative = profit < 0;
        //    //    }
        //    //    if (c.header == '_') {
        //    //        item.group = true;
        //    //    }
        //    //    // update 'negative' class on cell
        //    //    wjcCore.toggleClass(e.cell, 'negative', negative);
        //    }
        //});
    };
    OrdenesWizardEditorComponent.prototype.loadCentrales = function () {
        var _this = this;
        this.centralService.loadSecurityContext(this.context.app.defaultCompany.identity)
            .then(function (items) {
            _this.securityContext = items;
            var result = _(_this.securityContext).groupBy('idCentral').transform(function (result, current) {
                result.push({
                    id: current[0].idCentral,
                    nombre: current[0].central,
                });
            }, []).value();
            _this.centrales = result;
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    OrdenesWizardEditorComponent.prototype.loadDepartamentos = function (idCentral) {
        var result = _(this.securityContext.filter(function (item) { return item.idCentral == idCentral; })).groupBy('idDepartamento').transform(function (result, current) {
            result.push({
                id: current[0].idDepartamento,
                nombre: current[0].departamento,
                tipoPresupuesto: current[0].tipoPresupuesto,
                capturaDetallada: current[0].capturaDetallada
            });
        }, []).value();
        this.departamentos = result;
        if (this.departamentos.length > 0)
            this.idDepartamento = this.departamentos[0].id;
    };
    OrdenesWizardEditorComponent.prototype.onClickRequisiciones = function () {
        var _this = this;
        this.ordenService.requisicionesPendientes(this.idCentralCompras, this.fechaIni, this.fechaFin)
            .then(function (items) {
            _this.requisiciones = items;
            _this.requisiciones.forEach(function (req) {
                req.selected = false;
                var prefijo = req.idArticulo > 0 ? "Art:[" : "Serv:[ ";
                var um = req.idArticulo > 0 ? "  {UM:" + req.unidadMedida.abreviatura + "}" : "";
                req.key = prefijo + req.codigo + " - " + req.articuloServicio + um + " ]";
                req.group = false;
            });
            //this.collectionView.sourceCollection = this.requisiciones; 
            //Agrupar solo por estas columnas
            _this.data = new wjcCore.CollectionView(_this.requisiciones, {
                sortDescriptions: ['key'],
                groupDescriptions: ['key']
            });
            setTimeout(function (_) {
                if (_this.grid)
                    _this.grid.collapseGroupsToLevel(0);
            });
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    OrdenesWizardEditorComponent.prototype.agregarProveedor = function (group) {
        if (group.items.length > 0) {
            this.groupItems = group.items;
            var item = group.items[0];
            if (item.idArticulo > 0) {
                this.proveedoresArticulosDialog.idArticulo = item.idArticulo;
                this.proveedoresArticulosDialog.idUnidadMedida = item.idUnidadMedida;
                this.proveedoresArticulosDialog.show();
            }
            else if (item.idServicio > 0) {
                this.proveedoresServiciosDialog.idServicio = item.idServicio;
                this.proveedoresServiciosDialog.show();
            }
        }
    };
    OrdenesWizardEditorComponent.prototype.proveedorArticuloSelected = function (proveedor) {
        this.groupItems.forEach(function (item) {
            item.idProveedor = proveedor.id;
            item.proveedor = proveedor.nombre;
            item.costoUnitario = proveedor.costo;
            item.idDivisa = proveedor.idDivisa;
            item.importe = item.cantidad * item.costoUnitario;
        });
        this.grid.refresh();
    };
    OrdenesWizardEditorComponent.prototype.proveedorServicioSelected = function (proveedor) {
        this.groupItems.forEach(function (item) {
            item.idProveedor = proveedor.id;
            item.proveedor = proveedor.nombre;
            item.costoUnitario = proveedor.costo;
            item.idDivisa = proveedor.idDivisa;
            item.importe = item.cantidad * item.costoUnitario;
        });
        this.grid.refresh();
    };
    OrdenesWizardEditorComponent.prototype.onCellEditEnded = function (flex, e, cell) {
    };
    OrdenesWizardEditorComponent.prototype.showPreview = function () {
        var _this = this;
        //Agrupar solo por estas columnas
        this.dataPreview = new wjcCore.CollectionView(this.requisiciones.filter(function (reqs) { return reqs.idProveedor > 0; }), {
            sortDescriptions: ['proveedor', 'centroRecepcion'],
            groupDescriptions: ['proveedor', 'centroRecepcion']
        });
        setTimeout(function (_) {
            if (_this.gridPreview)
                _this.gridPreview.collapseGroupsToLevel(1);
        });
    };
    OrdenesWizardEditorComponent.prototype.onClickPrev = function () {
        this.currentStep = this.currentStep - 1;
        //if (this.currentStep == 1)
        //    this.collectionView.filter = null;
    };
    OrdenesWizardEditorComponent.prototype.onClickNext = function () {
        this.currentStep = this.currentStep + 1;
        if (this.currentStep == 2)
            this.showPreview();
    };
    OrdenesWizardEditorComponent.prototype.onClickGenerar = function () {
        var _this = this;
        this.context.app.showSpinner();
        this.ordenService.generarDesdeRequisiciones(this.idCentralCompras, this.idDepartamento, this.context.app.defaultSite.identity, this.context.app.defaultCompany.identity, this.dataPreview.sourceCollection)
            .then(function (_) {
            _this.context.app.hideSpinner();
            _this.location.back();
        })
            .catch(function (error) {
            _this.handleError(error);
        });
    };
    OrdenesWizardEditorComponent.prototype.onClickCancel = function () {
        this.location.back();
    };
    __decorate([
        core_1.ViewChild(controls_1.AlertsBarComponent),
        __metadata("design:type", controls_1.AlertsBarComponent)
    ], OrdenesWizardEditorComponent.prototype, "alerts", void 0);
    __decorate([
        core_1.ViewChild('proveedoresArticulosDialog'),
        __metadata("design:type", proveedores_articulo_list_component_1.ProveedoresArticuloListComponent)
    ], OrdenesWizardEditorComponent.prototype, "proveedoresArticulosDialog", void 0);
    __decorate([
        core_1.ViewChild('proveedoresServiciosDialog'),
        __metadata("design:type", proveedores_servicio_list_component_1.ProveedoresServicioListComponent)
    ], OrdenesWizardEditorComponent.prototype, "proveedoresServiciosDialog", void 0);
    __decorate([
        core_1.ViewChild('gridPreview'),
        __metadata("design:type", wijmo_grid_1.FlexGrid)
    ], OrdenesWizardEditorComponent.prototype, "gridPreview", void 0);
    OrdenesWizardEditorComponent = __decorate([
        core_1.Component({
            selector: 'purchasing-ordenes-wizard',
            template: "\n      <form [formGroup]=\"form\">\n\n          <div class=\"card\">\n              <alerts-bar></alerts-bar>\n\n\n              <div class=\"card-header\">Asistente para la generaci\u00F3n de ordenes a partir de requisiciones</div>\n\n\n              <div class=\"card-block\">\n                  <!--Paso 1-->\n                  <div class=\"card-body text-secondary\" *ngIf=\"currentStep == 1\">\n                      <h5 class=\"card-title\">Paso 1 de 2: Seleccione el proveedor de las requisiciones para generar su orden</h5>\n\n                      <div class=\"row\">\n                          <div class=\"col-12 col-md-4\">\n                              <azteca-form-field [label]=\"'Central:'\">\n                                  <az-combobox formControlName=\"idCentralCompras\"\n                                               [(ngModel)]=\"idCentralCompras\"\n                                               [items]=\"centrales\"\n                                               [displayMember]=\"'nombre'\"\n                                               [valueMember]=\"'id'\"\n                                               (selectedItemChanged)=\"loadDepartamentos($event)\">\n                                  </az-combobox>\n                              </azteca-form-field>\n                          </div>\n\n                          <div class=\"col-12 col-md-4\">\n                              <azteca-form-field [label]=\"'Departamento que genera:'\">\n                                  <az-combobox formControlName=\"idDepartamento\"\n                                               [(ngModel)]=\"idDepartamento\"\n                                               [items]=\"departamentos\"\n                                               [displayMember]=\"'nombre'\"\n                                               [valueMember]=\"'id'\">\n                                  </az-combobox>\n                              </azteca-form-field>\n                          </div>\n                      </div>\n\n                      <az-panel [header]=\"'Rango de Fechas'\">\n                          <div class=\"row\">\n                              <div class=\"col-12 col-md-4\">\n                                  <azteca-form-field [label]=\"'Fecha Inicial:'\">\n                                      <az-input-date-time [(ngModel)]=\"fechaIni\" formControlName=\"fechaIni\" format='dd-MM-yyyy'></az-input-date-time>\n                                  </azteca-form-field>\n                              </div>\n\n                              <div class=\"col-12 col-md-4\">\n                                  <azteca-form-field [label]=\"'Fecha Final:'\">\n                                      <az-input-date-time [(ngModel)]=\"fechaFin\" formControlName=\"fechaFin\" format='dd-MM-yyyy'></az-input-date-time>\n                                  </azteca-form-field>\n                              </div>\n\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickRequisiciones()\" *ngIf=\"true\" style=\"height:40px\">\n                                  <span class=\"glyphicon glyphicon-refresh\" aria-hidden=\"true\"></span> Cargar Requisiciones\n                              </button>\n                          </div>\n                      </az-panel>\n\n\n                      <div class=\"row\">\n                          <wj-flex-grid #grid\n                                        [itemsSource]=\"data\"\n                                        style=\"height:100%\"\n                                        (initialized)=\"initializeGrid(grid)\"\n                                        (cellEditEnded)=\"onCellEditEnded(detailsList, $event, cell)\">\n                              <wj-flex-grid-filter #filter></wj-flex-grid-filter>\n\n                              <wj-flex-grid-column [header]=\"'Codigo'\" [binding]=\"'codigo'\" [width]=\"'4*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Art./Serv'\" [binding]=\"'articuloServicio'\" [width]=\"'15*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Departamento'\" [binding]=\"'departamento'\" [width]=\"'15*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Presupuesto'\" [binding]=\"'presupuesto'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Categoria Pres.'\" [binding]=\"'categoriaPresupuestal'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Cantidad'\" [binding]=\"'cantidad'\" [width]=\"'4*'\" [isReadOnly]=\"true\" [format]=\"'n2'\" [aggregate]=\"'Sum'\"></wj-flex-grid-column>\n\n                              <wj-flex-grid-column [header]=\"_\" [width]=\"45\">\n                                  <!--ColumnHeader GroupHeader Cell Group-->\n                                  <ng-template wjFlexGridCellTemplate [cellType]=\"'Group'\" let-item=\"item\" let-cell=\"cell\">\n                                      <div class=\"row\">\n                                          <div class=\"col-1\">\n                                              <button type=\"button\" class=\"glyphicon glyphicon-shopping-cart\" (click)=\"agregarProveedor(item)\"></button>\n                                          </div>\n                                          <div class=\"col-4 col-md-4\">\n                                              <p> {{item.items[0].proveedor}}</p>\n                                          </div>\n                                      </div>\n\n                                  </ng-template>\n                              </wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Proveedor'\" [binding]=\"'proveedor'\" [width]=\"'15*'\" [dataType]=\"String\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                              <wj-flex-grid-column [header]=\"'Costo Unitario'\" [binding]=\"'costoUnitario'\" [width]=\"'4*'\" [isReadOnly]=\"true\" [format]=\"'n2'\" [aggregate]=\"'Avg'\"></wj-flex-grid-column>\n                          </wj-flex-grid>\n                      </div>\n\n\n                      <div class=\"row\">\n                          <div class=\"btn-group\">\n                              <button type=\"button\" class=\"btn\" ng-click=\"collectionView.moveToFirstPage()\">\n                                  <span class=\"glyphicon glyphicon-fast-backward\"></span>\n                              </button>\n                              <button type=\"button\" class=\"btn\" ng-click=\"collectionView.moveToPreviousPage()\">\n                                  <span class=\"glyphicon glyphicon-step-backward\"></span>\n                              </button>\n                              <button type=\"button\" class=\"btn\" disabled style=\"width:100px\"></button>\n                              <button type=\"button\" class=\"btn\" ng-click=\"collectionView.moveToNextPage()\">\n                                  <span class=\"glyphicon glyphicon-step-forward\"></span>\n                              </button>\n                              <button type=\"button\" class=\"btn\" ng-click=\"collectionView.moveToLastPage()\">\n                                  <span class=\"glyphicon glyphicon-fast-forward\"></span>\n                              </button>\n                          </div>\n                      </div>\n\n                  </div>\n\n\n                  <!--Paso 2-->\n                  <div class=\"row\">\n                      <div class=\"card-body text-secondary\" *ngIf=\"currentStep == 2\">\n                          <h5 class=\"card-title\">Paso 2 de 2: Verificar las ordenes a generar</h5>\n                          <div class=\"row\">\n                              <wj-flex-grid #gridPreview\n                                            [itemsSource]=\"dataPreview\"\n                                            style=\"height:100%\"\n                                            (cellEditEnded)=\"onCellEditEnded(detailsList, $event, cell)\">\n\n                                  <!--<wj-flex-grid-filter #filter></wj-flex-grid-filter>-->\n\n                                  <!--<wj-flex-grid-column [header]=\"'Proveedor'\" [binding]=\"'proveedor'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Centro de recepci\u00F3n'\" [binding]=\"'centroRecepcion'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>-->\n                                  <wj-flex-grid-column [header]=\"'Folio'\" [binding]=\"'idRequisicion'\" [width]=\"180\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Fecha'\" [binding]=\"'fechaRequisicion'\" [width]=\"160\" dataType=\"Date\" format=\"dd-MM-yyyy\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Codigo'\" [binding]=\"'codigo'\" [width]=\"'4*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Art./Serv'\" [binding]=\"'articuloServicio'\" [width]=\"'15*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Cantidad'\" [binding]=\"'cantidad'\" [width]=\"'4*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Departamento'\" [binding]=\"'departamento'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Presupuesto'\" [binding]=\"'presupuesto'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Categoria Presupuestal'\" [binding]=\"'categoriaPresupuestal'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Importe'\" [binding]=\"'importe'\" [width]=\"'4*'\" [isReadOnly]=\"true\" [format]=\"'n2'\" [aggregate]=\"'Sum'\"></wj-flex-grid-column>\n                              </wj-flex-grid>\n                          </div>\n                      </div>\n                  </div>\n\n\n\n                  <!--Botones de pasos del wizard-->\n                  <div class=\"row\">\n                      <div class=\"col-12\">\n\n                          <div class=\"btn-group btn-module-primary\">\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickCancel()\" *ngIf=\"true\">\n                                  <span class=\"glyphicon glyphicon-remove\" aria-hidden=\"true\"></span> Cancelar\n                              </button>\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickPrev()\" *ngIf=\"currentStep>1\">\n                                  <span class=\"glyphicon glyphicon-chevron-left\" aria-hidden=\"true\"></span> Atras\n                              </button>\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickNext()\" *ngIf=\"currentStep==1\">\n                                  <span class=\"glyphicon glyphicon-chevron-right\" aria-hidden=\"true\"></span> Siguiente\n                              </button>\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickGenerar()\" *ngIf=\"currentStep==2\">\n                                  <span class=\"glyphicon glyphicon-ok\" aria-hidden=\"true\"></span> Generar\n                              </button>\n                          </div> <!--TOOLBAR-->\n\n                      </div> <!--COL MENU-->\n                  </div> <!--ROW MENU-->\n\n\n              </div>\n\n\n          </div>\n\n      </form>\n\n\n      <!--Costos por proveedor-->\n\n      <purchasing-proveedores-articulo-list #proveedoresArticulosDialog\n                                            (selectedItem)=\"proveedorArticuloSelected($event)\" >\n      </purchasing-proveedores-articulo-list>\n\n\n      <purchasing-proveedores-servicio-list #proveedoresServiciosDialog\n                                            (selectedItem)=\"proveedorServicioSelected($event)\">\n      </purchasing-proveedores-servicio-list>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context, forms_1.FormBuilder, router_1.Router, router_1.ActivatedRoute, common_1.Location,
            central_service_1.CentralService, orden_service_1.OrdenService])
    ], OrdenesWizardEditorComponent);
    return OrdenesWizardEditorComponent;
}(core_2.BaseComponent));
exports.OrdenesWizardEditorComponent = OrdenesWizardEditorComponent;
