import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { CostoPresupuestoService } from '../../services/costo-presupuesto.service';
import { PresupuestosService } from '../../services/presupuestos.service';
import { PresupuestosItem } from '../../models/presupuestos';
import { DepartamentoInfo } from '../../models/departamento';
export declare class NuevoCostosPresupuestosComponent {
    private formBuilder;
    private router;
    private route;
    private context;
    private costoPresupuestoSvc;
    private presupuestoService;
    form: FormGroup;
    idDepartamento: number;
    idPresupuestoSelected: string;
    presupuestos: PresupuestosItem[];
    departamento: DepartamentoInfo;
    idBeneficiario: number;
    alertsBar: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, router: Router, route: ActivatedRoute, context: Context, costoPresupuestoSvc: CostoPresupuestoService, presupuestoService: PresupuestosService);
    onToolbarClick(button: ToolbarButton): void;
    ngOnInit(): void;
    loadPresupuestos(depa: DepartamentoInfo): void;
    handleError(error: any): void;
}
