import { FormBuilder } from '@angular/forms';
import { CollectionView } from 'wijmo/wijmo';
import { FlexGrid, CellRangeEventArgs, FormatItemEventArgs } from 'wijmo/wijmo.grid';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { OrdenDetailServicio } from '../../models/orden-detail-servicio';
import { DepartamentoItem } from '../../models/departamento';
import { PresupuestosService } from '../../services/presupuestos.service';
import { PresupuestosItem } from '../../models/presupuestos';
import { CategoriasPresupuestalesItem } from '../../models/categorias-presupuestales';
import { ServicioInfo } from '../../models/servicio';
import { ServicioService } from '../../services/servicio.service';
export declare class OrdenDetailServicioEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private presupuestoService;
    private servicioService;
    detailCopy: OrdenDetailServicio;
    trasladosCollection: CollectionView;
    retencionesCollection: CollectionView;
    detail: OrdenDetailServicio;
    departamentos: DepartamentoItem[];
    idProveedor: number;
    costoUnitario: string;
    departamento: DepartamentoItem;
    presupuestos: PresupuestosItem[];
    presupuesto: PresupuestosItem;
    categoriasPresupuestales: CategoriasPresupuestalesItem[];
    constructor(context: Context, builder: FormBuilder, presupuestoService: PresupuestosService, servicioService: ServicioService);
    onCreatingItem(): void;
    onLoadingItem(detail: OrdenDetailServicio): void;
    onUpdatingItem(detail: OrdenDetailServicio): void;
    onDepartamentoChanged(idDepartamento: number): void;
    onPresupuestoChanged(idPresupuesto: string): void;
    onServicioChanged(servicio: ServicioInfo): void;
    loadPresupuestos(idDepartamento: number): void;
    loadCategoriasPresupuestales(idPresupuesto: string): void;
    cantidadChanged(monto: number): void;
    onEditCell(grid: FlexGrid, args: CellRangeEventArgs): void;
    onFormatCell(grid: FlexGrid, args: FormatItemEventArgs): void;
}
