import { FormBuilder } from '@angular/forms';
import { CollectionView } from 'wijmo/wijmo';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { UnidadMedidaItem, UnidadMedidaService } from '../../../inventory';
import { OrdenDetail } from '../../models/orden-detail';
import { DepartamentoItem } from '../../models/departamento';
import { PresupuestosService } from '../../services/presupuestos.service';
import { PresupuestosItem } from '../../models/presupuestos';
import { ArticuloService } from '../../services/articulo.service';
import { ServicioService } from '../../services/servicio.service';
export declare class OrdenDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private unidadMedidaService;
    private presupuestoService;
    private articuloService;
    private servicioService;
    detailCopy: OrdenDetail;
    trasladosCollection: CollectionView;
    retencionesCollection: CollectionView;
    detail: OrdenDetail;
    departamentos: DepartamentoItem[];
    idProveedor: number;
    costoUnitario: string;
    departamento: DepartamentoItem;
    presupuestos: PresupuestosItem[];
    presupuesto: PresupuestosItem;
    unidadesMedida: UnidadMedidaItem[];
    constructor(context: Context, builder: FormBuilder, unidadMedidaService: UnidadMedidaService, presupuestoService: PresupuestosService, articuloService: ArticuloService, servicioService: ServicioService);
}
