"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
//Wijmo
var wijmo_1 = require("wijmo/wijmo");
//import { FlexGrid, CellRangeEventArgs, FormatItemEventArgs, CellType } from 'wijmo/wijmo.grid';
////Kernel
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
////Inventario
var inventory_1 = require("../../../inventory");
var accounting_1 = require("../../../accounting");
////Locales
var orden_detail_1 = require("../../models/orden-detail");
var departamento_1 = require("../../models/departamento");
//import { DepartamentoInfo } from '../../models/departamento';
var presupuestos_service_1 = require("../../services/presupuestos.service");
var presupuestos_1 = require("../../models/presupuestos");
var articulo_service_1 = require("../../services/articulo.service");
//import { ServicioInfo, ServicioItem } from '../../models/servicio';
var servicio_service_1 = require("../../services/servicio.service");
//import { AztecaValidators } from 'framework3/controls';
var OrdenDetailEditor = /** @class */ (function (_super) {
    __extends(OrdenDetailEditor, _super);
    function OrdenDetailEditor(context, builder, unidadMedidaService, presupuestoService, articuloService, servicioService) {
        var _this = _super.call(this, context) || this;
        _this.context = context;
        _this.builder = builder;
        _this.unidadMedidaService = unidadMedidaService;
        _this.presupuestoService = presupuestoService;
        _this.articuloService = articuloService;
        _this.servicioService = servicioService;
        //Copia temporal que se utilizará para edición y no afecte al objeto original por si el usuario decide cancelar la edición
        _this.detailCopy = new orden_detail_1.OrdenDetail();
        _this.trasladosCollection = new wijmo_1.CollectionView();
        _this.retencionesCollection = new wijmo_1.CollectionView();
        //Objeto original que se editará
        _this.detail = new orden_detail_1.OrdenDetail();
        _this.departamentos = [];
        _this.idProveedor = 0;
        _this.costoUnitario = '$0.0';
        _this.departamento = new departamento_1.DepartamentoItem();
        _this.presupuestos = [];
        _this.presupuesto = new presupuestos_1.PresupuestosItem();
        _this.unidadesMedida = [];
        _this.form = builder.group({
            'idDepartamento': [0, forms_1.Validators.required],
            'idArticulo': [0],
            'idUnidadMedida': [0],
            'idServicio': [0],
            'cantidad': [0, forms_1.Validators.required],
            'idPresupuesto': [0],
            'idCategoriaPresupuestal': [0],
            'observaciones': [''],
            'costo': [0],
        });
        _this.trasladosCollection.filter = function (item) {
            return item.tipoAplicacion == accounting_1.TipoAplicacion.TRASLADO;
        };
        _this.retencionesCollection.filter = function (item) {
            return item.tipoAplicacion == accounting_1.TipoAplicacion.RETENCION;
        };
        return _this;
    }
    __decorate([
        core_1.Input(),
        __metadata("design:type", orden_detail_1.OrdenDetail)
    ], OrdenDetailEditor.prototype, "detail", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Array)
    ], OrdenDetailEditor.prototype, "departamentos", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], OrdenDetailEditor.prototype, "idProveedor", void 0);
    OrdenDetailEditor = __decorate([
        core_1.Component({
            selector: 'compras-orden-detail-editor',
            template: "\n      <form [formGroup]=\"form\">\n          <azteca-basic-editor [item]=\"detail\"\n                               [dirty]=\"dirty\"\n                               [valid]=\"valid\"\n                               (creatingItem)=\"onCreatingItem()\"\n                               (loadingItem)=\"onLoadingItem($event)\"\n                               (updatingItem)=\"onUpdatingItem($event)\">\n\n\n             <!-- <div class=\"row\">\n                  <div class=\"col-12 col-md-6\">\n                      <azteca-form-field [label]=\"'Departamento:'\">\n                          <az-combobox formControlName=\"idDepartamento\"\n                                       [(ngModel)]=\"detailCopy.idDepartamento\"\n                                       [items]=\"departamentos\"\n                                       [displayMember]=\"'nombre'\"\n                                       [valueMember]=\"'id'\"\n                                       (selectedItemChanged)=\"onDepartamentoChanged($event)\">\n                          </az-combobox>\n                      </azteca-form-field>\n                  </div>\n              </div>\n\n              <div class=\"row\">\n                  <div class=\"col-12 col-md-8\">\n                      <azteca-form-field [label]=\"'Articulo:'\" *ngIf=\"detailCopy.articuloServicio=='A'\">\n                          <purchasing-articulo-selector formControlName=\"idArticulo\"\n                                                        [(ngModel)]=\"detailCopy.idArticulo\"\n                                                        (selectedItemChanged)=\"onArticuloChanged($event)\"\n                                                        (articuloUpdated)=\"onArticuloChanged($event)\">\n                          </purchasing-articulo-selector>\n                      </azteca-form-field>\n                  </div>\n\n                  <div class=\"col-12 col-md-4\">\n                      <azteca-form-field [label]=\"'Unidad de medida:'\" *ngIf=\"detailCopy.articuloServicio=='A'\">\n                          <az-combobox formControlName=\"idUnidadMedida\"\n                                       [(ngModel)]=\"detailCopy.idUnidadMedida\"\n                                       [items]=\"unidadesMedida\"\n                                       [displayMember]=\"'nombre'\"\n                                       [valueMember]=\"'id'\">\n                          </az-combobox>\n                      </azteca-form-field>\n                  </div>\n              </div>\n\n              <div class=\"row\">\n                  <div class=\"col-12 col-md-8\">\n                      <azteca-form-field [label]=\"'Servicio:'\" *ngIf=\"detailCopy.articuloServicio=='S'\">\n                          <purchasing-servicios-selector formControlName=\"idServicio\"\n                                                         (selectedItemChanged)=\"onServicioChanged($event)\"\n                                                         [(ngModel)]=\"detailCopy.idServicio\"\n                                                         (itemSelected)=\"onServicioChanged($event)\">\n                          </purchasing-servicios-selector>\n                      </azteca-form-field>\n                  </div>\n              </div>\n\n              <div class=\"row\">\n                  <div class=\"col-12 col-md-3\">\n                      <azteca-form-field [label]=\"'Cantidad:'\">\n                          <az-input-number formControlName=\"cantidad\"\n                                           [(ngModel)]=\"detailCopy.cantidad\">\n                          </az-input-number>\n                      </azteca-form-field>\n                  </div>\n\n                  <div class=\"col-12 col-lg-6\">\n                      <azteca-form-field [label]=\"'Costo:'\">\n                          <az-input-number formControlName=\"costo\" [(ngModel)]=\"detailCopy.costoUnitario\" [enabled]=\"false\" [format]=\"n2\"></az-input-number>\n                      </azteca-form-field>\n                  </div>\n\n              </div>\n\n              <az-panel [header]=\"'Presupuesto'\" type=\"success\" *ngIf=\"!departamento.tipoPresupuesto=='N'\">\n                  <div class=\"row\">\n                      <div class=\"col-12 col-md-6\">\n                          <azteca-form-field [label]=\"'Presupuesto:'\" *ngIf=\"!departamento.tipoPresupuesto=='N'\">\n                              <az-combobox formControlName=\"idPresupuesto\"\n                                           [(ngModel)]=\"detailCopy.idPresupuesto\"\n                                           [items]=\"presupuestos\"\n                                           [displayMember]=\"'nombre'\"\n                                           [valueMember]=\"'id'\">\n                              </az-combobox>\n                          </azteca-form-field>\n                      </div>\n                      <div class=\"col-12 col-md-6\">\n                          <azteca-form-field [label]=\"'Categoria Presupuestal:'\" *ngIf=\"departamento.tipoPresupuesto=='C'\">\n                              <az-combobox formControlName=\"idCategoriaPresupuestal\"\n                                           [(ngModel)]=\"detailCopy.idCategoriaPresupuestal\"\n                                           [items]=\"presupuesto.details\"\n                                           [displayMember]=\"'categoriaPresupuestal.nombre'\"\n                                           [valueMember]=\"'idCategoriaPresupuestal'\">\n                              </az-combobox>\n                          </azteca-form-field>\n                      </div>\n                  </div>\n              </az-panel>\n\n              <!--GRID DE TRASLADOS-->\n              <!--<div class=\"row\">            \n                  <div class=\"col-12\">\n                      <label class=\"control-label\">Traslados:</label>\n                      <wj-flex-grid #gridTraslados style=\"height:120px\" [itemsSource]=\"trasladosCollection\"\n                                    (beginningEdit)=\"onEditCell(gridTraslados, $event)\" (formatItem)=\"onFormatCell(gridTraslados, $event)\">\n                          <wj-flex-grid-column [header]=\"'Impuesto'\" [binding]=\"'impuesto.nombre'\" [width]=\"'30*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Factor'\" [binding]=\"'tipoFactor'\" [width]=\"'20*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Base'\" [binding]=\"'base'\" [width]=\"'20*'\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Tasa \u00F3 cuota'\" [binding]=\"'tasaOCuota'\" [width]=\"'20*'\"></wj-flex-grid-column>\n                      </wj-flex-grid>\n                  </div>\n              </div>-->\n\n              <!--GRID DE RETENCIONES-->\n              <!--<div class=\"row\" *ngIf=\"detailCopy.articuloServicio=='S'\">\n                  <div class=\"col-12\">\n\n                      <label class=\"control-label\">Retenciones:</label>\n                      <wj-flex-grid #gridRetenciones style=\"height:120px\" [itemsSource]=\"retencionesCollection\"\n                                    (beginningEdit)=\"onEditCell(gridRetenciones, $event)\" (formatItem)=\"onFormatCell(gridRetenciones, $event)\">\n                          <wj-flex-grid-column [header]=\"'Impuesto'\" [binding]=\"'impuesto.nombre'\" [width]=\"'30*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Factor'\" [binding]=\"'tipoFactor'\" [width]=\"'20*'\" [isReadOnly]=\"true\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Base'\" [binding]=\"'base'\" [width]=\"'20*'\"></wj-flex-grid-column>\n                          <wj-flex-grid-column [header]=\"'Tasa \u00F3 cuota'\" [binding]=\"'tasaOCuota'\" [width]=\"'20*'\"></wj-flex-grid-column>\n                      </wj-flex-grid>\n\n                  </div>\n              </div>-->\n\n          </azteca-basic-editor>\n      </form>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context, forms_1.FormBuilder, inventory_1.UnidadMedidaService,
            presupuestos_service_1.PresupuestosService,
            articulo_service_1.ArticuloService,
            servicio_service_1.ServicioService])
    ], OrdenDetailEditor);
    return OrdenDetailEditor;
}(editors_1.BasicEditor));
exports.OrdenDetailEditor = OrdenDetailEditor;
