import { BasicEditor } from "framework3/editors";
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { Location } from '@angular/common';
import { ModalDirective } from 'ngx-bootstrap';
import { CollectionView } from 'wijmo/wijmo';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { PresupuestosService } from '../services/presupuestos.service';
import { PresupuestosInfo } from '../models/presupuestos';
import { PresupuestosDetail } from '../models/presupuestos-detail';
import { FlexGrid } from "wijmo/wijmo.grid";
export declare class PresupuestosCambioEditor extends BasicEditor {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private presupuestosService;
    presupuestos: PresupuestosInfo;
    idPresupuesto: string;
    collectionView: CollectionView;
    grid: FlexGrid;
    detailCurrent: PresupuestosDetail;
    idCategoriaSelected: number;
    conceptoEdit: string;
    montoEdit: number;
    alerts: AlertsBarComponent;
    detailsList: FlexGrid;
    dialogConceptos: ModalDirective;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, presupuestosService: PresupuestosService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    agregarConcepto(detail: PresupuestosDetail): void;
    onLoadingDocument(id: string): void;
    onCellEditEnded(flex: any, e: any, cell: any): void;
    recalcularDetalle(): void;
    recalcularImportes(): void;
    initialized(flex: FlexGrid): void;
    onConceptoSelected(concepto: string, monto: number): void;
    readonly montoPresupuesto: string;
    onConfirmClick(): void;
    onCancelClick(): void;
    handleError(error: any): void;
}
