import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { CatalogEditor } from 'framework3/editors';
import { ProveedorService } from '../services/proveedor.service';
import { ProveedorInfo, PreRegistro } from '../models/proveedor';
export declare class ProveedoresRegistrarEditor extends CatalogEditor {
    private proveedorService;
    protected context: Context;
    private formBuilder;
    protected router: Router;
    protected route: ActivatedRoute;
    protected changeDetector: ChangeDetectorRef;
    editorForm: FormGroup;
    info: PreRegistro;
    pRegistro: PreRegistro;
    idProveedor: number;
    proveedor: ProveedorInfo;
    data: PreRegistro;
    dataUpdated: EventEmitter<PreRegistro>;
    dialog: ModalDirective;
    constructor(proveedorService: ProveedorService, context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, changeDetector: ChangeDetectorRef);
    show(inf: PreRegistro): void;
    onSelectedItemChanged(args: any): void;
    onConsultarCliente(): void;
    onUpdate(args: PreRegistro): void;
}
