import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { ProveedorService } from '../services/proveedor.service';
import { PreRegistro } from '../models/proveedor';
import { ProveedoresRegistrarEditor } from './proveedores-registrar-editor.maintenance';
import { Confirmacion } from './parts/confirmacion.component';
export declare class ProveedoresRegistrar extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    private proveedorService;
    from: FormGroup;
    pRegistro: PreRegistro[];
    proveedoresRegistrarEditor: ProveedoresRegistrarEditor;
    alerts: AlertsBarComponent;
    confirma: Confirmacion;
    constructor(context: Context, router: Router, route: ActivatedRoute, formBuilder: FormBuilder, proveedorService: ProveedorService);
    ngAfterViewInit(): void;
    onRefrescar(): void;
    listarCandidatos(): void;
    onEditItem(item: PreRegistro): void;
    onDataUpdated(args: PreRegistro): void;
    onRemoveItem(args: PreRegistro): void;
    onConfirmar(idPreRegistro: number): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
