import { DocumentInfo, DocumentItem } from 'framework3/core';
import { NotaDetail } from './nota-detail';
import { ComprobanteFiscalInfo } from '../models/comprobante-fiscal';
import { ProveedorInfo } from '../models/proveedor';
export declare class NotaInfo extends DocumentInfo<NotaDetail> {
    fechaAfectacion: Date;
    idProveedor: number;
    idComprobante: string;
    fechaComprobante: Date;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    total: number;
    idDivisa: number;
    tipoCambio: number;
    proveedor: ProveedorInfo;
    comprobante: ComprobanteFiscalInfo;
    constructor();
}
export declare class NotaItem extends DocumentItem {
}
