import { CatalogInfo, CatalogItem } from 'framework3/core';
import { OperacionTipoInfo as OperacionTipo } from '../../treasury/models/operacion-tipo';
export declare class OperacionTipoInfo extends CatalogInfo {
    nombre: string;
    interno: boolean;
    operacionTipo: OperacionTipo;
    constructor();
}
export declare class OperacionTipoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
