import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { UnidadMedidaInfo } from '../../inventory/models/unidad-medida';
export declare class OrdenDetail extends DocumentDetail {
    idArticulo: number;
    idServicio: number;
    idRequisicion: string;
    fechaRequisicion: Date;
    saldo: number;
    cantidad: number;
    idUnidadMedida: number;
    costoUnitario: number;
    costoNeto: number;
    importe: number;
    idDepartamento: number;
    departamento: string;
    idCentroCosto: number;
    idPresupuesto: string;
    idCategoriaPresupuestal: number;
    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    unidadMedida: UnidadMedidaInfo;
    constructor();
}
export declare class OrdenRequisicionDetail extends OrdenDetail {
    selected: boolean;
    key: string;
    group: boolean;
    codigo: string;
    articuloServicio: string;
    idProveedor: number;
    proveedor: string;
    presupuesto: string;
    idCentroRecepcion: number;
    centroRecepcion: string;
    categoriaPresupuestal: string;
    idDivisa: number;
    unidadMedida: UnidadMedidaInfo;
}
