import { DocumentInfo, DocumentItem } from 'framework3/core';
import { OrdenDetail } from './orden-detail';
import { ImpuestoResumenInfo, DivisaInfo } from '../../accounting';
import { ProveedorInfo } from './proveedor';
export declare class OrdenInfo extends DocumentInfo<OrdenDetail> {
    fecha: Date;
    fechaAfectacion: Date;
    idDepartamento: number;
    idProveedor: number;
    idCentroRecepcion: number;
    idCentralCompras: number;
    fechaEntrega: Date;
    idDocumentoRef: string;
    fechaDocumentoRef: Date;
    idAnticipo: string;
    fechaAnticipo: Date;
    idRecepcionSinOC: string;
    fechaRecepcionSinOC: Date;
    idDivisa: number;
    tipoCambio: number;
    subtotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    descuentos: number;
    flete: number;
    total: number;
    observaciones: string;
    articulos: OrdenDetail[];
    servicios: OrdenDetail[];
    impuestos: ImpuestoResumenInfo[];
    divisa: DivisaInfo;
    proveedor: ProveedorInfo;
    constructor();
}
export declare class OrdenItem extends DocumentItem {
    idAnticipo: string;
}
