import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PresupuestosDetail } from './presupuestos-detail';
import { DepartamentoInfo } from '../models/departamento';
export declare class PresupuestosInfo extends DocumentInfo<PresupuestosDetail> {
    fechaAfectacion: Date;
    idPeriodo: string;
    fechaPeriodo: Date;
    idDepartamento: number;
    montoPresupuesto: number;
    montoUtilizado: number;
    montoApartado: number;
    montoDisponible: number;
    estatus: string;
    departamento: DepartamentoInfo;
    constructor();
}
export declare class PresupuestosItem extends DocumentItem {
    id: string;
    nombre: string;
    workFlowStepTag: string;
}
