import { CatalogInfo, CatalogItem } from 'framework3/core';
import { SucursalInfo as SucursalSecurity } from 'framework3/core';
export declare class SucursalInfo extends CatalogInfo {
    sucursalBase: SucursalSecurity;
    constructor();
}
export declare class SucursalItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    idEmpresa: number;
    empresa: string;
    domicilio: string;
    poblacion: string;
    estado: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
