import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { CostoInfo } from '../models/costo';
import { ArticuloInfo } from '../models/articulo';
export declare class ArticuloService extends CatalogService<ArticuloInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ArticuloInfo>;
    searchArticuloProveedor(idProveedor: number, idBranch: number, request: SearchRequest): Promise<SearchResult>;
    calcularCostoProveedor(idArticulo: number, idUnidadMedida: number, idProveedor: number, idEmpresa: number): Promise<CostoInfo>;
}
