import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService, UsuarioItem } from 'framework3/core';
import { CentroCostoInfo } from '../models/centro-costo';
export declare class CentroCostoService extends CatalogService<CentroCostoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CentroCostoInfo>;
    getMembers(idCentroCosto: number): Promise<UsuarioItem[]>;
    addMembers(idCentroCosto: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idCentroCosto: number, idUser: number): Promise<any>;
    loadList(idSucursal: number, type: string, id: number): Promise<any>;
}
