import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { GastoTipoInfo, GastoTipoItem } from '../models/gasto-tipo';
export declare class GastoTipoService extends CatalogService<GastoTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<GastoTipoInfo>;
    loadListByUser(idSucursal: number): Promise<GastoTipoItem[]>;
}
