import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { GastoInfo } from '../models/gasto';
import { GastoDetail } from '../models/gasto-detail';
export declare class GastoService extends DocumentService<GastoDetail, GastoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<GastoInfo>;
    loadDetalleNew(idPresupuesto: string): Promise<GastoDetail[]>;
    updateComprobantes(gasto: GastoInfo): Promise<boolean>;
}
