import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { NotaInfo } from '../models/nota';
import { NotaDetail } from '../models/nota-detail';
export declare class NotaService extends DocumentService<NotaDetail, NotaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<NotaInfo>;
    loadDetalleNew(idProveedor: number): Promise<NotaDetail[]>;
}
