import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { RecepcionSinOCInfo } from '../models/recepcion-sin-oc';
import { RecepcionSinOCDetail } from '../models/recepcion-sin-oc-detail';
export declare class RecepcionSinOCService extends DocumentService<RecepcionSinOCDetail, RecepcionSinOCInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<RecepcionSinOCInfo>;
    save(info: RecepcionSinOCInfo): Promise<RecepcionSinOCInfo>;
}
