import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService, FileLink } from 'framework3/core';
import { RecepcionInfo } from '../models/recepcion';
import { RecepcionDetail } from '../models/recepcion-detail';
export declare class RecepcionService extends DocumentService<RecepcionDetail, RecepcionInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<RecepcionInfo>;
    update(info: RecepcionInfo): Promise<RecepcionInfo>;
    protected mapDocument(document: RecepcionInfo): void;
    generarPdfRecepcion(idRecepcion: string): Promise<FileLink>;
}
