import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { ServicioInfo } from '../models/servicio';
import { CostoInfo } from '../models/costo';
export declare class ServicioService extends CatalogService<ServicioInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ServicioInfo>;
    searchServicioProveedor(idProveedor: number, idBranch: number, request: SearchRequest): Promise<SearchResult>;
    calcularCostoProveedor(idServicio: number, idProveedor: number, idEmpresa: number, costoBruto: number): Promise<CostoInfo>;
}
