import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { CollectionView } from 'wijmo/wijmo';
import { DatasetService } from '../../translator/index';
import { lockerService } from '../services/locker.service';
import { llaveInfo } from '../models/llaves';
export declare class llaveManagerNuevo {
    private formBuilder;
    private lockerSvc;
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private datasetSvc;
    Codigo: string;
    Estatus: boolean;
    previewCollection: CollectionView;
    selectedCollection: CollectionView;
    form: FormGroup;
    key: llaveInfo;
    cvParametros: TrackableCollection;
    alerts: AlertsBarComponent;
    viewDialog: ModalDirective;
    constructor(formBuilder: FormBuilder, lockerSvc: lockerService, context: Context, router: Router, route: ActivatedRoute, datasetSvc: DatasetService);
    onClickGuardar(): void;
    handleError(error: any): void;
}
