import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Location } from '@angular/common';
import { Context, PolicyInfo, BaseComponent } from 'framework3/core';
import { MenuItem, AlertsBarComponent, ToolbarButton, ContentViewerComponent } from 'framework3/controls';
import { FilterGroup, SearchRequest } from 'framework3/search';
import { Menu } from 'wijmo/wijmo.input';
import { lockerService } from '../services/locker.service';
import { CollectionView } from 'wijmo/wijmo';
export declare class llaveManager extends BaseComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private lockersvc;
    private formBuilder;
    form: FormGroup;
    filterPanelCollapsed: boolean;
    showFilterPanel: boolean;
    menuItems: MenuItem[];
    filterGroups: FilterGroup[];
    selectedGroup: FilterGroup;
    request: SearchRequest;
    currentItems: Array<any>;
    currentItem: any;
    totalRows: number;
    pageIndex: number;
    respuesta: boolean;
    titleContentView: string;
    fileNameContentView: string;
    message: string;
    collectionData: CollectionView;
    alerts: AlertsBarComponent;
    reportViewer: ContentViewerComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, lockersvc: lockerService, formBuilder: FormBuilder);
    ngAfterViewInit(): void;
    createMenu(): void;
    readonly classGridPanel: string;
    toggleCollapse(): void;
    onMenuItemClicked(menu: Menu, args: any): void;
    onClickSel(item: any): void;
    onParamsToolbar(button: ToolbarButton): void;
    applyPolicy(policy: PolicyInfo): void;
    refreshList(): void;
    newItemHandler(): void;
    handleError(error: any): void;
}
