import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { CollectionView } from 'wijmo/wijmo';
import { DatasetService } from '../../translator/index';
import { suspensionService } from '../services/suspension.service';
export declare class suspensionManagerNuevo {
    private formBuilder;
    private suspensionSvc;
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private datasetSvc;
    Codigo: string;
    Descripcion: string;
    previewCollection: CollectionView;
    selectedCollection: CollectionView;
    form: FormGroup;
    cvParametros: TrackableCollection;
    alerts: AlertsBarComponent;
    viewDialog: ModalDirective;
    constructor(formBuilder: FormBuilder, suspensionSvc: suspensionService, context: Context, router: Router, route: ActivatedRoute, datasetSvc: DatasetService);
    onClickGuardar(): void;
    handleError(error: any): void;
}
