import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ChecadorInfo } from '../models/checador';
import { ChecadorService } from '../services/checador.service';
export declare class ChecadorSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: ChecadorInfo;
    checadorUpdated: EventEmitter<{}>;
    constructor(context: Context, service: ChecadorService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTurno(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
