import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { ConceptosFichasInfo } from '../models/concepto-ficha';
import { ConceptosFichasService } from '../services/conceptos-fichas.service';
export declare class ConceptoFichasSelector extends CatalogSelector {
    protected context: Context;
    private conceptoService;
    conceptos: any[];
    selectedItem: ConceptosFichasInfo;
    conceptoUpdated: EventEmitter<{}>;
    constructor(context: Context, conceptoService: ConceptosFichasService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findConcepto(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
