import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { DocumentoTipoInfo } from '../models/documento-tipo';
import { DocumentoTipoService } from '../services/documento-tipo.service';
export declare class DocumentoTipoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: DocumentoTipoInfo;
    documentoTipoUpdated: EventEmitter<{}>;
    proceso: string;
    constructor(context: Context, service: DocumentoTipoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPlaza(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
