import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { IncidenciaInfo } from '../models/incidencia';
import { IncidenciaService } from '../services/incidencia.service';
export declare class IncidenciaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: IncidenciaInfo;
    incidenciaUpdated: EventEmitter<{}>;
    constructor(context: Context, service: IncidenciaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTurno(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
