import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { TiposDescuentosService } from '../services/tipos-descuentos.service';
import { TiposDescuentosInfo } from '../models/tipo-descuento';
export declare class TipoDescuentoSelector extends CatalogSelector {
    protected context: Context;
    private tipoDescuentoService;
    tiposDescuentos: any[];
    selectedItem: TiposDescuentosInfo;
    claseNomina: number;
    tipoDescuentoUpdated: EventEmitter<{}>;
    constructor(context: Context, tipoDescuentoService: TiposDescuentosService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTipo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
