import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { EmpleadoService } from '../services/empleado.service';
import { EmpleadoItem } from '../models/empleado';
export declare class EmpleadoListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: EmpleadoItem[];
    titleDialog: string;
    constructor(context: Context, service: EmpleadoService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: EmpleadoItem[]): void;
    onSelectedItemChanged(item: EmpleadoItem): void;
}
