import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { HorarioService } from '../services/horario.service';
import { HorarioItem } from '../models/horario';
export declare class HorarioListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: HorarioItem[];
    titleDialog: string;
    constructor(context: Context, service: HorarioService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: HorarioItem[]): void;
    onSelectedItemChanged(item: HorarioItem): void;
}
