import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { IncidenciaService } from '../services/incidencia.service';
import { IncidenciaItem } from '../models/incidencia';
export declare class IncidenciaListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: IncidenciaItem[];
    titleDialog: string;
    constructor(context: Context, service: IncidenciaService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: IncidenciaItem[]): void;
    onSelectedItemChanged(item: IncidenciaItem): void;
}
