import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { TurnoService } from '../services/turno.service';
import { TurnoItem } from '../models/turno';
export declare class TurnoListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: TurnoItem[];
    titleDialog: string;
    constructor(context: Context, service: TurnoService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: TurnoItem[]): void;
    onSelectedItemChanged(item: TurnoItem): void;
}
