"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Wijmo
var wijmo_1 = require("wijmo/wijmo");
//Azteca Kernel
var core_2 = require("framework3/core");
var controls_1 = require("framework3/controls");
var editors_1 = require("framework3/editors");
//
var moment = require("moment");
//Locales
var solicitud_vacacional_1 = require("../models/solicitud-vacacional");
var solicitud_vacacional_service_1 = require("../services/solicitud-vacacional.service");
var solicitudes_vacacionales_detail_editor_1 = require("./parts/solicitudes-vacacionales-detail.editor");
var periodo_vacacional_service_1 = require("../services/periodo-vacacional.service");
var wijmo_grid_1 = require("wijmo/wijmo.grid");
//
var empleado_1 = require("../models/empleado");
var SolicitudesVacacionalesEditor = /** @class */ (function (_super) {
    __extends(SolicitudesVacacionalesEditor, _super);
    function SolicitudesVacacionalesEditor(context, router, route, location, formBuilder, documentTypeService, solicitudVacacionalService, periodoVacacionalService) {
        var _this = _super.call(this, context, router, route, documentTypeService) || this;
        _this.context = context;
        _this.router = router;
        _this.route = route;
        _this.location = location;
        _this.formBuilder = formBuilder;
        _this.documentTypeService = documentTypeService;
        _this.solicitudVacacionalService = solicitudVacacionalService;
        _this.periodoVacacionalService = periodoVacacionalService;
        _this.solicitudVacacional = new solicitud_vacacional_1.SolicitudVacacionalInfo();
        _this.loadingDocument = false;
        _this.idBorrador = core_2.DocumentStatus.DRAFT;
        _this.empleadoCurrent = new empleado_1.EmpleadoInfo();
        _this.documentForm = formBuilder.group({
            'idEmpleado': [0, controls_1.AztecaValidators.selected],
            'fechaIni': [new Date, function (control) { return _this.validateFecha(control); }],
            'fechaFin': [new Date()],
        });
        return _this;
    }
    SolicitudesVacacionalesEditor_1 = SolicitudesVacacionalesEditor;
    SolicitudesVacacionalesEditor.prototype.validateFecha = function (control) {
        var FechaHoy;
        FechaHoy = moment(new Date).hour(0).minute(0).second(0).millisecond(0).toDate();
        if (control.value) {
            var Fecha = control.value;
            Fecha = moment(Fecha).hour(0).minute(0).second(0).millisecond(0).toDate();
            if (Fecha.getTime() >= FechaHoy.getTime())
                return null;
            else
                return 'La fecha no debe ser anterior a hoy';
        }
    };
    SolicitudesVacacionalesEditor.prototype.onConfigureDocument = function (docType) {
        this.applyPolicies();
        this.detailsList.gridDetail.formatItem.addHandler(function (grid, args) {
            if (args.panel.cellType == wijmo_grid_1.CellType.Cell && grid.columns[args.col].binding == 'dias' &&
                grid.rows[args.row].dataItem.dias > grid.rows[args.row].dataItem.periodoVacacional.diasDisponibles) {
                args.cell.style.backgroundColor = '#dc3545';
            }
            //else if (args.panel.cellType == CellType.Cell && grid.columns[args.col].binding == 'workflowStep' &&
            //    grid.rows[args.row].dataItem.diasSinAutorizar > 2) {
            //    args.cell.style.backgroundColor = '#dca535';
            //}
            else
                args.cell.style.backgroundColor = '';
        });
    };
    SolicitudesVacacionalesEditor.prototype.onCreatingDocument = function () {
        var FechaHoy;
        FechaHoy = moment(new Date).hour(0).minute(0).second(0).millisecond(0).toDate();
        this.solicitudVacacional.fechaIni = FechaHoy;
        this.solicitudVacacional.fechaFin = FechaHoy;
    };
    SolicitudesVacacionalesEditor.prototype.onViewingDocument = function (id) {
        var _this = this;
        this.context.app.showSpinner();
        this.solicitudVacacionalService.getDetail(id)
            .then(function (doc) {
            _this.context.app.hideSpinner();
            _this.solicitudVacacional = doc;
            _this.setReadonlyMode();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onCloningDocument = function (id) {
        var _this = this;
        this.context.app.showSpinner();
        //
        this.solicitudVacacionalService.clone(id)
            .then(function (doc) {
            _this.context.app.hideSpinner();
            _this.solicitudVacacional = doc;
            _this.detailsEditor.clientIndexStart = _this.solicitudVacacional.details.length;
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onLoadingDocument = function (id) {
        var _this = this;
        this.context.app.showSpinner();
        this.loadingDocument = true; //bandera para indicar que los controles se estan actualizando porque se esta cargando el documento
        this.solicitudVacacionalService.getDetail(id)
            .then(function (doc) {
            _this.context.app.hideSpinner();
            _this.solicitudVacacional = doc;
            _this.detailsEditor.clientIndexStart = _this.solicitudVacacional.details.length;
            if (_this.solicitudVacacional.status != core_2.DocumentStatus.DRAFT)
                _this.setReadonlyMode();
            setTimeout(function (_) { return _this.loadingDocument = false; }, 6000);
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onSavingDocument = function (args) {
        var _this = this;
        this.validateDetail()
            .then(function (value) {
            if (value == true) {
                _this.context.app.showSpinner();
                _this.solicitudVacacionalService.update(_this.solicitudVacacional)
                    .then(function (updatedDoc) {
                    _this.context.app.hideSpinner();
                    //Si es un elemento nuevo y no se cerrará el editor, navegar a nueva ruta
                    _this.reset();
                    if (!args.closeEditor && _this.solicitudVacacional.identity == '') {
                        _this.router.navigate(['../', updatedDoc.identity], { relativeTo: _this.route });
                    }
                    else {
                        if (args.closeEditor)
                            _this.router.navigate(['../'], { relativeTo: _this.route });
                        else
                            _this.showAlert('La información ha sido actualizada con éxito', 'success');
                    }
                    _this.solicitudVacacional = updatedDoc;
                })
                    .catch(function (error) { return _this.handleError(error); });
            }
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onApplyingNextStep = function (args) {
        var _this = this;
        this.context.app.showSpinner();
        this.solicitudVacacionalService.nextStep(args.document.id, args.step.idWorkflowStep, null)
            .then(function (_) {
            //Volver a cargar documento
            _this.onViewingDocument(args.document.id);
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onApplyingPreviousStep = function (document) {
        var _this = this;
        this.context.app.showSpinner();
        this.solicitudVacacionalService.previousStep(document.id, null)
            .then(function (_) {
            //Volver a cargar documento
            _this.onViewingDocument(document.id);
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    SolicitudesVacacionalesEditor.prototype.onTabSelected = function (args) {
        if (args.heading) {
            //Al seleccionar la pestaña de historial, realizar carga de información
            if (args.heading == 'Historial') {
                this.loadHistory(this.solicitudVacacional.identity);
            }
            //Actualizar controles de wijmo
            wijmo_1.Control.invalidateAll();
        }
    };
    ///////////// DETALLE DEL DOCUMENTO /////////////////////////
    SolicitudesVacacionalesEditor.prototype.onAddingDetail = function () {
        //this.detailsEditor.detail = new SolicitudVacacionalDetail();
        //this.detailsEditor.show();
        var _this = this;
        //Obtener el periodo vacacional correspondiente
        this.solicitudVacacionalService.calcularRango(this.solicitudVacacional.idEmpleado, this.solicitudVacacional.fechaIni, this.solicitudVacacional.fechaFin, this.empleadoCurrent.idBranch)
            .then(function (result) {
            _this.solicitudVacacional.details = result;
            if (_this.solicitudVacacional.details.filter(function (detail) { return detail.dias > detail.periodoVacacional.diasDisponibles; }).length > 0)
                _this.showAlert('Se han excedido los dias permitidos para el periodo', 'warning');
        })
            .catch(function (error) { return _this.handleError(error); });
        //let fechaCount: Date = this.solicitudVacacional.fechaIni;
        //this.periodoVacacionalService.obtenerByFechas(this.solicitudVacacional.idEmpleado, this.solicitudVacacional.fechaIni, this.solicitudVacacional.fechaFin)
        //    .then(result => {
        //        let vacaciones: SolicitudVacacionalDetail[] = [];
        //        result.forEach(periodo => {                    
        //            //Generamos los detalles del documento de solicitud en base al periodo de fechas seleccionado
        //            let detail = new SolicitudVacacionalDetail();
        //            let excedido: boolean = false;
        //            //
        //            detail.idPeriodoVacacional = periodo.id;                    
        //            detail.fechaIni = fechaCount;
        //            //
        //            detail.periodoVacacional = periodo;
        //            //recorremos y validamos los dias solicitados
        //            while (fechaCount.getTime() <= this.solicitudVacacional.fechaFin.getTime() && fechaCount.getTime() <= periodo.fechaMax.getTime()  ) {
        //                detail.dias = detail.dias + 1;
        //                detail.fechaFin = fechaCount;
        //                //si no superamos los dias de disfrute
        //                if (periodo.diasDisfrute < periodo.diasAutorizados + detail.dias) {
        //                    if (excedido == false)
        //                        this.showAlert('Se han excedido los dias permitidos para el periodo', 'warning');                            
        //                    excedido = true;
        //                }
        //                //    
        //                fechaCount = moment(fechaCount).add(1, 'days').toDate();                        
        //            }
        //            vacaciones.push(detail);
        //        });
        //        this.solicitudVacacional.details = vacaciones;
        //    })
        //    .catch(error => this.handleError(error));
    };
    SolicitudesVacacionalesEditor.prototype.onEditingDetail = function (detail) {
        this.detailsEditor.detail = detail;
        this.detailsEditor.show();
    };
    SolicitudesVacacionalesEditor.prototype.onDeletingDetail = function (detail) {
        this.detailsList.deleteItem(detail);
    };
    SolicitudesVacacionalesEditor.prototype.onListItemsUpdated = function (updatedDetails) {
        this.solicitudVacacional.details = updatedDetails;
    };
    SolicitudesVacacionalesEditor.prototype.onSavingDetail = function (detail) {
        this.detailsList.updateItem(detail);
    };
    ////////////// IMPLEMENTACION DE EVENTOS //////////////////
    SolicitudesVacacionalesEditor.prototype.onEmpleadoUpdated = function (empleado) {
        this.empleadoCurrent = empleado;
        this.reset();
    };
    SolicitudesVacacionalesEditor.prototype.onFechaChanged = function (value) {
        this.reset();
    };
    //metodos particulares
    SolicitudesVacacionalesEditor.prototype.validateDetail = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.checkDetails()];
                    case 1: return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    ;
    SolicitudesVacacionalesEditor.prototype.checkDetails = function () {
        var result = true;
        if (this.solicitudVacacional.details.length == 0) {
            this.showAlert("No se han establecido periodos de vacaciones.", 'warning');
            result = false;
        }
        //validamos que todos los articulos tengan serie en caso de que se maneje
        if (this.solicitudVacacional.details.filter(function (detail) { return detail.dias > detail.periodoVacacional.diasDisponibles; }).length > 0) {
            this.showAlert("Existen periodos que exceden el número de dias disponibles.", 'warning');
            result = false;
        }
        return result;
    };
    SolicitudesVacacionalesEditor.prototype.reset = function () {
        if (this.solicitudVacacional.status == core_2.DocumentStatus.DRAFT && this.loadingDocument == false)
            this.solicitudVacacional.details = [];
    };
    var SolicitudesVacacionalesEditor_1;
    __decorate([
        core_1.ViewChild('detailsList'),
        __metadata("design:type", editors_1.EditableListComponent)
    ], SolicitudesVacacionalesEditor.prototype, "detailsList", void 0);
    __decorate([
        core_1.ViewChild('detailsEditor'),
        __metadata("design:type", solicitudes_vacacionales_detail_editor_1.SolicitudVacacionalDetailEditor)
    ], SolicitudesVacacionalesEditor.prototype, "detailsEditor", void 0);
    SolicitudesVacacionalesEditor = SolicitudesVacacionalesEditor_1 = __decorate([
        core_1.Component({
            selector: 'rh-solicitud-vacacional-editor',
            template: "\n      <form [formGroup]=\"documentForm\">\n          <azteca-document-editor #documentEditor\n                                         [title]=\"'Solicitud de Vacaciones'\"\n                                         [document]=\"solicitudVacacional\"\n                                         [valid]=\"valid\"\n                                         (configureDocument)=\"onConfigureDocument($event)\"\n                                         (creatingDocument)=\"onCreatingDocument()\"\n                                         (viewingDocument)=\"onViewingDocument($event)\"\n                                         (cloningDocument)=\"onCloningDocument($event)\"\n                                         (savingDocument)=\"onSavingDocument($event)\"\n                                         (loadingDocument)=\"onLoadingDocument($event)\"\n                                         (applyingNextStep)=\"onApplyingNextStep($event)\"\n                                         (menuItemClick)=\"onMenuItemClick($event)\">\n\n              <!------------------- Menu de acciones adicionales --------------------->\n\n              <!------------------- Controles del editor ----------------------------->\n              <div class=\"row\">\n                  <div class=\"col-12 col-md-10\">\n                      <tabset>\n                          <tab heading=\"Generales\" (select)=\"onTabSelected($event)\">\n\n                              <div class=\"row\">\n                                  <div class=\"col-12 col-md-6\">\n                                      <azteca-form-field [label]=\"'Empleado:'\">\n                                          <rh-empleado-selector formControlName=\"idEmpleado\"\n                                                                [(ngModel)]=\"solicitudVacacional.idEmpleado\"\n                                                                (empleadoUpdated)=\"onEmpleadoUpdated($event)\">\n                                          </rh-empleado-selector>\n                                      </azteca-form-field>\n                                  </div>\n                              </div>\n\n                              <div class=\"row\">\n                                  <div class=\"col-12 col-md-3\">\n                                      <azteca-form-field [label]=\"'Fecha inicio:'\">\n                                          <az-input-date formControlName=\"fechaIni\" [(ngModel)]=\"solicitudVacacional.fechaIni\" (valueChange)=\"onFechaChanged($event)\"></az-input-date>\n                                      </azteca-form-field>\n                                  </div>\n                                  <div class=\"col-12 col-md-3\">\n                                      <azteca-form-field [label]=\"'Fecha final:'\">\n                                          <az-input-date formControlName=\"fechaFin\" [(ngModel)]=\"solicitudVacacional.fechaFin\" (valueChange)=\"onFechaChanged($event)\"></az-input-date>\n                                      </azteca-form-field>\n                                  </div>\n                              </div>\n\n                              <azteca-editable-list #detailsList\n                                                    (addingItem)=\"onAddingDetail()\"\n                                                    (editingItem)=\"onEditingDetail($event)\"\n                                                    (deletingItem)=\"onDeletingDetail($event)\"\n                                                    (listItemsUpdated)=\"onListItemsUpdated($event)\"\n                                                    [listItems]=\"solicitudVacacional.details\">\n\n                                  <!-- OPCIONES DEL MENU\n                                  <azteca-menu-item [name]=\"'EDIT'\" [icon]=\"'glyphicon glyphicon-pencil'\" [text]=\"'Editar'\" [smallText]=\"'editar registro'\"></azteca-menu-item>\n                                  <azteca-menu-item [name]=\"'DELETE'\" [icon]=\"'glyphicon glyphicon-trash'\" [text]=\"'Eliminar'\" [smallText]=\"'eliminar registro'\"></azteca-menu-item>\n                                  -->\n                                  <!-- COLUMNAS DEL GRID-->\n                                  <azteca-grid-column [header]=\"'Periodo A\u00F1os Laborados'\" [binding]=\"'periodoVacacional.rangoVacacional.anios'\" [width]=\"'10*'\" [isReadOnly]=\"true\" ></azteca-grid-column>\n                                  <azteca-grid-column [header]=\"'Dias correspondientes.'\" [binding]=\"'periodoVacacional.diasDisfrute'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></azteca-grid-column>\n                                  <azteca-grid-column [header]=\"'Dias disponibles.'\" [binding]=\"'periodoVacacional.diasDisponibles'\" [width]=\"'10*'\" [isReadOnly]=\"true\" *ngIf= \"solicitudVacacional.status==idBorrador\"></azteca-grid-column>\n                            \n                                  <azteca-grid-column [header]=\"'Dias solicitados.'\" [binding]=\"'dias'\" [width]=\"'10*'\" [isReadOnly]=\"true\"></azteca-grid-column>\n                                  <azteca-grid-column [header]=\"'Fecha Ini.'\" [binding]=\"'fechaIni'\" [width]=\"'10*'\" dataType=\"Date\" format=\"dd-MM-yyyy\" [isReadOnly]=\"true\"></azteca-grid-column>\n                                  <azteca-grid-column [header]=\"'Fecha Fin.'\" [binding]=\"'fechaFin'\" [width]=\"'10*'\" dataType=\"Date\" format=\"dd-MM-yyyy\" [isReadOnly]=\"true\"></azteca-grid-column>\n\n                              </azteca-editable-list>\n\n\n                          </tab>\n\n                    \n                    \n\n\n                          <tab heading=\"Historial\" (select)=\"onTabSelected($event)\" [disabled]=\"solicitudVacacional.identity==''\">\n                              <document-history [history]=\"history\"></document-history>\n                          </tab>\n                      </tabset>\n\n                  </div>\n              </div>\n          </azteca-document-editor>\n      </form>\n\n      <rh-solicitud-vacacional-detail-editor #detailsEditor                                     \n                                           (savingItem)=\"onSavingDetail($event)\">\n\n      </rh-solicitud-vacacional-detail-editor>\n    ",
            providers: [
                {
                    provide: core_2.BaseComponent, useExisting: core_1.forwardRef(function () { return SolicitudesVacacionalesEditor_1; })
                },
                {
                    provide: core_2.DocumentService, useExisting: solicitud_vacacional_service_1.SolicitudVacacionalService
                }
            ]
        }),
        __metadata("design:paramtypes", [core_2.Context,
            router_1.Router,
            router_1.ActivatedRoute,
            common_1.Location,
            forms_1.FormBuilder,
            core_2.DocumentTypeService,
            solicitud_vacacional_service_1.SolicitudVacacionalService, periodo_vacacional_service_1.PeriodoVacacionalService])
    ], SolicitudesVacacionalesEditor);
    return SolicitudesVacacionalesEditor;
}(editors_1.DocumentEditor));
exports.SolicitudesVacacionalesEditor = SolicitudesVacacionalesEditor;
