import { Router } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { PolizasNominaService } from '../services/polizas-nomina.service';
import { AdamNominaInfo } from '../models/adamnomina';
export declare class PolizasNomina {
    private formBuilder;
    private router;
    private polizasNominaService;
    private context;
    editorForm: FormGroup;
    adamNomina: AdamNominaInfo;
    numeroLiquidacion: number;
    liquidacion: boolean;
    cuentasCollection: TrackableCollection;
    alerts: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, router: Router, polizasNominaService: PolizasNominaService, context: Context);
    onInterfasClick(): void;
    onListarCuentasClick(): void;
    handleError(error: any): void;
}
