import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ProcessComponent } from 'framework3/core';
import { Context, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { SearchRequest } from 'framework3/search';
import { MenuItem } from "framework3/controls";
import { FiniquitoAutorizacionService } from '../services/finiquito-autorizacion.service';
export declare class AutorizacionFiniquitoMaintenance extends ProcessComponent {
    context: Context;
    private formBuilder;
    private finiquitoAutorizacionService;
    editorForm: FormGroup;
    request: SearchRequest;
    currentItems: Array<any>;
    currentItem: any;
    totalRows: number;
    pageIndex: number;
    menuItems: MenuItem[];
    alerts: AlertsBarComponent;
    constructor(context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, finiquitoAutorizacionService: FiniquitoAutorizacionService);
    ngAfterViewInit(): void;
    createMenu(): void;
    refreshList(): void;
    onCurrentItemChanged(item: any): void;
    searchRequested(request: SearchRequest): void;
    optionClick(option: MenuItem): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    onAgregar(): void;
}
