import { ProcessComponent, PolicyInfo, Context } from "framework3/core";
import { ChecadorService } from "../services/checador.service";
import { ActivatedRoute, Router } from "@angular/router";
import { FormBuilder, FormGroup } from "@angular/forms";
import { AlertsBarComponent, MenuItem } from "framework3/controls";
import { SearchRequest } from "framework3/search";
export declare class EventosUsuarioMaintenance extends ProcessComponent {
    context: Context;
    private formBuilder;
    private checadorService;
    editorForm: FormGroup;
    request: SearchRequest;
    currentItems: Array<any>;
    fechaIni: Date;
    fechaFin: Date;
    currentItem: any;
    totalRows: number;
    pageIndex: number;
    menuItems: MenuItem[];
    alerts: AlertsBarComponent;
    constructor(context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, checadorService: ChecadorService);
    ngAfterViewInit(): void;
    createMenu(): void;
    refreshList(): void;
    onCurrentItemChanged(item: any): void;
    searchRequested(request: SearchRequest): void;
    optionClick(option: MenuItem): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    onAgregar(): void;
    applyPolicy(policy: PolicyInfo): void;
}
