"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
//Bootstrap
var modal_directive_1 = require("ngx-bootstrap/modal/modal.directive");
var wjcCore = require("wijmo/wijmo");
//frmework
var controls_1 = require("framework3/controls");
var core_2 = require("framework3/core");
var search_1 = require("framework3/search");
//Controls
//import { EmpleadoListComponent } from '../../controls/empleado-list.component';
//import { ChecadorListComponent } from '../../controls/checadores-list.component';
//Features
//import { ChecadorUsuarioIten, ChecadorItem, ChecadorInfo } from '../models/checador';
var checador_service_1 = require("../services/checador.service");
var empleado_service_1 = require("../services/empleado.service");
var search_2 = require("framework3/search");
var checador_1 = require("../models/checador");
var ExportarHuellasChecadoresMaintenance = /** @class */ (function (_super) {
    __extends(ExportarHuellasChecadoresMaintenance, _super);
    function ExportarHuellasChecadoresMaintenance(context, router, route, location, formBuilder, checadorSvc, empleadoService) {
        var _this = _super.call(this, context, router, route) || this;
        _this.context = context;
        _this.router = router;
        _this.route = route;
        _this.location = location;
        _this.formBuilder = formBuilder;
        _this.checadorSvc = checadorSvc;
        _this.empleadoService = empleadoService;
        _this.cvChecadores = new wjcCore.CollectionView();
        _this.cvEmpleados = new wjcCore.CollectionView();
        _this.widthClass = [];
        return _this;
        //this.tipoUsuarioMap = new DataMap(this.tipoUsuario, 'value', 'name');
        //this.formUsuario = this.formBuilder.group({
        //    'codigo': ['', Validators.required],
        //    'nombre': ['', Validators.required],
        //    'tipoUsuario': [0],
        //    'contrasena': ['']
        //});
    }
    ExportarHuellasChecadoresMaintenance.prototype.ngOnInit = function () {
        //Establecer el ancho establecido para la aplicación
        this.widthClass.push(this.context.app.defaultWidth);
        this.empresas = this.context.session.user.empresas.slice();
        this.sucursales = this.context.session.user.sucursales.slice();
        //Agregar empresa default
        this.empresas.unshift({ id: 0, codigo: '', nombre: '[Seleccione una empresa]', activo: true });
        //
    };
    ExportarHuellasChecadoresMaintenance.prototype.ngAfterViewInit = function () {
        var _this = this;
        setTimeout(function (_) {
            //this.route.params.forEach((params: Params) => {
            //    this.identity = +params['id'];
            //});
            _this.loadingChecks();
            //this.createMenuDetail();
        });
    };
    ExportarHuellasChecadoresMaintenance.prototype.loadingChecks = function () {
        var _this = this;
        this.context.app.showSpinner();
        var request = new search_2.SearchRequest();
        request.pageIndex = 0;
        request.pageSize = 0;
        request.paged = false;
        request.maxRows = 20;
        this.checadorSvc.searchChecador(this.context.session.user.identity, this.context.app.defaultSite.identity, request)
            .then(function (items) {
            _this.cvChecadores.sourceCollection = items.rows;
            _this.context.app.hideSpinner();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    ExportarHuellasChecadoresMaintenance.prototype.selectEmpresa = function (idEmpresa) {
        this.sucursalesEmpresa = this.sucursales.filter(function (sucursal, index, sucursales) { return sucursal.idEmpresa == idEmpresa; });
        this.sucursalesEmpresa.unshift({ id: null, idEmpresa: 0, codigo: '', nombre: '[Seleccione una sucursal]', activo: true });
        this.sucursalSelected = null;
    };
    ExportarHuellasChecadoresMaintenance.prototype.onClickActualizar = function () {
        this.dlgEmpresa.config.backdrop = false;
        this.dlgEmpresa.show();
    };
    ExportarHuellasChecadoresMaintenance.prototype.cargarEmpleados = function () {
        var _this = this;
        this.dlgEmpresa.hide();
        this.context.app.showSpinner();
        var request = new search_2.SearchRequest();
        request.pageIndex = 0;
        request.pageSize = 0;
        request.paged = false;
        request.maxRows = 20;
        var condicionSucursal = { field: 'idSucursal', operator: '=', valueType: search_1.ConditionValueType.INT, value: this.sucursalSelected };
        request.conditions.push(condicionSucursal);
        this.empleadoService.search(this.sucursalSelected, request)
            .then(function (items) {
            _this.cvEmpleados.sourceCollection = items.rows;
            _this.context.app.hideSpinner();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    ExportarHuellasChecadoresMaintenance.prototype.onClickExportar = function () {
        var _this = this;
        this.context.app.showSpinner();
        var usuariosUpdated = [];
        var empleados = this.cvEmpleados.sourceCollection;
        empleados.filter(function (item) { return item.selected == true; }).forEach(function (empleado) {
            var checkUsr = new checador_1.ChecadorUsuarioIten();
            checkUsr.codigo = empleado.codigo;
            checkUsr.nombre = empleado.nombre;
            checkUsr.passwd = "";
            checkUsr.tipo = 0;
            checkUsr.afectaIncidencia = false;
            checkUsr.idEmpleado = empleado.id;
            checkUsr.activo = true;
            usuariosUpdated.push(checkUsr);
        });
        var checadores = this.cvChecadores.sourceCollection.filter(function (item) { return item.selected == true; });
        this.checadorSvc.exportEmployeesToChecks(usuariosUpdated, checadores)
            .then(function (items) {
            _this.context.app.hideSpinner();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    ExportarHuellasChecadoresMaintenance.prototype.onClickEmpleadosSelect = function () {
        var usuarios = this.cvEmpleados.sourceCollection;
        usuarios.filter(function (usrKdx) { return usrKdx.selected == false; }).forEach(function (user) {
            user.selected = true;
            //user.state = ChangeState.MODIFIED;
        });
        this.cvEmpleados.refresh();
    };
    ///////////////////////// HANDLERS ///////////////////////////////////////
    ExportarHuellasChecadoresMaintenance.prototype.handleError = function (error) {
        this.context.app.hideSpinner();
        var message = this.context.getExceptionMessage(error);
        this.alertsBar.showAlert(message, 'danger');
    };
    ExportarHuellasChecadoresMaintenance.prototype.applyPolicy = function (policy) {
    };
    // Util
    ExportarHuellasChecadoresMaintenance.prototype.cloneInfo = function (element) {
        return JSON.parse(JSON.stringify(element));
    };
    __decorate([
        core_1.ViewChild(controls_1.AlertsBarComponent),
        __metadata("design:type", controls_1.AlertsBarComponent)
    ], ExportarHuellasChecadoresMaintenance.prototype, "alertsBar", void 0);
    __decorate([
        core_1.ViewChild('dlgEmpresa'),
        __metadata("design:type", modal_directive_1.ModalDirective)
    ], ExportarHuellasChecadoresMaintenance.prototype, "dlgEmpresa", void 0);
    ExportarHuellasChecadoresMaintenance = __decorate([
        core_1.Component({
            selector: 'rh-exportar-huellas',
            template: "\n      <div class=\"row\">\n          <div [ngClass]=\"widthClass\">\n              <az-panel [header]=\"labelChecador\">\n\n                  <alerts-bar></alerts-bar>\n            \n                  <div class=\"row\">\n\n\n                      <div class=\"col-10 col-md-5\">\n                          <div class=\"row\">\n\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickActualizar()\">\n                                  <span aria-hidden=\"true\" class=\"glyphicon glyphicon-refresh\"></span>\n                                  Actualizar\n                              </button>\n                              <button type=\"button\" class=\"btn btn-outline-secondary\" (click)=\"onClickEmpleadosSelect()\">\n                                  <span aria-hidden=\"true\" class=\"glyphicon glyphicon-check\"></span>\n                                  Marcar Empleados\n                              </button>\n\n                          </div>\n\n                          <div class=\"row\">\n                              <wj-flex-grid #grdChecadores\n                                            style=\"height:500px\"\n                                            [(itemsSource)]=\"cvEmpleados\"\n                                            [selectionMode]=\"'Row'\">\n                                  <wj-flex-grid-filter #filter></wj-flex-grid-filter>\n                                  <wj-flex-grid-column [header]=\"''\" [allowResizing]=\"false\" [binding]=\"'selected'\" dataType=\"Boolean\" [width]=\"45\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'C\u00F3digo'\" [binding]=\"'codigo'\" [width]=\"100\" [isReadOnly]=\"false\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Nombre Corto'\" [binding]=\"'nombre'\" [width]=\"280\" [isReadOnly]=\"false\"></wj-flex-grid-column>\n                              </wj-flex-grid>\n                          </div>\n\n\n                      </div>\n\n                      <div class=\"col-10 col-md-5\">\n                          <div class=\"row\">\n\n                              <button type=\"button\" class=\"btn btn-primary\" (click)=\"onClickExportar()\">\n                                  <span aria-hidden=\"true\" class=\"glyphicon glyphicon-plus\"></span>\n                                  Exportar\n                              </button>\n\n                          </div>\n\n                          <div class=\"row\">\n                              <wj-flex-grid #grdChecadores\n                                            style=\"height:500px\"\n                                            [(itemsSource)]=\"cvChecadores\"\n                                            [selectionMode]=\"'Row'\">\n                                  <wj-flex-grid-filter #filter></wj-flex-grid-filter>\n                                  <wj-flex-grid-column [header]=\"''\" [allowResizing]=\"false\" [binding]=\"'selected'\" dataType=\"Boolean\" [width]=\"45\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'C\u00F3digo Checador'\" [binding]=\"'codigo'\" [width]=\"80\" [isReadOnly]=\"false\"></wj-flex-grid-column>\n                                  <wj-flex-grid-column [header]=\"'Nombre Corto'\" [binding]=\"'nombre'\" [width]=\"180\" [isReadOnly]=\"false\"></wj-flex-grid-column>\n                              </wj-flex-grid>\n                          </div>\n\n                      </div>\n\n\n                  </div>\n\n              </az-panel>\n\n          </div>\n      </div>\n\n\n      <div bsModal #dlgEmpresa=\"bs-modal\" class=\"modal fade\" tabindex=\"-1\" role=\"dialog\" aria-hidden=\"true\">\n          <form #formEmpresa=\"ngForm\">\n              <div class=\"row\">\n                  <div class=\"col-12\">\n\n                      <div class=\"row\">\n                          <div class=\"col-12 col-md-6 col-lg-4 ml-lg-5\" style=\"margin-top:100px;\">\n                              <div class=\"card\">\n                                  <div class=\"card-header\">Empresa y sucursal predeterminada</div>\n                                  <div class=\"card-body\">\n                                      <div class=\"form-group\">\n                                          <label for=\"cboEmpresa\">Empresa:</label>\n                                          <select id=\"cboEmpresa\" name=\"cboEmrpesa\" #empresa [(ngModel)]=\"empresaSelected\" (change)=\"selectEmpresa(empresa.value)\" class=\"form-control\">\n                                              <option *ngFor=\"let e of empresas\" [value]=\"e.id\">{{e.nombre}}</option>\n                                          </select>\n                                      </div>\n                                      <div class=\"form-group\">\n                                          <label for=\"cboSucursal\">Sucursal:</label>\n                                          <select id=\"cboSucursal\" name=\"cboSucursal\" [(ngModel)]=\"sucursalSelected\" class=\"form-control\" required>\n                                              <option *ngFor=\"let s of sucursalesEmpresa\" [value]=\"s.id\">{{s.nombre}}</option>\n                                          </select>\n                                      </div>\n\n                                      <div class=\"modal-footer\">\n                                          <button type=\"button\" class=\"btn btn-secondary\" (click)=\"dlgEmpresa.hide()\">Cancelar</button>\n                                          <button type=\"button\" class=\"btn btn-primary\" [disabled]=\"!formEmpresa.form.valid\" (click)=\"cargarEmpleados()\" >Aceptar</button>\n                                      </div>\n                                  </div>\n                              </div>\n                          </div>\n                      </div>\n\n                  </div>\n              </div>\n          </form>\n      </div>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context,
            router_1.Router,
            router_1.ActivatedRoute,
            common_1.Location,
            forms_1.FormBuilder,
            checador_service_1.ChecadorService,
            empleado_service_1.EmpleadoService])
    ], ExportarHuellasChecadoresMaintenance);
    return ExportarHuellasChecadoresMaintenance;
}(core_2.ProcessComponent));
exports.ExportarHuellasChecadoresMaintenance = ExportarHuellasChecadoresMaintenance;
