import { ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Location } from '@angular/common';
import { Context, BaseComponent, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { FiniquitoAutorizacionInfo } from '../../models/finiquito-autorizacion';
import { FiniquitoAutorizacionService } from '../../services/finiquito-autorizacion.service';
export declare class AutorizacionFiniquitoEditor extends BaseComponent {
    private formBuilder;
    private route;
    private location;
    private finiquitoAutorizacionService;
    private context;
    editorForm: FormGroup;
    idFiniquitoAutorizacion: number;
    currentItem: FiniquitoAutorizacionInfo;
    autoriza: string;
    clasesNominas: Array<any>;
    personasAutorizan: Array<any>;
    alerts: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, route: ActivatedRoute, location: Location, finiquitoAutorizacionService: FiniquitoAutorizacionService, context: Context);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    loadClasesNominas(): void;
    loadPersonasAutorizan(): void;
    loadFiniquitoAutorizacion(): void;
    onSeleccionAutoriza(args: any): void;
    onCancel(): void;
    onUpdate(): void;
}
