import { EventEmitter } from "@angular/core";
import { ProcessComponent, Context, PolicyInfo } from "framework3/core";
import { FormGroup, FormBuilder } from "@angular/forms";
import { AlertsBarComponent } from "framework3/controls";
import { ActivatedRoute, Router } from "@angular/router";
import { Location } from '@angular/common';
import { InterfazAdamInfo } from "../../models/interfaz-adam";
import { InterfazAdamService } from "../../services/interfaz-adam.service";
export declare class InterfazAdamEditor extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private interfazAdamSvc;
    catalogForm: FormGroup;
    identity: number;
    readonlyMode: boolean;
    dirty: boolean;
    valid: boolean;
    widthClass: string[];
    canceled: boolean;
    info: InterfazAdamInfo;
    title: string;
    savedItem: EventEmitter<InterfazAdamInfo>;
    alerts: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, interfazAdamSvc: InterfazAdamService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private changeState;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    closeEditor(): void;
    onCargar(): void;
    saveHandler(): void;
}
