import { CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
import { EmpleadoItem } from './empleado';
export declare class ChecadorInfo extends CatalogInfo {
    nombre: string;
    tipoConexion: string;
    direccionIp: string;
    puerto: string;
    password: string;
    ordenDescarga: number;
    sincronizarReloj: boolean;
    licencia: string;
    idFirmware: number;
    enlaceRemoto: boolean;
    direccionEnlace: string;
    puertoEnlace: number;
    usuarios: ChecadorUsuarioIten[];
    constructor();
}
export declare class ChecadorItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    idUsuario: number;
    estatus?: string;
    selected?: boolean;
}
export declare class ChecadorUsuarioIten extends TrackableItem {
    codigo: string;
    nombre: string;
    passwd: string;
    tipo: number;
    afectaIncidencia: boolean;
    idEmpleado: number;
    activo: boolean;
    empleado: EmpleadoItem;
    constructor();
}
export declare class ChecadoresUsuariosCollections {
    checadoresUsuariosItem: ChecadorUsuarioIten[];
    checadores: ChecadorItem[];
    constructor();
}
