import { CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
export declare class ConceptoAdamInfo extends CatalogInfo {
    concepto: number;
    descripcion: string;
    abreviatura: string;
    tipoTransaccion: number;
    idTipoPerDed: number;
    idCompania: number;
    indemnizacion: boolean;
    deudorInterno: boolean;
    acumulable: boolean;
    expresiones: ConceptoExpresionItem[];
    constructor();
}
export declare class ConceptoAdamItem implements CatalogItem {
    id: number;
    codigo: string;
    descripcion: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class ConceptoExpresionItem extends TrackableItem {
    codigo: string;
    nombre: string;
    tipoExpresion: string;
    expresion: string;
    orden: number;
    grupo: string;
    constructor();
}
