import { AdamNominaInfo } from '../models/adamnomina';
export declare class NominaAdamInfo {
    concepto: string;
    fecha: Date;
    empleado: string;
    noLiquidacion: number;
    proCancelar: boolean;
    proGenerar: boolean;
    proTimbrar: boolean;
    proEnviar: boolean;
    idBeneficiario: number;
    idPresupuesto: number;
    idCategoriaPresupuestal: number;
    tipo: string;
    idSucursal: number;
    uuid: string;
    nomina: AdamNominaInfo;
    sustituciones: Array<SustitucionInfo>;
    constructor();
}
export declare class SustitucionInfo {
    idReciboNominaAdam: string;
    empleado: string;
}
export declare class ConsultaAsistenciaInfo {
    Codigo: string;
    fechaInicial: Date;
    fechaFinal: Date;
}
export declare class AsistenciaInfo {
    fecha: Date;
    incidencia: string;
}
