import { CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
export declare class TipoNominaInfo extends CatalogInfo {
    nombre: string;
    descripcion: string;
    idCompania: number;
    idPeriodicidadPago: number;
    conceptos: TipoNominaConceptoItem[];
    constructor();
}
export declare class TipoNominaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class TipoNominaConceptoItem extends TrackableItem {
    idConcepto: number;
    codigo: string;
    concepto: string;
    constructor();
}
