import { ProcessComponent, PolicyInfo, Context, ReportService } from "framework3/core";
import { FormGroup, FormBuilder, FormControl } from "@angular/forms";
import { Router, ActivatedRoute } from "@angular/router";
import { ContentViewerComponent, AlertsBarComponent } from "framework3/controls";
import { Location } from '@angular/common';
import { IncidenciaListComponent } from '../controls/incidencia-list.component';
import { IncidenciaItem } from "../models/incidencia";
import * as wjcCore from 'wijmo/wijmo';
export declare class IncidenciasEmpleadoReportComponent extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private reportSvc;
    catalogForm: FormGroup;
    tipoReporte: FormControl;
    tipoFiltro: FormControl;
    title: string;
    fechaIni: Date;
    fechaFin: Date;
    idEmpresaAdam: number;
    idDepartamento: number;
    idEmpleado: number;
    valid: boolean;
    todasIncidencias: boolean;
    incluirInactivos: boolean;
    titleContentView: string;
    fileNameContentView: string;
    lstDlgIncidencia: IncidenciaListComponent;
    reportViewer: ContentViewerComponent;
    alertsBar: AlertsBarComponent;
    cvIncidencias: wjcCore.CollectionView;
    incidencias: IncidenciaItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, reportSvc: ReportService);
    ngAfterViewInit(): void;
    changeState(): void;
    onAgregarIncidencias(): void;
    onSelectedIncidencia(item: IncidenciaItem): void;
    onSelectedIncidencias(items: IncidenciaItem[]): void;
    onRowDeleteIncidencia(item: IncidenciaItem): void;
    print(): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
}
