import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AlertsBarComponent, ContentViewerComponent } from "framework3/controls";
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { KardexAsistenciaService } from '../services/kardex-asistencia.service';
export declare class TransaccionesReportComponent extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private kardexAsistenciaSvc;
    catalogForm: FormGroup;
    alertsBar: AlertsBarComponent;
    reportViewer: ContentViewerComponent;
    title: string;
    idEmpleado: number;
    idDepartamento: number;
    fechaIni: Date;
    fechaFin: Date;
    activo: boolean;
    pie: string;
    titleContentView: string;
    fileNameContentView: string;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, kardexAsistenciaSvc: KardexAsistenciaService);
    printTarjetaAsistencia(): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
}
