"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var rh_routing_module_1 = require("./rh.routing.module");
var accounting_module_1 = require("../accounting/accounting.module");
var treasury_module_1 = require("../treasury/treasury.module");
var purchasing_module_1 = require("../purchasing/purchasing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_grid_detail_1 = require("wijmo/wijmo.angular2.grid.detail");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
/////////////////////////////// Servicios ////////////////////////////
var empresaadam_service_1 = require("./services/empresaadam.service");
var empleado_service_1 = require("./services/empleado.service");
var sucursal_service_1 = require("./services/sucursal.service");
var cedulafiniquito_service_1 = require("./services/cedulafiniquito.service");
var polizas_nomina_service_1 = require("./services/polizas-nomina.service");
var recibo_adam_service_1 = require("./services/recibo-adam.service");
var puesto_service_1 = require("./services/puesto.service");
var turno_service_1 = require("./services/turno.service");
var departamento_service_1 = require("./services/departamento.service");
var compania_service_1 = require("./services/compania.service");
var tipo_per_ded_service_1 = require("./services/tipo-per-ded.service");
var concepto_adam_service_1 = require("./services/concepto-adam.service");
var dispositivo_nixtla_service_1 = require("./services/dispositivo-nixtla.service");
var programacion_recibo_adam_service_1 = require("./services/programacion-recibo-adam.service");
var plaza_service_1 = require("./services/plaza.service");
var finiquito_autorizacion_service_1 = require("./services/finiquito-autorizacion.service");
var horario_service_1 = require("./services/horario.service");
var checador_service_1 = require("./services/checador.service");
var recibo_nomina_service_1 = require("./services/recibo-nomina.service");
var clase_nomina_service_1 = require("./services/clase-nomina.service");
var nomina_service_1 = require("./services/nomina.service");
var periodicidad_pago_service_1 = require("./services/periodicidad-pago.service");
var tipo_nomina_service_1 = require("./services/tipo-nomina.service");
var firmware_service_1 = require("./services/firmware.service");
var incidencia_service_1 = require("./services/incidencia.service");
var evaluacion_kardex_service_1 = require("./services/evaluacion-kardex.service");
var kardex_asistencia_service_1 = require("./services/kardex-asistencia.service");
var empresa_service_1 = require("./services/empresa.service");
var documento_tipo_service_1 = require("./services/documento-tipo.service");
var periodo_trabajo_service_1 = require("./services/periodo-trabajo.service");
var motivo_service_1 = require("./services/motivo.service");
var solicitud_vacacional_service_1 = require("./services/solicitud-vacacional.service");
var periodo_vacacional_service_1 = require("./services/periodo-vacacional.service");
var conceptos_fichas_service_1 = require("./services/conceptos-fichas.service");
var tipos_descuentos_service_1 = require("./services/tipos-descuentos.service");
var fichas_tit_service_1 = require("./services/fichas-tit.service");
var tipo_incidencia_service_1 = require("./services/tipo-incidencia.service");
var tipo_evento_service_1 = require("./services/tipo-evento.service");
var interfaz_adam_service_1 = require("./services/interfaz-adam.service");
var administrador_checadores_manager_1 = require("./catalogs/administrador-checadores.manager");
var administrador_checadores_editor_1 = require("./catalogs/administrador-checadores.editor");
var locker_service_1 = require("./services/locker.service");
//////////////////////////// Catalogos ////////////////////////////////
var empresasadam_manager_1 = require("./catalogs/empresasadam.manager");
var empresasadam_editor_1 = require("./catalogs/empresasadam.editor");
var empleados_manager_1 = require("./catalogs/empleados.manager");
var empleados_editor_1 = require("./catalogs/empleados.editor");
var cedulasfiniquitos_manager_1 = require("./catalogs/cedulasfiniquitos.manager");
var cedulasfiniquitos_editor_1 = require("./catalogs/cedulasfiniquitos.editor");
var polizas_nomina_1 = require("./interfases/polizas-nomina");
var turnos_manager_1 = require("./catalogs/turnos.manager");
var turnos_editor_1 = require("./catalogs/turnos.editor");
var departamentos_manager_1 = require("./catalogs/departamentos.manager");
var companias_manager_1 = require("./catalogs/companias.manager");
var companias_editor_1 = require("./catalogs/companias.editor");
var tipos_per_ded_manager_1 = require("./catalogs/tipos-per-ded.manager");
var tipos_per_ded_editor_1 = require("./catalogs/tipos-per-ded.editor");
var conceptos_adam_manager_1 = require("./catalogs/conceptos-adam.manager");
var conceptos_adam_editor_1 = require("./catalogs/conceptos-adam.editor");
var puestos_manager_1 = require("./catalogs/puestos.manager");
var dispositivos_nixtla_editor_1 = require("./catalogs/dispositivos-nixtla.editor");
var dispositivos_nixtla_manager_1 = require("./catalogs/dispositivos-nixtla.manager");
var plazas_manager_1 = require("./catalogs/plazas.manager");
var plazas_editor_1 = require("./catalogs/plazas.editor");
var checadores_manager_1 = require("./catalogs/checadores.manager");
var checadores_editor_1 = require("./catalogs/checadores.editor");
var horarios_manager_1 = require("./catalogs/horarios.manager");
var horarios_editor_1 = require("./catalogs/horarios.editor");
var clases_nominas_manager_1 = require("./catalogs/clases-nominas.manager");
var clases_nominas_editor_1 = require("./catalogs/clases-nominas.editor");
var firmwares_manager_1 = require("./catalogs/firmwares.manager");
var firmwares_editor_1 = require("./catalogs/firmwares.editor");
var incidencias_manager_1 = require("./catalogs/incidencias.manager");
var incidencias_editor_1 = require("./catalogs/incidencias.editor");
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var sucursales_manager_1 = require("./catalogs/sucursales.manager");
var sucursales_editor_1 = require("./catalogs/sucursales.editor");
var periodicidad_pago_manager_1 = require("./catalogs/periodicidad-pago.manager");
var periodicidad_pago_editor_1 = require("./catalogs/periodicidad-pago.editor");
var parametros_editor_component_1 = require("./catalogs/parts/parametros-editor.component");
var tipos_nominas_manager_1 = require("./catalogs/tipos-nominas.manager");
var tipos_nominas_editor_1 = require("./catalogs/tipos-nominas.editor");
var documentos_tipos_manager_1 = require("./catalogs/documentos-tipos.manager");
var documentos_tipos_editor_1 = require("./catalogs/documentos-tipos.editor");
var motivos_manager_1 = require("./catalogs/motivos.manager");
var motivos_editor_1 = require("./catalogs/motivos.editor");
var conceptos_fichas_manager_1 = require("./catalogs/conceptos-fichas.manager");
var conceptos_fichas_editor_1 = require("./catalogs/conceptos-fichas.editor");
var tipos_descuentos_editor_1 = require("./catalogs/tipos-descuentos.editor");
var tipos_descuentos_manager_1 = require("./catalogs/tipos-descuentos.manager");
var tipos_incidencias_editor_1 = require("./catalogs/tipos-incidencias.editor");
var tipos_incidencias_manager_1 = require("./catalogs/tipos-incidencias.manager");
var tipos_eventos_editor_1 = require("./catalogs/tipos-eventos.editor");
var tipos_eventos_manager_1 = require("./catalogs/tipos-eventos.manager");
var lockers_editor_1 = require("./catalogs/lockers.editor");
var lockers_manager_1 = require("./catalogs/lockers.manager");
//////////////////////////// Componentes /////////////////////////////
var empleado_selector_component_1 = require("./components/empleado-selector.component");
var adam_nomina_component_1 = require("./components/adam-nomina.component");
var turno_selector_component_1 = require("./components/turno-selector.component");
var empresa_adam_selector_component_1 = require("./components/empresa-adam-selector.component");
var tipos_per_ded_selector_component_1 = require("./components/tipos-per-ded-selector.component");
var compania_selector_component_1 = require("./components/compania-selector.component");
var departamento_selector_component_1 = require("./components/departamento-selector.component");
var puesto_selector_component_1 = require("./components/puesto-selector.component");
var plaza_selector_component_1 = require("./components/plaza-selector.component");
var horario_selector_component_1 = require("./components/horario-selector.component");
var periodicidad_selector_component_1 = require("./components/periodicidad-selector.component");
var clase_nomina_selector_component_1 = require("./components/clase-nomina-selector.component");
var tipo_nomina_selector_component_1 = require("./components/tipo-nomina-selector.component");
var checador_selector_component_1 = require("./components/checador-selector.component");
var incidencia_selector_component_1 = require("./components/incidencia-selector.component");
var documento_tipo_selector_component_1 = require("./components/documento-tipo-selector.component");
var conceptos_fichas_selector_component_1 = require("./components/conceptos-fichas-selector.component");
var tipo_descuento_selector_component_1 = require("./components/tipo-descuento-selector.component");
var ficha_component_1 = require("./components/ficha.component");
var tipo_incidencia_selector_component_1 = require("./components/tipo-incidencia-selector.component");
var tipo_evento_selector_component_1 = require("./components/tipo-evento-selector.component");
///////////////////////////// Controls /////////////////////////////////
var tipos_per_ded_list_component_1 = require("./controls/tipos-per-ded-list.component");
var incidencia_list_component_1 = require("./controls/incidencia-list.component");
var empleado_list_component_1 = require("./controls/empleado-list.component");
var conceptos_list_component_1 = require("./controls/conceptos-list.component");
var documentos_tipo_list_component_1 = require("./controls/documentos-tipo-list.component");
var turno_list_component_1 = require("./controls/turno-list.component");
var horario_list_component_1 = require("./controls/horario-list.component");
var checadores_list_component_1 = require("./controls/checadores-list.component");
///////////////////////////// Document /////////////////////////////////
var recibos_nominas_detail_editor_1 = require("./documents/parts/recibos-nominas-detail.editor");
var recibos_nominas_editor_1 = require("./documents/recibos-nominas.editor");
var recibos_nominas_manager_1 = require("./documents/recibos-nominas.manager");
var nominas_detail_editor_1 = require("./documents/parts/nominas-detail.editor");
var nominas_editor_1 = require("./documents/nominas.editor");
var nominas_manager_1 = require("./documents/nominas.manager");
var solicitudes_vacacionales_detail_editor_1 = require("./documents/parts/solicitudes-vacacionales-detail.editor");
var solicitudes_vacacionales_editor_1 = require("./documents/solicitudes-vacacionales.editor");
var solicitudes_vacacionales_manager_1 = require("./documents/solicitudes-vacacionales.manager");
var fichas_tit_editor_1 = require("./documents/fichas-tit.editor");
var fichas_tit_manager_1 = require("./documents/fichas-tit.manager");
var parts_1 = require("./documents/parts");
//////////////////////////// Parts /////////////////////////////////////
var documento_empleado_component_1 = require("./parts/documento-empleado.component");
//////////////////////////// Mnatenimientos ///////////////////////////
var recibos_adam_maintenance_1 = require("./maintenances/recibos-adam.maintenance");
var autorizacion_finiquito_maintenance_1 = require("./maintenances/autorizacion-finiquito.maintenance");
var evaluacion_kardex_maintenance_1 = require("./maintenances/evaluacion-kardex.maintenance");
var autorizacion_finiquito_editor_1 = require("./maintenances/parts/autorizacion-finiquito.editor");
var evaluacion_kardex_editor_1 = require("./maintenances/parts/evaluacion-kardex.editor");
var evaluacion_kardex_det_1 = require("./maintenances/parts/evaluacion-kardex-det");
var incidencias_empleado_maintenance_1 = require("./maintenances/incidencias-empleado.maintenance");
var incidencias_empleado_editor_1 = require("./maintenances/parts/incidencias-empleado.editor");
var checador_usuario_maintenance_1 = require("./maintenances/checador-usuario.maintenance");
var kardex_empleado_maintenance_1 = require("./maintenances/kardex-empleado.maintenance");
var periodo_trabajo_empleado_maintenance_1 = require("./maintenances/periodo-trabajo-empleado.maintenance");
var checada_empleado_maintenance_1 = require("./maintenances/checada-empleado.maintenance");
var eventos_usuario_maintenance_1 = require("./maintenances/eventos-usuario.maintenance");
var eventos_usuario_editor_1 = require("./maintenances/parts/eventos-usuario.editor");
var rangos_vacacionales_maintenance_1 = require("./maintenances/rangos-vacacionales.maintenance");
var interfaz_adam_maintenance_1 = require("./maintenances/interfaz-adam.maintenance");
var interfaz_adam_editor_1 = require("./maintenances/parts/interfaz-adam.editor");
var interfaz_adam_det_1 = require("./maintenances/parts/interfaz-adam-det");
var planchar_checadas_maintenance_1 = require("./maintenances/planchar-checadas.maintenance");
var departamentos_accesos_maintenance_1 = require("./maintenances/departamentos-accesos.maintenance");
var exportar_huellas_checadores_maintenance_1 = require("./maintenances/exportar-huellas-checadores.maintenance");
//////////////////////////// Reports /////////////////////////////////
var tarjeta_asistencia_report_component_1 = require("./reports/tarjeta-asistencia-report.component");
var transacciones_report_component_1 = require("./reports/transacciones-report.component");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [empresasadam_manager_1.EmpresasAdamManager, empresasadam_editor_1.EmpresasAdamEditor, empleados_manager_1.EmpleadosManager, empleados_editor_1.EmpleadosEditor, cedulasfiniquitos_manager_1.CedulasFiniquitosManager, cedulasfiniquitos_editor_1.CedulasFiniquitosEditor, empleado_selector_component_1.EmpleadoSelectorComponent, adam_nomina_component_1.AdamNominaComponent, polizas_nomina_1.PolizasNomina, recibos_adam_maintenance_1.ReciboAdamMaintenance, turnos_manager_1.TurnosManager, turnos_editor_1.TurnosEditor,
    turno_selector_component_1.TurnoSelectorComponent, departamentos_manager_1.DepartamentosManager, empresa_adam_selector_component_1.EmpresaAdamSelectorComponent, tipos_per_ded_manager_1.TiposPerDedManager, tipos_per_ded_editor_1.TiposPerDedEditor, companias_manager_1.CompaniasManager, companias_editor_1.CompaniasEditor, tipos_per_ded_selector_component_1.TiposPerDedSelectorComponent, compania_selector_component_1.CompaniaSelectorComponent, conceptos_adam_manager_1.ConceptosAdamManager, conceptos_adam_editor_1.ConceptosAdamEditor, puestos_manager_1.PuestosManager,
    departamento_selector_component_1.DepartamentoSelectorComponent, dispositivos_nixtla_editor_1.DispositivosNixtlaEditor, dispositivos_nixtla_manager_1.DispositivosNixtlaManager, puesto_selector_component_1.PuestoSelectorComponent, plazas_editor_1.PlazasEditor, plazas_manager_1.PlazasManager, plaza_selector_component_1.PlazaSelectorComponent, autorizacion_finiquito_maintenance_1.AutorizacionFiniquitoMaintenance, autorizacion_finiquito_editor_1.AutorizacionFiniquitoEditor,
    horarios_manager_1.HorariosManager, horarios_editor_1.HorariosEditor, checadores_manager_1.ChecadoresManager, checadores_editor_1.ChecadoresEditor, horario_selector_component_1.HorarioSelectorComponent, recibos_nominas_editor_1.RecibosNominasEditor, recibos_nominas_detail_editor_1.ReciboNominaDetailEditor, recibos_nominas_manager_1.RecibosNominasManager, tipos_per_ded_list_component_1.TiposPerDedListComponent,
    clases_nominas_manager_1.ClasesNominasManager, clases_nominas_editor_1.ClasesNominasEditor, nominas_detail_editor_1.NominaDetailEditor, nominas_editor_1.NominasEditor, nominas_manager_1.NominasManager, periodicidad_selector_component_1.PeriodicidadPagoSelectorComponent, clase_nomina_selector_component_1.ClaseNominaSelectorComponent, tipo_nomina_selector_component_1.TipoNominaSelectorComponent, horario_list_component_1.HorarioListComponent, firmwares_manager_1.FirmwaresManager, firmwares_editor_1.FirmwaresEditor,
    incidencias_manager_1.IncidenciasManager, incidencias_editor_1.IncidenciasEditor, incidencia_list_component_1.IncidenciaListComponent, evaluacion_kardex_maintenance_1.EvaluacionKardexMaintenance, checador_selector_component_1.ChecadorSelectorComponent, evaluacion_kardex_editor_1.EvaluacionKardexEditorComponent, incidencias_empleado_maintenance_1.IncidenciaEmpleadoMaintenance, incidencia_selector_component_1.IncidenciaSelectorComponent, incidencias_empleado_editor_1.IncidenciaEmpleadoEditorComponent,
    empleado_list_component_1.EmpleadoListComponent, checador_usuario_maintenance_1.ChecadorUsuarioMaintenance, tarjeta_asistencia_report_component_1.TarjetaAsistenciaReportComponent, transacciones_report_component_1.TransaccionesReportComponent, empresas_manager_1.EmpresasManager, empresas_editor_1.EmpresasEditor,
    parametros_editor_component_1.ParametrosEditorComponent, periodicidad_pago_editor_1.PeriodicidadPagoEditor, periodicidad_pago_manager_1.PeriodicidadPagoManager, tipos_nominas_manager_1.TiposNominasManager, tipos_nominas_editor_1.TiposNominasEditor, conceptos_list_component_1.ConceptosListComponent, documento_tipo_selector_component_1.DocumentoTipoSelectorComponent, documentos_tipo_list_component_1.DocumentoTipoListComponent, documentos_tipos_manager_1.DocumentosTiposManager, documentos_tipos_editor_1.DocumentosTiposEditor,
    kardex_empleado_maintenance_1.KardexEmpleadoMaintenance, periodo_trabajo_empleado_maintenance_1.PeriodoTrabajoEmpleadoMaintenance, documento_empleado_component_1.DocumentoEmpleadoComponent, turno_list_component_1.TurnoListComponent, horario_list_component_1.HorarioListComponent, motivos_editor_1.MotivosEditor, motivos_manager_1.MotivosManager, checada_empleado_maintenance_1.ChecadaEmpleadoMaintenance,
    checadores_list_component_1.ChecadorListComponent, solicitudes_vacacionales_manager_1.SolicitudesVacacionalesManager, solicitudes_vacacionales_editor_1.SolicitudesVacacionalesEditor, solicitudes_vacacionales_detail_editor_1.SolicitudVacacionalDetailEditor, conceptos_fichas_manager_1.ConceptosFichasManager, conceptos_fichas_editor_1.ConceptosFichasEditor, tipos_descuentos_editor_1.TiposDescuentosEditor, tipos_descuentos_manager_1.TiposDescuentosManager,
    fichas_tit_manager_1.FichasTitManager, fichas_tit_editor_1.FichasTitEditor, parts_1.FichasTitDetailEditor, conceptos_fichas_selector_component_1.ConceptoFichasSelector, tipo_descuento_selector_component_1.TipoDescuentoSelector, ficha_component_1.FichaComponent, evaluacion_kardex_det_1.EvaluacionKardexDet, eventos_usuario_maintenance_1.EventosUsuarioMaintenance, eventos_usuario_editor_1.EventosUsuarioEditor,
    tipos_incidencias_editor_1.TiposIncidenciasEditor, tipos_incidencias_manager_1.TiposIncidenciasManager, tipos_eventos_manager_1.TiposEventosManager, tipos_eventos_editor_1.TiposEventosEditor, tipo_incidencia_selector_component_1.TipoIncidenciaSelector, tipo_evento_selector_component_1.TipoEventoSelector, rangos_vacacionales_maintenance_1.RangosVacacionalesMaintenance, sucursales_manager_1.SucursalesManager, sucursales_editor_1.SucursalesEditor,
    interfaz_adam_maintenance_1.InterfazAdamMaintenance, interfaz_adam_editor_1.InterfazAdamEditor, interfaz_adam_det_1.InterfazAdamDetail, administrador_checadores_manager_1.AdminChecadoresManager, administrador_checadores_editor_1.AdminChecadoresEditor, planchar_checadas_maintenance_1.PlancharChecadasMaintenance,
    departamentos_accesos_maintenance_1.DepartamentosAccesosMaintenance, exportar_huellas_checadores_maintenance_1.ExportarHuellasChecadoresMaintenance, lockers_editor_1.LockersEditor, lockers_manager_1.LockersManager
];
var SERVICIOS = [empresaadam_service_1.EmpresaAdamService, empleado_service_1.EmpleadoService, cedulafiniquito_service_1.CedulaFiniquitoService, polizas_nomina_service_1.PolizasNominaService, recibo_adam_service_1.ReciboAdamService, turno_service_1.TurnoService, departamento_service_1.DepartamentoService, puesto_service_1.PuestoService, compania_service_1.CompaniaService, tipo_per_ded_service_1.TipoPerDedService, concepto_adam_service_1.ConceptoAdamService, dispositivo_nixtla_service_1.DispositivoNixtlaService,
    programacion_recibo_adam_service_1.ProgramacionReciboAdamService, plaza_service_1.PlazaService, finiquito_autorizacion_service_1.FiniquitoAutorizacionService, horario_service_1.HorarioService, checador_service_1.ChecadorService, recibo_nomina_service_1.ReciboNominaService, clase_nomina_service_1.ClaseNominaService, nomina_service_1.NominaService, periodicidad_pago_service_1.PeriodicidadPagoService, tipo_nomina_service_1.TipoNominaService, firmware_service_1.FirmwareService,
    incidencia_service_1.IncidenciaService, evaluacion_kardex_service_1.EvaluacionKardexService, kardex_asistencia_service_1.KardexAsistenciaService, empresa_service_1.EmpresaService, documento_tipo_service_1.DocumentoTipoService, periodo_trabajo_service_1.PeriodoTrabajoService, motivo_service_1.MotivoService, solicitud_vacacional_service_1.SolicitudVacacionalService, periodo_vacacional_service_1.PeriodoVacacionalService,
    conceptos_fichas_service_1.ConceptosFichasService, tipos_descuentos_service_1.TiposDescuentosService, fichas_tit_service_1.FichasTitService, tipo_incidencia_service_1.TipoIncidenciaService, tipo_evento_service_1.TipoEventoService, sucursal_service_1.SucursalService, interfaz_adam_service_1.InterfazAdamService, locker_service_1.LockerService
];
var RhModule = /** @class */ (function () {
    function RhModule() {
    }
    RhModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule,
                wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, rh_routing_module_1.RhRoutingModule, accounting_module_1.AccountingModule, treasury_module_1.TreasuryModule, purchasing_module_1.PurchasingModule, wijmo_angular2_grid_detail_1.WjGridDetailModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], RhModule);
    return RhModule;
}());
exports.RhModule = RhModule;
