"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
//////////////////////////// Guards //////////////////////////////////
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
//////////////////////////// Catalogos ////////////////////////////////
var empresasadam_manager_1 = require("./catalogs/empresasadam.manager");
var empresasadam_editor_1 = require("./catalogs/empresasadam.editor");
var empleados_manager_1 = require("./catalogs/empleados.manager");
var empleados_editor_1 = require("./catalogs/empleados.editor");
var cedulasfiniquitos_manager_1 = require("./catalogs/cedulasfiniquitos.manager");
var cedulasfiniquitos_editor_1 = require("./catalogs/cedulasfiniquitos.editor");
var turnos_manager_1 = require("./catalogs/turnos.manager");
var turnos_editor_1 = require("./catalogs/turnos.editor");
var departamentos_manager_1 = require("./catalogs/departamentos.manager");
var companias_manager_1 = require("./catalogs/companias.manager");
var companias_editor_1 = require("./catalogs/companias.editor");
var tipos_per_ded_manager_1 = require("./catalogs/tipos-per-ded.manager");
var tipos_per_ded_editor_1 = require("./catalogs/tipos-per-ded.editor");
var puestos_manager_1 = require("./catalogs/puestos.manager");
var dispositivos_nixtla_manager_1 = require("./catalogs/dispositivos-nixtla.manager");
var dispositivos_nixtla_editor_1 = require("./catalogs/dispositivos-nixtla.editor");
var conceptos_adam_manager_1 = require("./catalogs/conceptos-adam.manager");
var conceptos_adam_editor_1 = require("./catalogs/conceptos-adam.editor");
var plazas_manager_1 = require("./catalogs/plazas.manager");
var plazas_editor_1 = require("./catalogs/plazas.editor");
var horarios_manager_1 = require("./catalogs/horarios.manager");
var horarios_editor_1 = require("./catalogs/horarios.editor");
var checadores_manager_1 = require("./catalogs/checadores.manager");
var checadores_editor_1 = require("./catalogs/checadores.editor");
var clases_nominas_manager_1 = require("./catalogs/clases-nominas.manager");
var clases_nominas_editor_1 = require("./catalogs/clases-nominas.editor");
var firmwares_manager_1 = require("./catalogs/firmwares.manager");
var firmwares_editor_1 = require("./catalogs/firmwares.editor");
var incidencias_manager_1 = require("./catalogs/incidencias.manager");
var incidencias_editor_1 = require("./catalogs/incidencias.editor");
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var periodicidad_pago_manager_1 = require("./catalogs/periodicidad-pago.manager");
var periodicidad_pago_editor_1 = require("./catalogs/periodicidad-pago.editor");
var tipos_nominas_manager_1 = require("./catalogs/tipos-nominas.manager");
var tipos_nominas_editor_1 = require("./catalogs/tipos-nominas.editor");
var documentos_tipos_manager_1 = require("./catalogs/documentos-tipos.manager");
var documentos_tipos_editor_1 = require("./catalogs/documentos-tipos.editor");
var motivos_manager_1 = require("./catalogs/motivos.manager");
var motivos_editor_1 = require("./catalogs/motivos.editor");
var tipos_incidencias_editor_1 = require("./catalogs/tipos-incidencias.editor");
var tipos_incidencias_manager_1 = require("./catalogs/tipos-incidencias.manager");
var tipos_eventos_editor_1 = require("./catalogs/tipos-eventos.editor");
var tipos_eventos_manager_1 = require("./catalogs/tipos-eventos.manager");
var sucursales_manager_1 = require("./catalogs/sucursales.manager");
var sucursales_editor_1 = require("./catalogs/sucursales.editor");
var administrador_checadores_manager_1 = require("./catalogs/administrador-checadores.manager");
var administrador_checadores_editor_1 = require("./catalogs/administrador-checadores.editor");
var lockers_manager_1 = require("./catalogs/lockers.manager");
///////////////////////////// Interfases /////////////////////////////////
var polizas_nomina_1 = require("./interfases/polizas-nomina");
///////////////////////////// Document /////////////////////////////////
var recibos_nominas_editor_1 = require("./documents/recibos-nominas.editor");
var recibos_nominas_manager_1 = require("./documents/recibos-nominas.manager");
var nominas_editor_1 = require("./documents/nominas.editor");
var nominas_manager_1 = require("./documents/nominas.manager");
var solicitudes_vacacionales_editor_1 = require("./documents/solicitudes-vacacionales.editor");
var solicitudes_vacacionales_manager_1 = require("./documents/solicitudes-vacacionales.manager");
///////////////////////////// Rutas /////////////////////////////////
///////////////////////////// Mantenimientos /////////////////////////////////
var recibos_adam_maintenance_1 = require("./maintenances/recibos-adam.maintenance");
var autorizacion_finiquito_maintenance_1 = require("./maintenances/autorizacion-finiquito.maintenance");
var evaluacion_kardex_maintenance_1 = require("./maintenances/evaluacion-kardex.maintenance");
var autorizacion_finiquito_editor_1 = require("./maintenances/parts/autorizacion-finiquito.editor");
var evaluacion_kardex_editor_1 = require("./maintenances/parts/evaluacion-kardex.editor");
var incidencias_empleado_maintenance_1 = require("./maintenances/incidencias-empleado.maintenance");
var incidencias_empleado_editor_1 = require("./maintenances/parts/incidencias-empleado.editor");
var checador_usuario_maintenance_1 = require("./maintenances/checador-usuario.maintenance");
var kardex_empleado_maintenance_1 = require("./maintenances/kardex-empleado.maintenance");
var periodo_trabajo_empleado_maintenance_1 = require("./maintenances/periodo-trabajo-empleado.maintenance");
var checada_empleado_maintenance_1 = require("./maintenances/checada-empleado.maintenance");
var evaluacion_kardex_det_1 = require("./maintenances/parts/evaluacion-kardex-det");
var eventos_usuario_maintenance_1 = require("./maintenances/eventos-usuario.maintenance");
var eventos_usuario_editor_1 = require("./maintenances/parts/eventos-usuario.editor");
var rangos_vacacionales_maintenance_1 = require("./maintenances/rangos-vacacionales.maintenance");
var interfaz_adam_maintenance_1 = require("./maintenances/interfaz-adam.maintenance");
var interfaz_adam_editor_1 = require("./maintenances/parts/interfaz-adam.editor");
var interfaz_adam_det_1 = require("./maintenances/parts/interfaz-adam-det");
var planchar_checadas_maintenance_1 = require("./maintenances/planchar-checadas.maintenance");
var departamentos_accesos_maintenance_1 = require("./maintenances/departamentos-accesos.maintenance");
var exportar_huellas_checadores_maintenance_1 = require("./maintenances/exportar-huellas-checadores.maintenance");
//////////////////////////// Parts /////////////////////////////////
var documento_empleado_component_1 = require("./parts/documento-empleado.component");
//////////////////////////// Reports /////////////////////////////////
var tarjeta_asistencia_report_component_1 = require("./reports/tarjeta-asistencia-report.component");
var transacciones_report_component_1 = require("./reports/transacciones-report.component");
var conceptos_fichas_manager_1 = require("./catalogs/conceptos-fichas.manager");
var conceptos_fichas_editor_1 = require("./catalogs/conceptos-fichas.editor");
var tipos_descuentos_manager_1 = require("./catalogs/tipos-descuentos.manager");
var tipos_descuentos_editor_1 = require("./catalogs/tipos-descuentos.editor");
var documents_1 = require("./documents");
var routes = [
    {
        path: '',
        canActivateChild: [core_2.AuthGuard],
        children: [
            { path: 'empresa-adam/:proceso', component: empresasadam_manager_1.EmpresasAdamManager },
            { path: 'empresa-adam/:proceso/:id', component: empresasadam_editor_1.EmpresasAdamEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'empleados/:proceso', component: empleados_manager_1.EmpleadosManager },
            { path: 'empleados/:proceso/:id', component: empleados_editor_1.EmpleadosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'cedulas-finiquitos/:proceso', component: cedulasfiniquitos_manager_1.CedulasFiniquitosManager },
            { path: 'cedulas-finiquitos/:proceso/:id', component: cedulasfiniquitos_editor_1.CedulasFiniquitosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'polizas-nomina/:proceso', component: polizas_nomina_1.PolizasNomina, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'turnos/:proceso', component: turnos_manager_1.TurnosManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'turnos/:proceso/:id', component: turnos_editor_1.TurnosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'departamentos/:proceso', component: departamentos_manager_1.DepartamentosManager },
            { path: 'companias/:proceso', component: companias_manager_1.CompaniasManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'companias/:proceso/:id', component: companias_editor_1.CompaniasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-per-ded/:proceso', component: tipos_per_ded_manager_1.TiposPerDedManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-per-ded/:proceso/:id', component: tipos_per_ded_editor_1.TiposPerDedEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'departamentos/:proceso', component: departamentos_manager_1.DepartamentosManager },
            { path: 'puestos/:proceso', component: puestos_manager_1.PuestosManager },
            { path: 'conceptos-adam/:proceso', component: conceptos_adam_manager_1.ConceptosAdamManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'conceptos-adam/:proceso/:id', component: conceptos_adam_editor_1.ConceptosAdamEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'dispositivos-nixtla/:proceso', component: dispositivos_nixtla_manager_1.DispositivosNixtlaManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'dispositivos-nixtla/:proceso/:id', component: dispositivos_nixtla_editor_1.DispositivosNixtlaEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'plazas/:proceso', component: plazas_manager_1.PlazasManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'plazas/:proceso/:id', component: plazas_editor_1.PlazasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'finiquito-autorizacion/autorizacion/:proceso/:id', component: autorizacion_finiquito_editor_1.AutorizacionFiniquitoEditor },
            { path: 'checadores/:proceso', component: checadores_manager_1.ChecadoresManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'checadores/:proceso/:id', component: checadores_editor_1.ChecadoresEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'horarios/:proceso', component: horarios_manager_1.HorariosManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'horarios/:proceso/:id', component: horarios_editor_1.HorariosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'recibos-nomina/:proceso', component: recibos_nominas_manager_1.RecibosNominasManager },
            { path: 'recibos-nomina/:proceso/:id', component: recibos_nominas_editor_1.RecibosNominasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'clases-nomina/:proceso', component: clases_nominas_manager_1.ClasesNominasManager },
            { path: 'clases-nomina/:proceso/:id', component: clases_nominas_editor_1.ClasesNominasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'firmwares/:proceso', component: firmwares_manager_1.FirmwaresManager },
            { path: 'firmwares/:proceso/:id', component: firmwares_editor_1.FirmwaresEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'incidencias/:proceso', component: incidencias_manager_1.IncidenciasManager },
            { path: 'incidencias/:proceso/:id', component: incidencias_editor_1.IncidenciasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'empresas-rh/:proceso', component: empresas_manager_1.EmpresasManager },
            { path: 'empresas-rh/:proceso/:id', component: empresas_editor_1.EmpresasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'sucursales-rh/:proceso', component: sucursales_manager_1.SucursalesManager },
            { path: 'sucursales-rh/:proceso/:idEmpresa/:id', component: sucursales_editor_1.SucursalesEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'periodicidad-pago/:proceso', component: periodicidad_pago_manager_1.PeriodicidadPagoManager },
            { path: 'periodicidad-pago/:proceso/:id', component: periodicidad_pago_editor_1.PeriodicidadPagoEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-nomina/:proceso', component: tipos_nominas_manager_1.TiposNominasManager },
            { path: 'tipos-nomina/:proceso/:id', component: tipos_nominas_editor_1.TiposNominasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'documentos-tipo/:proceso', component: documentos_tipos_manager_1.DocumentosTiposManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'documentos-tipo/:proceso/:id', component: documentos_tipos_editor_1.DocumentosTiposEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'motivos/:proceso', component: motivos_manager_1.MotivosManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'motivos/:proceso/:id', component: motivos_editor_1.MotivosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'conceptos-fichas/:proceso', component: conceptos_fichas_manager_1.ConceptosFichasManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'conceptos-fichas/:proceso/:id', component: conceptos_fichas_editor_1.ConceptosFichasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-descuentos/:proceso', component: tipos_descuentos_manager_1.TiposDescuentosManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-descuentos/:proceso/:id', component: tipos_descuentos_editor_1.TiposDescuentosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'fichas/:proceso', component: documents_1.FichasTitManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'fichas/:proceso/:id', component: documents_1.FichasTitEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-incidencias/:proceso', component: tipos_incidencias_manager_1.TiposIncidenciasManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-incidencias/:proceso/:id', component: tipos_incidencias_editor_1.TiposIncidenciasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-eventos/:proceso', component: tipos_eventos_manager_1.TiposEventosManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'tipos-eventos/:proceso/:id', component: tipos_eventos_editor_1.TiposEventosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'admin-checadores/:proceso', component: administrador_checadores_manager_1.AdminChecadoresManager, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'admin-checadores/:proceso/:id', component: administrador_checadores_editor_1.AdminChecadoresEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'lockerM/:proceso', component: lockers_manager_1.LockersManager },
            // Maintenance
            { path: 'recibos-adam/:proceso', component: recibos_adam_maintenance_1.ReciboAdamMaintenance, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'finiquito-autorizacion/:proceso', component: autorizacion_finiquito_maintenance_1.AutorizacionFiniquitoMaintenance },
            { path: 'evaluacion-kardex/:proceso', component: evaluacion_kardex_maintenance_1.EvaluacionKardexMaintenance },
            { path: 'evaluacion-kardex/:proceso/new', component: evaluacion_kardex_editor_1.EvaluacionKardexEditorComponent },
            { path: 'evaluacion-kardex/:proceso/:id', component: evaluacion_kardex_det_1.EvaluacionKardexDet },
            { path: 'incidencias-empleado/:proceso', component: incidencias_empleado_maintenance_1.IncidenciaEmpleadoMaintenance },
            { path: 'incidencias-empleado/:proceso/:id', component: incidencias_empleado_editor_1.IncidenciaEmpleadoEditorComponent },
            { path: 'checador-usuarios/:proceso/:id', component: checador_usuario_maintenance_1.ChecadorUsuarioMaintenance },
            { path: 'kardex-empleado/:proceso', component: kardex_empleado_maintenance_1.KardexEmpleadoMaintenance },
            { path: 'periodo-trabajo-empleado/:proceso', component: periodo_trabajo_empleado_maintenance_1.PeriodoTrabajoEmpleadoMaintenance },
            { path: 'checada-empleado/:proceso', component: checada_empleado_maintenance_1.ChecadaEmpleadoMaintenance },
            { path: 'eventos-usuario/:proceso', component: eventos_usuario_maintenance_1.EventosUsuarioMaintenance },
            { path: 'eventos-usuario/eventos/:proceso/:id', component: eventos_usuario_editor_1.EventosUsuarioEditor },
            { path: 'rangos-vacacionales/:proceso/:idClaseNomina', component: rangos_vacacionales_maintenance_1.RangosVacacionalesMaintenance },
            { path: 'interfaz-adam/:proceso', component: interfaz_adam_maintenance_1.InterfazAdamMaintenance },
            { path: 'interfaz-adam/:proceso/new', component: interfaz_adam_editor_1.InterfazAdamEditor },
            { path: 'interfaz-adam/:proceso/:id', component: interfaz_adam_det_1.InterfazAdamDetail },
            { path: 'planchar-checadas/:proceso', component: planchar_checadas_maintenance_1.PlancharChecadasMaintenance },
            { path: 'departamentos-accesos/:proceso', component: departamentos_accesos_maintenance_1.DepartamentosAccesosMaintenance },
            { path: 'exportar-huellas/:proceso', component: exportar_huellas_checadores_maintenance_1.ExportarHuellasChecadoresMaintenance },
            // Reports
            { path: 'tarjeta-asistencias/:proceso', component: tarjeta_asistencia_report_component_1.TarjetaAsistenciaReportComponent },
            { path: 'transacciones/:proceso', component: transacciones_report_component_1.TransaccionesReportComponent },
            // Parts
            { path: 'documento-empleado/:proceso/:id', component: documento_empleado_component_1.DocumentoEmpleadoComponent },
            //
            { path: 'nominas/:proceso', component: nominas_manager_1.NominasManager },
            { path: 'nominas/:proceso/:id', component: nominas_editor_1.NominasEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
            { path: 'solicitudes-vacacionales/:proceso', component: solicitudes_vacacionales_manager_1.SolicitudesVacacionalesManager },
            { path: 'solicitudes-vacacionales/:proceso/:id', component: solicitudes_vacacionales_editor_1.SolicitudesVacacionalesEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
        ]
    },
];
var RhRoutingModule = /** @class */ (function () {
    function RhRoutingModule() {
    }
    RhRoutingModule = __decorate([
        core_1.NgModule({
            imports: [
                router_1.RouterModule.forChild(routes)
            ],
            exports: [
                router_1.RouterModule
            ]
        })
    ], RhRoutingModule);
    return RhRoutingModule;
}());
exports.RhRoutingModule = RhRoutingModule;
