import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { AdamNominaInfo } from '../models/adamnomina';
export declare class AdamService extends BaseService {
    constructor(http: HttpClient, context: Context);
    create(): Promise<AdamNominaInfo>;
    loadCompaniasAdam(idEmpresaAdam: number): Promise<any>;
    loadClaseNomina(idEmpresaAdam: number): Promise<any>;
    loadTipoNomina(idEmpresaAdam: number, claseNomina: string): Promise<any>;
    loadAnio(idEmpresaAdam: number, compania: string, tipoNomina: string): Promise<any>;
    loadPeriodo(idEmpresaAdam: number, compania: string, tipoNomina: string, anio: number): Promise<any>;
}
