import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService, CatalogItem } from 'framework3/core';
import { DocumentoTipoInfo } from '../models/documento-tipo';
export declare class DocumentoTipoService extends CatalogService<DocumentoTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<DocumentoTipoInfo>;
    searchKeyword2(proceso: string, idBranch: number, keyword: string): Observable<CatalogItem[]>;
}
