import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { EvaluacionKardexInfo } from '../models/evaluacion-kardex';
export declare class EvaluacionKardexService extends BaseService {
    constructor(http: HttpClient, context: Context);
    getDetail(identity: number): Promise<EvaluacionKardexInfo>;
    search(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    update(info: EvaluacionKardexInfo): Promise<EvaluacionKardexInfo>;
}
