import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { FiniquitoAutorizacionInfo } from '../models/finiquito-autorizacion';
export declare class FiniquitoAutorizacionService extends BaseService {
    constructor(http: HttpClient, context: Context);
    searchFiniquitAutorizacion(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    getDetail(idFiniquitoAutorizacion: number): Promise<FiniquitoAutorizacionInfo>;
    update(finiquitoAutorizacion: FiniquitoAutorizacionInfo): Promise<boolean>;
    delete(idFiniquitoAutorizacion: number): Promise<boolean>;
    loadClasesNominas(): Promise<any>;
    loadPersonasAutorizan(): Promise<any>;
}
