import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { FirmwareInfo, FirmwareItem } from '../models/firmware';
export declare class FirmwareService extends CatalogService<FirmwareInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<FirmwareInfo>;
    loadCbo(idBranch: number): Promise<FirmwareItem[]>;
}
