import { BaseService, Context } from "framework3/core";
import { HttpClient } from "@angular/common/http";
import { SearchRequest, SearchResult } from "framework3/search";
import { InterfazAdamInfo } from "../models/interfaz-adam";
export declare class InterfazAdamService extends BaseService {
    constructor(http: HttpClient, context: Context);
    search(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    getEmpleadosInterfaz(fechaIni: Date, fechaFin: Date, idDepartamento: number, idEmpresaAdam: number, idSucursal: number, idEmpresa: number): Promise<any>;
    update(info: InterfazAdamInfo): Promise<InterfazAdamInfo>;
    getDetail(idInterfazAdam: number): Promise<InterfazAdamInfo>;
}
