"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
var llaveService = /** @class */ (function (_super) {
    __extends(llaveService, _super);
    function llaveService(http, context) {
        return _super.call(this, http, context, "api/rh/llave-manager") || this;
    }
    //Consulta todas los registros de llaves.
    llaveService.prototype.searchLlaves = function (idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idBranch', idBranch.toString());
        return this.apiService.post('search-llaves', params, request)
            .toPromise();
    };
    //Registra nuevos registros de llaves.
    llaveService.prototype.postLocker = function (codigo, cantLlaves) {
        var params = new http_1.HttpParams()
            .append("codigo", codigo)
            .append("Estatus", cantLlaves.toString());
        return this.apiService.post("post-llave", params).toPromise();
    };
    //Obtiene título de la reestructura.
    llaveService.prototype.getLlaverById = function (id) {
        var params = new http_1.HttpParams()
            .append("id", id);
        return this.apiService.get("get-llaveInfo", params)
            .toPromise();
    };
    //Actualiza la información de locker
    llaveService.prototype.putLocker = function (r) {
        var params = new http_1.HttpParams();
        return this.apiService.post("put-llave", params, r)
            .toPromise();
    };
    llaveService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], llaveService);
    return llaveService;
}(core_2.BaseService));
exports.llaveService = llaveService;
