"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
var ProgramacionReciboAdamService = /** @class */ (function (_super) {
    __extends(ProgramacionReciboAdamService, _super);
    function ProgramacionReciboAdamService(http, context) {
        var _this = _super.call(this, http, context, 'api/rh/programaciones-recibos-adam') || this;
        _this.http = http;
        _this.context = context;
        return _this;
    }
    ProgramacionReciboAdamService.prototype.search = function (idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idSucursal', idBranch.toString());
        return this.apiService.post('search', params, request).toPromise();
    };
    ProgramacionReciboAdamService.prototype.generarProgramacion = function (idSucursal, adamNomina) {
        var params = new http_1.HttpParams()
            .set("idSucursal", idSucursal.toString());
        return this.apiService.post('generar-programacion', params, adamNomina).toPromise();
    };
    ProgramacionReciboAdamService.prototype.generarComparativoPDF = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.get('generar-comparativo-recibo', params).toPromise();
    };
    ProgramacionReciboAdamService.prototype.generarDescargaComprobante = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.post('generar-descarga-comprobante', params).toPromise();
    };
    ProgramacionReciboAdamService.prototype.getJobDescargaComprobante = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.get('get-task-descarga-comprobante', params).toPromise();
    };
    ProgramacionReciboAdamService.prototype.cancelarProgramacion = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.post('cancelar-progrmacion', params, null).toPromise();
    };
    ProgramacionReciboAdamService.prototype.getReciboToDownload = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.getText('recibos-to-download', params).toPromise();
    };
    ProgramacionReciboAdamService.prototype.getReciboToDownloadPath = function (idProgramacion) {
        var params = new http_1.HttpParams()
            .set("idProgramacion", idProgramacion);
        return this.apiService.getText('recibos-to-download-path', params).toPromise();
    };
    ProgramacionReciboAdamService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], ProgramacionReciboAdamService);
    return ProgramacionReciboAdamService;
}(core_2.BaseService));
exports.ProgramacionReciboAdamService = ProgramacionReciboAdamService;
