import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { ReciboNominaInfo } from '../models/recibo-nomina';
import { ReciboNominaDetail } from '../models/recibo-nomina-detail';
export declare class ReciboNominaService extends DocumentService<ReciboNominaDetail, ReciboNominaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<ReciboNominaInfo>;
    printReciboPdf(idReciboNomina: string): Promise<any>;
    loadReciboXml(idReciboNomina: string): Promise<string>;
    enviarRecibo(idReciboNomina: string, idBranch: number): Promise<boolean>;
    getErrorTimbrado(idReciboNomina: string): Promise<string>;
}
