import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { SolicitudVacacionalInfo } from '../models/solicitud-vacacional';
import { SolicitudVacacionalDetail } from '../models/solicitud-vacacional-detail';
export declare class SolicitudVacacionalService extends DocumentService<SolicitudVacacionalDetail, SolicitudVacacionalInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<SolicitudVacacionalInfo>;
    calcularRango(idEmpleado: number, fechaIni: Date, fechaFin: Date, idSucursal: number): Promise<SolicitudVacacionalDetail[]>;
}
