import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { suspensionInfo } from '../models/suspension';
export declare class suspensionService extends BaseService {
    constructor(http: HttpClient, context: Context);
    searchSuspensiones(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    postSuspension(codigo: string, descripcion: string): Promise<boolean>;
    getSuspensionById(id: any): Promise<suspensionInfo[]>;
    putSuspension(r: suspensionInfo[]): Promise<boolean>;
}
