import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService, CatalogItem } from 'framework3/core';
import { TiposDescuentosInfo, DescuentosEmpleado } from '../models/tipo-descuento';
export declare class TiposDescuentosService extends CatalogService<TiposDescuentosInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<TiposDescuentosInfo>;
    searchKeyword2(tipo: string, idBranch: number, keyword: string): Observable<CatalogItem[]>;
    infoDescuentosEmpleadoADAM(idEmpleado: number, idBranch: number): Promise<DescuentosEmpleado[]>;
}
