import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { EstructuraComercialInfo } from '../models/estructura-comercial';
import { EstructuraComercialService } from '../services/estructura-comercial.service';
export declare class EstComSelectorComponent extends CatalogSelector {
    protected context: Context;
    private estructuraComercialService;
    estCom: any[];
    selectedItem: EstructuraComercialInfo;
    selectedItemChanged: EventEmitter<EstructuraComercialInfo>;
    constructor(context: Context, estructuraComercialService: EstructuraComercialService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findEstCom(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
