import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { MarcasInfo } from '../models/marcas';
import { MarcasService } from '../services/marcas.service';
export declare class MarcasSelectorComponent extends CatalogSelector {
    protected context: Context;
    private marcasService;
    marcas: any[];
    selectedItem: MarcasInfo;
    constructor(context: Context, marcasService: MarcasService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findMarcas(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
