import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { CatalogEditor } from 'framework3/editors';
import { ClienteService } from '../services/cliente.service';
import { ClienteInfo, PreRegistro } from '../models/cliente';
export declare class ClientesRegistrarEditor extends CatalogEditor {
    private clienteService;
    protected context: Context;
    private formBuilder;
    protected router: Router;
    protected route: ActivatedRoute;
    protected changeDetector: ChangeDetectorRef;
    editorForm: FormGroup;
    info: PreRegistro;
    pRegistro: PreRegistro;
    idCliente: number;
    cliente: ClienteInfo;
    data: PreRegistro;
    dataUpdated: EventEmitter<PreRegistro>;
    dialog: ModalDirective;
    constructor(clienteService: ClienteService, context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, changeDetector: ChangeDetectorRef);
    show(inf: PreRegistro): void;
    onSelectedItemChanged(args: any): void;
    onConsultarCliente(): void;
    onUpdate(args: PreRegistro): void;
}
