import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class UnidadNegocioInfo extends CatalogInfo {
    nombre: string;
    afectarInventario: boolean;
    afectarInvLinea: boolean;
    idArea: number;
    idAlmacen: number;
    editarAlmacen: boolean;
    factElectronica: boolean;
    serieFacturas: string;
    ultimaFactura: number;
    idCFDSerie: number;
    idSerieDevoluciones: number;
    idClienteGenerico: number;
    idClienteFacturacion: number;
    idFormatoTicketComanda: number;
    idFormatoTicketPedimento: number;
    idFormatoTicketPOS: number;
    idFormatoTicketCortePOS: number;
    idFormatoTicketUbicacionPOS: number;
    gln: string;
    enviarFacturas: boolean;
    notificarFacturas: boolean;
    notificarFoliosTerminar: boolean;
    porcentajeFolios: number;
    idListaPreciosDefault: number;
    idGrupoDescuentosDefault: number;
    idCuenta: number;
    constructor();
}
export declare class UnidadNegocioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    sucursal: string;
    region: string;
    zonaVenta: string;
    tipoPrecio: string;
    politicaDescuento: string;
    afectarInventario: boolean;
    idAlmacen: number;
    editarAlmacen: boolean;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
