import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ZonaVentaInfo, ZonaVentaItem } from '../models/zona-venta';
export declare class ZonaVentaService extends CatalogService<ZonaVentaInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ZonaVentaInfo>;
    loadList(idEmpresa: string): Promise<ZonaVentaItem[]>;
}
