import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { BeneficiarioInfo, BeneficiarioItem } from '../models/beneficiario';
import { BeneficiarioService } from '../services/beneficiario.service';
export declare class BeneficiarioSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    beneficiarios: any[];
    selectedItem: BeneficiarioInfo;
    itemSelected: EventEmitter<BeneficiarioInfo>;
    tipoBeneficiario: string;
    constructor(context: Context, service: BeneficiarioService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findGrupo(keyword: string): Observable<BeneficiarioItem[]>;
    onKeywordSearch(keyword: string): void;
}
