import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CajaInfo } from '../models/caja';
import { CajaService } from '../services/caja.service';
export declare class CajaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    cajas: any[];
    selectedItem: CajaInfo;
    itemSelected: EventEmitter<CajaInfo>;
    constructor(context: Context, service: CajaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
