import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { ConceptoInfo, ConceptoItem } from '../models/concepto';
import { ConceptoService } from '../services/concepto.service';
export declare class ServiciosSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    conceptos: ConceptoItem[];
    selectedItem: ConceptoInfo;
    selectedItemChanged: EventEmitter<ConceptoInfo>;
    constructor(context: Context, service: ConceptoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
