import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { GrupoBeneficiariosInfo } from '../models/grupo-beneficiarios';
import { GrupoBeneficiariosService } from '../services/grupo-beneficiarios.service';
export declare class GrupoBeneficiariosSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    gruposBeneficiarios: any[];
    selectedItem: GrupoBeneficiariosInfo;
    itemSelected: EventEmitter<GrupoBeneficiariosInfo>;
    constructor(context: Context, service: GrupoBeneficiariosService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
