import { Context } from 'framework3/core';
import { DocumentListDialog, SearchRequest } from 'framework3/search';
import { CuentaPorPagarService } from '../services/cuenta-por-pagar.service';
import { CuentaPorPagarItem } from '../models/cuenta-por-pagar';
export declare class CuentasPorPagarListComponent extends DocumentListDialog {
    protected context: Context;
    private service;
    ordenes: CuentaPorPagarItem[];
    idCentroRecepcion: number;
    idWorkflowStep: number;
    idBeneficiario: number;
    idDivisa: number;
    idStatus: number;
    startPeriod: number;
    constructor(context: Context, service: CuentaPorPagarService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selecteItems: CuentaPorPagarItem[]): void;
    onSelectedItemChanged(item: CuentaPorPagarItem): void;
    handleError(error: any): void;
}
