import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { CuentaPorPagarDetail } from '../../models/cuenta-por-pagar-detail';
import { ConceptoInfo } from '../../models/concepto';
import { ConceptoService } from '../../services/concepto.service';
export declare class CuentaPorPagarDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private conceptoService;
    detailCopy: CuentaPorPagarDetail;
    detail: CuentaPorPagarDetail;
    constructor(context: Context, builder: FormBuilder, conceptoService: ConceptoService);
    onCreatingItem(): void;
    onLoadingItem(detail: CuentaPorPagarDetail): void;
    onUpdatingItem(detail: CuentaPorPagarDetail): void;
    onConceptoChanged(concepto: ConceptoInfo): void;
    onCantidadChange(value: number): void;
    onCostoChange(costoUnitario: number): void;
}
