import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class BeneficiarioInfo extends CatalogInfo {
    nombre: string;
    idGrupoBeneficiario: number;
    tipoBeneficiario: string;
    idReferencia: number;
    idBanco: number;
    clabe: string;
    leyendaCheque: boolean;
    saldo: number;
    limiteCredito: number;
    diasCredito: number;
    idCuenta: number;
    constructor();
}
export declare class BeneficiarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    tipoBeneficiario: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class GrupoBeneficiarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
