import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { BeneficiarioInfo, BeneficiarioItem } from '../models/beneficiario';
export declare class BeneficiarioService extends CatalogService<BeneficiarioInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<BeneficiarioInfo>;
    searchKeywordBeneficiarios(idBranch: number, keyword: string): Observable<BeneficiarioItem[]>;
}
