import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { CajaInfo, CajaItem } from '../models/caja';
import { UsuarioItem } from 'framework3/core';
export declare class CajaService extends CatalogService<CajaInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CajaInfo>;
    loadListByUser(idSucursal: number): Promise<CajaItem[]>;
    getMembers(idCaja: number): Promise<UsuarioItem[]>;
    addMembers(idCaja: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idCaja: number, idUser: number): Promise<any>;
}
