import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ConceptoInfo } from '../models/concepto';
import { CostoInfo } from '../models/costo';
import { ImpuestoDetailInfo } from '../../accounting';
export declare class ConceptoService extends CatalogService<ConceptoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ConceptoInfo>;
    calcularCostoLibre(costoBase: number, impuestosIncluidos: boolean, impuestos: ImpuestoDetailInfo[]): CostoInfo;
    calcularCostoBase(costoNeto: number, impuestos: ImpuestoDetailInfo[]): number;
}
