import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { ContrareciboInfo } from '../models/contrarecibo';
import { ContrareciboDetail } from '../models/contrarecibo-detail';
export declare class ContrareciboService extends DocumentService<ContrareciboDetail, ContrareciboInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<ContrareciboInfo>;
}
