"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
//Locales
var operacion_tipo_1 = require("../models/operacion-tipo");
var OperacionTipoService = /** @class */ (function (_super) {
    __extends(OperacionTipoService, _super);
    function OperacionTipoService(http, context) {
        return _super.call(this, http, context, 'api/tesoreria/operaciones-tipos') || this;
    }
    OperacionTipoService.prototype.create = function () {
        return Promise.resolve(new operacion_tipo_1.OperacionTipoInfo());
    };
    //lista de tipo de operaciones
    OperacionTipoService.prototype.loadListByUser = function (idSucursal) {
        var params = new http_1.HttpParams()
            .set('idSucursal', idSucursal.toString());
        return this.apiService.get('load-list-by-user', params)
            .toPromise();
    };
    OperacionTipoService.prototype.getMembers = function (idCaja) {
        var params = new http_1.HttpParams()
            .set('idOperacionTipo', idCaja.toString());
        return this.apiService.get('members', params)
            .toPromise();
    };
    OperacionTipoService.prototype.addMembers = function (idOperacionTipo, users) {
        var params = new http_1.HttpParams()
            .set('idOperacionTipo', idOperacionTipo.toString());
        return this.apiService.post('add-members', params, users)
            .toPromise();
    };
    OperacionTipoService.prototype.removeMember = function (idOperacionTipo, idUser) {
        var params = new http_1.HttpParams()
            .set('idOperacionTipo', idOperacionTipo.toString())
            .set('idUser', idUser.toString());
        return this.apiService.delete('remove-member', params)
            .toPromise();
    };
    OperacionTipoService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], OperacionTipoService);
    return OperacionTipoService;
}(core_2.CatalogService));
exports.OperacionTipoService = OperacionTipoService;
