import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { PagoTipoInfo, PagoTipoItem } from '../models/pago-tipo';
export declare class PagoTipoService extends CatalogService<PagoTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<PagoTipoInfo>;
    loadList(idSucursal: number): Promise<PagoTipoItem[]>;
}
