﻿import { Component, Input, Output, EventEmitter } from '@angular/core';
//
import { ComprobanteFiscalInfo } from '../../models/comprobante-fiscal';

@Component({
    selector: 'accounting-comprobante-viewer',
    templateUrl: './comprobante-viewer.component.html'
})
export class ComprobanteViewerComponent {
    @Input() comprobante = new ComprobanteFiscalInfo();

    get totalTraslados(): number {
        return this.comprobante.impuestos.totalTraslados + (this.comprobante.impuestosLocales ? this.comprobante.impuestosLocales.totalTraslados : 0);
    }

    get totalRetenciones(): number {
        return this.comprobante.impuestos.totalRetenciones + (this.comprobante.impuestosLocales ? this.comprobante.impuestosLocales.totalRetenciones : 0);
    }
}