﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class CuentaBancariaInfo extends CatalogInfo {
	nombre: string;
	idBanco: number;
	cuenta: string;
	clabe: string;
	idFormato: number;
	folioCheque: number;
	folioTransferencia: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class CuentaBancariaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    cuenta: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}