﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class FormaPagoInfo extends CatalogInfo {
	nombre: string;
	bancarizado: boolean;
	requiereNumOperacion: boolean;
	rFCOrdenante: boolean;
	cuentaOrdenante: boolean;
	regExpCuentaOrdenante: string;
	rFCBeneficiario: boolean;
	cuentaBeneficiario: boolean;
	regExpCuentaBeneficiario: string;
	tipoCadenaPago: boolean;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class FormaPagoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    bancarizado: boolean;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}