﻿import { TrackableItem } from 'framework3/core';

import { ImpuestoInfo } from './impuesto';

export class ImpuestoAsignacionInfo extends TrackableItem {
    idImpuesto: number;
    impuesto: ImpuestoInfo;
    base: number;
    tasaOCuota: number;
    tipoCalculo: string;
    ordenCalculo: number;
    tipoAplicacion: string;

    constructor() {
        super();
        this.idImpuesto = 0;
        this.base = 0;
        this.impuesto = new ImpuestoInfo();
    }
}
