﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class JornadaInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
	codigoFiscal: string;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class JornadaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}