﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class PACInfo extends CatalogInfo {
	nombre: string;
	clase: string;
	ensamblado: string;
	usuario: string;
    password: string;
    urlLogin: string;
    urlTimbrado: string;
    urlCancelacion: string;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class PACItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    urlLogin: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}