﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class PlantillaComprobanteInfo extends CatalogInfo {
	nombre: string;
	plantilla: string;
	url: string;


    constructor() {
        super();
    }
}

export class PlantillaComprobanteItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}