﻿import { DocumentDetail } from 'framework3/core';

export class PolizaDetail extends DocumentDetail {	
    idCuenta: number;   
    afectador: string;   
	importe: number;
	saldoIni: number;
	saldoFin: number;
	idIndicador: number;
	idCentroCosto: number;
	idCentroBeneficio: number;
    idSegmentoNegocio: number;    
	idReferencia: string;
	fechaReferencia: Date;
	referencia: string;
	orden: string;
	notas: string;
	consecutivo: number;

    cuentaText: string    
    conceptoText: string    
    afectadorText: string;
    segmentoNegocioText: string;
    cargo: number;
    abono: number;

    constructor() {
        super();
        this.idCuenta = 0;
        this.idSegmentoNegocio = 0;
        this.importe = 0;
        this.cargo = 0;
        this.abono = 0;
        this.saldoIni=0;
        this.saldoFin = 0;

    }
}