﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';


export class PolizaPerfilInfo extends CatalogInfo {

    nombre: string;
    idPolizaTipo: number;
    idVistaContable: number;
    modalidad: string;
    variante: boolean;
    pivote: string;
    idWorkflowStep: number;
    rango: string;

    constructor() {
        super();
    }
}

export class PolizaPerfilItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    rango?: string;
    modalidad?: string;
    activo: boolean;
    polizaTipo?: string;
    estatus?: string;
    selected?: boolean = false;
}
