﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class RetencionInfo extends CatalogInfo {
	nombre: string;
	abreviatura: string;
	porcentaje: number;
	tipoRetencion: number;
	variable: boolean;
	local: boolean;


    constructor() {
        super();
    }
}

export class RetencionItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    variable: boolean;
    local: boolean;
	selected?:boolean = false;
}

export class RetencionTipoItem {
    id: number;    
    nombre: string;   
}