﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { CategoriaUnidadesMedidaInfo } from '../models/categoria-unidades-medida'

@Injectable()
export class CategoriaUnidadesMedidaService extends CatalogService<CategoriaUnidadesMedidaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/contabilidad/categorias-unidades-medida');
    }

    create(): Promise<CategoriaUnidadesMedidaInfo> {
        return Promise.resolve(new CategoriaUnidadesMedidaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<CategoriaUnidadesMedidaInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as CategoriaUnidadesMedidaInfo)
            .toPromise();
    }
	*/
}

