﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { SucursalInfo } from '../models/sucursal'

@Injectable()
export class SucursalService extends CatalogService<SucursalInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/contabilidad/sucursales");
    }

    create(): Promise<SucursalInfo> {
        return Promise.resolve(new SucursalInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<SucursalInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as SucursalInfo)
            .toPromise();
    }
	*/
}

