﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class CajaInfo extends CatalogInfo {
	nombre: string;
	idImpresora: number;
	genFactGlobal: boolean;
    idCFDSerie: number;
	idCorteActual: string;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class CajaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class CorteItem {
    idCorte: string;
    caja: string;
    idCaja: number;    
    cajero: string;
    horaApertura: string;
    horaCierre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}
