﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EmpresaInfo as EmpresaSecurity } from 'framework3/core';

export class EmpresaInfo extends CatalogInfo {
	idCuenta: number;
	idImpuestoAnticipos: number;
    tasaOCuotaAnticipos: number;
    //cobranza para saldar diferencias en depositos
    idCobroTipoRedondeo: number;
    cobranzaRedondeo: number;    
    //Cobranza por diferencia en comprobante
    idCobroTipoRedondeoComprobante: number;
    idConceptoItemRedondeoComprobante: number;
    tipoBloqueoDeudores: string;
    diasBloqueoPorPago: number;

    empresaBase: EmpresaSecurity;

    constructor() {
        super();        
        this.empresaBase = new EmpresaSecurity();
    }
}

export class EmpresaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}