﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { NotaTipoConcepto } from './nota-tipo-concepto';

export class NotaTipoInfo extends CatalogInfo {
	nombre: string;
    idCobroTipo: number;

    notaTipoConceptos: NotaTipoConcepto[] = [];


    constructor() {
        super();
    }
}

export class NotaTipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}