﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { NotaDetail } from './nota-detail';
import { NotaRelaciones } from './nota-relaciones';
import { NotaInfo as NotaInfoBase } from '../../accounting/models/nota';

export class NotaInfo extends DocumentInfo<NotaDetail> {
    fechaAfectacion: Date;
    idNotaTipo: number;
    idDeudor: number;
    idGrupoDeudor: number;
	idNotaContabilidad: string;
    fechaNotaContabilidad: Date;
    idCobranzaTit: string;
    fechaCobranza; Date;

    relaciones: NotaRelaciones[] = [];

    notaBase: NotaInfoBase;

    constructor() {
        super();
        this.notaBase = new NotaInfoBase();
        this.idNotaTipo = 0;
        this.idDeudor = 0;
        this.idGrupoDeudor = 0;
    }
}

export class NotaItem extends DocumentItem {

}