﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class PerfilAutoCobroTipoInfo extends CatalogInfo {
	nombre: string;
	idReferencia: number;
	codigoReferencia: string;
    cantidad: number;
    porcentaje: boolean;
	afectador: string;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class PerfilAutoCobroTipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}