﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
//import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, BaseService } from 'framework3/core';

//Locales


@Injectable()
export class CuentasService extends BaseService {

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/custom/aga/contabilidad/cuentas");
    }

    importar(idEmpresa: number): Promise<any> {
        let params: HttpParams = new HttpParams()
            .set('IdEmpresa', idEmpresa.toString());
            
        return this.apiService.get<any>('importar-cuentas', params)
            .toPromise();
    }

}