﻿import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

//////////////////////////// Guards //////////////////////////////////
import { AuthGuard } from 'framework3/core';
import { EditorDeactivateGuard } from 'framework3/editors';

import { PedidoPixcuaComponent } from '../distribution/maintenances/pedido-pixcua.component';
///////////////////////////// Rutas /////////////////////////////////

const routes: Routes = [
    {
        path: '',
        canActivateChild: [AuthGuard],
        children: [
            { path: 'importar-pedido/:proceso', component: PedidoPixcuaComponent }
        ]
    },
];



@NgModule({
    imports: [
        RouterModule.forChild(routes)
    ],
    exports: [
        RouterModule
    ]
})
export class DistributionRoutingModule { }
