﻿import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
//GUARDS
import { EditorDeactivateGuard } from 'framework3/editors';
import { AuthGuard } from 'framework3/core';
//COMPONENTES
import { RouterComponent } from './router.component';


const routes: Routes = [
    {
        path: '',        
        canActivateChild: [AuthGuard],
        children: [
            { path: 'router', component: RouterComponent }            
        ]
    },
];

@NgModule({
    imports: [
        RouterModule.forChild(routes)
    ],
    exports: [
        RouterModule
    ]
})
export class DashboardRoutingModule { }

