﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class BodegasInfo extends CatalogInfo {
    nombre: string;
	idAreaInventario: number;
	idAlmacenProducto: number;
	idAlmacenTarimas: number;
	idUnidadNegocios: number;
	idAlmacenCambios: number;
	idAlmacenVales: number;
	idAlmacenPrestamos: number;
	idAlmacenDestruccion: number;
	idCentroDistribucion: number;
	idClienteGenerico: number;
	capacidadMaximaFlete: number;
	pedidosAutomaticos: boolean;
	latitud: number;
	longigud: number;
	areaDistribucion: string;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class BodegasItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}