﻿import { DocumentDetail, TrackableItem, ChangeState } from 'framework3/core';
import { TipoPagoInfo } from './tipo-pago';
import { TrackableCollection } from 'framework3/editors';

export class CobranzaDetail extends DocumentDetail {
	idTipoPago: number;
	importe: number;
	monto: number;
    origen: string;
    tipoPago: TipoPagoInfo;
    documentsDet: CobranzaDocumentsDet[] = []

    cvDocumentsDet?: TrackableCollection;

    constructor() {
        super();
    }
}

export class CobranzaDocumentsDet extends TrackableItem {

    idDocumento: string;
    fechaDocumento: Date;
    importe: number;

    constructor() {
        super();
    }
}