﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ProductosInfo } from './productos';

export class ContenedorInfo extends CatalogInfo {
	nombre: string;
	idProducto: number;

    producto?: ProductosInfo;

    constructor() {
        super();
    }
}

export class ContenedorItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}