﻿import { DocumentDetail } from 'framework3/core';
import { TipoConteoInfo } from './tipo-conteo';
import { ProductosInfo } from './productos';

export class ConteoDetail extends DocumentDetail {
	idTipoConteo: number;
	idProducto: number;
    cantidad: number;
    cantidadBase: number;
    cantidadVta: number;
    cantidadVtaBase: number;
	conteo: number;
	faltante: number;

    codigo: string;
    nombre: string;

    tipoConteo: TipoConteoInfo;
    producto: ProductosInfo;

    constructor() {
        super();
        this.tipoConteo = new TipoConteoInfo();
        this.producto = new ProductosInfo();
    }
}