﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { ConteoDetail } from './conteo-detail';
import { ConteoDocumento } from './conteo-documento'

export class ConteoInfo extends DocumentInfo<ConteoDetail> {
	fechaAfectacion: Date;
	idRutaReparto: number;
    cantidad: number;
	conteo: number;
	faltante: number;
	contenedor: number;
	contenedorConteo: string;
	contenedorFaltante: number;
	idVenta: string;
	fechaVenta: Date;

    documentosConteo: ConteoDocumento[] = [];

    constructor() {
        super();
    }
}

export class ConteoItem extends DocumentItem {

}