﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { Position } from 'framework3/geolocation';

export class FrecuenciaVisitaInfo extends CatalogInfo {
	nombre: string;
	lunes: boolean;
	martes: boolean;
	miercoles: boolean;
	jueves: boolean;
	viernes: boolean;
	sabado: boolean;
	domingo: boolean;	
	color: string;
	idCuenta: number;
    area: Position[];

    constructor() {
        super();
        this.area = [];
    }
}

export class FrecuenciaVisitaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}