﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PedidoDetail } from './pedido-detail';
import { ClienteInfo } from './cliente';

export class PedidoInfo extends DocumentInfo<PedidoDetail> {
	fechaAfectacion: Date;
	idCliente: number;
	idRutaPreventa: number;
	idRutaReparto: number;
	idEstVen: number;
	fechaCarga: Date;
	fechaEntrega: Date;
	fechaCobro: Date;
	idTipoCaptura: number;
	observaciones: string;
	idListaPrecios: number;
	totalDescuento: number;
	totalCosto: number;
	totalCantidad: number;
	subtotal: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	total: number;
	flete: number;
	comision: number;
	idOrigen: number;
	idEmpleadoPreventa: number;
	idEmpleadoReparto: number;
	referencia: string;
	fechaReferencia: Date;
	idFactura: string;
	fechaFactura: Date;

    cliente: ClienteInfo;

    constructor() {
        super();
        this.cliente = new ClienteInfo();
    }
}

export class PedidoItem extends DocumentItem {

}