﻿import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { ProductosInfo } from './productos';

export class ValeDetail extends DocumentDetail {
	idProducto: number;
	idUnidadMedida: number;
	cantidad: number;
	saldo: number;
	precioUnitario: number;
	porcDescuento1: number;
	porcDescuento2: number;
	porcDescuento3: number;
	porcDescuento4: number;
	porcDescuento5: number;
	montoDesc1: number;
	montoDesc2: number;
	montoDesc3: number;
	montoDesc4: number;
	montoDesc5: number;
	idLote: number;
	numSerie: string;
    fechaCaducidad: Date;

    cajas: number;
    botellas: number;

    importe: number;

    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    producto: ProductosInfo;

    constructor() {
        super();

        this.producto = new ProductosInfo();
        this.descuentos = new DescuentosInfo();
        this.impuestos = [];
        this.cajas = 0;
        this.botellas = 0;
    }
}