﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { ValePagoDetail } from './vale-pago-detail';
import { ValeInfo } from './vale';

export class ValePagoInfo extends DocumentInfo<ValePagoDetail> {
	fechaAfectacion: Date;
	idVale: string;
	fechaVale: Date;
	idVenta: string;
	fechaVenta: Date;
	idDocumentoRef: string;
    fechaDocumentoRef: Date;
    totalCantidadREC: number;
    totalCantidadVTA: number;
	idDivisa: number;
	tipoCambio: number;
	subTotal: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	descuentos: number;
	comision: number;
	total: number;
	idValeFormaPago: number;
    idWorkFlowStep: number;

    vale: ValeInfo;


    constructor() {
        super();
        this.vale = new ValeInfo();
    }
}

export class ValePagoItem extends DocumentItem {

}