﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { TripulanteTipoInfo } from '../models/tripulante-tipo'

@Injectable()
export class TripulanteTipoService extends CatalogService<TripulanteTipoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/distribucion/tripulantes-tipos');
    }

    create(): Promise<TripulanteTipoInfo> {
        return Promise.resolve(new TripulanteTipoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<TripulanteTipoInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<TripulanteTipoInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

