﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class AreaInfo extends CatalogInfo {
	nombre: string;
	idCorteActual: string;
    idCuenta: number;
    turnos: TurnoItem[] = [];


    constructor() {
        super();
    }
}

export class AreaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class AreaUsuarioInfo extends CatalogInfo {
    idArea: number;
    idUsuario: number;


    constructor() {
        super();
    }
}

export class AreaUsuarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}

export class TurnoItem {
    idArea: number;
    idTurno: number;
    nombre: string;
    selected: boolean;
}