﻿export class Empaquetado {
    paquetes: number = 0;

    constructor(public cantidad: number, public factor: number, public unidades?: number) {
        if (unidades) {            
            let totalUnidades = ((this.cantidad * this.factor) + this.unidades);
            this.paquetes = Math.floor(totalUnidades / this.factor);
            this.unidades = totalUnidades % this.factor;            
        }
        else {
            this.paquetes = (Math.floor(this.cantidad));
            this.unidades = ((this.cantidad - this.paquetes) * this.factor);
            if (this.unidades == this.factor) {
                this.paquetes += 1;
                this.unidades = 0;
            }            
        }
    }

    toDecimal(): number {
        let total = (this.paquetes + (this.unidades / this.factor));
        return total;
    }
}