﻿import { DocumentDetail } from 'framework3/core';
//Inventario
import { ArticuloStockInfo} from './articulo-stock';
import { UnidadMedidaInfo } from './unidad-medida';
import { StockInfo } from './stock';


export class EntradaDetail extends DocumentDetail {
	idArticuloStock: number;
    cantidad: number;
    unidades: number;
	idUnidadMedida: number;
	cantidadBase: number;
	costoUnitario: number;
	flete: number;
	idLote: number;
	numeroSerie: string;
	fechaCaducidad: Date;
    idUbicacion: number;
    //
    articuloStock: ArticuloStockInfo;
    unidadMedida: UnidadMedidaInfo;
    stock: StockInfo;

    constructor() {
        super();
        this.articuloStock = new ArticuloStockInfo();
        this.unidadMedida = new UnidadMedidaInfo();
        this.stock = new StockInfo();
        this.cantidad = 0;
        this.unidades = 0;
        this.costoUnitario = 0;
        this.idUnidadMedida = 0;
        this.cantidadBase = 0;
        this.fechaCaducidad = new Date();
        this.numeroSerie = '';
    }
}