﻿import { UbicacionInfo } from './ubicacion';

export class LoteInfo {
    id: number;
    fecha: Date;
    fechaIngreso: Date;
    fechaCaducidad: Date;
    disponible: number;
    //Auxiliares del disponible y cantidades base
    cantidadDisponible: number;
    unidadesDisponible: number;
    cantidadBase: number;
    unidadesBase: number;
    //Propiedades de la unidad de medida
    base: boolean;
    paquete: boolean;
    fraccionable: boolean;
    factor: number;
    metodoValuacion: string;
    //
    apartado: number;
    transito: number;
    costo: number;
    idUbicacion: number;
    nombreUbicacion: string;

    //Propiedades auxiliares para captura
    cantidad: number;
    unidades: number;


    constructor() {
        this.id = 0;
        this.cantidad = 0;
        this.unidades = 0;        
    }
}