﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { MetaAlmacenSucursalItem } from './metaalmacen-sucursal-item';

export class MetaAlmacenInfo extends CatalogInfo {
    nombre: string;

    almacenesSucursal: MetaAlmacenSucursalItem[] = [];


    constructor() {
        super();
    }
}

export class MetaAlmacenItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}