﻿import { DocumentDetail } from 'framework3/core';
//Inventario
import { ArticuloStockInfo } from './articulo-stock';
import { UnidadMedidaInfo } from './unidad-medida';
import { StockInfo } from './stock';

export class TransferenciaDetail extends DocumentDetail {
	idArticuloStock: number;
    cantidadEnviada: number;
    cantidad: number;
    unidades: number;
	cantidadRecibida: number;
	idUnidadMedida: number;
	costoUnitario: number;
	flete: number;
	idLote: number;
	numSerie: string;
	fechaCaducidad: Date;
	idUbicacion: number;

    articuloStock: ArticuloStockInfo;
    unidadMedida: UnidadMedidaInfo;
    stock: StockInfo;


    constructor() {
        super();
        this.articuloStock = new ArticuloStockInfo();
        this.unidadMedida = new UnidadMedidaInfo();
        this.stock = new StockInfo();
        this.cantidadEnviada = 0;
        this.cantidad = 0;
        this.unidades = 0;
        this.cantidadRecibida = 0;
        this.idUnidadMedida = 0;
        this.costoUnitario = 0;
        this.flete = 0;
        this.numSerie = '';

    }
}