﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
//
import { UnidadMedidaTipoInfo } from './unidad-medida-tipo';

export class UnidadMedidaInfo extends CatalogInfo {
	nombre: string;
	abreviatura: string;
	idUnidadMedidaTipo: number;
	base: boolean;
	factor: number;
    fraccionable: boolean;
    paquete: boolean;
    idCategoriaFiscal: number;
    tipoUnidad: UnidadMedidaTipoInfo;

    constructor() {
        super();
        this.idUnidadMedidaTipo = 0;
        this.nombre = '';
        this.tipoUnidad = new UnidadMedidaTipoInfo();
    }
}

export class UnidadMedidaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre?: string;
    idUnidadMedidaTipo?: number;
    tipoUnidad?: string;
    factor: number;
    base: boolean;
    fraccionable: boolean;
    paquete: boolean;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}