﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class DespieceInfo extends HierarchyInfo<DespieceInfo> {
	idEquipoGrupo: number;
	idRefaccion: number;
	descripcion: string;


    constructor() {
        super();
    }
}

export class DespieceItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}