﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class DocumentoTipoInfo extends CatalogInfo {
	nombre: string;
	mimeType: string;
	idServicioTipo: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class DocumentoTipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}