﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EquipoInfo } from './equipo';

export class EquipoIndustrialInfo extends CatalogInfo {
	idEquipo: number;
	idCuenta: number;

    equipo: EquipoInfo;


    constructor() {
        super();

        this.equipo = new EquipoInfo;
    }
}

export class EquipoIndustrialItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    numEconomico: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}