﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { GrupoEquiposInfo } from './grupo-equipos';

export class EquipoInformaticaGrupoInfo extends CatalogInfo {
	idEquipoGrupo: number;
	idSubMarca: number;
	idEquipoInformaticaTipo: number;
	idCuenta: number;

    grupoEquipos: GrupoEquiposInfo;

    constructor() {
        super();
        this.grupoEquipos = new GrupoEquiposInfo;
    }
}

export class EquipoInformaticaGrupoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}