﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { GrupoEquiposInfo } from './grupo-equipos';

export class LlantaModeloInfo extends CatalogInfo {
	idEquipoGrupo: number;
	idSubMarca: number;
	tipo: string;
	ancho: number;
	alto: number;
	diametroRin: number;
	indiceCarga: number;
	limiteCarga: number;
	presionMax: number;
	profundidadMin: number;
	profundidadMax: number;
	idCuenta: number;

    grupoEquipos: GrupoEquiposInfo;

    constructor() {
        super();
        this.grupoEquipos = new GrupoEquiposInfo;
    }
}

export class LlantaModeloItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}