﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { OrdenServicioDetail } from './orden-servicio-detail';
//Locales
import { OrdenInfo } from './orden';


export class OrdenServicioInfo extends DocumentInfo<OrdenServicioDetail> {
	idOrden: string;
	fechaOrden: Date;
	idServicio: number;
	diagnostico: string;
	observaciones: string;
	horaIni: Date;
	horaFin: Date;
	idResponsable: number;
	costoTotal: number;
	costoRefacciones: number;
	costoManoObra: number;
    tiempoTrabajado: number;
    orden: OrdenInfo;

    constructor() {
        super();
        this.orden = new OrdenInfo();
    }
}

export class OrdenServicioItem extends DocumentItem {

}