﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { OrdenDetail } from './orden-detail';
//Locales
import { EquipoInfo } from './equipo';


export class OrdenInfo extends DocumentInfo<OrdenDetail> {
	idTipoOrden: number;
	idRequisicionServicio: string;
	fechaRequisicionServicio: Date;
	idEquipo: number;
	idSupervisor: number;
	fechaProgramada: Date;
	tiempoEstimado: number;
	tiempoTrabajado: number;
	prioridad: number;
	idLocalizacion: number;
	idTaller: number;
	descripcion: string;
	costoTotal: number;
	costoRefacciones: number;
	costoManoObra: number;
    equipo: EquipoInfo;


    constructor() {
        super();
        this.equipo = new EquipoInfo();
    }
}

export class OrdenItem extends DocumentItem {

}