﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class PaqueteriaInfo extends HierarchyInfo<PaqueteriaInfo> {
	idSoftware: number;
	descripcion: string;


    constructor() {
        super();
    }
}

export class PaqueteriaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}