﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { PersonaInfo } from 'framework3/general/models/persona';

export class PropietarioInfo extends CatalogInfo {
	nombre: string;
    idContacto: number;
    persona: PersonaInfo;

    constructor() {
        super();
        this.persona = new PersonaInfo();
    }
}

export class PropietarioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}