﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { TrackableItem } from 'framework3/editors';
import { RefaccionArticulo } from '../models/refaccion-articulo';


export class RefaccionInfo extends CatalogInfo {
	nombre: string;
	idServicioTipo: number;
	exigirDevolucion: boolean;
	numParte: string;
	idRefaccionReparada: number;
    idCuenta: number;

    articulos: RefaccionArticulo[];

    constructor() {
        super();
        this.articulos = [];
    }
}

export class RefaccionItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

