﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EquipoInfo } from './equipo';

export class RefrigeradorInfo extends CatalogInfo {
	idEquipo: number;
	capacidad: string;
	logoEtiqueta: string;
	puertas: number;
	modeloBalastro: string;
	fechaCompra: Date;
	compresorSerie: string;
	compresorCapacidad: string;
	microSerie: string;
	numeroParrillas: number;
	idCuenta: number;

    equipo: EquipoInfo;

    constructor() {
        super();

        this.equipo = new EquipoInfo;
    }
}

export class RefrigeradorItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}