﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { RequisicionServicioDetail } from './requisicion-servicio-detail';
//Locales
import { EquipoInfo } from './equipo';


export class RequisicionServicioInfo extends DocumentInfo<RequisicionServicioDetail> {
	idEquipo: number;
	prioridad: number;
    descripcion: string;
    equipo: EquipoInfo;


    constructor() {
        super();
        this.equipo = new EquipoInfo();
    }
}

export class RequisicionServicioItem extends DocumentItem {

}