﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class ServicioInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
	tiempoEstimado: number;
	recursoNecesario: number;
	idServicioTipo: number;
	idTipoOrden: number;
	frecuencia: number;


    constructor() {
        super();
    }
}

export class ServicioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}