﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class TipoMotorInfo extends CatalogInfo {
	nombre: string;
	idTipoCombustible: number;
	cilindraje: number;
	centimetrosCubicos: number;
	potencia: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class TipoMotorItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}