﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { CausaBajaInfo } from '../models/causa-baja'

@Injectable()
export class CausaBajaService extends CatalogService<CausaBajaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/causas-bajas');
    }

    create(): Promise<CausaBajaInfo> {
        return Promise.resolve(new CausaBajaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<CausaBajaInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<CausaBajaInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

