﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { DispositivoInfo } from '../models/dispositivo'

@Injectable()
export class DispositivoService extends CatalogService<DispositivoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/dispositivos');
    }

    create(): Promise<DispositivoInfo> {
        return Promise.resolve(new DispositivoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<DispositivoInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<DispositivoInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

