﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { DispositivosInfo } from '../models/dispositivos'

@Injectable()
export class DispositivosService extends CatalogService<DispositivosInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/maintenance/dispositivos');
    }

    create(): Promise<DispositivosInfo> {
        return Promise.resolve(new DispositivosInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<DispositivosInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as DispositivosInfo)
            .toPromise();
    }
	*/
}

