﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { DocumentoTipoInfo } from '../models/documento-tipo'

@Injectable()
export class DocumentoTipoService extends CatalogService<DocumentoTipoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/tipos-documento");
    }

    create(): Promise<DocumentoTipoInfo> {
        return Promise.resolve(new DocumentoTipoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<DocumentoTipoInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as DocumentoTipoInfo)
            .toPromise();
    }
	*/
}

