﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { EquipoInformaticaInfo } from '../models/equipo-informatica'

@Injectable()
export class EquipoInformaticaService extends CatalogService<EquipoInformaticaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/equipos-informatica');
    }

    create(): Promise<EquipoInformaticaInfo> {
        return Promise.resolve(new EquipoInformaticaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<EquipoInformaticaInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as EquipoInformaticaInfo)
            .toPromise();
    }
	*/
}

