﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { GrupoRefrigeradoresInfo } from '../models/grupo-refrigeradores'

@Injectable()
export class GrupoRefrigeradoresService extends CatalogService<GrupoRefrigeradoresInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/refrigeradores-grupos");
    }

    create(): Promise<GrupoRefrigeradoresInfo> {
        return Promise.resolve(new GrupoRefrigeradoresInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<GrupoRefrigeradoresInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as GrupoRefrigeradoresInfo)
            .toPromise();
    }
	*/
}

