﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { GrupoVehiculosInfo } from '../models/grupo-vehiculos'

@Injectable()
export class GrupoVehiculosService extends CatalogService<GrupoVehiculosInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/vehiculosgrupos");
    }

    create(): Promise<GrupoVehiculosInfo> {
        return Promise.resolve(new GrupoVehiculosInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<GrupoVehiculosInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set("param1", param1.toString());
        return this.apiService.getData("sample-method", params)
            .map(response => response.json() as GrupoVehiculosInfo)
            .toPromise();
    }
	*/
}

