﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, HierarchyInfo, HierarchyService } from 'framework3/core';
//Locales
import { PaqueteriaInfo } from '../models/paqueteria';

@Injectable()
export class PaqueteriaService extends HierarchyService<PaqueteriaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/paqueterias");
    }

    create(): Promise<PaqueteriaInfo> {
        return Promise.resolve(new PaqueteriaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<PaqueteriaInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<PaqueteriaInfo> ('sample-method', params)
            .toPromise();
    }
	*/

}
