﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { PiezaInfo } from '../models/pieza'

@Injectable()
export class PiezaService extends CatalogService<PiezaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/piezas');
    }

    create(): Promise<PiezaInfo> {
        return Promise.resolve(new PiezaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<PiezaInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<PiezaInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

