﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { RequisicionServicioInfo, RequisicionServicioItem } from '../models/requisicion-servicio';
import { RequisicionServicioDetail } from '../models/requisicion-servicio-detail';

@Injectable()
export class RequisicionServicioService extends DocumentService<RequisicionServicioDetail, RequisicionServicioInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/mantenimiento/requisiciones-servicios');
    }

    create(): Promise<RequisicionServicioInfo> {
        let newDoc = new RequisicionServicioInfo();
        return Promise.resolve(newDoc);
    }

	/*
    sampleMethod(param: string): Promise<MovimientoInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param', param);                
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as MovimientoInfo)
            .toPromise();
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: RequisicionServicioInfo) {

    }
	*/



}