﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { SoftwareContactoInfo } from '../models/software-contacto'

@Injectable()
export class SoftwareContactoService extends CatalogService<SoftwareContactoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/softwares-contactos');
    }

    create(): Promise<SoftwareContactoInfo> {
        return Promise.resolve(new SoftwareContactoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<SoftwareContactoInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<SoftwareContactoInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

