﻿export * from './production.module';

//////////////////////////// MODELS ///////////////////////////////
export * from './models/insumo';
export * from './models/producto';
export * from './models/explosion';

//////////////////////////// SERVICES ///////////////////////////////
export * from './services/insumo.service';
export * from './services/producto.service';
export * from './services/explosion.service';


//////////// COMPONENTES Y DIRECTIVAS ////////////////////////////////
export * from './catalogs/insumos.manager';
export * from './catalogs/insumos.editor';

export * from './catalogs/productos.manager';
export * from './catalogs/productos.editor';

export * from './catalogs/explosiones.manager';
export * from './catalogs/explosiones.editor';

export * from './components/insumo-selector.component';
export * from './components/producto-selector.component';

export * from './components/producto-nuevo.component';