﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { InsumoArticulo } from './insumo-articulo';


export class InsumoInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
	idUnidadMedida: number;
	idCuenta: number;
    idUnidadMedidaTipo: number;
    articulos: InsumoArticulo[];

    constructor() {
        super();
        this.articulos = [];
    }
}

export class InsumoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}