﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { InsumoInfo } from '../models/insumo'

@Injectable()
export class InsumoService extends CatalogService<InsumoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/produccion/insumos");
    }

    create(): Promise<InsumoInfo> {
        return Promise.resolve(new InsumoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<InsumoInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set("param1", param1.toString());
        return this.apiService.getData("sample-method", params)
            .map(response => response.json() as InsumoInfo)
            .toPromise();
    }
	*/
}

