﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class CentralInfo extends CatalogInfo {
	nombre: string;
	idZonaCompra: number;
	idCaja: number;
	idRemitente: number;
	idOperador: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class CentralItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}