﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { CostoPresupuestoDetail } from './costo-presupuesto-detail';

export class CostoPresupuestoInfo extends DocumentInfo<CostoPresupuestoDetail> {
	fechaAfectacion: Date;
	idDepartamento: number;
    idPresupuesto: string;
    tipoBeneficiario: string;
    idBeneficiario: number;
	importeTotal: number;
	idDivisa: number;
	tipoCambio: number;
	idDocumentoRef: string;
	fechaDocumentoRef: Date;
	observaciones: string;


    constructor() {
        super();
    }
}

export class CostoPresupuestoItem extends DocumentItem {

}