﻿import { TrackableItem } from 'framework3/core';

export class GastoComprobanteItem extends TrackableItem {
    idGastoComprobante: number
    idCategoriaPresupuestal: number;
    idArticulo: number;
    idServicio: number;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    descuentos: number;
    total: number;
    referenciaAlf: string;
    referenciaNum: number;
    idComprobante: string;
    fechComprobante: Date;
    idFlujo: number;
    nombreServicio: string;

    constructor() {
        super();
        this.idCategoriaPresupuestal = 0;
        this.idArticulo = 0;
        this.idServicio = 0;
        this.subTotal = 0;
        this.impuestosTrasladados = 0;
        this.impuestosRetenidos = 0;
        this.descuentos = 0;
        this.total = 0;
        this.referenciaAlf = '';
        this.referenciaNum = 0;
        this.idComprobante = '';
        //this.fechComprobante: Date;
        this.idFlujo = 0;
        this.nombreServicio = '';

    }
}
