﻿import { DocumentDetail } from 'framework3/core';
import { NotaDetailCategoriaPresupuestal } from '../models/nota-detail-categoria-presupuestal';

export class NotaDetail extends DocumentDetail {
	idCuentaPorPagar: string;
	fechaCuentaPorPagar: Date;
	idDocumentoRef: string;
	fechaDocumentoRef: Date;
    origenDocumentoRef: string;
    saldo: number;
	importe: number;

    categoriasPresupuestales: NotaDetailCategoriaPresupuestal[];

    constructor() {
        
        super();
        this.categoriasPresupuestales = [];
        
    }
}