﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { OperacionTipoInfo as OperacionTipo } from '../../treasury/models/operacion-tipo'

export class OperacionTipoInfo extends CatalogInfo {
	nombre: string;	
    interno: boolean;

    operacionTipo: OperacionTipo;

    constructor() {
        super();
        this.operacionTipo = new OperacionTipo();
    }
}

export class OperacionTipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}