﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PresupuestoPartidaDetail } from './presupuesto-partida-detail';

export class PresupuestoPartidaInfo extends DocumentInfo<PresupuestoPartidaDetail> {
    fechaAfectacion: Date;
    nombre: string;
	idPresupuesto: string;
	fechaPresupuesto: Date;
	fechaIni: Date;
	fechaFin: Date;
	montoPresupuesto: number;
	montoUtilizado: number;
	montoDisponible: number;
	fechaApertura: Date;
	fechaCierrre: Date;
	estatus: string;


    constructor() {
        super();
    }
}

export class PresupuestoPartidaItem extends DocumentItem {

}