﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PresupuestosDetail } from './presupuestos-detail';
import { DepartamentoInfo } from '../models/departamento';

export class PresupuestosInfo extends DocumentInfo<PresupuestosDetail> {
	fechaAfectacion: Date;
	idPeriodo: string;
	fechaPeriodo: Date;
	idDepartamento: number;
	montoPresupuesto: number=0;
	montoUtilizado: number=0;
	montoApartado: number=0;
	montoDisponible: number=0;
    estatus: string;

    departamento: DepartamentoInfo;

    constructor() {
        super();
        this.departamento = new DepartamentoInfo();
    }
}

export class PresupuestosItem extends DocumentItem {
    id: string;
    nombre: string;
    workFlowStepTag: string;
}