﻿import { DocumentDetail } from 'framework3/core';
import { ComprobanteFiscalItem } from '../models/comprobante-fiscal'

import { RecepcionSinOCDetailArticulo } from '../models/recepcion-sin-oc-detail-articulo'
import { RecepcionSinOCDetailServicio } from '../models/recepcion-sin-oc-detail-servicio'


export class RecepcionSinOCDetail extends DocumentDetail {    
    idComprobante: string;
    comprobante: ComprobanteFiscalItem
  
    //
    idOrdenTit: string;
    fechaOrden: Date;
    idRecepcion: string;
    fechaRecepcion: Date;
    articulos: RecepcionSinOCDetailArticulo[]=[];
    servicios: RecepcionSinOCDetailServicio[]=[];

    constructor() {
        super();
        this.comprobante = new ComprobanteFiscalItem();
        this.articulos = [];
        this.servicios = [];
        //this.recepcion = new RecepcionInfo();
    }
}