﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoAsignacionInfo } from '../../accounting/models/impuesto-asignacion';

export class ServicioInfo extends CatalogInfo {
    nombre: string;
    libre: boolean;
	ultimoCosto: number;
    idCuenta: number;
    impuestos: ImpuestoAsignacionInfo[] = [];


    constructor() {
        super();
    }
}

export class ServicioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}