﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { AdelantoInfo, AdelantoItem } from '../models/adelanto';
import { AdelantoDetail } from '../models/adelanto-detail';

@Injectable()
export class AdelantoService extends DocumentService<AdelantoDetail, AdelantoInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/compras/adelantos');
    }

    create(): Promise<AdelantoInfo> {
        let newDoc = new AdelantoInfo();
        return Promise.resolve(newDoc);
    }

	/*
    sampleMethod(param1: number, param2: string): Promise<AdelantoInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<AdelantoInfo>('sample-method', params)
            .toPromise();
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: AdelantoInfo) {

    }
	*/



}