﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { GrupoRequisicionesInfo, GrupoRequisicionesItem } from '../models/grupo-requisiciones';
import { GrupoRequisicionesDetail } from '../models/grupo-requisiciones-detail';

@Injectable()
export class GrupoRequisicionesService extends DocumentService<GrupoRequisicionesDetail, GrupoRequisicionesInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/compras/grupo-requisiciones');
    }

    create(): Promise<GrupoRequisicionesInfo> {
        let newDoc = new GrupoRequisicionesInfo();
        return Promise.resolve(newDoc);
    }

	/*
    sampleMethod(param1: number, param2: string): Promise<GrupoRequisicionesInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<GrupoRequisicionesInfo>('sample-method', params)
            .toPromise(); 
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: GrupoRequisicionesInfo) {

    }
	*/



}