﻿import { Context, CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
import { EmpleadoItem } from './empleado';

export class ChecadorInfo extends CatalogInfo {
	nombre: string;
	tipoConexion: string;
	direccionIp: string;
	puerto: string;
	password: string;
	ordenDescarga: number;
	sincronizarReloj: boolean;
	licencia: string;
    idFirmware: number;
    enlaceRemoto: boolean;
    direccionEnlace: string;
    puertoEnlace: number;
    usuarios: ChecadorUsuarioIten[] = [];

    constructor() {
        super();
    }
}

export class ChecadorItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    idUsuario: number;
    estatus?: string;
	selected?:boolean = false;
}

export class ChecadorUsuarioIten extends TrackableItem {

    codigo: string;
    nombre: string;
    passwd: string;
    tipo: number;
    afectaIncidencia: boolean;
    idEmpleado: number;
    activo: boolean;
    empleado: EmpleadoItem;

    constructor() {
        super();
    }

} 

export class ChecadoresUsuariosCollections {
    checadoresUsuariosItem: ChecadorUsuarioIten[];
    checadores: ChecadorItem[];
    constructor() {
        
    }

}