﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class ConceptosFichasInfo extends CatalogInfo {
	nombre: string;
    afectador: string;
    mascaraCuenta: string;
    negativo: boolean;
    isEmpleado: boolean;

    constructor() {
        super();
    }
}

export class ConceptosFichasItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}