﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class DispositivoNixtlaInfo extends CatalogInfo {
	nombre: string;
	iMEI: string;
	codigoEmpleado: number;


    constructor() {
        super();
    }
}

export class DispositivoNixtlaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    codigoEmpleado: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}