﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EmpresaInfo as EmpresaSecurity } from 'framework3/core';

export class EmpresaInfo extends CatalogInfo {
	idCuenta: number;
    idCalendario: number;
    montoFicha: number;
    porcentajeFicha: number;
    politicaRangoVacacional: string;
    empresaBase: EmpresaSecurity;

    constructor() {
        super();
        this.politicaRangoVacacional = "";
        this.empresaBase = new EmpresaSecurity();
    }
}

export class EmpresaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}