﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { FichasTitDetail } from './fichas-tit-detail';

export class FichasTitInfo extends DocumentInfo<FichasTitDetail> {
	idEmpleado: number;
	conceptoAdam: number;
	compania: string;
	claseNomina: string;
	tipoNomina: string;
	ejercicio: number;
	periodoDescontar: number;
    totalFicha: number;
    totalCargo: number;
    tipo: string;
    fechaPago: Date;
    descripcion: string;
	idTipoDescuento: number;
	idWorkFlowStep: number;


    constructor() {
        super();
        this.details = [];
        this.conceptoAdam = 762;
        this.totalFicha = 0;
        this.idTipoDescuento = 0;
        this.fechaPago = new Date();
    }
}

export class FichasTitItem extends DocumentItem {
    fechaPago: Date;
    cobro: string;
    tipo: string;
    codigoEmpleado: string;
    cantDocs: number;
    totalCargo: number;
}