﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class HorarioInfo extends CatalogInfo {
	nombre: string;
	jornada: number;
	horaEntrada: Date;
	horaSalida: Date;
	diasHorario: number;
	salidaComer: boolean;
	horaComida: Date;
	duracionComida: number;
	toleranciaComida: number;
    toleranciaRetardo: number;
	toleranciaFalta: number;
    toleranciaAntesEntrada: number;
    toleranciaAntesSalida: number;
    toleranciaDespuesSalida: number;
    inicioHoraExtra: number;
    tipoHorario: string;
    tipoEvaluacion: string;

    constructor() {
        super();
    }
}

export class HorarioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}