﻿import { Context, CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
import { TurnoInfo } from './turno';
import { HorarioInfo } from './horario';

export class PeriodoTrabajoInfo extends TrackableItem {

    fecha: Date;
    idEmpleado: number;
    idTurno: number;
    ciclo: number;
    dia: number;
    idHorario: number;
    entrada: Date;
    minEntrada: number;
    maxEntrada: number;
    salida: Date;
    minSalida: number;
    maxSalida: number;
    comida: Date;
    tiempoComida: number;
    maxComida: number;
    retardo: number;
    falta: number;
    tiempoLaboral: number;
    manual: boolean;
    turno?: TurnoInfo;
    horario?: HorarioInfo;

    constructor() {
        super();
    }

}