﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class TiposDescuentosInfo extends CatalogInfo {
	nombre: string;
    secuencia: number;
    tipo: string;


    constructor() {
        super();
    }
}

export class TiposDescuentosItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class DescuentosEmpleado {
    descuento: string;
    monto: number;
    tipo: string;
}