﻿import { Context, CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';

export class TipoNominaInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
	idCompania: number;
    idPeriodicidadPago: number;
    conceptos: TipoNominaConceptoItem[];

    constructor() {
        super();
        this.conceptos = [];
    }
}

export class TipoNominaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class TipoNominaConceptoItem extends TrackableItem {

    idConcepto: number;
    codigo: string;
    concepto: string;

    constructor() {
        super();
    }

}