﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { ConceptoAdamInfo } from '../models/concepto-adam'

@Injectable()
export class ConceptoAdamService extends CatalogService<ConceptoAdamInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/conceptos-adam');
    }

    create(): Promise<ConceptoAdamInfo> {
        return Promise.resolve(new ConceptoAdamInfo());
    }

}

