﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { LockerInfo } from '../models/locker'

@Injectable()
export class LockerService extends CatalogService<LockerInfo>

{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/conosorcioaga.custom/lockers');
    }

    create(): Promise<LockerInfo> {
        return Promise.resolve(new LockerInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<LockerInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<LockerInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

