﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { TipoIncidenciaInfo } from '../models/tipo-incidencia'

@Injectable()
export class TipoIncidenciaService extends CatalogService<TipoIncidenciaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/tipos-incidencias');
    }

    create(): Promise<TipoIncidenciaInfo> {
        return Promise.resolve(new TipoIncidenciaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<TipoIncidenciaInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<TipoIncidenciaInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

