﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { TipoPerDedInfo } from '../models/tipo-per-ded'

@Injectable()
export class TipoPerDedService extends CatalogService<TipoPerDedInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/tipos-per-ded');
    }

    create(): Promise<TipoPerDedInfo> {
        return Promise.resolve(new TipoPerDedInfo());
    }

}

