﻿import { DevolucionDetail } from './devolucion-detail';
import { UnidadMedidaInfo, ArticuloStockInfo, StockInfo } from '../../inventory';
import { ArticuloInfo } from './articulo';

export class DevolucionArticuloDetail extends DevolucionDetail {
    idUnidadMedida: number;
    flete: number;
    idLote: number;
    numeroSerie: string;
    fechaCaducidad: Date;
    unidades: number;
    unidadesRef: number;

    articulo: ArticuloInfo;
    unidadMedida: UnidadMedidaInfo;
    stock: StockInfo;

    constructor() {
        super();
        this.numeroSerie = '';
        this.articulo = new ArticuloInfo();
        this.unidadMedida = new UnidadMedidaInfo();
        this.stock = new StockInfo();
        this.cantidad = 0;
        this.unidades = 0;
        this.unidadesRef = 0;
        this.idUnidadMedida = 0;
        this.fechaCaducidad = new Date();
        this.numeroSerie = '';
    }
}