﻿import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';


export class DevolucionDetail extends DocumentDetail {
	idArticulo: number;
    idServicio: number;
    codigo: string;
	descripcion: string;
    cantidad: number;
    cantidadRef: number;
	idUnidadMedida: number;
	precioUnitario: number;
	flete: number;
	idLote: number;
	numSerie: string;
	fechaCaducidad: Date;

    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];

    constructor() {
        super();
        this.codigo = '';
        this.descripcion = '';
        this.cantidad = 0;
        this.cantidadRef = 0;
        this.precioUnitario = 0;
        this.descuentos = new DescuentosInfo();
        this.impuestos = [];
    }
}