﻿import { DivisaInfo, ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';

export class PrecioInfo {
    precioNeto: number;
    precioBase: number;
    tipoCambio: number;
    divisa: DivisaInfo;

    totalDescuentos: number;
    totalImpuestosTrasladados: number;
    totalImpuestosRetenidos: number;

    impuestos: ImpuestoDetailInfo[];
    descuentos: DescuentosInfo;

    constructor() {
        this.divisa = new DivisaInfo();
        this.impuestos = [];
        this.descuentos = new DescuentosInfo();
    }
}