﻿import { Context, CatalogInfo, CatalogItem, SucursalInfo as SucursalBase } from 'framework3/core';

export class SucursalInfo extends CatalogInfo {
	idDivisaBase: number;
	idListaPrecioDefault: number;
	idGrupoDescuentoDefault: number;
	idFormatoFactura: number;
    idFormatoDevolucion: number;
    idRegion: number;
    idZonaVenta: number;
	idCuenta: number;
    sucursalBase: SucursalBase;

    constructor() {
        super();
        this.sucursalBase = new SucursalBase();
    }
}

export class SucursalItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    idEmpresa: number;
    empresa: string;
    domicilio: string;
    poblacion: string;
    estado: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}