﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EmpleadoInfo } from '../../rh';

export class VendedorInfo extends CatalogInfo {
	idEmpleado: number;
	idCuenta: number;
    empleado: EmpleadoInfo;

    constructor() {
        super();
        this.empleado = new EmpleadoInfo();
    }
}

export class VendedorItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}