﻿import { VentaDetail } from './venta-detail';
import { UnidadMedidaInfo, ArticuloStockInfo, StockInfo } from '../../inventory';
import { ArticuloInfo } from './articulo';

export class VentaArticuloDetail extends VentaDetail {    
    flete: number;
    idLote: number;
    numeroSerie: string;
    fechaCaducidad: Date;
    unidades: number;

    articulo: ArticuloInfo;    
    stock: StockInfo;

    constructor() {
        super();
        this.numeroSerie = '';
        this.articulo = new ArticuloInfo();
        this.stock = new StockInfo();
        this.cantidad = 0;
        this.unidades = 0;                
        this.fechaCaducidad = new Date();
        this.numeroSerie = '';
    }
}