﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { EmpresaInfo } from '../models/empresa'

@Injectable()
export class EmpresaService extends CatalogService<EmpresaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/ventas/empresas');
    }

    create(): Promise<EmpresaInfo> {
        return Promise.resolve(new EmpresaInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<EmpresaInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as EmpresaInfo)
            .toPromise();
    }
	*/
}

