﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';

import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { TerminalInfo } from '../models/terminal'

@Injectable()
export class TerminalService extends CatalogService<TerminalInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/ventas/terminales');
    }

    create(): Promise<TerminalInfo> {
        return Promise.resolve(new TerminalInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<TerminalInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as TerminalInfo)
            .toPromise();
    }
	*/
}

