﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class CajaInfo extends CatalogInfo {
	nombre: string;
	idChequeraDefault: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class CajaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}