﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class ChequeraInfo extends CatalogInfo {
	nombre: string;
	idCuentaBancaria: number;
	idFormato: number;
	folioCheque: number;
	folioTransferencia: number;
    idCuenta: number;
    cuentaBancaria: string;
    clabe: string;

    constructor() {
        super();
    }
}

export class ChequeraItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}