﻿import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo, DescuentosInfo } from '../../accounting';

export class CuentaPorPagarDetail extends DocumentDetail {
	idConcepto: number;
	codigoConcepto: string;
	descripcionConcepto: string;
	idCuenta: number;
	cantidad: number;
	costoUnitario: number;
	idFlujo: number;

    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    importe: number;

    constructor() {
        super();
        this.descuentos = new DescuentosInfo();
        this.impuestos = [];
    }
}