﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { CuentaPorPagarDetail } from './cuenta-por-pagar-detail';

export class CuentaPorPagarInfo extends DocumentInfo<CuentaPorPagarDetail> {
	fechaAfectacion: Date;
	idBeneficiario: number;
	idOrigen: number;
	idOperacionTipo: number;
	vencimiento: Date;
	idDocumentoRef: string;
	fechaDocumentoRef: Date;
	idContrareciboTit: string;
	fechaContrarecibo: Date;
	idCFDSerie: number;
	referenciaNum: string;
	referenciaAlf: string;
	uuid: string;
	subTotal: number;
	descuentos: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	total: number;
	saldo: number;
	idDivisa: number;
	tipoCambio: number;


    constructor() {
        super();
    }
}

export class CuentaPorPagarItem extends DocumentItem {

    fechaSys: Date;
    serie: string;
    folio: number;
    subTotal?: number;
    impuestosTrasladados?: number;
    impuestosRetenidos?: number;
    total: number;

    constructor() {
        super();
    }
}