﻿import { Context, CatalogInfo, CatalogItem, EmpresaInfo as EmpresaSecurity } from 'framework3/core';

export class EmpresaInfo extends CatalogInfo {
	idCuenta: number;

    empresaBase: EmpresaSecurity;


    constructor() {
        super();
        this.empresaBase = new EmpresaSecurity();
    }
}

export class EmpresaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}