﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class OperacionTipoInfo extends CatalogInfo {
	nombre: string;
	afectador: string;
	interno: boolean;
	desglozado: boolean;
	idRacTit: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class OperacionTipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    interno: boolean;
    afectador: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}