﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PagoDetail } from './pago-detail';

export class PagoInfo extends DocumentInfo<PagoDetail> {
	fechaAfectacion: Date;
	folio: number;
	idBeneficiario: number;
	idPagoTipo: number;
	idCaja: number;
	idChequera: number;
	idCorte: string;
	folioCorte: number;
	fechaCNL: Date;
	fechaCobro: Date;
	observaciones: string;
	subTotal: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	total: number;
	idDivisa: number;
	tipoCambio: number;


    constructor() {
        super();
        this.tipoCambio = 0;
        this.idDivisa = 0;
        this.subTotal = 0;
        this.total = 0;
    }
}

export class PagoItem extends DocumentItem {
}

export class Cheque {
//    idPago: string;

//// Cheque
//    beneficiario: string;
//    monto: string;
//    montoLetra: string;
//    fechaLetra: string;
//    folioCheque: string;
//    leyendaText: string;


//// PolizaDetalle
//    folioPoliza: string;
//    cuenta: string;
//    subCuenta: string;
//    subSubCuenta: string;
//    conceptoCuenta: string;
//    segmento: string;
//    cargo: string;
//    abono: string;
//    concepto: string;

//// PolizaPie
//    totalCargo: string;
//    totalAbono: string;

// Impresión
    impresion: string;

}