﻿import { Context, CatalogInfo, CatalogItem, SucursalInfo as SucursalBase } from 'framework3/core';

export class SucursalInfo extends CatalogInfo {
	idCajaPredeterminada: number;
	idCuenta: number;

    sucursalBase: SucursalBase;


    constructor() {
        super();
        this.sucursalBase = new SucursalBase();

    }
}

export class SucursalItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}