﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { ChequeraInfo } from '../models/chequera'

@Injectable()
export class ChequeraService extends CatalogService<ChequeraInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/tesoreria/chequeras');
    }

    create(): Promise<ChequeraInfo> {
        return Promise.resolve(new ChequeraInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<ChequeraInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<ChequeraInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

