﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { GrupoBeneficiariosInfo } from '../models/grupo-beneficiarios'

@Injectable()
export class GrupoBeneficiariosService extends CatalogService<GrupoBeneficiariosInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/tesoreria/grupos-beneficiario');
    }

    create(): Promise<GrupoBeneficiariosInfo> {
        return Promise.resolve(new GrupoBeneficiariosInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<GrupoBeneficiariosInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<GrupoBeneficiariosInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

