﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/addendas")]
    public class AddendasController : CatalogController<AddendaFacade, AddendaService, AddendaInfo>
    {
        public AddendasController()
            :base(new AddendaFacade())
        {

        }

        [HttpGet]
        [Route("addenda-list")]
        public DataTable AddendaList(int IdEmpresa)
        {
            try
            {
                return Facade.AddendaList(SessionID, IdEmpresa);
            }
            catch (Exception ex)
            {
                HandleException(ex);
                return null;
            }
        }

    }
}