﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;


namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/contabilidad/metodospago")]
    public class MetodosPagoController : CatalogController<MetodoPagoFacade, MetodoPagoService, MetodoPagoInfo>
    {
        public MetodosPagoController()
            :base(new MetodoPagoFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList(int idEmpresa)
        {
            DataTable dtRet = new DataTable();

            try
            {
                MetodoPagoFacade Facade = new MetodoPagoFacade();
                dtRet = Facade.LoadList(SessionID, idEmpresa);
            }
            catch (Exception ex)
            {
                HandleException("Error al cargar los Metodos de Pago.", ex);
            }
            return dtRet;
        }

    }
}