﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Contabilidad;
using System.Data;
using Azteca.Kernel.Business;

namespace Azteca.Web.Controllers.Contabilidad
{
    [Route("api/accounting/plantillas-comprobantes")]
    public class PlantillasComprobantesController : CatalogController<PlantillaComprobanteFacade, PlantillaComprobanteService, PlantillaComprobanteInfo>
    {
        public PlantillasComprobantesController()
            :base(new PlantillaComprobanteFacade())
        {

        }
		
        [HttpGet]
        [Route("download-plantilla")]
        public FileInfo DownloadPlantilla(int idPlantillaComprobante)
        {
            try
            {
                PlantillaComprobanteFacade PlantillaComprobanteFac = new PlantillaComprobanteFacade();
                return PlantillaComprobanteFac.DownloadFile(this.SessionID, idPlantillaComprobante);
            }
            catch(Exception ex)
            {
                HandleException(ex);
                return null;
            }
        }

    }
}