﻿using Azteca.Kernel.BPM;
using Azteca.Web.Controllers.Kernel;
using ConsorcioAga.Custom.Geomarketing;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Azteca.Web.Controllers.Accounting
{

    [Route("api/custom/aga/geomarketing/encuesta")]
    public class EncuestaController : BaseController
    {
        [HttpPost]
        [Route("save-instance-json-encuesta")]
        public DocumentInstance SaveInstanceJsonEncuesta([FromBody] DocumentInstance instance)
        {
            try
            {
                EncuestaFacade Facade = new EncuestaFacade();
                DocumentInstance RetInstance = Facade.SaveInstanceJsonAppEncuesta(SessionID, instance);
                return RetInstance;
            }
            catch (Exception ex)
            {
                HandleException(ex);
                return null;
            }
        }

    }
}
