﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Distribucion;

namespace Azteca.Web.Controllers.Distribucion
{
    [Route("api/distribucion/vales")]
    public class ValesController: DocumentController<ValeInfo, ValeDetail, ValeService, ValeFacade>
    {
        public ValesController()
            :base(new ValeFacade())
        {

        }        
           
    }
}
