﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Distribucion;
using System.Data;


namespace Azteca.Web.Controllers.Distribucion
{
    [Route("api/distribucion/vales-tipos")]
    public class ValesTiposController : CatalogController<ValeTipoFacade, ValeTipoService, ValeTipoInfo>
    {
        public ValesTiposController()
            :base(new ValeTipoFacade())
        {

        }

        [HttpGet]
        [Route("get-tipos-vale-cbo")]
        public DataTable LoadValeTipoCBO(int idSucursal)
        {
            try
            {
                Facade = new ValeTipoFacade();
                return Facade.LoadValeTipoCBO(this.SessionID, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException(ex);
            }
            return null;
        }

        /*
        [HttpGet]
        [Route("action-name")]
        public void SampleMethod(int arg)
        {
            try
            {
                
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
        }
		*/

    }
}