﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Mantenimiento;

namespace Azteca.Web.Controllers.Mantenimiento
{
    [Route("api/mantenimiento/servicios-requisiciones-tit")]
    public class ServiciosRequisicionesTitController: DocumentController<ServicioRequisicionInfo, ServicioRequisicionDetail, ServicioRequisicionService, ServicioRequisicionFacade>
    {
        public ServiciosRequisicionesTitController()
            :base(new ServicioRequisicionFacade())
        {

        }        
           
    }
}
