﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Mantenimiento;
using System.Data;


namespace Azteca.Web.Controllers.Mantenimiento
{
    [Route("api/mantenimiento/tiposmotor")]
    public class TiposMotorController : CatalogController<TipoMotorFacade, TipoMotorService, TipoMotorInfo>
    {
        public TiposMotorController()
            :base(new TipoMotorFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList(int arg)
        {
            DataTable dtRet = new DataTable();

            try
            {
                TipoMotorFacade Facade = new TipoMotorFacade();
                dtRet = Facade.LoadList(SessionID);
            }
            catch (Exception ex)
            {
                HandleException("Mensaje de error", ex);
            }
            return dtRet;
        }

    }
}