﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Produccion;
using System.Data;


namespace Azteca.Web.Controllers.Produccion
{
    [Route("api/produccion/productos")]
    public class ProductosController : CatalogController<ProductoFacade, ProductoService, ProductoInfo>
    {
        public ProductosController()
            :base(new ProductoFacade())
        {

        }

        [HttpGet]
        [Route("explosionar")]
        public List<ProductoInsumo> Explosionar(int IdProducto, decimal Cantidad)
        {
            List<ProductoInsumo> dtRet = new List<ProductoInsumo>();

            try
            {
                ProductoFacade Facade = new ProductoFacade();
                dtRet = Facade.Explosionar(SessionID, IdProducto, Cantidad);
            }
            catch (Exception ex)
            {
                HandleException("Mensaje de error", ex);
            }
            return dtRet;
        }

    }
}