﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using Azteca.Kernel.Business;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Compras;

namespace Azteca.Web.Controllers.Compras
{
    [Route("api/compras/adelantos")]
    public class AdelantosController: DocumentController<AdelantoInfo, AdelantoDetail, AdelantoService, AdelantoFacade>
    {
        public AdelantosController()
            :base(new AdelantoFacade())
        {

        }        
           
    }
}
