﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Compras;
using System.Data;


namespace Azteca.Web.Controllers.Compras
{
    [Route("api/compras/tipos-requisicion")]
    public class TiposRequisicionController : CatalogController<TipoRequisicionFacade, TipoRequisicionService, TipoRequisicionInfo>
    {
        public TiposRequisicionController()
            :base(new TipoRequisicionFacade())
        {

        }

        [HttpGet]
        [Route("load-list")]
        public DataTable LoadList(int IdSucursal)
        {
            {
                DataTable dtRet = new DataTable();
                try
                {
                    dtRet = Facade.LoadList(SessionID, IdSucursal);
                }
                catch (Exception ex)
                {
                    HandleException(ex);
                }
                return dtRet;
            }
        }

    }
}