﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.RH;
using System.Data;


namespace Azteca.Web.Controllers.RH
{
    [Route("api/rh/empresas-adam")]
    public class EmpresasAdamController : CatalogController<EmpresaAdamFacade, EmpresaAdamService, EmpresaAdamInfo>
    {
        public EmpresasAdamController()
            :base(new EmpresaAdamFacade())
        {

        }

        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadEmpresasCbo(int idSucursal)
        {
            DataTable dtResult = null;
            try
            {
                EmpresaAdamFacade EmpresaAdamFac = new EmpresaAdamFacade();
                dtResult = EmpresaAdamFac.LoadEmpresasCbo(this.SessionID, idSucursal);
            }
            catch (Exception ex)
            {
                HandleException("Error al cargar las empresas", ex);
            }
            return dtResult;
        }

    }
}