﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.RH;
using System.Data;


namespace Azteca.Web.Controllers.RH
{
    [Route("api/rh/firmwares")]
    public class FirmwaresController : CatalogController<FirmwareFacade, FirmwareService, FirmwareInfo>
    {
        public FirmwaresController()
            :base(new FirmwareFacade())
        {

        }

        [HttpGet]
        [Route("load-cbo")]
        public DataTable LoadList(int idBranch)
        {
            try
            {
                Facade = new FirmwareFacade();
                return Facade.LoadList(this.SessionID, idBranch);
            }
            catch(Exception ex)
            {
                HandleException(ex);                
            }
            return null;
        }
		

    }
}