﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using Microsoft.AspNetCore.Mvc;
using Azteca.Web.Controllers.Kernel;
using Azteca.Business.Translator;
using System.Data;


namespace Azteca.Web.Controllers.Translator
{
    [Route("api/translator/transpilers")]
    public class TranspilersController : CatalogController<TranspilerFacade, TranspilerService, TranspilerInfo>
    {
        public TranspilersController()
            :base(new TranspilerFacade())
        {

        }

        [HttpGet]
        [Route("get-last-hist")]
        public TranspilerHistItem GetLastHist(string referencia)
        {
            try
            {
                TranspilerFacade Fac = new TranspilerFacade();
                return Fac.GetLastHist(SessionID, referencia);
            }
            catch (Exception ex)
            {
                HandleException(ex);
                return null;
            }
        }

    }
}