import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { FlujoInfo } from '../models/flujo';
import { FlujoService } from '../services/flujo.service';
export declare class FlujoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private flujoService;
    flujo: any[];
    selectedItem: FlujoInfo;
    constructor(context: Context, flujoService: FlujoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findFlujo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
