import { Context } from "framework3/core";
import { FormGroup, FormBuilder } from "@angular/forms";
import { ITreeOptions, IActionMapping } from 'angular-tree-component';
import { EsquemaInfo } from '../models/esquema';
import { MapElementInfo } from "../models/mapa-distribucion";
import { MapaDistribucionService } from '../services/mapa-distribucion.service';
export declare class MapaDistribucionCodeEditor {
    protected context: Context;
    private builder;
    private mapDistribucionSvc;
    formGroup: FormGroup;
    esquema: EsquemaInfo;
    idEsquema: number;
    statement: string;
    code: string;
    nodes: MapElementInfo[];
    actionMapping: IActionMapping;
    treeOptions: ITreeOptions;
    constructor(context: Context, builder: FormBuilder, mapDistribucionSvc: MapaDistribucionService);
    onSelectedEsquema(esquema: EsquemaInfo): void;
    private onTreeUpdated;
}
