import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CategoriaArticulosInfo } from '../models/categoria-articulos';
import { CategoriaArticulosService } from '../services/categoria-articulos.service';
export declare class ArticuloCategoriaFiscalComponent extends CatalogSelector {
    protected context: Context;
    private categoriaArticulosService;
    categoriafiscal: any[];
    selectedItem: CategoriaArticulosInfo;
    constructor(context: Context, categoriaArticulosService: CategoriaArticulosService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findcategoriafiscal(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
