import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { DivisaInfo, DivisaItem } from '../models/divisa';
import { DivisaService } from '../services/divisa.service';
export declare class DivisasSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    divisas: DivisaItem[];
    selectedItem: DivisaInfo;
    selectedItemChanged: EventEmitter<DivisaInfo>;
    constructor(context: Context, service: DivisaService);
    ngAfterViewInit(): void;
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
    getDivisaDefault(): void;
}
