"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var importes_1 = require("../models/importes");
var wijmo_1 = require("wijmo/wijmo");
//
var ImportesComponent = /** @class */ (function () {
    function ImportesComponent() {
        this.importes = new importes_1.ImportesInfo();
        this.titulo = '';
    }
    Object.defineProperty(ImportesComponent.prototype, "subtotal", {
        get: function () {
            if (!this.importes.subtotal)
                this.importes.subtotal = 0;
            return wijmo_1.Globalize.formatNumber(this.importes.subtotal, 'c');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImportesComponent.prototype, "descuentos", {
        get: function () {
            if (!this.importes.descuentos)
                this.importes.descuentos = 0;
            return wijmo_1.Globalize.formatNumber(this.importes.descuentos, 'c');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImportesComponent.prototype, "impuestosTrasladados", {
        get: function () {
            if (!this.importes.impuestosTrasladados)
                this.importes.impuestosTrasladados = 0;
            return wijmo_1.Globalize.formatNumber(this.importes.impuestosTrasladados, 'c');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImportesComponent.prototype, "impuestosRetenidos", {
        get: function () {
            if (!this.importes.impuestosRetenidos)
                this.importes.impuestosRetenidos = 0;
            return wijmo_1.Globalize.formatNumber(this.importes.impuestosRetenidos, 'c');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImportesComponent.prototype, "total", {
        get: function () {
            if (!this.importes.total)
                this.importes.total = 0;
            return wijmo_1.Globalize.formatNumber(this.importes.total, 'c');
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        core_1.Input(),
        __metadata("design:type", importes_1.ImportesInfo)
    ], ImportesComponent.prototype, "importes", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], ImportesComponent.prototype, "titulo", void 0);
    ImportesComponent = __decorate([
        core_1.Component({
            selector: "accounting-importes-component",
            template: "\n      <az-panel [header]=\"titulo\" style=\"font-weight:bold; padding-top:10px; padding-bottom:10px\" type=\"success\">\n          <div class=\"row\">\n              <div col-6 col-md-2>\n                  <div class=\"input-group input-group-sm mb-0\">\n                      <div class=\"input-group-prepend\">\n                          <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\" style=\"font-weight:bold; width: 130px\"  >Subtotal</span>\n                      </div>\n                      <input type=\"text\" [(ngModel)]=\"subtotal\" [disabled]=\"true\" class=\"form-control\" aria-label=\"Small\" aria-describedby=\"inputGroup-sizing-sm\" style=\"text-align:right; margin-bottom:0px\" />\n                  </div>\n              </div>\n              <div col-6 col-md-2>\n                  <div class=\"input-group input-group-sm mb-0\">\n                      <div class=\"input-group-prepend\">\n                          <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\" style=\"font-weight:bold; width: 130px\">Descuentos</span>\n                      </div>\n                      <input type=\"text\" [(ngModel)]=\"descuentos\" [disabled]=\"true\" class=\"form-control\" aria-label=\"Small\" aria-describedby=\"inputGroup-sizing-sm\" style=\"text-align:right\" />\n                  </div>\n              </div>\n              <div col-6 col-md-2>\n                  <div class=\"input-group input-group-sm mb-0\">\n                      <div class=\"input-group-prepend\">\n                          <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\" style=\"font-weight:bold; width: 130px\">Imp.Trasladados</span>\n                      </div>\n                      <input type=\"text\" [(ngModel)]=\"impuestosTrasladados\" [disabled]=\"true\" class=\"form-control\" aria-label=\"Small\" aria-describedby=\"inputGroup-sizing-sm\" style=\"text-align:right\" />\n                  </div>\n              </div>\n              <div col-6 col-md-2>\n                  <div class=\"input-group input-group-sm mb-0\">\n                      <div class=\"input-group-prepend\">\n                          <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\" style=\"font-weight:bold; width: 130px\">Imp.Retenidos</span>\n                      </div>\n                      <input type=\"text\" [(ngModel)]=\"impuestosRetenidos\" [disabled]=\"true\" class=\"form-control\" aria-label=\"Small\" aria-describedby=\"inputGroup-sizing-sm\" style=\"text-align:right\" />\n                  </div>\n              </div>\n              <div col-6 col-md-2>\n                  <div class=\"input-group input-group-sm mb-0\">\n                      <div class=\"input-group-prepend\">\n                          <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\" style=\"font-weight:bold; width: 130px\">Total</span>\n                      </div>\n                      <input type=\"text\" [(ngModel)]=\"total\" [disabled]=\"true\" class=\"form-control\" aria-label=\"Small\" aria-describedby=\"inputGroup-sizing-sm\" style=\"text-align:right\" />\n                  </div>\n              </div>\n          </div>\n      </az-panel>\n    "
        }),
        __metadata("design:paramtypes", [])
    ], ImportesComponent);
    return ImportesComponent;
}());
exports.ImportesComponent = ImportesComponent;
