import { EventEmitter } from '@angular/core';
import { Context } from 'framework3/core';
import { CatalogSelector, SearchRequest } from 'framework3/search';
import { Observable } from 'rxjs';
import { ImpuestoItem, ImpuestoInfo } from '../models/impuesto';
import { ImpuestoService } from '../services/impuesto.service';
export declare class ImpuestosSelectorComponent extends CatalogSelector {
    protected context: Context;
    private impuestoService;
    impuestos: any[];
    selectedItem: ImpuestoInfo;
    traslado: boolean;
    retencion: boolean;
    selectedItemChanged: EventEmitter<ImpuestoInfo>;
    constructor(context: Context, impuestoService: ImpuestoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findImpuestos(keyword: string): Observable<ImpuestoItem[]>;
    onKeywordSearch(keyword: string): void;
}
