import { EventEmitter } from '@angular/core';
import { Context } from 'framework3/core';
import { CatalogSelector, SearchRequest } from 'framework3/search';
import { Observable } from 'rxjs';
import { RetencionItem, RetencionInfo } from '../models/retencion';
import { RetencionService } from '../services/retencion.service';
export declare class RetencionesSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    retenciones: any[];
    selectedItem: RetencionInfo;
    variable: boolean;
    local: boolean;
    selectedItemChanged: EventEmitter<RetencionInfo>;
    constructor(context: Context, service: RetencionService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findRetenciones(keyword: string): Observable<RetencionItem[]>;
    onKeywordSearch(keyword: string): void;
}
