import { Context, ProcessComponent, PolicyInfo, ProcesoService } from 'framework3/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
export declare class ComprobantesLoaderComponent extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    private procesoSvc;
    form: FormGroup;
    sentidos: {
        id: string;
        nombre: string;
    }[];
    sentido: string;
    rutaComprobantes: string;
    idLoader: number;
    cargando: boolean;
    alerts: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, formBuilder: FormBuilder, procesoSvc: ProcesoService);
    ngOnInit(): void;
    selectedSentido(item: any): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
}
