import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class EsquemaInfo extends CatalogInfo {
    nombre: string;
    origen: string;
    idTipoDocumento: number;
    idEnsamblado: number;
    clase: string;
    constructor();
}
export declare class EsquemaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    origen?: string;
    documento?: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
