import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PeriodoDetail } from './periodo-detail';
export declare class PeriodoInfo extends DocumentInfo<PeriodoDetail> {
    fechaAfectacion: Date;
    idEjercicio: string;
    fechaEjercicio: Date;
    idMes: number;
    fechaIni: Date;
    fechaFin: Date;
    fechaApertura: Date;
    fechaCierre: Date;
    estatus: string;
    constructor();
}
export declare class PeriodoItem extends DocumentItem {
    idMes: number;
    nombre: string;
    mes: string;
    ejercicio: string;
    fechaApertura: Date;
    fechaCierre: Date;
    fechaIni: Date;
    fechaFin: Date;
}
