"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var http_1 = require("@angular/common/http");
var core_2 = require("@angular/core");
var CancelacionService = /** @class */ (function (_super) {
    __extends(CancelacionService, _super);
    function CancelacionService(http, context) {
        return _super.call(this, http, context, 'api/contabilidad/cancelaciones') || this;
    }
    CancelacionService.prototype.search = function (idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idBranch', idBranch.toString());
        return this.apiService.post('search', params, request)
            .toPromise();
    };
    CancelacionService.prototype.downloadPeticionPendiente = function (idCompany) {
        var params = new http_1.HttpParams()
            .set("idCompany", idCompany.toString());
        return this.apiService.post("download-peticion-pendiente", params, null)
            .toPromise();
    };
    CancelacionService.prototype.downloadPeticionPendienteAsync = function (idCompany) {
        var params = new http_1.HttpParams()
            .set("idCompany", idCompany.toString());
        return this.apiService.post("download-peticion-pendiente-async", params, null)
            .toPromise();
    };
    CancelacionService.prototype.aceptarRechazar = function (idSucursal, aceptar, idCancelacionSolicitud) {
        var params = new http_1.HttpParams()
            .set("idSucursal", idSucursal.toString())
            .set("aceptar", aceptar.toString())
            .set("idCancelacionSolicitud", idCancelacionSolicitud.toString());
        return this.apiService.post("aceptar-rechazar", params, null)
            .toPromise();
    };
    CancelacionService = __decorate([
        core_2.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_1.Context])
    ], CancelacionService);
    return CancelacionService;
}(core_1.BaseService));
exports.CancelacionService = CancelacionService;
