import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SearchRequest, SearchResult } from 'framework3/search';
import { CFDCertificadoInfo, CFDCertificadoItem } from '../models/cfd-certificado';
export declare class CFDCertificadoService extends CatalogService<CFDCertificadoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CFDCertificadoInfo>;
    search(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    getDetailByID(itemID: number): Promise<CFDCertificadoInfo>;
    getDetailByCode(idBranch: number, code: string): Promise<CFDCertificadoInfo>;
    loadVigencias(idEmpresa: number): Promise<CFDCertificadoItem[]>;
}
