import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { CuentaBancariaInfo, CuentaBancariaItem } from '../models/cuenta-bancaria';
import { UsuarioItem } from 'framework3/core';
export declare class CuentaBancariaService extends CatalogService<CuentaBancariaInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CuentaBancariaInfo>;
    loadListByUser(idSucursal: number): Promise<CuentaBancariaItem[]>;
    getMembers(idCuentaBancaria: number): Promise<UsuarioItem[]>;
    addMembers(idCuentaBancaria: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idCuentaBancaria: number, idUser: number): Promise<any>;
}
