import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { EjercicioTipoInfo, EjercicioTipoItem } from '../models/ejercicio-tipo';
export declare class EjercicioTipoService extends CatalogService<EjercicioTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<EjercicioTipoInfo>;
    loadList(idSucursal: number): Promise<EjercicioTipoItem[]>;
}
