import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ListaNegraInfo } from '../models/lista-negra';
import { FileInfo } from 'framework3/general';
export declare class ListaNegraService extends CatalogService<ListaNegraInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ListaNegraInfo>;
    listaFromFile(file: FileInfo, idEmpresa: number, idSucursal: number): Promise<any>;
    permitirEFO(idListaNegra: number, idUsuario: number, idEmpresa: number, status: boolean): Promise<any>;
    eliminarFirmas(): Promise<any>;
}
