import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { RetencionInfo, RetencionTipoItem } from '../models/retencion';
import { RetencionItem } from '../index';
export declare class RetencionService extends CatalogService<RetencionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<RetencionInfo>;
    loadTipos(idEmpresa: string): Promise<RetencionTipoItem[]>;
    searchKeywordRetenciones(idBranch: number, keyword: string): Observable<RetencionItem[]>;
}
