import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { RiesgoPuestoInfo, RiesgoPuestoItem } from '../models/riesgo-puesto';
export declare class RiesgoPuestoService extends CatalogService<RiesgoPuestoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<RiesgoPuestoInfo>;
    getRiesgoPuestoCbo(idSucursal: number): Promise<RiesgoPuestoItem[]>;
}
