import { ChangeDetectorRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { Location } from '@angular/common';
import { Context } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogEditor, EditorEventArgs } from 'framework3/editors';
import { PerfilAutoCobroTipoService } from '../services/perfil-auto-cobro-tipo.service';
import { PerfilAutoCobroTipoInfo } from '../models/perfil-auto-cobro-tipo';
export declare class PerfilesAutoCobrosTiposEditor extends CatalogEditor {
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    protected changeDetector: ChangeDetectorRef;
    protected context: Context;
    private location;
    private perfilAutoCobroTipoService;
    perfilAutoCobroTipo: PerfilAutoCobroTipoInfo;
    bSuma: boolean;
    bResta: boolean;
    constructor(router: Router, route: ActivatedRoute, formBuilder: FormBuilder, changeDetector: ChangeDetectorRef, context: Context, location: Location, perfilAutoCobroTipoService: PerfilAutoCobroTipoService);
    onConfigureCatalog(options: CatalogOptions): void;
    onCreatingItem(): void;
    onViewingItem(id: number): void;
    onCloningItem(id: number): void;
    onLoadingItem(id: number): void;
    onSavingItem(args: EditorEventArgs): void;
    onChangeSuma(args: any): void;
    onChangeResta(args: any): void;
}
