import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { CollectionView } from 'wijmo/wijmo';
import { Menu } from 'wijmo/wijmo.input';
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { DeudorService } from '../services/deudor.service';
export declare class DeudoresBloqueadosComponent extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    private deudorService;
    form: FormGroup;
    fecha: Date;
    collectionView: CollectionView;
    alerts: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, formBuilder: FormBuilder, deudorService: DeudorService);
    onToolbarButtonClick(button: ToolbarButton): void;
    loadBloqueados(): void;
    onMenuSeleccionadosClicked(menu: Menu, args: any): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
