import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { GrupoDeudorInfo } from '../models/grupo-deudor';
import { GrupoDeudorService } from '../services/grupo-deudor.service';
export declare class GrupoDeudorSelectorComponent extends CatalogSelector {
    protected context: Context;
    private grupoDeudorService;
    gruposDeudores: any[];
    selectedItem: GrupoDeudorInfo;
    itemSelected: EventEmitter<GrupoDeudorInfo>;
    constructor(context: Context, grupoDeudorService: GrupoDeudorService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findInsumo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
