import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { CuentaPorCobrarInfo, CuentaPorCobrarItem } from '../models/cuenta-por-cobrar';
import { CuentaPorCobrarService } from '../services/cuenta-por-cobrar.service';
export declare class CuentasPorCobrarSelectorComponent extends DocumentSelector {
    protected context: Context;
    private cPcService;
    cuentaPorCobrar: any[];
    selectedItem: CuentaPorCobrarInfo;
    idDeudor: number;
    idGrupoDeudor: number;
    selectedItemChanged: EventEmitter<CuentaPorCobrarInfo>;
    constructor(context: Context, cPcService: CuentaPorCobrarService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findCpC(keyword: string): Observable<CuentaPorCobrarItem[]>;
    onKeywordSearch(keyword: string): void;
}
