import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { DepositoInfo, DepositoItem } from '../models/deposito';
import { DepositoService } from '../services/deposito.service';
export declare class DepositosSelectorComponent extends DocumentSelector {
    protected context: Context;
    private depositoService;
    depositos: any[];
    selectedItem: DepositoInfo;
    idWorflowStep: number;
    selectedItemChanged: EventEmitter<DepositoInfo>;
    constructor(context: Context, depositoService: DepositoService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findAnticipos(keyword: string): Observable<DepositoItem[]>;
    onKeywordSearch(keyword: string): void;
}
