import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { CatalogEditor } from 'framework3/editors';
import { EnvioComprobantesItem } from '../components/envio-comprobantes-fiscales.component';
import { ComprobanteFiscalService } from '../../accounting/services/comprobante-fiscal.service';
import 'brace/theme/chrome';
import 'brace/mode/xml';
import 'brace/worker/xml';
export declare class ModificarAddendaEditor extends CatalogEditor {
    private comprobanteFiscalService;
    protected context: Context;
    private formBuilder;
    protected router: Router;
    protected route: ActivatedRoute;
    protected changeDetectorRef: ChangeDetectorRef;
    editorForm: FormGroup;
    envioComprobantesItem: EnvioComprobantesItem;
    textAdenda: string;
    data: EnvioComprobantesItem;
    dataUpdater: EventEmitter<string>;
    dialog: ModalDirective;
    constructor(comprobanteFiscalService: ComprobanteFiscalService, context: Context, formBuilder: FormBuilder, router: Router, route: ActivatedRoute, changeDetectorRef: ChangeDetectorRef);
    show(): void;
    obtenerAddenda(): void;
    onUpdate(): void;
}
