import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { CajeroItem } from '../models/cajero';
import { CajeroService } from '../services/cajero.service';
export declare class CajerosListComponent extends CatalogListDialog {
    protected context: Context;
    private cajeroService;
    cajeros: CajeroItem[];
    constructor(context: Context, cajeroService: CajeroService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedGroups: CajeroItem[]): void;
    onSelectedItemChanged(group: CajeroItem): void;
}
