import { Router, ActivatedRoute } from '@angular/router';
import { Context, DocumentItem } from 'framework3/core';
import { DocumentManager, WorkflowEventArgs } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { MenuItem } from 'framework3/controls';
import { CuentaPorCobrarItem } from '../models/cuenta-por-cobrar';
import { CuentaPorCobrarService } from '../services/cuenta-por-cobrar.service';
export declare class CuentasPorCobrarManager extends DocumentManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private cuentaPorCobrarService;
    cuentasPorCobrarTit: CuentaPorCobrarItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, cuentaPorCobrarService: CuentaPorCobrarService);
    onConfigureDocument(): void;
    onSearchRequested(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(document: DocumentItem): void;
    onEditingItem(document: DocumentItem): void;
    onDeletingItem(document: DocumentItem): void;
    onCloningItem(document: DocumentItem): void;
    onApplyingNextStep(args: WorkflowEventArgs): void;
    onApplyingPreviousStep(document: DocumentItem): void;
    onMenuItemClick(option: MenuItem): void;
}
