import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { NotaDetail } from '../../../accounting/models/nota-detail';
import { NotaConceptoInfo, NotaConceptoItem } from '../../../accounting/models/nota-concepto';
import { NotaConceptoService } from '../../../accounting/services/nota-concepto.service';
import { NotaTipoService } from '../../../credit/services/nota-tipo.service';
export declare class NotaDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private notaTipoSvc;
    private notaConceptoSvc;
    detailCopy: NotaDetail;
    notaConcepto: NotaConceptoInfo;
    detail: NotaDetail;
    idNotaTipo: number;
    formato: string;
    impuestoCalculado: number;
    notaConceptos: NotaConceptoItem[];
    constructor(context: Context, builder: FormBuilder, notaTipoSvc: NotaTipoService, notaConceptoSvc: NotaConceptoService);
    onSelectItem(idConcepto: number): void;
    onCreatingItem(): void;
    onLoadingItem(detail: NotaDetail): void;
    onUpdatingItem(detail: NotaDetail): void;
    loadConceptos(): void;
}
