import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ContribuyenteInfo } from '../../accounting/models/contribuyente';
import { DeudorPerfilAutoCobro } from './deudor-perfil-auto-cobro';
export declare class GrupoDeudorInfo extends CatalogInfo {
    nombre: string;
    idCFDSerie: number;
    limiteCredito: number;
    adeudoPrestamo: number;
    idNotaTipo: number;
    diasCredito: number;
    idCuenta: number;
    desgloseIeps: boolean;
    idContribuyente: number;
    perfilesAutoCobro: DeudorPerfilAutoCobro[];
    rV: number[];
    contribuyente: ContribuyenteInfo;
    constructor();
}
export declare class GrupoDeudorItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
