"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
//Wijmo
var wijmo_1 = require("wijmo/wijmo");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
var Confirmacion = /** @class */ (function () {
    function Confirmacion(formBuilder) {
        this.formBuilder = formBuilder;
        this.idEliminar = 0;
        this.mensaje = '';
        //outputs
        this.aceptado = new core_1.EventEmitter();
        this.editorForm = formBuilder.group({});
    }
    Confirmacion.prototype.show = function (idPreRegistro, mensaje) {
        this.idEliminar = idPreRegistro;
        this.mensaje = mensaje;
        this.dialog.config.backdrop = false;
        this.dialog.show();
        wijmo_1.Control.invalidateAll();
    };
    Confirmacion.prototype.onAceptar = function () {
        this.aceptado.emit(this.idEliminar);
        this.dialog.hide();
    };
    Confirmacion.prototype.onCancelar = function () {
        this.aceptado.emit(0);
        this.dialog.hide();
    };
    __decorate([
        core_1.ViewChild('dialog'),
        __metadata("design:type", ngx_bootstrap_1.ModalDirective)
    ], Confirmacion.prototype, "dialog", void 0);
    __decorate([
        core_1.Output(),
        __metadata("design:type", core_1.EventEmitter)
    ], Confirmacion.prototype, "aceptado", void 0);
    Confirmacion = __decorate([
        core_1.Component({
            selector: 'confirmacion-err',
            template: "\n      <form [formGroup]=\"editorForm\">\n\n          <div bsModal #dialog=\"bs-modal\" class=\"modal fade\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myLargeModalLabel\" aria-hidden=\"true\">\n              <div class=\"modal-dialog  modal-lg\">\n                  <div class=\"modal-content\">\n                      <div class=\"modal-header\">\n                          <h4 class=\"modal-title\">{{mensaje}}</h4>\n                      </div>\n                      <div class=\"modal-footer\">\n                          <button type=\"button\" class=\"btn btn-primary\" (click)=\"onAceptar()\">Aceptar</button>\n                          <button type=\"button\" class=\"btn btn-danger\" (click)=\"onCancelar()\">Atr\u00E1s</button>\n                      </div> <!--Modal Footer-->\n\n                  </div> <!-- Modal Content-->\n              </div> <!--Modal-->\n          </div><!--Modal directive-->\n\n      </form>\n    "
        }),
        __metadata("design:paramtypes", [forms_1.FormBuilder])
    ], Confirmacion);
    return Confirmacion;
}());
exports.Confirmacion = Confirmacion;
