import { FormBuilder, FormGroup } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { CollectionView } from 'wijmo/wijmo';
import { ModalDirective } from 'ngx-bootstrap';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { Context } from 'framework3/core';
import { CajaService } from '../services/caja.service';
import { CorteItem } from '../models/caja';
export declare class CorteHistoricoComponent {
    private formBuilder;
    private context;
    private router;
    private route;
    private cajaService;
    editorForm: FormGroup;
    logCollection: CollectionView;
    currentEntry: CorteItem;
    alerts: AlertsBarComponent;
    detailsDialog: ModalDirective;
    corteHistoricoDialog: ModalDirective;
    idCaja: number;
    fechaIni: Date;
    fechaFin: Date;
    constructor(formBuilder: FormBuilder, context: Context, router: Router, route: ActivatedRoute, cajaService: CajaService);
    loadLog(): void;
    mainToolbarClick(button: ToolbarButton): void;
    onRowView(entry: CorteItem): void;
    handleError(error: any): void;
    show(idCaja: number): void;
}
