import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { AnticipoInfo, AnticipoItem } from '../models/anticipo';
import { AnticipoDetail } from '../models/anticipo-detail';
export declare class AnticipoService extends DocumentService<AnticipoDetail, AnticipoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<AnticipoInfo>;
    searchKeyword(idBranch: number, keyword: string): Observable<AnticipoItem[]>;
}
