import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { ProcessComponent, Context } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { PolicyInfo } from 'framework3/core';
import { ToolbarButton } from 'framework3/controls';
import { ModalDirective } from 'ngx-bootstrap';
import { ArticulosFotografia } from '../models/articulo-stock';
import { ArticuloStockService } from '../services/articulo-stock.service';
export declare class ArticulosFotografias extends ProcessComponent {
    protected router: Router;
    protected route: ActivatedRoute;
    protected context: Context;
    private articuloStockService;
    private location;
    dialog: ModalDirective;
    fotografiaItem: ArticulosFotografia;
    fotografias: ArticulosFotografia[];
    fotografiasCollection: TrackableCollection;
    fileSelected: string;
    idArticulo: number;
    constructor(router: Router, route: ActivatedRoute, context: Context, articuloStockService: ArticuloStockService, location: Location);
    ngOnInit(): void;
    applyPolicy(policy: PolicyInfo): void;
    ngAfterViewInit(): void;
    llenandoGrid(idArticulo: number): void;
    agregarFotografia(idArticulo: number, articulosFotografia: ArticulosFotografia): void;
    show(): void;
    handleError(error: any): void;
    onUpdate(): void;
    onToolbarButtonClick(button: ToolbarButton): void;
}
