import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { ClasificacionesArticulosComponent } from './clasificaciones-articulos-list.component';
import { AlmacenService } from '../services/almacen.service';
import { ClasificacionesArticulosItem } from '../models/almacen';
export declare class ArticulosPermitidosComponent extends BaseComponent {
    private context;
    private almacenService;
    private grupoService;
    private router;
    private route;
    private location;
    articulosPermitidos: ClasificacionesArticulosItem[];
    idAlmacen: number;
    currentItem: CatalogItem;
    usuariosCollection: TrackableCollection;
    articulosPermitidosDialog: ClasificacionesArticulosComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, almacenService: AlmacenService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadArticulosPermitidos(): void;
    actualizarClasificaciones(data: ClasificacionesArticulosItem[]): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onRemoveClasificacion(item: any): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
