import { EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context, BaseComponent } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { ClasificacionesArticulosItem } from '../models/almacen';
import { AlmacenService } from '../services/almacen.service';
import { PolicyInfo } from 'framework3/core';
export declare class ClasificacionesArticulosComponent extends BaseComponent {
    private almacenService;
    private context;
    private formBuilder;
    editorForm: FormGroup;
    clasificacionesArticulosItem: ClasificacionesArticulosItem[];
    data: ClasificacionesArticulosItem[];
    dataUpdated: EventEmitter<ClasificacionesArticulosItem[]>;
    dialog: ModalDirective;
    alerts: AlertsBarComponent;
    constructor(almacenService: AlmacenService, context: Context, formBuilder: FormBuilder);
    show(): void;
    ngOnInit(): void;
    onUpdate(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
