import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { UbicacionInfo } from '../models/ubicacion';
import { UbicacionService } from '../services/ubicacion.service';
export declare class UbicacionesSelectorComponent extends CatalogSelector {
    protected context: Context;
    private ubicacionesService;
    ubicaciones: any[];
    selectedItem: UbicacionInfo;
    idAlmacen: number;
    selectedItemChanged: EventEmitter<UbicacionInfo>;
    constructor(context: Context, ubicacionesService: UbicacionService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findUbicaciones(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
