import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { AlmacenService } from '../services/almacen.service';
import { AlmacenItem } from '../models/almacen';
export declare class AlmacenListComponent extends CatalogListDialog {
    protected context: Context;
    private articuloSvc;
    almacenes: AlmacenItem[];
    constructor(context: Context, articuloSvc: AlmacenService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: AlmacenItem[]): void;
    onSelectedItemChanged(item: AlmacenItem): void;
}
