import { EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { UnidadMedidaInfo, UnidadMedidaItem } from '../../models/unidad-medida';
import { Empaquetado } from '../../models/empaquetado';
export declare class DetailQuantityEditor {
    private context;
    cantidad: number;
    unidades: number;
    unidadMedida: UnidadMedidaInfo | UnidadMedidaItem;
    updateQuantity: EventEmitter<number | Empaquetado>;
    dialog: ModalDirective;
    constructor(context: Context);
    show(): void;
    onCantidadChange(cantidad: number): void;
    onUnidadesChange(unidades: number): void;
    onUpdate(): void;
}
