import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { AreaItem } from '../../models/area';
import { AlmacenItem } from '../../models/almacen';
import { AreaService } from '../../services/area.service';
import { AlmacenService } from '../../services/almacen.service';
export declare class NuevaEntradaComponent {
    private formBuilder;
    private router;
    private route;
    private context;
    private areaService;
    private almacenService;
    form: FormGroup;
    idArea: number;
    idAlmacen: number;
    areas: AreaItem[];
    almacenes: AlmacenItem[];
    alertsBar: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, router: Router, route: ActivatedRoute, context: Context, areaService: AreaService, almacenService: AlmacenService);
    ngAfterViewInit(): void;
    private loadAreas;
    private loadAlmacenes;
    onToolbarClick(button: ToolbarButton): void;
    handleError(error: any): void;
}
