import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context, SucursalService, SucursalItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { AreaItem } from '../../models/area';
import { AlmacenItem } from '../../models/almacen';
import { AreaService } from '../../services/area.service';
import { AlmacenService } from '../../services/almacen.service';
export declare class NuevaTransferenciaComponent {
    private formBuilder;
    private router;
    private route;
    private context;
    private areaService;
    private almacenService;
    private sucursalService;
    valid: boolean;
    form: FormGroup;
    idArea: number;
    idAlmacen: number;
    areas: AreaItem[];
    almacenes: AlmacenItem[];
    idSucursal: number;
    sucursales: SucursalItem[];
    alertsBar: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, router: Router, route: ActivatedRoute, context: Context, areaService: AreaService, almacenService: AlmacenService, sucursalService: SucursalService);
    ngAfterViewInit(): void;
    private loadAreas;
    private loadSucursales;
    private loadAlmacenes;
    onToolbarClick(button: ToolbarButton): void;
    handleError(error: any): void;
}
