"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var inventory_routing_module_1 = require("./inventory.routing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
//Modulos Locales
var accounting_module_1 = require("../accounting/accounting.module");
/////////////////////////////// Servicios ////////////////////////////
var unidad_medida_service_1 = require("./services/unidad-medida.service");
var unidad_medida_tipo_service_1 = require("./services/unidad-medida-tipo.service");
var area_service_1 = require("./services/area.service");
var almacen_service_1 = require("./services/almacen.service");
var articulo_stock_service_1 = require("./services/articulo-stock.service");
var ubicacion_service_1 = require("./services/ubicacion.service");
var tipo_ubicacion_service_1 = require("./services/tipo-ubicacion.service");
var concepto_service_1 = require("./services/concepto.service");
var entrada_service_1 = require("./services/entrada.service");
var salida_service_1 = require("./services/salida.service");
var traspaso_service_1 = require("./services/traspaso.service");
var transferencia_service_1 = require("./services/transferencia.service");
var meta_almacen_service_1 = require("./services/meta-almacen.service");
//////////////////////////// Componentes /////////////////////////////
var almacen_editar_stock_component_1 = require("./components/almacen-editar-stock.component");
var articulos_editar_stock_component_1 = require("./components/articulos-editar-stock.component");
var area_usuarios_component_1 = require("./components/area-usuarios.component");
var area_selector_component_1 = require("./components/area-selector.component");
var almacen_usuarios_component_1 = require("./components/almacen-usuarios.component");
var articulos_permitidos_component_1 = require("./components/articulos-permitidos.component");
var clasificaciones_articulos_list_component_1 = require("./components/clasificaciones-articulos-list.component");
var articulos_fotografias_component_1 = require("./components/articulos-fotografias.component");
var concepto_usuarios_component_1 = require("./components/concepto-usuarios.component");
var corte_component_1 = require("./components/corte.component");
//////////////////////////// Catalogos ////////////////////////////////
var unidades_medida_manager_1 = require("./catalogs/unidades-medida.manager");
var unidades_medida_editor_1 = require("./catalogs/unidades-medida.editor");
var unidades_medida_tipo_manager_1 = require("./catalogs/unidades-medida-tipo.manager");
var unidades_medida_tipo_editor_1 = require("./catalogs/unidades-medida-tipo.editor");
var areas_manager_1 = require("./catalogs/areas.manager");
var areas_editor_1 = require("./catalogs/areas.editor");
var almacenes_manager_1 = require("./catalogs/almacenes.manager");
var almacenes_editor_1 = require("./catalogs/almacenes.editor");
var articulos_stock_manager_1 = require("./catalogs/articulos-stock.manager");
var articulos_stock_editor_1 = require("./catalogs/articulos-stock.editor");
var almacen_existencias_1 = require("./catalogs/almacen-existencias");
var articulo_existencias_1 = require("./catalogs/articulo-existencias");
var almacen_articulos_stock_1 = require("./catalogs/almacen-articulos-stock");
var articulos_stock_configuracion_1 = require("./catalogs/articulos-stock-configuracion");
var ubicaciones_manager_1 = require("./catalogs/ubicaciones.manager");
var tipos_ubicacion_manager_1 = require("./catalogs/tipos-ubicacion.manager");
var tipos_ubicacion_editor_1 = require("./catalogs/tipos-ubicacion.editor");
var conceptos_manager_1 = require("./catalogs/conceptos.manager");
var conceptos_editor_1 = require("./catalogs/conceptos.editor");
var meta_almacenes_manager_1 = require("./catalogs/meta-almacenes.manager");
var meta_almacenes_editor_1 = require("./catalogs/meta-almacenes.editor");
///////////////////////////// Controles /////////////////////////////////
var articulo_stock_selector_component_1 = require("./controls/articulo-stock-selector.component");
var ubicaciones_selector_component_1 = require("./controls/ubicaciones-selector.component");
var articulo_stock_autocomplete_cell_component_1 = require("./controls/articulo-stock-autocomplete-cell.component");
var almacenes_selector_component_1 = require("./controls/almacenes-selector.component");
var quantity_input_component_1 = require("./controls/quantity-input.component");
var quantity_label_component_1 = require("./controls/quantity-label.component");
var articulo_stock_entrada_component_1 = require("./controls/articulo-stock-entrada.component");
var articulo_stock_salida_component_1 = require("./controls/articulo-stock-salida.component");
var articulo_lotes_component_1 = require("./controls/articulo-lotes.component");
var articulo_series_component_1 = require("./controls/articulo-series.component");
var almacen_provision_component_1 = require("./components/almacen-provision.component");
///////////////////////////// Documents /////////////////////////////////
var entradas_editor_1 = require("./documents/entradas.editor");
var entradas_manager_1 = require("./documents/entradas.manager");
var salidas_editor_1 = require("./documents/salidas.editor");
var salidas_manager_1 = require("./documents/salidas.manager");
var traspasos_tit_editor_1 = require("./documents/traspasos-tit.editor");
var traspasos_tit_manager_1 = require("./documents/traspasos-tit.manager");
var transferencias_tit_editor_1 = require("./documents/transferencias-tit.editor");
var transferencias_tit_manager_1 = require("./documents/transferencias-tit.manager");
//////////////////////////// Parts /////////////////////////////////////
var entrada_detail_editor_1 = require("./documents/parts/entrada-detail.editor");
var salida_detail_editor_1 = require("./documents/parts/salida-detail.editor");
var nueva_entrada_component_1 = require("./documents/parts/nueva-entrada.component");
var nueva_salida_component_1 = require("./documents/parts/nueva-salida.component");
var detail_quantity_editor_1 = require("./documents/parts/detail-quantity.editor");
var articulos_stock_general_component_1 = require("./parts/articulos-stock-general.component");
var articulos_stock_controles_component_1 = require("./parts/articulos-stock-controles.component");
var traspasos_tit_detail_editor_1 = require("./documents/parts/traspasos-tit-detail.editor");
var transferencias_tit_detail_editor_1 = require("./documents/parts/transferencias-tit-detail.editor");
var nueva_transferencia_component_1 = require("./documents/parts/nueva-transferencia.component");
var transferencia_aceptar_component_1 = require("./parts/transferencia-aceptar.component");
////////////////////////////////Mantenimientos/////////////////////////
var articulos_costo_estandar_maintenance_1 = require("./maintenances/articulos-costo-estandar.maintenance");
var almacenes_list_component_1 = require("./dialogs/almacenes-list.component");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [unidades_medida_manager_1.UnidadesMedidaManager, unidades_medida_editor_1.UnidadesMedidaEditor, unidades_medida_tipo_manager_1.UnidadesMedidaTipoManager, unidades_medida_tipo_editor_1.UnidadesMedidaTipoEditor, areas_manager_1.AreasManager, areas_editor_1.AreasEditor,
    area_usuarios_component_1.AreasUsuariosComponent, almacen_usuarios_component_1.AlmacenUsuariosComponent, almacenes_manager_1.AlmacenesManager, almacenes_editor_1.AlmacenesEditor, articulos_stock_manager_1.ArticulosStockManager, ubicaciones_manager_1.UbicacionesManager, tipos_ubicacion_manager_1.TiposUbicacionManager, tipos_ubicacion_editor_1.TiposUbicacionEditor,
    articulos_stock_editor_1.ArticulosStockEditor, articulo_stock_selector_component_1.ArticuloStockSelectorComponent, ubicaciones_selector_component_1.UbicacionesSelectorComponent, almacenes_selector_component_1.AlmacenesSelectorComponent, articulos_permitidos_component_1.ArticulosPermitidosComponent, clasificaciones_articulos_list_component_1.ClasificacionesArticulosComponent, articulos_fotografias_component_1.ArticulosFotografias,
    almacen_editar_stock_component_1.AlmacenEditarStock, articulos_editar_stock_component_1.ArticulosEditarStock, almacen_existencias_1.AlmacenExistencias, articulo_existencias_1.ArticuloExistencias, almacen_articulos_stock_1.AlmacenArticulosStock, articulos_stock_configuracion_1.ArticulosStockConfiguracion, entradas_editor_1.EntradasEditor, entradas_manager_1.EntradasManager, entrada_detail_editor_1.EntradaDetailEditor,
    articulo_stock_autocomplete_cell_component_1.ArticuloStockAutocompleteCellComponent, conceptos_manager_1.ConceptosManager, conceptos_editor_1.ConceptosEditor, nueva_entrada_component_1.NuevaEntradaComponent, concepto_usuarios_component_1.ConceptoUsuariosComponent, quantity_input_component_1.QuantityInputComponent, quantity_label_component_1.QuantityLabelComponent, articulo_stock_entrada_component_1.ArticuloStockEntradaComponent,
    articulo_stock_salida_component_1.ArticuloStockSalidaComponent, salidas_editor_1.SalidasEditor, salidas_manager_1.SalidasManager, nueva_salida_component_1.NuevaSalidaComponent, salida_detail_editor_1.SalidaDetailEditor, articulo_lotes_component_1.ArticuloLotesComponent, detail_quantity_editor_1.DetailQuantityEditor, articulo_series_component_1.ArticuloSeriesComponent,
    articulos_stock_general_component_1.ArticuloStockGeneralComponent, articulos_stock_controles_component_1.ArticuloStockControlesComponent, area_selector_component_1.AreasSelectorComponent, corte_component_1.CortesComponent,
    traspasos_tit_manager_1.TraspasosTitManager, traspasos_tit_editor_1.TraspasosTitEditor, traspasos_tit_detail_editor_1.TraspasoDetailEditor, transferencias_tit_manager_1.TransferenciasTitManager, transferencias_tit_editor_1.TransferenciasTitEditor, transferencias_tit_detail_editor_1.TransferenciaDetailEditor, nueva_transferencia_component_1.NuevaTransferenciaComponent, transferencia_aceptar_component_1.TrensferenciaAceptarComponent,
    meta_almacenes_manager_1.MetaAlmacenesManager, meta_almacenes_editor_1.MetaAlmacenesEditor, articulos_costo_estandar_maintenance_1.ArticuloCostoEstandar, almacenes_list_component_1.AlmacenListComponent, almacen_provision_component_1.AlmacenProvisionesComponent];
var SERVICIOS = [unidad_medida_service_1.UnidadMedidaService, unidad_medida_tipo_service_1.UnidadMedidaTipoService, area_service_1.AreaService, articulo_stock_service_1.ArticuloStockService, almacen_service_1.AlmacenService, entrada_service_1.EntradaService, ubicacion_service_1.UbicacionService, tipo_ubicacion_service_1.TipoUbicacionService,
    concepto_service_1.ConceptoService, salida_service_1.SalidaService, traspaso_service_1.TraspasoService, transferencia_service_1.TransferenciaService, meta_almacen_service_1.MetaAlmacenService];
var InventoryModule = /** @class */ (function () {
    function InventoryModule() {
    }
    InventoryModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(), ngx_bootstrap_1.CarouselModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, security_1.SecurityModule, controls_1.ControlsModule, inventory_routing_module_1.InventoryRoutingModule, accounting_module_1.AccountingModule,
                wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], InventoryModule);
    return InventoryModule;
}());
exports.InventoryModule = InventoryModule;
