import { Router, ActivatedRoute } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { ArticuloCostoEstandar as ArticuloCostoEstandarInf } from '../models/articulo-costo-estandar';
import { ArticuloStockService } from '../services/articulo-stock.service';
export declare class ArticuloCostoEstandar extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private formBuilder;
    private articuloService;
    form: FormGroup;
    articulosCostoEstandar: ArticuloCostoEstandarInf[];
    articulosCollection: TrackableCollection;
    alerts: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, formBuilder: FormBuilder, articuloService: ArticuloStockService);
    onToolbarButtonClick(button: ToolbarButton): void;
    llenaListado(): void;
    guardar(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
