import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class AreaInfo extends CatalogInfo {
    nombre: string;
    idCorteActual: string;
    idCuenta: number;
    turnos: TurnoItem[];
    constructor();
}
export declare class AreaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class AreaUsuarioInfo extends CatalogInfo {
    idArea: number;
    idUsuario: number;
    constructor();
}
export declare class AreaUsuarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class TurnoItem {
    idArea: number;
    idTurno: number;
    nombre: string;
    selected: boolean;
}
