import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class ConceptoInfo extends CatalogInfo {
    nombre: string;
    tipo: string;
    automatico: boolean;
    tag: string;
    diasVigencia: number;
    diasCancelacion: number;
    reqApartado: boolean;
    reqTransporte: boolean;
    consumirReserva: boolean;
    idCuenta: number;
    constructor();
}
export declare class ConceptoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    tipo: string;
    automatico: boolean;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
