"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Empaquetado = /** @class */ (function () {
    function Empaquetado(cantidad, factor, unidades) {
        this.cantidad = cantidad;
        this.factor = factor;
        this.unidades = unidades;
        this.paquetes = 0;
        if (unidades) {
            var totalUnidades = ((this.cantidad * this.factor) + this.unidades);
            this.paquetes = Math.floor(totalUnidades / this.factor);
            this.unidades = totalUnidades % this.factor;
        }
        else {
            this.paquetes = (Math.floor(this.cantidad));
            this.unidades = ((this.cantidad - this.paquetes) * this.factor);
            if (this.unidades == this.factor) {
                this.paquetes += 1;
                this.unidades = 0;
            }
        }
    }
    Empaquetado.prototype.toDecimal = function () {
        var total = (this.paquetes + (this.unidades / this.factor));
        return total;
    };
    return Empaquetado;
}());
exports.Empaquetado = Empaquetado;
