import { DocumentInfo, DocumentItem } from 'framework3/core';
import { TraspasoDetail } from './traspaso-detail';
import { AlmacenInfo } from './almacen';
export declare class TraspasoInfo extends DocumentInfo<TraspasoDetail> {
    fechaAfectacion: Date;
    horaMovto: Date;
    horaApartado: Date;
    horaCarga: Date;
    horaAplicado: Date;
    idConcepto: number;
    idAlmacenOrigen: number;
    idAlmacenDestino: number;
    idMovimientoIN: string;
    idMovimientoOUT: string;
    totalCantidad: number;
    totalCosto: number;
    flete: number;
    referencia: string;
    idCorteCaptura: string;
    idCorteApartado: string;
    idCorteMovto: string;
    idCorteCarga: string;
    idCorteAplicado: string;
    observaciones: string;
    almacenOrigen: AlmacenInfo;
    almacenDestino: AlmacenInfo;
    constructor();
}
export declare class TraspasoItem extends DocumentItem {
}
