import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService, UsuarioItem } from 'framework3/core';
import { ConceptoInfo, ConceptoItem } from '../models/concepto';
export declare class ConceptoService extends CatalogService<ConceptoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ConceptoInfo>;
    loadList(idEmpresa: number, tipo: string): Promise<ConceptoItem[]>;
    loadListByUser(idEmpresa: number, idUsuario: number, tipo: string): Promise<ConceptoItem[]>;
    getUsers(idConcepto: number): Promise<UsuarioItem[]>;
    addUsers(idConcepto: number, users: UsuarioItem[]): Promise<any>;
    removeUser(idConcepto: number, idUsuario: number): Promise<any>;
}
