import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { SalidaInfo } from '../models/salida';
import { SalidaDetail } from '../models/salida-detail';
export declare class SalidaService extends DocumentService<SalidaDetail, SalidaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<SalidaInfo>;
    protected mapSearchResult(row: any): void;
    protected mapDocument(document: SalidaInfo): void;
    update(info: SalidaInfo): Promise<SalidaInfo>;
}
