import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { TransferenciaInfo } from '../models/transferencia';
import { TransferenciaDetail } from '../models/transferencia-detail';
export declare class TransferenciaService extends DocumentService<TransferenciaDetail, TransferenciaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<TransferenciaInfo>;
    update(info: TransferenciaInfo): Promise<TransferenciaInfo>;
    protected mapDocument(document: TransferenciaInfo): void;
}
