import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ArticuloInfo } from '../models/articulo';
import { ArticuloService } from '../services/articulo.service';
export declare class ArticuloSelectorComponent extends CatalogSelector {
    protected context: Context;
    private articuloService;
    articulos: any[];
    selectedItem: ArticuloInfo;
    articuloUpdated: EventEmitter<{}>;
    articuloSelector: boolean;
    constructor(context: Context, articuloService: ArticuloService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findArticulo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
