import { EventEmitter } from "@angular/core";
import { BaseComponent, PolicyInfo, Context } from "framework3/core";
import { Router, ActivatedRoute } from "@angular/router";
import { SearchRequest } from "framework3/search";
import { AlertsBarComponent, MenuItem } from "framework3/controls";
import { CategoriasPresupuestalesService } from "../services/categorias-presupuestales.service";
import { ArticuloListComponent } from "../dialogs/articulo-list.component";
import { TrackableCollection } from "framework3/editors";
export declare class CategoriasPresupuestalesArticulosComponent extends BaseComponent {
    private context;
    protected router: Router;
    protected route: ActivatedRoute;
    private categoriaPresupuestalsvc;
    articulos: any[];
    articulosCollection: TrackableCollection;
    articulosEliminados: any[];
    enableAdd: boolean;
    pageSizeArticulo: number;
    totalRowsArticulo: number;
    pageIndexArticulo: number;
    serverSideArticulo: boolean;
    Editing: boolean;
    idCategoriaPresupuestal: number;
    articulosSelected: EventEmitter<any[]>;
    articulosDeleted: EventEmitter<any[]>;
    private _IdCategoriaPresupuestal;
    requestArticulo: SearchRequest;
    currentItemArticulo: any;
    alerts: AlertsBarComponent;
    ArticuloDialog: ArticuloListComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, categoriaPresupuestalsvc: CategoriasPresupuestalesService);
    applyPolicy(policy: PolicyInfo): void;
    refreshListArticulios(): void;
    onCurrentItemArticuloChanged(args: any): void;
    searchArticuloRequested(request: SearchRequest): void;
    optionArticuloClick(option: MenuItem): void;
    handleError(error: any): void;
    onSelectedArticuloChanged(args: any): void;
    onAgregarArticulo(): void;
}
