import { EventEmitter } from "@angular/core";
import { BaseComponent, PolicyInfo, Context } from "framework3/core";
import { ServicioListComponent } from '../dialogs/servicio-list.component';
import { Router, ActivatedRoute } from "@angular/router";
import { SearchRequest } from "framework3/search";
import { AlertsBarComponent, MenuItem } from "framework3/controls";
import { CategoriasPresupuestalesService } from "../services/categorias-presupuestales.service";
export declare class CategoriasPresupuestalesServiciosComponent extends BaseComponent {
    private context;
    protected router: Router;
    protected route: ActivatedRoute;
    private categoriaPresupuestalsvc;
    servicios: any[];
    serviciosEliminados: any[];
    enableAdd: boolean;
    pageSizeServicio: number;
    totalRowsArticulo: number;
    pageIndexServicio: number;
    serverSideServicio: boolean;
    Editing: boolean;
    idCategoriaPresupuestal: number;
    servicioSelected: EventEmitter<any[]>;
    servicioDeleted: EventEmitter<any[]>;
    private _IdCategoriaPresupuestal;
    requestServicio: SearchRequest;
    currentItemServicio: any;
    alerts: AlertsBarComponent;
    ServicioDialog: ServicioListComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, categoriaPresupuestalsvc: CategoriasPresupuestalesService);
    applyPolicy(policy: PolicyInfo): void;
    refreshListServicios(): void;
    onCurrentItemServicioChanged(args: any): void;
    searchServicioRequested(request: SearchRequest): void;
    optionServicioClick(option: MenuItem): void;
    handleError(error: any): void;
    onSelectedServicioChanged(args: any): void;
    onAgregarServicio(): void;
}
