import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ZonaCompraInfo } from '../models/zona-compra';
import { ZonaCompraService } from '../services/zona-compra.service';
export declare class ZonaCompraSelectorComponent extends CatalogSelector {
    protected context: Context;
    private zonaCompraService;
    zonaCompras: any[];
    selectedItem: ZonaCompraInfo;
    zonaCompraUpdated: EventEmitter<{}>;
    zonaCompraSelector: boolean;
    constructor(context: Context, zonaCompraService: ZonaCompraService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findZonaCompra(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
