import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { ArticuloService } from '../services/articulo.service';
import { ArticuloItem } from '../models/articulo';
export declare class ArticuloListComponent extends CatalogListDialog {
    protected context: Context;
    private articuloSvc;
    articulos: ArticuloItem[];
    constructor(context: Context, articuloSvc: ArticuloService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: ArticuloItem[]): void;
    onSelectedItemChanged(item: ArticuloItem): void;
}
