import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { CategoriasPresupuestalesService } from '../services/categorias-presupuestales.service';
import { ArticuloItem } from '../models/articulo';
export declare class CategoriaPresupuestalArticulosListComponent extends CatalogListDialog {
    protected context: Context;
    private categoriaSvc;
    articulos: ArticuloItem[];
    idCategoriaPresupuestal: number;
    multiSelect: boolean;
    constructor(context: Context, categoriaSvc: CategoriasPresupuestalesService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: ArticuloItem[]): void;
    onSelectedItemChanged(item: ArticuloItem): void;
}
