"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
//
var core_2 = require("framework3/core");
var search_1 = require("framework3/search");
var categorias_presupuestales_service_1 = require("../services/categorias-presupuestales.service");
//
var CategoriaPresupuestalArticulosListComponent = /** @class */ (function (_super) {
    __extends(CategoriaPresupuestalArticulosListComponent, _super);
    function CategoriaPresupuestalArticulosListComponent(context, categoriaSvc) {
        var _this = _super.call(this, context) || this;
        _this.context = context;
        _this.categoriaSvc = categoriaSvc;
        _this.multiSelect = false;
        return _this;
    }
    CategoriaPresupuestalArticulosListComponent.prototype.onSearchRequested = function (request) {
        var _this = this;
        this.categoriaSvc.searchArticuloCategoriaPresupuestal(this.idCategoriaPresupuestal, this.context.app.defaultSite.identity, request)
            .then(function (result) {
            _this.articulos = result.rows;
            _this.totalRows = result.totalRows;
            _this.pageIndex = request.pageIndex;
            _this.context.app.hideSpinner();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    CategoriaPresupuestalArticulosListComponent.prototype.onSelectedItemsChanged = function (selectedItems) {
        this.selectedItemsChanged.emit(selectedItems);
    };
    CategoriaPresupuestalArticulosListComponent.prototype.onSelectedItemChanged = function (item) {
        this.selectedItemChanged.emit(item);
    };
    __decorate([
        core_1.Output(),
        __metadata("design:type", Boolean)
    ], CategoriaPresupuestalArticulosListComponent.prototype, "multiSelect", void 0);
    CategoriaPresupuestalArticulosListComponent = __decorate([
        core_1.Component({
            selector: 'purchasing-categoria-presupuestal-articulos-list',
            template: "\n      <catalog-list-dialog (searchRequested)=\"onSearchRequested($event)\"\n                           (selectedItemsChanged)=\"onSelectedItemsChanged($event)\"\n                           (selectedItemChanged)=\"onSelectedItemChanged($event)\"\n                           [catalogList]=\"articulos\"\n                           [excludedItems]=\"excludedItems\"\n                           [multiSelect]=\"multiSelect\"\n                           [serverSide]=\"serverSide\"\n                           [pageSize]=\"pageSize\"\n                           [totalRows]=\"totalRows\"\n                           [pageIndex]=\"pageIndex\">\n\n\n          <azteca-grid-column [header]=\"'Codigo'\" [binding]=\"'codigo'\" [width]=\"150\"></azteca-grid-column>\n          <azteca-grid-column [header]=\"'Nombre'\" [binding]=\"'nombre'\" [width]=\"'40*'\"></azteca-grid-column>\n\n\n      </catalog-list-dialog>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context, categorias_presupuestales_service_1.CategoriasPresupuestalesService])
    ], CategoriaPresupuestalArticulosListComponent);
    return CategoriaPresupuestalArticulosListComponent;
}(search_1.CatalogListDialog));
exports.CategoriaPresupuestalArticulosListComponent = CategoriaPresupuestalArticulosListComponent;
