import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { CategoriasPresupuestalesService } from '../services/categorias-presupuestales.service';
import { ServicioItem } from '../models/servicio';
export declare class CategoriaPresupuestalServiciosListComponent extends CatalogListDialog {
    protected context: Context;
    private categoriaSvc;
    servicios: ServicioItem[];
    idCategoriaPresupuestal: number;
    multiSelect: boolean;
    constructor(context: Context, categoriaSvc: CategoriasPresupuestalesService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: ServicioItem[]): void;
    onSelectedItemChanged(item: ServicioItem): void;
}
