import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { CentroRecepcionService } from '../services/centro-recepcion.service';
import { CentroRecepcionItem } from '../models/centro-recepcion';
export declare class CentrosRecepcionListComponent extends CatalogListDialog {
    protected context: Context;
    private centroRecepcionService;
    centrosRecepcion: CentroRecepcionItem[];
    constructor(context: Context, centroRecepcionService: CentroRecepcionService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: CentroRecepcionItem[]): void;
    onSelectedItemChanged(item: CentroRecepcionItem): void;
}
