import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { DepartamentoService } from '../services/departamento.service';
import { DepartamentoItem } from '../models/departamento';
export declare class DepartamentosListComponent extends CatalogListDialog {
    protected context: Context;
    private departamentoService;
    departamentos: DepartamentoItem[];
    constructor(context: Context, departamentoService: DepartamentoService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItems: DepartamentoItem[]): void;
    onSelectedItemChanged(item: DepartamentoItem): void;
}
