import { Context } from 'framework3/core';
import { DocumentListDialog, SearchRequest } from 'framework3/search';
import { OrdenService } from '../services/orden.service';
import { OrdenItem } from '../models/orden';
export declare class OrdenesListComponent extends DocumentListDialog {
    protected context: Context;
    private ordenService;
    ordenes: OrdenItem[];
    idProveedor: number;
    idCentroRecepcion: number;
    idWorkflowStep: number;
    saldoPendiente: boolean;
    startPeriod: number;
    constructor(context: Context, ordenService: OrdenService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selecteItems: OrdenItem[]): void;
    onSelectedItemChanged(item: OrdenItem): void;
    handleError(error: any): void;
}
