import { EventEmitter } from '@angular/core';
import { FlexGrid } from 'wijmo/wijmo.grid';
import * as wjcGrid from 'wijmo/wijmo.grid';
import { CollectionView } from 'wijmo/wijmo';
import { ModalDirective } from 'ngx-bootstrap';
import { AlertsBarComponent } from 'framework3/controls';
import { Context, BaseComponent } from 'framework3/core';
import { SearchRequest } from 'framework3/search';
import { ProveedorService } from '../services/proveedor.service';
import { ProveedorArticuloItem, ProveedorArticulo } from '../models/proveedor';
import { ProveedorArtioculoComponent } from '../components/proveedor-articulo.component';
export declare class ProveedoresArticuloListComponent extends BaseComponent {
    protected context: Context;
    private proveedorService;
    proveedores: ProveedorArticuloItem[];
    idArticulo: number;
    idUnidadMedida: number;
    currentItem: ProveedorArticuloItem;
    selectedItem: EventEmitter<ProveedorArticuloItem>;
    collectionView: CollectionView;
    listDialog: ModalDirective;
    grid: FlexGrid;
    alerts: AlertsBarComponent;
    costoDialog: ModalDirective;
    proveedorCostoComponent: ProveedorArtioculoComponent;
    constructor(context: Context, proveedorService: ProveedorService);
    applyPolicy(): void;
    ngAfterViewInit(): void;
    initializeGrid(sender: wjcGrid.FlexGrid): void;
    onSearchRequested(request: SearchRequest): void;
    triggerSearch(): void;
    show(): void;
    handleError(error: any): void;
    isValid(): boolean;
    onChangeCost(proveedor: any): void;
    onSavedCost(item: ProveedorArticulo): void;
    onCancelCost(item: boolean): void;
    private onConfirmClick;
    private onCancelClick;
    refreshControls(): void;
}
