import { Context } from 'framework3/core';
import { DocumentListDialog, SearchRequest } from 'framework3/search';
import { RecepcionItem } from '../models/recepcion';
import { RecepcionService } from '../services';
export declare class RecepcionesListComponent extends DocumentListDialog {
    protected context: Context;
    private recepcionService;
    recepciones: RecepcionItem[];
    idWorkflowStep: number;
    idBeneficiario: number;
    idDivisa: number;
    idProveedor: number;
    constructor(context: Context, recepcionService: RecepcionService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selecteItems: RecepcionItem[]): void;
    onSelectedItemChanged(item: RecepcionItem): void;
    handleError(error: any): void;
}
