import { Router, ActivatedRoute } from '@angular/router';
import { Context, DocumentItem } from 'framework3/core';
import { DocumentManager, WorkflowEventArgs } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { CostoPresupuestoItem } from '../models/costo-presupuesto';
import { CostoPresupuestoService } from '../services/costo-presupuesto.service';
export declare class CostosPresupuestosManager extends DocumentManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private costoPresupuestoService;
    costosPresupuestos: CostoPresupuestoItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, costoPresupuestoService: CostoPresupuestoService);
    onConfigureDocument(): void;
    onSearchRequested(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(document: DocumentItem): void;
    onEditingItem(document: DocumentItem): void;
    onDeletingItem(document: DocumentItem): void;
    onCloningItem(document: DocumentItem): void;
    onApplyingNextStep(args: WorkflowEventArgs): void;
    onApplyingPreviousStep(document: DocumentItem): void;
}
