import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { RecepcionServicioDetail } from '../../models/recepcion-servicio-detail';
import { UnidadMedidaItem, UnidadMedidaService, AlmacenService } from '../../../inventory';
export declare class RecepcionServiciosDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private unidadMedidaService;
    private almacenService;
    unidadesMedida: UnidadMedidaItem[];
    validInput: boolean;
    detailCopy: RecepcionServicioDetail;
    detail: RecepcionServicioDetail;
    idAlmacen: number;
    costoUnitario: number;
    constructor(context: Context, builder: FormBuilder, unidadMedidaService: UnidadMedidaService, almacenService: AlmacenService);
    onCreatingItem(): void;
    onLoadingItem(detail: RecepcionServicioDetail): void;
    ngAfterViewInit(): void;
    onUpdatingItem(detail: RecepcionServicioDetail): void;
    cantidadChanged(monto: number): void;
    onInputValidChange(valid: boolean): void;
}
