import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { RecepcionDetail } from '../../models/recepcion-detail';
import { UnidadMedidaItem, StockInfo, UnidadMedidaService, AlmacenService } from '../../../inventory';
export declare class RecepcionDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private unidadMedidaService;
    private almacenService;
    unidadesMedida: UnidadMedidaItem[];
    validInput: boolean;
    stockConfig: StockInfo;
    detailCopy: RecepcionDetail;
    detail: RecepcionDetail;
    idAlmacen: number;
    constructor(context: Context, builder: FormBuilder, unidadMedidaService: UnidadMedidaService, almacenService: AlmacenService);
    onInputValidChange(valid: boolean): void;
}
