"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
//Kernel
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
//Locales
var recepcion_detail_1 = require("../../models/recepcion-detail");
//Inventario
var inventory_1 = require("../../../inventory");
var RecepcionDetailEditor = /** @class */ (function (_super) {
    __extends(RecepcionDetailEditor, _super);
    //
    function RecepcionDetailEditor(context, builder, unidadMedidaService, almacenService) {
        var _this = _super.call(this, context) || this;
        _this.context = context;
        _this.builder = builder;
        _this.unidadMedidaService = unidadMedidaService;
        _this.almacenService = almacenService;
        _this.unidadesMedida = [];
        _this.validInput = false;
        //Copia temporal que se utilizará para edición y no afecte al objeto original por si el usuario decide cancelar la edición
        _this.detailCopy = new recepcion_detail_1.RecepcionDetail();
        //Objeto original que se editará
        _this.detail = new recepcion_detail_1.RecepcionDetail();
        _this.form = builder.group({
            'sample': [''],
        });
        return _this;
    }
    //  /////////////////// METODOS ///////////////////////////////
    //  loadUnidadesMedida(idTipoUnidad: number) {
    //      //Si el articulo esta controlado por series, no se puede cambiar la unidad de medida, por lo tanto solo se debe utilizar la unidad de medida el articulo,
    //      //en caso contrario, cargar lista de unidades de medida del mismo tipo
    //      if (this.stockConfig.manejaSeries) {
    //          let unidadArticulo = this.detailCopy.articulo.articuloStock.unidadMedida;
    //          let newUnidad: UnidadMedidaItem = {
    //              id: unidadArticulo.identity, codigo: unidadArticulo.code, idUnidadMedidaTipo: unidadArticulo.idUnidadMedidaTipo, base: unidadArticulo.base,
    //              factor: unidadArticulo.factor, fraccionable: unidadArticulo.fraccionable, paquete: unidadArticulo.paquete, activo: true
    //          };
    //          let newUnidades = [];
    //          newUnidades.push(newUnidad);
    //          this.unidadesMedida = newUnidades;
    //          this.detailCopy.idUnidadMedida = unidadArticulo.identity;
    //      }
    //      else {
    //          this.unidadMedidaService.loadList(idTipoUnidad)
    //              .then(unidadesMedida => {
    //                  this.unidadesMedida = unidadesMedida;
    //                  this.detailCopy.idUnidadMedida = this.detailCopy.articulo.idUnidadMedida;
    //              })
    //              .catch(error => this.handleError(error));
    //      }
    //  }
    //  loadStock(idArticulo: number) {
    //      this.almacenService.loadStock(this.idAlmacen, idArticulo)
    //          .then(stock => {
    //              this.stockConfig = stock;
    //              this.loadUnidadesMedida(this.detailCopy.articulo.articuloStock.unidadMedida.idUnidadMedidaTipo);
    //          })
    //          .catch(error => this.handleError(error));
    //  }
    //  /////////////////// HANDLERS //////////////////////////////
    //  onCreatingItem() {
    //      this.detailCopy = this.detail;
    //this.form.reset({ sample: '' });
    //      this.form.markAsPristine();
    //  }
    //  onLoadingItem(detail: RecepcionDetail ) {
    //      this.detailCopy = <RecepcionDetail>this.copyItem(this.detail);
    //      this.form.updateValueAndValidity();
    //      if (this.detailCopy.idArticulo > 0)
    //          setTimeout (_ => this.loadStock(this.detailCopy.articulo.articuloStock.identity), 3000 );            
    //  }
    //  ngAfterViewInit() {
    //      //setTimeout(_ => this.loadStock(this.detailCopy.articulo.articuloStock.identity));            
    //  }
    //  onUpdatingItem(detail: RecepcionDetail ) {
    //      this.unidadMedidaService.getDetailFromCache(this.detailCopy.idUnidadMedida)
    //          .then(unidad => {
    //              this.detailCopy.unidadMedida = unidad;
    //              if (this.detailCopy._clientID == 0) {
    //                  this.detailCopy._clientID = this.createClientID();
    //              }
    //              else {
    //                  this.detailCopy.state = ChangeState.MODIFIED;
    //              }
    //              this.savingItem.emit(this.detailCopy);
    //              this.detailCopy = new RecepcionDetail();
    //          })
    //          .catch(error => this.handleError(error));
    //  }
    RecepcionDetailEditor.prototype.onInputValidChange = function (valid) {
        this.validInput = valid;
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", recepcion_detail_1.RecepcionDetail)
    ], RecepcionDetailEditor.prototype, "detail", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], RecepcionDetailEditor.prototype, "idAlmacen", void 0);
    RecepcionDetailEditor = __decorate([
        core_1.Component({
            selector: 'compras-recepcion-detail-editor',
            template: "\n      <form [formGroup]=\"form\">\n          <azteca-basic-editor [item]=\"detail\"\n                               [dirty]=\"dirty\"\n                               [valid]=\"valid\"\n                               (creatingItem)=\"onCreatingItem()\"\n                               (loadingItem)=\"onLoadingItem($event)\"\n                               (updatingItem)=\"onUpdatingItem($event)\">\n\n\n\n\n          </azteca-basic-editor>\n      </form>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context, forms_1.FormBuilder, inventory_1.UnidadMedidaService, inventory_1.AlmacenService])
    ], RecepcionDetailEditor);
    return RecepcionDetailEditor;
}(editors_1.BasicEditor));
exports.RecepcionDetailEditor = RecepcionDetailEditor;
