import { CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
export declare class CategoriasPresupuestalesInfo extends CatalogInfo {
    nombre: string;
    idCuenta: number;
    articulos: Articulo[];
    servicios: Servicio[];
    constructor();
}
export declare class CategoriasPresupuestalesItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class Articulo extends TrackableItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus: string;
    selected: boolean;
}
export declare class Servicio extends TrackableItem {
    id: number;
    codigo: string;
    nombre: string;
    ultimoCosto: number;
    activo: boolean;
    estatus: string;
    selected: boolean;
}
