import { CatalogInfo, CatalogItem } from 'framework3/core';
import { SegmentoNegocioInfo } from '../../accounting/models/segmento-negocio';
import { Articulo, Servicio } from '../models/categorias-presupuestales';
export declare class CentroCostoInfo extends CatalogInfo {
    nombre: string;
    idSegmentoNegocio: number;
    segmentoNegocio: SegmentoNegocioInfo;
    articulos: Articulo[];
    servicios: Servicio[];
    constructor();
}
export declare class CentroCostoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
