import { CatalogInfo, CatalogItem } from 'framework3/core';
import { DomicilioInfo } from 'framework3/general';
export declare class CentroRecepcionInfo extends CatalogInfo {
    nombre: string;
    idArea: number;
    idAlmacen: number;
    domicilio: DomicilioInfo;
    tel1: string;
    tel2: string;
    fax: string;
    correo: string;
    idCuenta: number;
    constructor();
}
export declare class CentroRecepcionItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
