import { CatalogInfo, CatalogItem, EmpresaInfo as EmpresaBaseInfo } from 'framework3/core';
import { SucursalItem } from '../models/sucursal';
export declare class EmpresaInfo extends CatalogInfo {
    idRemitentePortal: number;
    idRemitenteOrdenes: number;
    correoRecepcionCFD: string;
    servidorPopCFD: string;
    puertoPopCFD: number;
    passwordPopCFD: string;
    idFormatoPresupuesto: number;
    idFormatoOrden: number;
    idCuenta: number;
    surusales: SucursalItem;
    idEjercicioTipo: number;
    empresaBase: EmpresaBaseInfo;
    idWorkflowStepRequisicionOrdenar: number;
    idWorkflowStepOrdenRecibir: number;
    constructor();
}
export declare class EmpresaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    domicilio?: string;
    colonia?: string;
    poblacion?: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
