import { DocumentInfo, DocumentItem } from 'framework3/core';
import { GastoDetail } from './gasto-detail';
import { GastoComprobanteItem } from './gasto-comprobante-item';
export declare class GastoInfo extends DocumentInfo<GastoDetail> {
    fechaAfectacion: Date;
    idDepartamento: number;
    idPresupuesto: string;
    FechaPresupuesto: Date;
    tipoBeneficiario: string;
    idBeneficiario: number;
    idGastoTipo: number;
    importeGasto: number;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    descuentos: number;
    total: number;
    idDivisa: number;
    tipoCambio: number;
    idCuentaPorCobrar: string;
    fechaCuentaPorCobrar: Date;
    idDocumentoRef: string;
    fechaDocumentoRef: Date;
    observaciones: string;
    comprobantes: GastoComprobanteItem[];
    constructor();
}
export declare class GastoItem extends DocumentItem {
}
