import { DocumentDetail, TrackableItem } from 'framework3/core';
import { CategoriasPresupuestalesInfo } from '../models/categorias-presupuestales';
export declare class PresupuestosDetail extends DocumentDetail {
    idCategoriaPresupuestal: number;
    montoPresupuesto: number;
    montoUtilizado: number;
    montoApartado: number;
    montoDisponible: number;
    categoriaPresupuestal: CategoriasPresupuestalesInfo;
    articulos: CategoriaDetail[];
    servicios: CategoriaDetail[];
    conceptos: CategoriaDetail[];
    constructor();
}
export declare class CategoriaDetail extends TrackableItem {
    descripcion: string;
    idServicio: number;
    idArticulo: number;
    montoPresupuesto: number;
    montoUtilizado: number;
    montoApartado: number;
    montoDisponible: number;
}
