"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var general_1 = require("framework3/general");
//
var accounting_1 = require("../../accounting");
var treasury_1 = require("../../treasury");
var articulo_1 = require("./articulo");
var ProveedorInfo = /** @class */ (function (_super) {
    __extends(ProveedorInfo, _super);
    function ProveedorInfo() {
        var _this = _super.call(this) || this;
        _this.nombre = '';
        _this.correo = '';
        //
        _this.domicilio = new general_1.DomicilioInfo();
        _this.contribuyente = new accounting_1.ContribuyenteInfo();
        _this.beneficiario = new treasury_1.BeneficiarioInfo();
        _this.usuario = new core_1.UsuarioInfo();
        return _this;
    }
    return ProveedorInfo;
}(core_1.CatalogInfo));
exports.ProveedorInfo = ProveedorInfo;
var ProveedorItem = /** @class */ (function () {
    function ProveedorItem() {
        this.selected = false;
    }
    return ProveedorItem;
}());
exports.ProveedorItem = ProveedorItem;
var ProveedorArticulo = /** @class */ (function () {
    function ProveedorArticulo() {
        this.idProveedor = 0;
        this.articulo = new articulo_1.ArticuloInfo();
    }
    return ProveedorArticulo;
}());
exports.ProveedorArticulo = ProveedorArticulo;
var ProveedorServicio = /** @class */ (function () {
    function ProveedorServicio() {
        this.idProveedor = 0;
        this.porcAnticipo = 0;
    }
    return ProveedorServicio;
}());
exports.ProveedorServicio = ProveedorServicio;
var PreRegistro = /** @class */ (function () {
    function PreRegistro() {
    }
    return PreRegistro;
}());
exports.PreRegistro = PreRegistro;
var ProveedorArticuloItem = /** @class */ (function (_super) {
    __extends(ProveedorArticuloItem, _super);
    function ProveedorArticuloItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.codigoProv = "";
        _this.proveedor = "";
        _this.telefono = "";
        _this.codigoZona = "";
        _this.zona = "";
        return _this;
    }
    return ProveedorArticuloItem;
}(ProveedorArticulo));
exports.ProveedorArticuloItem = ProveedorArticuloItem;
var ProveedorServicioItem = /** @class */ (function (_super) {
    __extends(ProveedorServicioItem, _super);
    function ProveedorServicioItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.codigoProv = "";
        _this.proveedor = "";
        _this.telefono = "";
        _this.codigoZona = "";
        _this.zona = "";
        return _this;
    }
    return ProveedorServicioItem;
}(ProveedorServicio));
exports.ProveedorServicioItem = ProveedorServicioItem;
