import { DocumentInfo, DocumentItem } from 'framework3/core';
import { RequisicionDetail } from './requisicion-detail';
export declare class RequisicionInfo extends DocumentInfo<RequisicionDetail> {
    fechaAfectacion: Date;
    idGrupoRequisiciones: string;
    idTipoRequisicion: number;
    idCentral: number;
    idDepartamento: number;
    idCentroRecepcion: number;
    idCentroCosto: number;
    idPresupuesto: string;
    idCategoriaPresupuestal: number;
    idArticulo: number;
    idServicio: number;
    cantidad: number;
    recibido: number;
    entregado: number;
    idUnidadMedida: number;
    idOrden: string;
    fechaOrden: Date;
    observaciones: string;
    constructor();
}
export declare class RequisicionItem extends DocumentItem {
}
