import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoAsignacionInfo } from '../../accounting/models/impuesto-asignacion';
export declare class ServicioInfo extends CatalogInfo {
    nombre: string;
    libre: boolean;
    ultimoCosto: number;
    idCuenta: number;
    impuestos: ImpuestoAsignacionInfo[];
    constructor();
}
export declare class ServicioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
