import { BaseComponent, UsuarioItem, CatalogItem, Context, PolicyInfo } from "framework3/core";
import { UsuariosListComponent } from "framework3/security";
import { AlertsBarComponent, ToolbarButton } from "framework3/controls";
import { CentroCostoInfo } from "../models/centro-costo";
import { CentroCostoService } from "../services/centro-costo.service";
import { Router, ActivatedRoute } from "@angular/router";
import { Location } from '@angular/common';
export declare class CentrosCostoMiembrosComponent extends BaseComponent {
    private context;
    private centroCostoSvc;
    private router;
    private route;
    private location;
    title: string;
    usuarios: UsuarioItem[];
    idCentroCosto: number;
    centroCosto: CentroCostoInfo;
    currentItem: CatalogItem;
    usuariosDialog: UsuariosListComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, centroCostoSvc: CentroCostoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadCentral(): void;
    refreshList(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onSelectedUsersChanged(newUsers: UsuarioItem[]): void;
    onRemoveUser(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
