import { BaseComponent, Context, PolicyInfo } from "framework3/core";
import { PersonaInfo } from "framework3/general";
import { AlertsBarComponent } from "framework3/controls";
import { Router, ActivatedRoute } from "@angular/router";
import { Location } from '@angular/common';
import { ProveedorService } from "../services/proveedor.service";
export declare class ProveedoresContactosComponent extends BaseComponent {
    private context;
    private proveedorService;
    private router;
    private route;
    private location;
    title: string;
    idProveedor: number;
    proceso: number;
    personas: PersonaInfo[];
    alerts: AlertsBarComponent;
    constructor(context: Context, proveedorService: ProveedorService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applyPolicy(policy: PolicyInfo): void;
    loadContactos(): void;
    onSearchRequested(item: any): void;
    onAddPersona(): void;
    onEditPersona(item: any): void;
    onRemovePersonas(item: any): void;
    onCancel(): void;
    handleError(error: any): void;
}
