"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var notification_1 = require("framework3/notification");
var purchasing_routing_module_1 = require("./purchasing.routing.module");
//
var inventory_module_1 = require("../inventory/inventory.module");
var accounting_module_1 = require("../accounting/accounting.module");
var treasury_module_1 = require("../treasury/treasury.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_detail_1 = require("wijmo/wijmo.angular2.grid.detail");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
///////////////////////////// Servicios //////////////////////////////
var fromServices = require("./services");
var SERVICIOS = Object.keys(fromServices).map(function (key) { return fromServices[key]; });
///////////////////////////// Catalogos //////////////////////////////
var fromCatalogs = require("./catalogs");
var CATALOGOS = Object.keys(fromCatalogs).map(function (key) { return fromCatalogs[key]; });
///////////////////////////// Components //////////////////////////////
var fromComponents = require("./components");
var COMPONENTS = Object.keys(fromComponents).map(function (key) { return fromComponents[key]; });
///////////////////////////// Controls //////////////////////////////
var fromControls = require("./controls");
var CONTROLS = Object.keys(fromControls).map(function (key) { return fromControls[key]; });
///////////////////////////// Dialogs //////////////////////////////
var fromDialogs = require("./dialogs");
var DIALOGS = Object.keys(fromDialogs).map(function (key) { return fromDialogs[key]; });
///////////////////////////// Maintenances //////////////////////////////
var proveedores_registrar_maintenance_1 = require("./maintenances/proveedores-registrar.maintenance");
var proveedores_registrar_editor_maintenance_1 = require("./maintenances/proveedores-registrar-editor.maintenance");
var confirmacion_component_1 = require("./maintenances/parts/confirmacion.component");
/*
import * as fromMaintenances from './maintenances';
const MAINTENANCES = Object.keys(fromMaintenances).map(key => fromMaintenances[key]);
*/
///////////////////////////// Documents //////////////////////////////
var fromDocumentsParts = require("./documents/parts");
var DOCUMENTS_PARTS = Object.keys(fromDocumentsParts).map(function (key) { return fromDocumentsParts[key]; });
//
var fromDocuments = require("./documents");
var DOCUMENTS = Object.keys(fromDocuments).map(function (key) { return fromDocuments[key]; });
///////////////////////////// Parts //////////////////////////////
var fromParts = require("./parts");
var PARTS = Object.keys(fromParts).map(function (key) { return fromParts[key]; });
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = CATALOGOS.concat(COMPONENTS, CONTROLS, DIALOGS, DOCUMENTS_PARTS, DOCUMENTS, PARTS, [proveedores_registrar_maintenance_1.ProveedoresRegistrar, proveedores_registrar_editor_maintenance_1.ProveedoresRegistrarEditor, confirmacion_component_1.Confirmacion]);
var PurchasingModule = /** @class */ (function () {
    function PurchasingModule() {
    }
    PurchasingModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, notification_1.NotificationModule, purchasing_routing_module_1.PurchasingRoutingModule,
                accounting_module_1.AccountingModule, treasury_module_1.TreasuryModule, inventory_module_1.InventoryModule,
                wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, wijmo_angular2_grid_detail_1.WjGridDetailModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], PurchasingModule);
    return PurchasingModule;
}());
exports.PurchasingModule = PurchasingModule;
