import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { AdelantoInfo } from '../models/adelanto';
import { AdelantoDetail } from '../models/adelanto-detail';
export declare class AdelantoService extends DocumentService<AdelantoDetail, AdelantoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<AdelantoInfo>;
}
