"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
//Locales
var categorias_presupuestales_1 = require("../models/categorias-presupuestales");
var CategoriasPresupuestalesService = /** @class */ (function (_super) {
    __extends(CategoriasPresupuestalesService, _super);
    function CategoriasPresupuestalesService(http, context) {
        var _this = _super.call(this, http, context, 'api/compras/categorias-presupuestales') || this;
        _this.http = http;
        _this.context = context;
        return _this;
    }
    CategoriasPresupuestalesService.prototype.create = function () {
        return Promise.resolve(new categorias_presupuestales_1.CategoriasPresupuestalesInfo());
    };
    CategoriasPresupuestalesService.prototype.searchArticuloCategoriaPresupuestal = function (IdCategoriaPresupuestal, idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idCategoriaPresupuestal', IdCategoriaPresupuestal.toString())
            .set('idBranch', idBranch.toString());
        return this.apiService.post('search-articulo-categoria-presupuestal', params, request)
            .toPromise();
    };
    CategoriasPresupuestalesService.prototype.deleteCategoriaPresupuestalArticulo = function (IdArticulo, IdCategoriaPresupuestal) {
        var params = new http_1.HttpParams()
            .set('idCategoriaPresupuestal', IdCategoriaPresupuestal.toString())
            .set('idArticulo', IdArticulo.toString());
        return this.apiService.post('delete-articulo-categoria-presupuestal', params)
            .toPromise();
    };
    CategoriasPresupuestalesService.prototype.searchServicioCategoriaPresupuestal = function (IdCategoriaPresupuestal, idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idCategoriaPresupuestal', IdCategoriaPresupuestal.toString())
            .set('idBranch', idBranch.toString());
        return this.apiService.post('search-servicio-categoria-presupuestal', params, request)
            .toPromise();
    };
    CategoriasPresupuestalesService.prototype.deleteCategoriaPresupuestalServicio = function (IdServicio, IdCategoriaPresupuestal) {
        var params = new http_1.HttpParams()
            .set('idCategoriaPresupuestal', IdCategoriaPresupuestal.toString())
            .set('idServicio', IdServicio.toString());
        return this.apiService.post('delete-servicio-categoria-presupuestal', params)
            .toPromise();
    };
    CategoriasPresupuestalesService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], CategoriasPresupuestalesService);
    return CategoriasPresupuestalesService;
}(core_2.CatalogService));
exports.CategoriasPresupuestalesService = CategoriasPresupuestalesService;
