import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { CentroRecepcionInfo, CentroRecepcionItem } from '../models/centro-recepcion';
import { UsuarioItem } from 'framework3/core';
export declare class CentroRecepcionService extends CatalogService<CentroRecepcionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CentroRecepcionInfo>;
    loadListByDepartamentoAndUser(idDepartamento: any, idSucursal: number): Promise<CentroRecepcionItem[]>;
    getMembers(idCentroRecepcion: number): Promise<UsuarioItem[]>;
    addMembers(idCentroRecepcion: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idCentroRecepcion: number, idUser: number): Promise<any>;
}
