"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
//Locales
var centro_recepcion_1 = require("../models/centro-recepcion");
var CentroRecepcionService = /** @class */ (function (_super) {
    __extends(CentroRecepcionService, _super);
    function CentroRecepcionService(http, context) {
        return _super.call(this, http, context, 'api/compras/centros-recepcion') || this;
    }
    CentroRecepcionService.prototype.create = function () {
        return Promise.resolve(new centro_recepcion_1.CentroRecepcionInfo());
    };
    CentroRecepcionService.prototype.loadListByDepartamentoAndUser = function (idDepartamento, idSucursal) {
        var params = new http_1.HttpParams()
            .set('IdDepartamento', idDepartamento.toString())
            .set('IdSucursal', idSucursal.toString());
        return this.apiService.get('load-list-by-departamento', params)
            .toPromise();
    };
    CentroRecepcionService.prototype.getMembers = function (idCentroRecepcion) {
        var params = new http_1.HttpParams()
            .set('idCentroRecepcion', idCentroRecepcion.toString());
        return this.apiService.get('members', params)
            .toPromise();
    };
    CentroRecepcionService.prototype.addMembers = function (idCentroRecepcion, users) {
        var params = new http_1.HttpParams()
            .set('idCentroRecepcion', idCentroRecepcion.toString());
        return this.apiService.post('add-members', params, users)
            .toPromise();
    };
    CentroRecepcionService.prototype.removeMember = function (idCentroRecepcion, idUser) {
        var params = new http_1.HttpParams()
            .set('idCentroRecepcion', idCentroRecepcion.toString())
            .set('idUser', idUser.toString());
        return this.apiService.delete('remove-member', params)
            .toPromise();
    };
    CentroRecepcionService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], CentroRecepcionService);
    return CentroRecepcionService;
}(core_2.CatalogService));
exports.CentroRecepcionService = CentroRecepcionService;
