import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { CostoPresupuestoInfo } from '../models/costo-presupuesto';
import { CostoPresupuestoDetail } from '../models/costo-presupuesto-detail';
export declare class CostoPresupuestoService extends DocumentService<CostoPresupuestoDetail, CostoPresupuestoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<CostoPresupuestoInfo>;
    loadDetalleNew(idPresupuesto: string): Promise<CostoPresupuestoDetail[]>;
}
