import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { PresupuestoInfo } from '../models/presupuesto';
import { PresupuestoDetail } from '../models/presupuesto-detail';
export declare class PresupuestoService extends DocumentService<PresupuestoDetail, PresupuestoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<PresupuestoInfo>;
}
