"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Framework
var core_2 = require("framework3/core");
//Locales
var recepcion_sin_oc_1 = require("../models/recepcion-sin-oc");
var RecepcionSinOCService = /** @class */ (function (_super) {
    __extends(RecepcionSinOCService, _super);
    function RecepcionSinOCService(http, context) {
        var _this = _super.call(this, http, context, 'api/compras/recepciones-sin-o-c') || this;
        _this.http = http;
        _this.context = context;
        return _this;
    }
    RecepcionSinOCService.prototype.create = function () {
        var newDoc = new recepcion_sin_oc_1.RecepcionSinOCInfo();
        return Promise.resolve(newDoc);
    };
    RecepcionSinOCService.prototype.save = function (info) {
        //Si no tiene asignado la empresa y sucursal, asignar la actual
        if (info.idSucursal == 0)
            info.idSucursal = this.context.app.defaultSite.identity;
        //Actualizar campo de cantidad basado en las propiedades auxiliares (solo para articulos)
        //info.details.filter(detail => detail.idArticulo > 0).map(detail => <RecepcionArticuloDetail>detail).forEach(detail => {
        //    if (detail.unidadMedida.paquete && detail.unidadMedida.factor > 1) {
        //        let cantidad = new Empaquetado(detail.cantidad, detail.unidadMedida.factor, detail.unidades);
        //        detail.cantidad = cantidad.toDecimal();
        //    }
        //});
        //
        var params = new http_1.HttpParams();
        return this.apiService.post('save', params, info)
            .toPromise();
    };
    RecepcionSinOCService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], RecepcionSinOCService);
    return RecepcionSinOCService;
}(core_2.DocumentService));
exports.RecepcionSinOCService = RecepcionSinOCService;
