import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { TipoRequisicionInfo, TipoRequisicionItem } from '../models/tipo-requisicion';
export declare class TipoRequisicionService extends CatalogService<TipoRequisicionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<TipoRequisicionInfo>;
    loadListByUser(idSucursal: number): Promise<TipoRequisicionItem[]>;
}
