import { ControlValueAccessor, FormGroup, FormBuilder } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { BaseControl } from 'framework3/controls';
import { EditableListComponent } from 'framework3/editors';
import { ParametroItem } from '../../models/parametro';
export declare class ParametrosEditorComponent extends BaseControl implements ControlValueAccessor {
    private formBuilder;
    form: FormGroup;
    newParameter: ParametroItem;
    readonly valid: boolean;
    parametros: ParametroItem[];
    dlgParameter: ModalDirective;
    editListParametros: EditableListComponent;
    constructor(formBuilder: FormBuilder);
    onAddingItem(): void;
    onDeletingParameter(item: ParametroItem): void;
    onListItemUpdateParameter(items: ParametroItem[]): void;
    onUpdatedParameter(): void;
    writeValue(value: any): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    createClientID(): number;
    cloneInfo<T>(element: any): T;
}
