import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { CollectionView } from 'wijmo/wijmo';
import { suspensionService } from '../services/suspension.service';
import { suspensionInfo } from '../models/suspension';
export declare class suspensionEditor implements OnInit {
    private formBuilder;
    private suspensionSvc;
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    identity: number;
    info_Suspension: suspensionInfo[];
    previewCollection: CollectionView;
    selectedCollection: CollectionView;
    form: FormGroup;
    cvParametros: TrackableCollection;
    alerts: AlertsBarComponent;
    viewDialog: ModalDirective;
    constructor(formBuilder: FormBuilder, suspensionSvc: suspensionService, context: Context, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    putSuspension(): void;
    handleError(error: any): void;
}
