import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { ClaseNominaInfo } from '../models/clase-nomina';
import { ClaseNominaService } from '../services/clase-nomina.service';
export declare class ClaseNominaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: ClaseNominaInfo;
    claseNominaUpdated: EventEmitter<{}>;
    constructor(context: Context, service: ClaseNominaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPlaza(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
