import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CompaniaInfo } from '../models/compania';
import { CompaniaService } from '../services/compania.service';
export declare class CompaniaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private companiaService;
    compania: any[];
    selectedItem: CompaniaInfo;
    companiaUpdated: EventEmitter<{}>;
    companiaSelector: boolean;
    constructor(context: Context, companiaService: CompaniaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findCompania(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
