import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { EmpresaAdamInfo } from '../models/empresaadam';
import { EmpresaAdamService } from '../services/empresaadam.service';
export declare class EmpresaAdamSelectorComponent extends CatalogSelector {
    protected context: Context;
    private empresaAdamService;
    empresaAdam: any[];
    selectedItem: EmpresaAdamInfo;
    empresaAdamUpdated: EventEmitter<{}>;
    constructor(context: Context, empresaAdamService: EmpresaAdamService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findEmpresaAdam(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
