import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { HorarioInfo } from '../models/horario';
import { HorarioService } from '../services/horario.service';
export declare class HorarioSelectorComponent extends CatalogSelector {
    protected context: Context;
    private horarioSvc;
    horarios: any[];
    selectedItem: HorarioInfo;
    horarioUpdated: EventEmitter<{}>;
    constructor(context: Context, horarioSvc: HorarioService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findCompania(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
