import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { PeriodicidadPagoInfo } from '../models/periodicidad-pago';
import { PeriodicidadPagoService } from '../services/periodicidad-pago.service';
export declare class PeriodicidadPagoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: PeriodicidadPagoInfo;
    periodicidadUpdated: EventEmitter<{}>;
    constructor(context: Context, service: PeriodicidadPagoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPlaza(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
