import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { PlazaInfo } from '../models/plaza';
import { PlazaService } from '../services/plaza.service';
export declare class PlazaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private plazaService;
    plazas: any[];
    selectedItem: PlazaInfo;
    plazaUpdated: EventEmitter<{}>;
    constructor(context: Context, plazaService: PlazaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPlaza(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
