import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { TipoEventoService } from '../services/tipo-evento.service';
import { TipoEventoInfo } from '../models/tipo-evento';
export declare class TipoEventoSelector extends CatalogSelector {
    protected context: Context;
    private TipoEventoService;
    tiposEventos: any[];
    selectedItem: TipoEventoInfo;
    tipoIncidenciaUpdated: EventEmitter<{}>;
    constructor(context: Context, TipoEventoService: TipoEventoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTipo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
