import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { TipoIncidenciaService } from '../services/tipo-incidencia.service';
import { TipoIncidenciaInfo } from '../models/tipo-incidencia';
export declare class TipoIncidenciaSelector extends CatalogSelector {
    protected context: Context;
    private tipoIncidenciaService;
    tiposIncidencia: any[];
    selectedItem: TipoIncidenciaInfo;
    tipoIncidenciaUpdated: EventEmitter<{}>;
    constructor(context: Context, tipoIncidenciaService: TipoIncidenciaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTipo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
