import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { TipoNominaInfo } from '../models/tipo-nomina';
import { TipoNominaService } from '../services/tipo-nomina.service';
export declare class TipoNominaSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    items: any[];
    selectedItem: TipoNominaInfo;
    tipoNominaUpdated: EventEmitter<{}>;
    constructor(context: Context, service: TipoNominaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPlaza(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
