import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { TurnoInfo } from '../models/turno';
import { TurnoService } from '../services/turno.service';
export declare class TurnoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private turnoService;
    turno: any[];
    selectedItem: TurnoInfo;
    empleadoUpdated: EventEmitter<{}>;
    constructor(context: Context, turnoService: TurnoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTurno(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
