import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { ChecadorService } from '../services/checador.service';
import { ChecadorItem } from '../models/checador';
export declare class ChecadorListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: ChecadorItem[];
    excludedItems: ChecadorItem[];
    titleDialog: string;
    validarPermisos: boolean;
    constructor(context: Context, service: ChecadorService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: ChecadorItem[]): void;
    onSelectedItemChanged(item: ChecadorItem): void;
}
