import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { ConceptoAdamService } from '../services/concepto-adam.service';
import { ConceptoAdamItem } from '../models/concepto-adam';
export declare class ConceptosListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: ConceptoAdamItem[];
    titleDialog: string;
    constructor(context: Context, service: ConceptoAdamService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: ConceptoAdamItem[]): void;
    onSelectedItemChanged(item: ConceptoAdamItem): void;
}
