import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { DocumentoTipoService } from '../services/documento-tipo.service';
import { DocumentoTipoItem } from '../models/documento-tipo';
export declare class DocumentoTipoListComponent extends CatalogListDialog {
    protected context: Context;
    private service;
    items: DocumentoTipoItem[];
    titleDialog: string;
    proceso: string;
    constructor(context: Context, service: DocumentoTipoService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: DocumentoTipoItem[]): void;
    onSelectedItemChanged(item: DocumentoTipoItem): void;
}
