import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { TipoPerDedService } from '../services/tipo-per-ded.service';
import { TipoPerDedItem } from '../models/tipo-per-ded';
export declare class TiposPerDedListComponent extends CatalogListDialog {
    protected context: Context;
    private clienteService;
    items: TipoPerDedItem[];
    tipoPerDedSelector: string;
    titleDialog: string;
    constructor(context: Context, clienteService: TipoPerDedService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedItem: TipoPerDedItem[]): void;
    onSelectedItemChanged(item: TipoPerDedItem): void;
}
