import { FormGroup, FormBuilder } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent, MenuItem } from 'framework3/controls';
import * as wjcCore from 'wijmo/wijmo';
import { Menu } from 'wijmo/wijmo.input';
import { ChecadorService } from '../services/checador.service';
import { MotivoService } from '../services/motivo.service';
import { TransaccionItem } from '../models/transaccion';
import { ModalDirective } from 'ngx-bootstrap/modal/modal.directive';
export declare class ChecadaEmpleadoMaintenance extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private checadorSvc;
    private motivoSvc;
    form: FormGroup;
    formChecada: FormGroup;
    idEmpleado: number;
    fechaIni: Date;
    fechaFin: Date;
    valid: boolean;
    widthClass: string[];
    cvTransacciones: wjcCore.CollectionView;
    eliminadas: TransaccionItem[];
    motivos: any[];
    menuChecadaItems: MenuItem[];
    idMotivo: number;
    fecha: Date;
    hora: Date;
    alerts: AlertsBarComponent;
    dlgChecada: ModalDirective;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, checadorSvc: ChecadorService, motivoSvc: MotivoService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private changeState;
    createMenuDetail(): void;
    onClickGuardar(): void;
    onClickGuardarProcesar(): void;
    onClickCerrar(): void;
    onClickActualizar(): void;
    onClickAgregar(): void;
    onClickMnuChecada(menu: Menu): void;
    onClickChecadaAceptar(): void;
    applyPolicy(policy: PolicyInfo): void;
    private handleError;
}
