import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap/modal/modal.directive';
import * as wjcCore from 'wijmo/wijmo';
import { AlertsBarComponent } from "framework3/controls";
import { Context, ProcessComponent, PolicyInfo, EmpresaItem, SucursalItem } from 'framework3/core';
import { ChecadorService } from '../services/checador.service';
import { EmpleadoService } from '../services/empleado.service';
export declare class ExportarHuellasChecadoresMaintenance extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private checadorSvc;
    private empleadoService;
    formEmpresa: FormGroup;
    cvChecadores: wjcCore.CollectionView;
    cvEmpleados: wjcCore.CollectionView;
    widthClass: string[];
    alertsBar: AlertsBarComponent;
    dlgEmpresa: ModalDirective;
    empresas: EmpresaItem[];
    sucursales: SucursalItem[];
    sucursalesEmpresa: SucursalItem[];
    empresaSelected: number;
    sucursalSelected: number;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, checadorSvc: ChecadorService, empleadoService: EmpleadoService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadingChecks(): void;
    selectEmpresa(idEmpresa: number): void;
    onClickActualizar(): void;
    cargarEmpleados(): void;
    onClickExportar(): void;
    onClickEmpleadosSelect(): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    cloneInfo<T>(element: any): T;
}
