import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { ProcessComponent, Context, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { EvaluacionKardexService } from '../../services/evaluacion-kardex.service';
import { EvaluacionKardexInfo } from '../../models/evaluacion-kardex';
export declare class EvaluacionKardexDet extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private evaluacionKardexSvc;
    alerts: AlertsBarComponent;
    widthClass: string[];
    idEvaluacionKardex: number;
    info: EvaluacionKardexInfo;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, evaluacionKardexSvc: EvaluacionKardexService);
    ngOnInit(): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    closeEditor(): void;
}
