import { BaseComponent, PolicyInfo, Context } from "framework3/core";
import { FormGroup, FormBuilder } from "@angular/forms";
import { AlertsBarComponent } from "framework3/controls";
import { ActivatedRoute } from "@angular/router";
import { Location } from '@angular/common';
import { ChecadorService } from "../../services/checador.service";
import { EventoUsuarioInfo } from "../../models/evento-usuario";
import { EmpleadoInfo } from "../../models/empleado";
export declare class EventosUsuarioEditor extends BaseComponent {
    private formBuilder;
    private route;
    private location;
    private checadorService;
    private context;
    editorForm: FormGroup;
    idEventoUsuario: number;
    eventoUsuario: EventoUsuarioInfo;
    alerts: AlertsBarComponent;
    constructor(formBuilder: FormBuilder, route: ActivatedRoute, location: Location, checadorService: ChecadorService, context: Context);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    onEmpleadoSelected(args: EmpleadoInfo): void;
    onCancel(): void;
    onUpdate(): void;
    loadEvento(): void;
}
