import { ProcessComponent, Context, PolicyInfo } from "framework3/core";
import { AlertsBarComponent } from "framework3/controls";
import { InterfazAdamInfo } from "../../models/interfaz-adam";
import { Router, ActivatedRoute } from "@angular/router";
import { Location } from '@angular/common';
import { FormBuilder, FormGroup } from "@angular/forms";
import { InterfazAdamService } from "../../services/interfaz-adam.service";
export declare class InterfazAdamDetail extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private interfazAdamsvc;
    catalogForm: FormGroup;
    alerts: AlertsBarComponent;
    widthClass: string[];
    idInterfazAdam: number;
    info: InterfazAdamInfo;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, interfazAdamsvc: InterfazAdamService);
    ngOnInit(): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
    closeEditor(): void;
}
