import { ProcessComponent, PolicyInfo, Context } from "framework3/core";
import { FormGroup, FormBuilder } from "@angular/forms";
import { AlertsBarComponent } from "framework3/controls";
import { ActivatedRoute, Router } from "@angular/router";
import { Location } from '@angular/common';
import { ChecadorService } from "../services/checador.service";
import { MotivoService } from "../services/motivo.service";
import { CollectionView } from "wijmo/wijmo";
export declare class PlancharChecadasMaintenance extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private checadorSvc;
    private motivoSvc;
    form: FormGroup;
    fecha: Date;
    valid: boolean;
    widthClass: string[];
    idMotivo: number;
    motivos: any[];
    periodosEmpleados: CollectionView;
    alerts: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, checadorSvc: ChecadorService, motivoSvc: MotivoService);
    ngOnInit(): void;
    applyPolicy(policy: PolicyInfo): void;
    ngAfterViewInit(): void;
    private changeState;
    closeEditor(): void;
    private handleError;
    refresh(): void;
    saveHandler(): void;
}
