import { FormGroup, FormBuilder } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { Context, ProcessComponent, PolicyInfo } from 'framework3/core';
import { AlertsBarComponent, MenuItem } from 'framework3/controls';
import * as wjcCore from 'wijmo/wijmo';
import { Menu } from 'wijmo/wijmo.input';
import { ClaseNominaService } from '../services/clase-nomina.service';
import { ModalDirective } from 'ngx-bootstrap/modal/modal.directive';
import { RangoVacacionalInfo } from '../models/rango-vacacional';
export declare class RangosVacacionalesMaintenance extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private claseNominaService;
    form: FormGroup;
    formRango: FormGroup;
    idClaseNomina: number;
    valid: boolean;
    widthClass: string[];
    cvRangos: wjcCore.CollectionView;
    eliminadas: RangoVacacionalInfo[];
    motivos: any[];
    menuRangoItems: MenuItem[];
    currentRango: RangoVacacionalInfo;
    alerts: AlertsBarComponent;
    alertsEdit: AlertsBarComponent;
    dlgRango: ModalDirective;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, claseNominaService: ClaseNominaService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private changeState;
    createMenuDetail(): void;
    onClickGuardar(): void;
    onSelectedClaseChanged(item: any): void;
    onClickCerrar(): void;
    onClickActualizar(): void;
    onClickAgregar(): void;
    onClickMenu(menu: Menu): void;
    onClickRangoAceptar(): void;
    copyRango(original: RangoVacacionalInfo): RangoVacacionalInfo;
    validarNew(): boolean;
    applyPolicy(policy: PolicyInfo): void;
    private handleError;
}
