"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var empleado_1 = require("./empleado");
var CedulaFiniquitoInfo = /** @class */ (function (_super) {
    __extends(CedulaFiniquitoInfo, _super);
    function CedulaFiniquitoInfo() {
        var _this = _super.call(this) || this;
        _this.idEmpleado = 0;
        _this.idRescicionLaboral = 0;
        _this.diasAguinaldoContrato = 0;
        _this.pirmaVacExentaPagada = 0;
        _this.porcentajePrimaVacacional = 0;
        _this.diasVacacionesPendiente = 0;
        _this.diasVacacionesGeneradas = 0;
        _this.totalDiasVacaciones = 0;
        _this.porcentajePrimaAntiguedad = 0;
        _this.porcentajeVeinteDiasAnio = 0;
        _this.sueldoDiario = 0;
        _this.sueldoPromedio = 0;
        _this.sueldoDiarioIntegrado = 0;
        _this.ausentismo = 0;
        _this.sueldoDias = 0;
        _this.sueldoImporte = 0;
        _this.comisiones = 0;
        _this.incentivos = 0;
        _this.horasExtraImporte = 0;
        _this.primaVacacionalPendienteEntrega = 0;
        _this.primaDominicalNumDomingos = 0;
        _this.primaDominicalImporte = 0;
        _this.repartoUtilidades = 0;
        _this.diasNegociadoIndemnizacion = 0;
        _this.indemnnizacionAdicional = 0;
        _this.otros = 0;
        _this.salarioMinimoZona = 0;
        _this.uma = 0;
        _this.aguinaldoSindicato = 0;
        _this.idTaskComision = 0;
        _this.infonavit = 0;
        _this.fonacot = 0;
        _this.periodoPago = 0;
        _this.adeudo = 0;
        _this.importeNetoFiniquito = 0;
        _this.primaVacacionalExento = 0;
        _this.empleado = new empleado_1.EmpleadoInfo();
        _this.clase = new ClaseNomina();
        _this.fechaAntiguedad = new Date();
        _this.ultimoDiaLaborado = new Date();
        _this.fechaBaja = new Date();
        _this.fechaUltimoAguinaldo = new Date();
        _this.conceptosNegociacion = new Array();
        _this.conceptosApoyo = new Array();
        _this.conceptosIsr = new Array();
        _this.seguros = new Array();
        _this.conceptosPrevio = new Array();
        _this.tarifasPagosProvicionales = new Array();
        _this.subsidiosEmpleo = new Array();
        _this.comisionPeriodos = new Array();
        _this.variables = new Array();
        _this.eliminar = new Array();
        _this.acumuladosBajas = new Array();
        return _this;
    }
    return CedulaFiniquitoInfo;
}(core_1.CatalogInfo));
exports.CedulaFiniquitoInfo = CedulaFiniquitoInfo;
var CedulaFiniquitoItem = /** @class */ (function () {
    function CedulaFiniquitoItem() {
        this.selected = false;
    }
    return CedulaFiniquitoItem;
}());
exports.CedulaFiniquitoItem = CedulaFiniquitoItem;
var CedulaConcepto = /** @class */ (function () {
    function CedulaConcepto() {
        this.idCedulaConcepto = 0;
        this.idCedulaFiniquito = 0;
        this.idConcepto = 0;
        this.concepto = "";
        this.idClasificacionConcepto = 0;
        this.cantidad = 0;
        this.importeGravado = 0;
        this.importeExento = 0;
        this.importeTotal = 0;
        this.idParent = 0;
        this.clasificacionConcepto = new ClasificacionConcepto();
        this.conceptoFiniquito = new ConceptoFiniquito();
    }
    return CedulaConcepto;
}());
exports.CedulaConcepto = CedulaConcepto;
var ConceptoFiniquito = /** @class */ (function () {
    function ConceptoFiniquito() {
        this.procesos = new Array();
    }
    return ConceptoFiniquito;
}());
exports.ConceptoFiniquito = ConceptoFiniquito;
var FiniquitoProceso = /** @class */ (function () {
    function FiniquitoProceso() {
    }
    return FiniquitoProceso;
}());
exports.FiniquitoProceso = FiniquitoProceso;
var ClasificacionConcepto = /** @class */ (function () {
    function ClasificacionConcepto() {
    }
    return ClasificacionConcepto;
}());
exports.ClasificacionConcepto = ClasificacionConcepto;
var RescisionLaboral = /** @class */ (function () {
    function RescisionLaboral() {
    }
    return RescisionLaboral;
}());
exports.RescisionLaboral = RescisionLaboral;
var TarifaPagoProvicional = /** @class */ (function () {
    function TarifaPagoProvicional() {
        this.limiteInferior = 0;
        this.limiteSuperior = 0;
        this.cuotaFija = 0;
        this.porcentaje = 0;
    }
    return TarifaPagoProvicional;
}());
exports.TarifaPagoProvicional = TarifaPagoProvicional;
var SubsidioEmpleo = /** @class */ (function () {
    function SubsidioEmpleo() {
        this.limiteInferior = 0;
        this.limiteSuperior = 0;
        this.subsidio = 0;
    }
    return SubsidioEmpleo;
}());
exports.SubsidioEmpleo = SubsidioEmpleo;
var SeguroIMSS = /** @class */ (function () {
    function SeguroIMSS() {
    }
    return SeguroIMSS;
}());
exports.SeguroIMSS = SeguroIMSS;
var ComisionPeriodo = /** @class */ (function () {
    function ComisionPeriodo() {
    }
    return ComisionPeriodo;
}());
exports.ComisionPeriodo = ComisionPeriodo;
var ClaseNomina = /** @class */ (function () {
    function ClaseNomina() {
    }
    return ClaseNomina;
}());
exports.ClaseNomina = ClaseNomina;
var AsyncTaskInfo = /** @class */ (function () {
    function AsyncTaskInfo() {
    }
    return AsyncTaskInfo;
}());
exports.AsyncTaskInfo = AsyncTaskInfo;
var Variable = /** @class */ (function () {
    function Variable() {
    }
    return Variable;
}());
exports.Variable = Variable;
var AcumuladoBajaTit = /** @class */ (function () {
    function AcumuladoBajaTit() {
        this.acumuladoDet = new Array();
    }
    return AcumuladoBajaTit;
}());
exports.AcumuladoBajaTit = AcumuladoBajaTit;
var AcumuladoDet = /** @class */ (function () {
    function AcumuladoDet() {
    }
    return AcumuladoDet;
}());
exports.AcumuladoDet = AcumuladoDet;
