import { CatalogInfo, CatalogItem, TrackableItem } from 'framework3/core';
export declare class CompaniaInfo extends CatalogInfo {
    nombre: string;
    idEmpresaAdam: number;
    registroPatronal: string;
    rfcEmisor?: string;
    regimenFiscal?: string;
    razonSocial?: string;
    parametros: CompaniaParametroItem[];
    constructor();
}
export declare class CompaniaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class CompaniaParametroItem extends TrackableItem {
    path: string;
    key: string;
    value: string;
    constructor();
}
