import { HierarchyInfo, CatalogItem, TrackableItem } from 'framework3/core';
export declare class DepartamentoInfo extends HierarchyInfo<DepartamentoInfo> {
    idCuenta: number;
    constructor();
}
export declare class DepartamentoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean;
    estatus?: string;
}
export declare class Acceso extends TrackableItem {
    idUsuario: number;
    idDepartamento: number;
    departamento: DepartamentoInfo;
    constructor();
}
