export declare class EvaluacionKardexInfo {
    id: number;
    fechaIni: Date;
    fechaFin: Date;
    idEmpleado: number;
    idChecador: number;
    idDepartamento: number;
    idHorario: number;
    idTurno: number;
    regenerarPeriodo: boolean;
    regenerarChecada: boolean;
    regenerarKardex: boolean;
    estatus: string;
    idBranch: number;
    details: EvaluacionKardexDet[];
}
export declare class EvaluacionKardexDet {
    id: number;
    fecha: Date;
    idEmpleado: number;
    estatus: string;
    idIncidencia: number;
    entrada?: Date;
    salida?: Date;
    comidaInicio?: Date;
    comidaFin?: Date;
    error: boolean;
    errorText: string;
}
export declare class EvaluacionKardexItem {
    fechaIni: Date;
    fechaFin: Date;
    descripcion: string;
    estatus: string;
}
