import { DocumentInfo, DocumentItem } from 'framework3/core';
import { FichasTitDetail } from './fichas-tit-detail';
export declare class FichasTitInfo extends DocumentInfo<FichasTitDetail> {
    idEmpleado: number;
    conceptoAdam: number;
    compania: string;
    claseNomina: string;
    tipoNomina: string;
    ejercicio: number;
    periodoDescontar: number;
    totalFicha: number;
    totalCargo: number;
    tipo: string;
    fechaPago: Date;
    descripcion: string;
    idTipoDescuento: number;
    idWorkFlowStep: number;
    constructor();
}
export declare class FichasTitItem extends DocumentItem {
    fechaPago: Date;
    cobro: string;
    tipo: string;
    codigoEmpleado: string;
    cantDocs: number;
    totalCargo: number;
}
