import { ProcessComponent, PolicyInfo, Context, ReportService } from "framework3/core";
import { Router, ActivatedRoute } from "@angular/router";
import { FormBuilder, FormGroup } from "@angular/forms";
import { ContentViewerComponent, AlertsBarComponent } from "framework3/controls";
import { Location } from '@angular/common';
export declare class EmpleadosReportComponent extends ProcessComponent {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private location;
    private formBuilder;
    private reportSvc;
    catalogForm: FormGroup;
    title: string;
    idDepartamento: number;
    idTurno: number;
    filtroDepartamento: boolean;
    filtroTurno: boolean;
    incluirInactivos: boolean;
    valid: boolean;
    titleContentView: string;
    fileNameContentView: string;
    reportViewer: ContentViewerComponent;
    alertsBar: AlertsBarComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, location: Location, formBuilder: FormBuilder, reportSvc: ReportService);
    ngAfterViewInit(): void;
    changeState(): void;
    onDepartamentoChecekd(args: any): void;
    onTurnoChecekd(args: any): void;
    print(): void;
    handleError(error: any): void;
    applyPolicy(policy: PolicyInfo): void;
}
