import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ClaseNominaInfo } from '../models/clase-nomina';
import { RangoVacacionalInfo } from '../models/rango-vacacional';
export declare class ClaseNominaService extends CatalogService<ClaseNominaInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ClaseNominaInfo>;
    getRangosVacacionales(idClaseNomina: number): Promise<RangoVacacionalInfo[]>;
    saveRangosVacacionales(rangos: RangoVacacionalInfo[]): Promise<boolean>;
}
