import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { FichasTitInfo } from '../models/fichas-tit';
import { FichasTitDetail } from '../models/fichas-tit-detail';
export declare class FichasTitService extends DocumentService<FichasTitDetail, FichasTitInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<FichasTitInfo>;
    loadInfoEmpleadoAdam(idSucursal: number, codigoEmpleado: string): Promise<any>;
    deactivate(idFichaTit: string): Promise<any>;
    getCuentaEmpleado(idFichaTit: string): Promise<any>;
    armarCuentas(idFichaTit: string): Promise<any>;
}
