import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { llaveInfo } from '../models/llaves';
export declare class llaveService extends BaseService {
    constructor(http: HttpClient, context: Context);
    searchLlaves(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    postLocker(codigo: string, cantLlaves: number): Promise<boolean>;
    getLlaverById(id: any): Promise<llaveInfo[]>;
    putLocker(r: llaveInfo[]): Promise<boolean>;
}
