import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { NominaInfo } from '../models/nomina';
import { NominaDetail } from '../models/nomina-detail';
export declare class NominaService extends DocumentService<NominaDetail, NominaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<NominaInfo>;
    calcularNomina(idNomina: string): Promise<boolean>;
    timbrarNomina(idNomina: string): Promise<boolean>;
}
