import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { PeriodicidadPagoInfo } from '../models/periodicidad-pago';
export declare class PeriodicidadPagoService extends CatalogService<PeriodicidadPagoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<PeriodicidadPagoInfo>;
    getDetailByID(itemID: number): Promise<PeriodicidadPagoInfo>;
    getDetailByCode(idBranch: number, code: string): Promise<PeriodicidadPagoInfo>;
}
