import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { PeriodoTrabajoInfo } from '../models/periodo-trabajo';
export declare class PeriodoTrabajoService extends BaseService {
    constructor(http: HttpClient, context: Context);
    getPeriodoTrabajo(idEmpleado: number, fechaIni: Date, fechaFin: Date): Promise<PeriodoTrabajoInfo[]>;
    updatePeriodoTurnoHorario(periodos: PeriodoTrabajoInfo[]): Promise<boolean>;
    getPeriodoTrabajoFecha(idSucursal: number, fecha: Date): Promise<any[]>;
    updatePeriodosFecha(fecha: Date, empleados: any[]): Promise<any>;
}
