import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { CuentaFaltante } from '../models/cuenta-faltante';
import { AdamNominaInfo } from '../models/adamnomina';
export declare class PolizasNominaService extends BaseService {
    constructor(http: HttpClient, context: Context);
    importarPolizaAdam(numeroLiquidacion: number, tipoPoliza: string, adamNomina: AdamNominaInfo): Promise<any>;
    loadCuentasFaltantes(idEmpresaAdam: number, compania: string, claseNomina: string, tipoNomina: string, anio: number, periodo: number): Promise<CuentaFaltante[]>;
}
