"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Framework
var core_2 = require("framework3/core");
var ReciboNominaService = /** @class */ (function (_super) {
    __extends(ReciboNominaService, _super);
    function ReciboNominaService(http, context) {
        var _this = _super.call(this, http, context, 'api/rh/recibos-nominas') || this;
        _this.http = http;
        _this.context = context;
        return _this;
    }
    ReciboNominaService.prototype.create = function () {
        var params = new http_1.HttpParams();
        return this.apiService.get('create', params).toPromise();
    };
    ReciboNominaService.prototype.printReciboPdf = function (idReciboNomina) {
        var params = new http_1.HttpParams()
            .set("idReciboNomina", idReciboNomina);
        return this.apiService.get("print-recibo-pdf", params)
            .toPromise();
    };
    ReciboNominaService.prototype.loadReciboXml = function (idReciboNomina) {
        var params = new http_1.HttpParams()
            .set("idReciboNomina", idReciboNomina.toString());
        return this.apiService.getText("get-xml-recibo", params)
            .toPromise();
    };
    ReciboNominaService.prototype.enviarRecibo = function (idReciboNomina, idBranch) {
        var params = new http_1.HttpParams()
            .set("idReciboNomina", idReciboNomina)
            .set("idBranch", idBranch.toString());
        return this.apiService.get('enviar-recibo', params)
            .toPromise();
    };
    ReciboNominaService.prototype.getErrorTimbrado = function (idReciboNomina) {
        var params = new http_1.HttpParams()
            .set("idReciboNomina", idReciboNomina);
        return this.apiService.getText('get-error-timbrado', params)
            .toPromise();
    };
    ReciboNominaService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], ReciboNominaService);
    return ReciboNominaService;
}(core_2.DocumentService));
exports.ReciboNominaService = ReciboNominaService;
