import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { TurnoInfo } from '../models/turno';
import { EmpleadoItem } from '../models/empleado';
export declare class TurnoService extends CatalogService<TurnoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<TurnoInfo>;
    getEmpleadosByTurno(idTurno: number, idSucursal: number): Promise<EmpleadoItem[]>;
    addTurnoEmpleado(idTurno: number, empleados: EmpleadoItem[]): Promise<any>;
    removeTurnoEmpleado(idEmpleado: number): Promise<any>;
}
