import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { ServicioGrupoDescuentoItem } from '../models/servicio-grupo-descuento';
import { ServicioService } from '../services/servicio.service';
import { ServicioGrupoDescuentoEditorComponent } from './servicio-grupo-descuento-editor.component';
export declare class ServicioGrupoDescuentoComponent extends BaseComponent {
    private context;
    private servicioService;
    private grupoService;
    private router;
    private route;
    private location;
    title: string;
    idServicio: number;
    servicioGrupoDescuento: ServicioGrupoDescuentoItem[];
    serGruDesCollection: TrackableCollection;
    currentItem: CatalogItem;
    servicioGrupoDescuentoEditorComponent: ServicioGrupoDescuentoEditorComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, servicioService: ServicioService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadServicioGrupoDescuento(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    ngAfterViewChecked(): void;
    onEditItem(item: ServicioGrupoDescuentoItem): void;
    applyPolicy(policy: PolicyInfo): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    actualizarServicioGrupoDescuento(): void;
    handleError(error: any): void;
    onDataUpdated(args: ServicioGrupoDescuentoItem): void;
}
