import { Context } from 'framework3/core';
import { CatalogListDialog, SearchRequest } from 'framework3/search';
import { ClienteService } from '../services/cliente.service';
import { ClienteItem } from '../models/cliente';
export declare class ClientesListComponent extends CatalogListDialog {
    protected context: Context;
    private clienteService;
    clientes: ClienteItem[];
    constructor(context: Context, clienteService: ClienteService);
    onSearchRequested(request: SearchRequest): void;
    onSelectedItemsChanged(selectedGroups: ClienteItem[]): void;
    onSelectedItemChanged(cliente: ClienteItem): void;
}
