import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { ClienteInfo, ClienteItem } from '../models/cliente';
import { ClienteService } from '../services/cliente.service';
export declare class ClientesSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    clientes: ClienteItem[];
    selectedItem: ClienteInfo;
    selectedItemChanged: EventEmitter<ClienteInfo>;
    constructor(context: Context, service: ClienteService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
