import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { UnidadNegocioInfo, UnidadNegocioItem } from '../models/unidad-negocio';
import { UnidadNegocioService } from '../services/unidad-negocio.service';
export declare class UnidadesNegocioSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    unidadesNegocio: UnidadNegocioItem[];
    selectedItem: UnidadNegocioInfo;
    selectedItemChanged: EventEmitter<UnidadNegocioInfo>;
    constructor(context: Context, service: UnidadNegocioService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
