import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { VentaInfo, VentaItem } from '../models/venta';
import { VentaService } from '../services/venta.service';
export declare class VentasSelectorComponent extends DocumentSelector {
    protected context: Context;
    private ventaService;
    venta: any[];
    selectedItem: VentaInfo;
    selectedItemChanged: EventEmitter<VentaInfo>;
    constructor(context: Context, ventaService: VentaService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findVentas(keyword: string): Observable<VentaItem[]>;
    onKeywordSearch(keyword: string): void;
}
