import { EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ModalDirective } from 'ngx-bootstrap';
export declare class Confirmacion {
    private formBuilder;
    editorForm: FormGroup;
    idEliminar: number;
    mensaje: string;
    dialog: ModalDirective;
    aceptado: EventEmitter<number>;
    constructor(formBuilder: FormBuilder);
    show(idPreRegistro: number, mensaje: string): void;
    onAceptar(): void;
    onCancelar(): void;
}
