import { DocumentInfo, DocumentItem } from 'framework3/core';
import { DevolucionDetail } from './devolucion-detail';
import { ImpuestoResumenInfo, DivisaInfo } from '../../accounting';
import { AlmacenInfo } from '../../inventory';
import { UnidadNegocioInfo } from './unidad-negocio';
import { ClienteInfo } from './cliente';
export declare class DevolucionInfo extends DocumentInfo<DevolucionDetail> {
    idVenta: string;
    fechaVenta: Date;
    idReferencia: string;
    idCliente: number;
    observaciones: string;
    ordenCompra: string;
    idDivisa: number;
    tipoCambio: number;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    descuentos: number;
    flete: number;
    total: number;
    idAlmacen: number;
    idEntrada: string;
    fechaEntrada: Date;
    idNotaCargo: string;
    fechaNotaCargo: Date;
    idUnidadNegocio: number;
    impuestos: ImpuestoResumenInfo[];
    almacen: AlmacenInfo;
    unidadNegocio: UnidadNegocioInfo;
    divisa: DivisaInfo;
    cliente: ClienteInfo;
    constructor();
}
export declare class DevolucionItem extends DocumentItem {
}
