import { CatalogInfo, CatalogItem } from 'framework3/core';
import { CajaInfo } from '../../credit/models/caja';
export declare class TerminalInfo extends CatalogInfo {
    nombre: string;
    pC: string;
    idCaja: number;
    idCuenta: number;
    caja: CajaInfo;
    constructor();
}
export declare class TerminalItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
