import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { UsuariosListComponent } from 'framework3/security';
import { PolicyInfo, UsuarioItem } from 'framework3/core';
import { UnidadNegocioService } from '../services/unidad-negocio.service';
import { UnidadNegocioInfo } from '../models/unidad-negocio';
export declare class UnidadesNegocioMembersComponent extends BaseComponent {
    private context;
    private unidadNegocioService;
    private router;
    private route;
    private location;
    title: string;
    usuarios: UsuarioItem[];
    idUnidadNegocio: number;
    unidadNegocio: UnidadNegocioInfo;
    currentItem: CatalogItem;
    usuariosDialog: UsuariosListComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, unidadNegocioService: UnidadNegocioService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadUnidadNegocio(): void;
    refreshList(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onSelectedUsersChanged(newUsers: UsuarioItem[]): void;
    onRemoveUser(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
