"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var notification_1 = require("framework3/notification");
var sales_routing_module_1 = require("./sales.routing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
//Pixkua
var accounting_module_1 = require("../accounting/accounting.module");
var inventory_module_1 = require("../inventory/inventory.module");
var credit_module_1 = require("../credit/credit.module");
var rh_module_1 = require("../rh/rh.module");
/////////////////////////////// Servicios ////////////////////////////
var empresa_service_1 = require("./services/empresa.service");
var sucursal_service_1 = require("./services/sucursal.service");
var region_service_1 = require("./services/region.service");
var zona_venta_service_1 = require("./services/zona-venta.service");
var unidad_negocio_service_1 = require("./services/unidad-negocio.service");
var cliente_service_1 = require("./services/cliente.service");
var lista_precios_service_1 = require("./services/lista-precios.service");
var grupo_descuento_service_1 = require("./services/grupo-descuento.service");
var estructura_comercial_service_1 = require("./services/estructura-comercial.service");
var articulo_service_1 = require("./services/articulo.service");
var marcas_service_1 = require("./services/marcas.service");
var venta_service_1 = require("./services/venta.service");
var servicio_service_1 = require("./services/servicio.service");
var vendedor_service_1 = require("./services/vendedor.service");
var devolucion_service_1 = require("./services/devolucion.service");
var terminal_service_1 = require("./services/terminal.service");
//////////////////////////// Catalogos ////////////////////////////////
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var sucursales_manager_1 = require("./catalogs/sucursales.manager");
var sucursales_editor_1 = require("./catalogs/sucursales.editor");
var regiones_manager_1 = require("./catalogs/regiones.manager");
var regiones_editor_1 = require("./catalogs/regiones.editor");
var zonas_venta_manager_1 = require("./catalogs/zonas-venta.manager");
var zonas_venta_editor_1 = require("./catalogs/zonas-venta.editor");
var unidades_negocio_manager_1 = require("./catalogs/unidades-negocio.manager");
var unidades_negocio_editor_1 = require("./catalogs/unidades-negocio.editor");
var clientes_manager_1 = require("./catalogs/clientes.manager");
var clientes_editor_1 = require("./catalogs/clientes.editor");
var listas_precios_manager_1 = require("./catalogs/listas-precios.manager");
var listas_precios_editor_1 = require("./catalogs/listas-precios.editor");
var grupos_descuentos_manager_1 = require("./catalogs/grupos-descuentos.manager");
var grupos_descuentos_editor_1 = require("./catalogs/grupos-descuentos.editor");
var est_com_manager_1 = require("./catalogs/est-com.manager");
var articulos_manager_1 = require("./catalogs/articulos.manager");
var articulos_editor_1 = require("./catalogs/articulos.editor");
var marcas_manager_1 = require("./catalogs/marcas.manager");
var marcas_editor_1 = require("./catalogs/marcas.editor");
var servicios_manager_1 = require("./catalogs/servicios.manager");
var servicios_editor_1 = require("./catalogs/servicios.editor");
var vendedores_manager_1 = require("./catalogs/vendedores.manager");
var vendedores_editor_1 = require("./catalogs/vendedores.editor");
var terminales_manager_1 = require("./catalogs/terminales.manager");
var terminales_editor_1 = require("./catalogs/terminales.editor");
//////////////////////////// Controls /////////////////////////////
var clientes_list_component_1 = require("./controls/clientes-list.component");
var est_com_selector_component_1 = require("./controls/est-com-selector.component");
var marcas_selector_component_1 = require("./controls/marcas-selector.component");
var vendedores_selector_component_1 = require("./controls/vendedores-selector.component");
var clientes_selector_component_1 = require("./controls/clientes-selector.component");
var articulos_selector_component_1 = require("./controls/articulos-selector.component");
var servicios_selector_component_1 = require("./controls/servicios-selector.component");
var unidades_negocio_selector_component_1 = require("./controls/unidades-negocio-selector.component");
//////////////////////////// Componentes /////////////////////////////
var nuevo_articulo_component_1 = require("./components/nuevo-articulo.component");
var articulo_impuestos_component_1 = require("./components/articulo-impuestos.component");
var articulo_lista_precios_component_1 = require("./components/articulo-lista-precios.component");
var articulo_lista_precios_editor_component_1 = require("./components/articulo-lista-precios-editor.component");
var servicio_lista_precios_component_1 = require("./components/servicio-lista-precios.component");
var servicio_lista_precios_editor_component_1 = require("./components/servicio-lista-precios-editor.component");
var articulo_grupo_descuento_component_1 = require("./components/articulo-grupo-descuento.component");
var articulo_grupo_descuento_editor_component_1 = require("./components/articulo-grupo-descuento-editor.component");
var servicio_grupo_descuento_component_1 = require("./components/servicio-grupo-descuento.component");
var servicio_grupo_descuento_editor_component_1 = require("./components/servicio-grupo-descuento-editor.component");
var ventas_selector_component_1 = require("./controls/ventas-selector.component");
//////////////////////////// Mantenimientos ////////////////////////////////
var clientes_registrar_maintenance_1 = require("./maintenances/clientes-registrar.maintenance");
var clientes_registrar_editor_maintenance_1 = require("./maintenances/clientes-registrar-editor.maintenance");
var confirmacion_component_1 = require("./maintenances/parts/confirmacion.component");
///////////////////////////// Document /////////////////////////////////
var ventas_manager_1 = require("./documents/ventas.manager");
var ventas_editor_1 = require("./documents/ventas.editor");
var devoluciones_manager_1 = require("./documents/devoluciones.manager");
var devoluciones_editor_1 = require("./documents/devoluciones.editor");
//////////////////////////// Parts /////////////////////////////////////
var unidades_negocio_members_component_1 = require("./parts/unidades-negocio-members.component");
var clientes_contactos_component_1 = require("./parts/clientes-contactos.component");
var clientes_contactos_editor_1 = require("./parts/clientes-contactos.editor");
var listas_precios_clientes_component_1 = require("./parts/listas-precios-clientes.component");
var listas_precios_articulos_component_1 = require("./parts/listas-precios-articulos.component");
var listas_precios_servicios_component_1 = require("./parts/listas-precios-servicios.component");
var grupos_descuentos_articulos_component_1 = require("./parts/grupos-descuentos-articulos.component");
var grupos_descuentos_servicios_component_1 = require("./parts/grupos-descuentos-servicios.component");
var venta_articulos_detail_editor_1 = require("./documents/parts/venta-articulos-detail.editor");
var venta_servicios_detail_editor_1 = require("./documents/parts/venta-servicios-detail.editor");
var nueva_venta_component_1 = require("./documents/parts/nueva-venta.component");
var devoluciones_detail_editor_1 = require("./documents/parts/devoluciones-detail.editor");
var articulos_comercial_component_1 = require("./parts/articulos-comercial.component");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [empresas_manager_1.EmpresasManager, empresas_editor_1.EmpresasEditor, sucursales_manager_1.SucursalesManager, sucursales_editor_1.SucursalesEditor, regiones_manager_1.RegionesManager, regiones_editor_1.RegionesEditor, zonas_venta_manager_1.ZonasVentaManager, zonas_venta_editor_1.ZonasVentaEditor, unidades_negocio_manager_1.UnidadesNegocioManager,
    unidades_negocio_editor_1.UnidadesNegocioEditor, unidades_negocio_members_component_1.UnidadesNegocioMembersComponent, clientes_manager_1.ClientesManager, clientes_editor_1.ClientesEditor, clientes_contactos_component_1.ClientesContactosComponent, clientes_contactos_editor_1.ClientesContactosEditor, clientes_list_component_1.ClientesListComponent, est_com_selector_component_1.EstComSelectorComponent,
    listas_precios_manager_1.ListasPreciosManager, listas_precios_editor_1.ListasPreciosEditor, listas_precios_clientes_component_1.ListaPreciosClientesComponent, grupos_descuentos_manager_1.GruposDescuentosManager, grupos_descuentos_editor_1.GruposDescuentosEditor, est_com_manager_1.EstComManager, articulos_manager_1.ArticulosManager, articulos_editor_1.ArticulosEditor,
    marcas_manager_1.MarcasManager, marcas_editor_1.MarcasEditor, marcas_selector_component_1.MarcasSelectorComponent, nuevo_articulo_component_1.ArticuloNuevoComponent, articulo_impuestos_component_1.ArticulosImpuestosComponent, servicios_manager_1.ServiciosManager, servicios_editor_1.ServiciosEditor, articulos_selector_component_1.ArticulosSelectorComponent,
    vendedores_manager_1.VendedoresManager, vendedores_editor_1.VendedoresEditor, vendedores_selector_component_1.VendedoresSelectorComponent, clientes_selector_component_1.ClientesSelectorComponent, ventas_manager_1.VentasManager, ventas_editor_1.VentasEditor, venta_articulos_detail_editor_1.VentaArticulosDetailEditor, venta_servicios_detail_editor_1.VentaServiciosDetailEditor,
    unidades_negocio_selector_component_1.UnidadesNegocioSelectorComponent, nueva_venta_component_1.NuevaVentaComponent, servicios_selector_component_1.ServiciosSelectorComponent, listas_precios_articulos_component_1.ListasPreciosArticulosComponent, listas_precios_servicios_component_1.ListasPreciosServiciosComponent, articulo_lista_precios_component_1.ArticuloListaPreciosComponent,
    articulo_lista_precios_editor_component_1.ArticuloListaPreciosEditorComponent, servicio_lista_precios_component_1.ServicioListaPreciosComponent, servicio_lista_precios_editor_component_1.ServicioListaPreciosEditorComponent, articulo_grupo_descuento_component_1.ArticuloGrupoDescuentoComponent, articulo_grupo_descuento_editor_component_1.ArticuloGrupoDescuentoEditorComponent,
    servicio_grupo_descuento_component_1.ServicioGrupoDescuentoComponent, servicio_grupo_descuento_editor_component_1.ServicioGrupoDescuentoEditorComponent, grupos_descuentos_articulos_component_1.GruposDescuentosArticulosComponent, grupos_descuentos_servicios_component_1.GruposDescuentosServiciosComponent,
    devoluciones_editor_1.DevolucionesEditor, devoluciones_manager_1.DevolucionesManager, devoluciones_detail_editor_1.DevolucionDetailEditor, articulos_comercial_component_1.ArticuloComercialComponent, ventas_selector_component_1.VentasSelectorComponent, terminales_manager_1.TerminalesManager, terminales_editor_1.TerminalesEditor, clientes_registrar_maintenance_1.ClientesRegistrar, clientes_registrar_editor_maintenance_1.ClientesRegistrarEditor, confirmacion_component_1.Confirmacion];
var SERVICIOS = [empresa_service_1.EmpresaService, sucursal_service_1.SucursalService, region_service_1.RegionService, zona_venta_service_1.ZonaVentaService, unidad_negocio_service_1.UnidadNegocioService, cliente_service_1.ClienteService, lista_precios_service_1.ListaPreciosService, grupo_descuento_service_1.GrupoDescuentoService, estructura_comercial_service_1.EstructuraComercialService,
    articulo_service_1.ArticuloService, marcas_service_1.MarcasService, venta_service_1.VentaService, servicio_service_1.ServicioService, vendedor_service_1.VendedorService, devolucion_service_1.DevolucionService, terminal_service_1.TerminalService];
var SalesModule = /** @class */ (function () {
    function SalesModule() {
    }
    SalesModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.AlertModule.forRoot(), ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, notification_1.NotificationModule,
                accounting_module_1.AccountingModule, inventory_module_1.InventoryModule, credit_module_1.CreditModule, rh_module_1.RhModule,
                wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, sales_routing_module_1.SalesRoutingModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], SalesModule);
    return SalesModule;
}());
exports.SalesModule = SalesModule;
