import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { DevolucionInfo } from '../models/devolucion';
import { DevolucionDetail } from '../models/devolucion-detail';
export declare class DevolucionService extends DocumentService<DevolucionDetail, DevolucionInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<DevolucionInfo>;
    update(info: DevolucionInfo): Promise<DevolucionInfo>;
    protected mapDocument(document: DevolucionInfo): void;
}
