import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ChequeraInfo } from '../models/chequera';
import { ChequeraService } from '../services/chequera.service';
export declare class ChequeraSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    chequeras: any[];
    selectedItem: ChequeraInfo;
    itemSelected: EventEmitter<ChequeraInfo>;
    constructor(context: Context, service: ChequeraService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findGrupo(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
