import { Router, ActivatedRoute } from '@angular/router';
import { Context, DocumentItem } from 'framework3/core';
import { DocumentManager, WorkflowEventArgs } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { CuentaPorPagarItem } from '../models/cuenta-por-pagar';
import { CuentaPorPagarService } from '../services/cuenta-por-pagar.service';
export declare class CuentasPorPagarManager extends DocumentManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private cuentaPorPagarService;
    cuentasPorPagar: CuentaPorPagarItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, cuentaPorPagarService: CuentaPorPagarService);
    onConfigureDocument(): void;
    onSearchRequested(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(document: DocumentItem): void;
    onEditingItem(document: DocumentItem): void;
    onDeletingItem(document: DocumentItem): void;
    onCloningItem(document: DocumentItem): void;
    onApplyingNextStep(args: WorkflowEventArgs): void;
    onApplyingPreviousStep(document: DocumentItem): void;
}
