import { EventEmitter } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { PagoDetail } from '../../models/pago-detail';
import { PagoService } from '../../services/pago.service';
export declare class PagoDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private pagoService;
    detailCopy: PagoDetail;
    detail: PagoDetail;
    idBeneficiario: number;
    idDivisa: number;
    dataLoaded: EventEmitter<PagoDetail[]>;
    fechasFiltro: {
        id: string;
        nombre: string;
    }[];
    fechaSearch: string;
    fechaIni: Date;
    fechaFin: Date;
    constructor(context: Context, builder: FormBuilder, pagoService: PagoService);
    onCreatingItem(): void;
    onLoadingItem(detail: PagoDetail): void;
    onUpdatingItem(detail: PagoDetail): void;
    loadCxPbyBeneficiario(): void;
}
