import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoAsignacionInfo } from '../../accounting/models/impuesto-asignacion';
export declare class ConceptoInfo extends CatalogInfo {
    nombre: string;
    idCuenta: number;
    impuestos: ImpuestoAsignacionInfo[];
    constructor();
}
export declare class ConceptoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
