import { DocumentInfo, DocumentItem } from 'framework3/core';
import { EstadoCuentaBancarioDetail } from './estado-cuenta-bancario-detail';
export declare class EstadoCuentaBancarioInfo extends DocumentInfo<EstadoCuentaBancarioDetail> {
    fechaAfectacion: Date;
    idCuentaBancaria: number;
    fechaPrimerMovimiento: Date;
    fechaUltimoMovimiento: Date;
    saldoInicial: number;
    saldoFinal: number;
    totalDepositos: number;
    importeDepositos: number;
    totalRetiros: number;
    importeRetiros: number;
    chequesGirados: number;
    chequesExentos: number;
    saldoPromedioPeriodo: number;
    saldoPromedioAnio: number;
    diasTranscurridosPeriodo: number;
    diasTranscurridosAnio: number;
    tasaBrutaPeriodo: number;
    tasaNetaPeriodo: number;
    tasaNetaAnio: number;
    impuestoRetenidoPeriodo: number;
    interesesPagadosPeriodo: number;
    interesesPagadosAnio: number;
    movimientosConciliadosDepositos: number;
    movimientosConciliadosRetiros: number;
    movimientosConciliadosPixcuaDepositos: number;
    movimientosConciliadosPixcuaRetiros: number;
    movimientosConciliadosContpacDepositos: number;
    movimientosConciliadosContpacRetiros: number;
    importeConciliadosDepositos: number;
    importeConciliadosRetiros: number;
    importeConciliadosPixcuaDepositos: number;
    importeConciliadosPixcuaRetiros: number;
    importeConciliadosContpacDepositos: number;
    importeConciliadosContpacRetiros: number;
    constructor();
}
export declare class EstadoCuentaBancarioItem extends DocumentItem {
}
