import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PagoDetail } from './pago-detail';
export declare class PagoInfo extends DocumentInfo<PagoDetail> {
    fechaAfectacion: Date;
    folio: number;
    idBeneficiario: number;
    idPagoTipo: number;
    idCaja: number;
    idChequera: number;
    idCorte: string;
    folioCorte: number;
    fechaCNL: Date;
    fechaCobro: Date;
    observaciones: string;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    total: number;
    idDivisa: number;
    tipoCambio: number;
    constructor();
}
export declare class PagoItem extends DocumentItem {
}
export declare class Cheque {
    impresion: string;
}
