import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem, PolicyInfo, UsuarioItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { UsuariosListComponent } from 'framework3/security';
import { OperacionTipoService } from '../services/operacion-tipo.service';
import { OperacionTipoInfo } from '../models/operacion-tipo';
export declare class OperacionesTiposMiembrosComponent extends BaseComponent {
    private context;
    private operacionTipoService;
    private router;
    private route;
    private location;
    title: string;
    usuarios: UsuarioItem[];
    idOperacionTipo: number;
    operacionTipo: OperacionTipoInfo;
    currentItem: CatalogItem;
    usuariosDialog: UsuariosListComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, operacionTipoService: OperacionTipoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadOperacionTipo(): void;
    refreshList(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onSelectedUsersChanged(newUsers: UsuarioItem[]): void;
    onRemoveUser(): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
