import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { OperacionTipoInfo, OperacionTipoItem } from '../models/operacion-tipo';
import { UsuarioItem } from 'framework3/core';
export declare class OperacionTipoService extends CatalogService<OperacionTipoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<OperacionTipoInfo>;
    loadListByUser(idSucursal: number): Promise<OperacionTipoItem[]>;
    getMembers(idCaja: number): Promise<UsuarioItem[]>;
    addMembers(idOperacionTipo: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idOperacionTipo: number, idUser: number): Promise<any>;
}
