import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { LoteImpresionInfo } from 'framework3/printing';
import { PagoInfo } from '../models/pago';
import { PagoDetail } from '../models/pago-detail';
export declare class PagoService extends DocumentService<PagoDetail, PagoInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<PagoInfo>;
    loadCxPByBeneficiario(fechaIni: string, fechaFin: string, idBeneficiario: number, fechaFiltro: any, idDivisa: number, idSucursal: number): Promise<PagoDetail[]>;
    toCheques(idPagos: string[]): Promise<string[]>;
    getLoteCheques(idPagos: string[]): Promise<LoteImpresionInfo>;
}
