"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var treasury_routing_module_1 = require("./treasury.routing.module");
var accounting_module_1 = require("../accounting/accounting.module");
var index_1 = require("../translator/index");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
////////////////////////////// Controls /////////////////////////////
//import { GrupoBeneficiariosSelectorComponent } from './controls/grupo-beneficiarios-selector.component';
///////////////////////////////// Servicios ////////////////////////////
//import { BeneficiarioService } from './services/beneficiario.service';
//import { GrupoBeneficiariosService } from './services/grupo-beneficiarios.service';
//import { CajaService } from './services/caja.service';
////////////////////////////// Catalogos ////////////////////////////////
//import { BeneficiariosManager } from './catalogs/beneficiarios.manager';
//import { BeneficiariosEditor } from './catalogs/beneficiarios.editor';
//import { GruposBeneficiarioManager } from './catalogs/grupos-beneficiario.manager';
//import { GruposBeneficiarioEditor } from './catalogs/grupos-beneficiario.editor';
//import { CajasManager } from './catalogs/cajas.manager';
//import { CajasEditor } from './catalogs/cajas.editor';
///////////////////////////// Servicios //////////////////////////////
var fromServices = require("./services");
var SERVICIOS = Object.keys(fromServices).map(function (key) { return fromServices[key]; });
///////////////////////////// Catalogos //////////////////////////////
var fromCatalogs = require("./catalogs");
var CATALOGOS = Object.keys(fromCatalogs).map(function (key) { return fromCatalogs[key]; });
///////////////////////////// Controls //////////////////////////////
var fromControls = require("./controls");
var CONTROLS = Object.keys(fromControls).map(function (key) { return fromControls[key]; });
///////////////////////////// Dialogs //////////////////////////////
var fromDialogs = require("./dialogs");
var DIALOGS = Object.keys(fromDialogs).map(function (key) { return fromDialogs[key]; });
//////////////////////////// Componentes /////////////////////////////
///////////////////////////// Document /////////////////////////////////
var fromDocuments = require("./documents");
var DOCUMENTS = Object.keys(fromDocuments).map(function (key) { return fromDocuments[key]; });
///////////////////////////// Document Part /////////////////////////////////
var fromDocumentsPart = require("./documents/parts");
var DOCUMENTS_PARTS = Object.keys(fromDocumentsPart).map(function (key) { return fromDocumentsPart[key]; });
//////////////////////////// Parts /////////////////////////////////////
var fromParts = require("./parts");
var PARTS = Object.keys(fromParts).map(function (key) { return fromParts[key]; });
var COMPONENTES = CATALOGOS.concat(CONTROLS, DIALOGS, DOCUMENTS_PARTS, DOCUMENTS, PARTS);
var TreasuryModule = /** @class */ (function () {
    function TreasuryModule() {
    }
    TreasuryModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule,
                wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, treasury_routing_module_1.TreasuryRoutingModule, accounting_module_1.AccountingModule, index_1.TranslatorModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], TreasuryModule);
    return TreasuryModule;
}());
exports.TreasuryModule = TreasuryModule;
