﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { ComprobanteCancelacionDetail } from './comprobante-cancelacion-detail';

export class ComprobanteCancelacionInfo extends DocumentInfo<ComprobanteCancelacionDetail> {
	fechaAfectacion: Date;
	idComprobante: string;
	fechaComprobante: Date;
	idDocumento: string;
	fechaDocumento: Date;


    constructor() {
        super();
    }
}

export class ComprobanteCancelacionItem implements DocumentItem {
    id: string;
    fechaCreacion: Date;
    idStatus: number;
    status: string;
    idWorkflowStep: number;
    workflowStep: string;
    selected?: boolean;
    idComprobante: string;
    rfcEmisor: string;
    rfcReceptor: string;
    nombreEmisor: string;
    total: number;
}