﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class CuentaInfo extends HierarchyInfo<CuentaInfo> {
    idCuentaTipo: number;
    cuentaNombre: string;
	idCategoriaFlujo: number;
	idDivisa: number;
	saldo: number;
	fechaUltMovto: Date;
	afectable: boolean;
	idSegmentoNegocio: number;
	agrupadorSAT: string;


    constructor() {
        super();
    }
}

export class CuentaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}

export class CuentaTipoItem {
    id: number;
    nombre: string;

}