﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class DatasetInfo extends CatalogInfo {
	nombre: string;
	idEsquema: number;
	idEnsamblado: number;
	clase: string;


    constructor() {
        super();
    }
}

export class DatasetItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}