﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class EsquemaInfo extends CatalogInfo {
	nombre: string;
	origen: string;
	idTipoDocumento: number;
	idEnsamblado: number;
	clase: string;


    constructor() {
        super();
        this.idTipoDocumento = 0;
        this.idEnsamblado = 0;
    }
}

export class EsquemaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    origen?: string;
    documento?: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}