﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class ImpuestoInfo extends CatalogInfo {
    nombre: string;
    idTipoImpuesto: number;
    rango: boolean;
    valorMin: number;
    valorMax: number;
    valorFijo: number;
    factor: string;
    traslado: boolean;
    retencion: boolean;


    constructor() {
        super();
    }
}

export class ImpuestoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    traslado: boolean;
    retencion: boolean;
    selected?: boolean = false;

}


export class ImpuestoTipoItem {
    id: number;
    nombre: string;
}