﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { DatasetInfo } from '../models/dataset'

@Injectable()
export class DatasetService extends CatalogService<DatasetInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/contabilidad/datasets');
    }

    create(): Promise<DatasetInfo> {
        return Promise.resolve(new DatasetInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<DatasetInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as DatasetInfo)
            .toPromise();
    }
	*/
}

