﻿import { Injectable } from '@angular/core';
//
import { EmpresaItem } from 'framework3/core';
//
import { ClienteInfo } from '../../sales';

@Injectable()
export class PortalContext {

    private _cliente: ClienteInfo

    get cliente(): ClienteInfo {
        if (this._cliente) {
            return this._cliente;
        }
        else {
            let storedClient: string = sessionStorage.getItem('clientes-cliente');
            if (storedClient != null) {
                this._cliente = JSON.parse(storedClient);
                return this._cliente;
            }
            else {
                return null;
            }
        }
    }

    setCliente(cliente: ClienteInfo) {
        this._cliente = cliente;
        sessionStorage.setItem('clientes-cliente', JSON.stringify(cliente));
    }

}