﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { AnticipoDetail } from './anticipo-detail';

export class AnticipoInfo extends DocumentInfo<AnticipoDetail> {
	concepto: string;
    importe: number;
    idImpuesto: number;
    baseImpuesto: number;
    tipoFactor: string;
    tasaOCuota: number;
    importeImpuesto: number;
    idDeudor: number;
    idGrupoDeudor: number;
    idFormaPago: number;
    idBanco: number;
    cuenta: string;
	idComprobanteIngreso: string;
	fechaComprobanteIngreso: Date;
	idComprobanteEgreso: string;
    fechaComprobanteEgreso: Date;
    idCaja: number;
	idCorte: string;
	referencia: string;
	fechaReferencia: Date;


    constructor() {
        super();
    }
}

export class AnticipoItem extends DocumentItem {
    id: string;
    //serie: string;
    //folio: number;
    codigo: string;
    nombre: string;
    importe: number;
    status: string;
    workflowTag: string;
}