﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { CobranzaDetail } from './cobranza-detail';

export class CobranzaInfo extends DocumentInfo<CobranzaDetail> {
	idCobroTipo: number;
	idCaja: number;
	idCorte: string;
	folioCorte: number;
	condicionesPago: string;
	idCuentaPorCobrarTit: string;
	fechaCuentaPorCobrar: Date;
	referenciaAlf: string;
	referenciaNum: string;
	observaciones: string;
	subTotal: number;
	descuentos: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	total: number;
	idDeposito: string;
	fechaDeposito: Date;


    constructor() {
        super();
    }
}

export class CobranzaItem extends DocumentItem {
    total: number;
    idCaja: number;
    idDeudorDefault: number;
    idDeposito: string;
}