﻿import { CatalogInfo, CatalogItem } from 'framework3/core';

export class ConceptoInfo extends CatalogInfo {
    nombre: string;
    afectador: string;
    desglozado: boolean;
    idRac: number;

    constructor() {
        super();
    }
}

export class ConceptoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}