﻿import { CatalogInfo } from "framework3/core";
import { IClasificable, ClasificacionValor } from "framework3/general";

export class DomicilioComprobanteInfo extends CatalogInfo implements IClasificable {
    idDeudor: number;
    domicilioFiscal: string;
    domicilioSucursal: string;
    clasificaciones: ClasificacionValor[];

    constructor() {
        super();
        this.idDeudor = 0;
        this.domicilioFiscal = "";
        this.domicilioSucursal = "";
        this.clasificaciones=[]
    }
}