﻿import { TrackableItem } from 'framework3/editors'
import { FormaPagoInfo } from '../models/forma-pago';
import { CobranzaDetail } from '../models/cobranza-detail';

export class FormaPagoDetail extends TrackableItem {
    idFormaPago: number;
    formaPago: FormaPagoInfo;
    monto: number;
    cambio: number;
    referencia: string;
    idBanco: number=0;
    cuentaOrdenante: string;
    idCuentaBeneficiario: number=0;
    cuentaBeneficiario: string;
    rfcOrdenante: string='';
    rfcBeneficiario: string='';
    numeroOperacion: string='';
    tipoCadenaPago: string;
    fecha: Date;
    cuentasPorCobrar: FormaPagoCxC[];

    constructor() {
        super();
        this.fecha = new Date();
        this.formaPago = new FormaPagoInfo();
    }
}


export class FormaPagoCxC {
    idCuentaPorCobrarTit: string;
    fechaCuentaPorCobrar: Date;
    serie: string;
    folioFactura: number;
    total: number;
    saldo: number;
    importe: number;

}

export class CobranzaFormaPagoDetail {
    idCaja: number;
    FormaPagoDetail: FormaPagoDetail[];
    
    constructor() {
        
    }

}