﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { FormaPagoInfo as FormaPagoBaseInfo } from '../../accounting';

export class FormaPagoInfo extends CatalogInfo {
	nombre: string;
    idFormaPagoBase: number;
    formaPagoBase: FormaPagoBaseInfo;
	idCuenta: number;

    constructor() {
        super();

        this.formaPagoBase = new FormaPagoBaseInfo();
    }
}

export class FormaPagoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    codeAccounting: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}     
