﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { NotaInfo, NotaItem } from '../models/nota';
import { NotaDetail } from '../models/nota-detail';

@Injectable()
export class NotaService extends DocumentService<NotaDetail, NotaInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/credito/notas');
    }

    create(): Promise<NotaInfo> {
        let newDoc = new NotaInfo();
        return Promise.resolve(newDoc);
    }



	/*
    sampleMethod(param: string): Promise<MovimientoInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param', param);                
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as MovimientoInfo)
            .toPromise();
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: NotaInfo) {

    }
	*/



}