﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { CargaFisicaDetail, CargaFisicaProducto } from './carga-fisica-detail';

export class CargaFisicaInfo extends DocumentInfo<CargaFisicaDetail> {
	fechaAfectacion: Date;
	idRutaReparto: number;
	idAlmacen: number;
	idAlmacenCarga: number;
	idTraspaso: string;
	fechaTraspaso: Date;

    productos: CargaFisicaProducto[] = [];

    constructor() {
        super();
    }
}

export class CargaFisicaItem extends DocumentItem {

}
