﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { PolygonDirective } from 'framework3/geolocation';
import { Position } from 'framework3/geolocation';
import { TrackableItem } from 'framework3/core';
import { FrecuenciaInfo } from './frecuencia';

export class CelulaInfo extends CatalogInfo {
	nombre: string;
	idCuenta: number;
	idEstVen: number;	
    area: Position[];
    frecuencias: FrecuenciaInfo[];

    constructor() {
        super();
        this.area = [];
        this.frecuencias = [];
    }
}

export class CelulaItem extends TrackableItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}