﻿import { Context, CatalogInfo, CatalogItem, EmpresaInfo as EmpresaBase } from 'framework3/core';

export class EmpresaInfo extends CatalogInfo {
	idCuenta: number;

    empresaBase: EmpresaBase;


    constructor() {
        super();
        this.empresaBase = new EmpresaBase();

    }
}

export class EmpresaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}