﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class EstVenInfo extends HierarchyInfo<EstVenInfo> {
	idCuenta: number;
	idTipoEstVen: number;
    idEmpleado: number;
    idEmpleadoAux: number;
	cantRutasPrev: number;
	cantRutasRep: number;


    constructor() {
        super();
    }
}

export class EstVenItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}