﻿import { HierarchyInfo, CatalogItem, TrackableItem } from 'framework3/core';
import { TipoPagoInfo } from './tipo-pago';

export class FormaVentaInfo extends HierarchyInfo<FormaVentaInfo> {
	idTipoConteo: number;

    tiposPagos: TiposPagoItem[] = [];

    constructor() {
        super();
    }
}

export class FormaVentaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}

export class TiposPagoItem extends TrackableItem {

    idTipoPago: number;
    tipoPago: TipoPagoInfo;

    constructor() {
        super();
    }
}