﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { Position } from 'framework3/geolocation';
import { ClienteItem } from './cliente';
import { FrecuenciaDia } from './frecuencia-dia';

export class FrecuenciaInfo extends CatalogInfo {
	nombre: string;
    tipo: string;
    dias: FrecuenciaDia[];
    color: string;
    area: Position[];
    clientes: ClienteItem[];


    constructor() {
        super();
        this.area = [];
        this.clientes = [];
    }
}

export class FrecuenciaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}