﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class RutasPreventaInfo extends CatalogInfo {
    nombre: string;
	idEstVen: number;
	idGama: number;
	idSegmento: number;
	idClienteGenerico: number;
	tipoReparto: string;
	idRutaReparto: number;
	idVehiculo: number;
	idDispositivoCaptura: number;
	idCuenta: number;
    repartoDiario: RepartoDiarioItem[];

    constructor() {
        super();
        this.repartoDiario = [];
    }
}

export class RutasPreventaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class RepartoDiarioItem {
    dia: number;
    diaText: string;
    idRutaReparto: number;
    rutaReparto: string;    
}