﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class TipoPagoInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
    afectacion: string;
    valor: number;
    idProducto: number;

    constructor() {
        super();
    }
}

export class TipoPagoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}