﻿import { DocumentDetail } from 'framework3/core';
import { ProductosInfo } from './productos';
import { ImpuestoDetailInfo } from '../../accounting';

export class ValePagoDetail extends DocumentDetail {
	idProducto: number;
	cantidadREC: number;
	cantidadVTA: number;
	precioUnitario: number;
	porcDescuento1: number;
	porcDescuento2: number;
	porcDescuento3: number;
	porcDescuento4: number;
	porcDescuento5: number;
	montoDesc1: number;
	montoDesc2: number;
	montoDesc3: number;
	montoDesc4: number;
	montoDesc5: number;
	idLote: number;
	numSerie: string;
	fechaCaducidad: Date;

    cantidadVale: number;
    cajasVale: number;
    botellasVale: number;

    cantidadSaldo: number;
    cajasSaldo: number;
    botellasSaldo: number;

    cajasREC: number;
    botellasREC: number;
    cajasVTA: number;
    botellasVTA: number;

    importe: number;

    impuestos: ImpuestoDetailInfo[];
    producto: ProductosInfo;

    constructor() {
        super();
        this.idProducto = 0;
        this.producto = new ProductosInfo();
        this.impuestos = [];

        this.cantidadVale = 0;
        this.cajasVale = 0;
        this.botellasVale = 0;

        this.cantidadSaldo = 0;
        this.cajasSaldo = 0;
        this.botellasSaldo = 0;

        this.cantidadREC = 0;
        this.cajasREC = 0;
        this.botellasREC = 0;

        this.cantidadVTA = 0;
        this.cajasVTA = 0;
        this.botellasVTA = 0;
    }
}