﻿import { Injectable } from "@angular/core";
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import { Context, BaseService } from 'framework3/core';

import { SearchResult, SearchRequest } from 'framework3/search';
//import/* { CobranzaFormatoInfo } from "../models/cobranza-formato";*/

@Injectable()
export class ReestructuraEditorService extends BaseService {

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/distribucion/reestructura-distribucion");
    }

    searchJobs(idBranch: number, request: SearchRequest): Promise<SearchResult> {
        let params: HttpParams = new HttpParams()
            .set('idBranch', idBranch.toString());
        return this.apiService.post<any>('search-reestructura-jobs', params, request)
            .toPromise();
    }
    //updateCobranzaFormato(cobranzaFormato: CobranzaFormatoInfo): Promise<boolean> {
    //    let params: HttpParams = new HttpParams();
    //    return this.apiService.post<any>('update-cobranza-formato', params, cobranzaFormato)
    //        .toPromise();
    //}
}