﻿import { TrackableItem } from 'framework3/core';

export class SerieInfo extends TrackableItem {
    idArticuloStock: number;
    numeroSerie: string;
    costo: number;
    idUbicacion: number;
    ubicacion: string;
    fechaIngreso: Date;
    fechaCaducidad: Date;
    idLote: number;
    estatus: string;

    constructor() {
        super();
        this.idArticuloStock = 0;
        this.numeroSerie = '';
        this.costo = 0;
        this.estatus = '';
        this.ubicacion = '';
    }
}