﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class UbicacionInfo extends HierarchyInfo<UbicacionInfo> {
	idTipoUbicacion: number;
	idAlmacen: number;
	idImpresora: number;
	idCuenta: number;


    constructor() {
        super();
    }
}

export class UbicacionItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}