﻿export * from './maintenance.module';

//////////////////////////// MODELS ///////////////////////////////
export * from './models/marcas';
export * from './models/tipos-servicio';
export * from './models/grupo-vehiculos';
export * from './models/vehiculo';
export * from './models/tipo-motor';
export * from './models/tipo-combustible';
export * from './models/tipo-transmision';
export * from './models/localizacion';
export * from './models/documento-tipo';
export * from './models/documento';
export * from './models/fotografia-equipo';
export * from './models/refaccion';
export * from './models/grupo-equipos-industriales';
export * from './models/equipo-industrial';
export * from './models/grupo-refrigeradores';
export * from './models/refrigerador';
export * from './models/despiece';
export * from './models/requisicion-servicio';
export * from './models/equipo';
export * from './models/pieza'
export * from './models/orden';
export * from './models/orden-servicio';
export * from './models/tipo-orden';
export * from './models/recurso';
export * from './models/servicio';
export * from './models/taller';
export * from './models/equipo-informatica-grupo';
export * from './models/equipo-informatica-tipo';
export * from './models/equipo-informatica';
export * from './models/servicio-requisicion';
export * from './models/servicio-requisicion-detail';
export * from './models/DispositivosConfiguracionModelo';//DISPCONFIG
export * from './models/causa-baja';
export * from './models/llanta-posicion';
export * from './models/llanta';
export * from './models/llanta-modelo';
export * from './models/sistema';
export * from './models/propietario';
export * from './models/tipo-licencia';
export * from './models/licencia';
export * from './models/software';
export * from './models/complemento';
export * from './models/software-contacto';
export * from './models/paqueteria';
export * from './models/aplicacion';
export * from './models/localizacion-tipo';
export * from './models/dispositivo-grupo';
export * from './models/dispositivo';
export * from './models/sistema-operativo';
export * from './models/configuracion';
export * from './models/politica';
export * from './models/red-telefonica';
export * from './models/grupo-equipos';


//////////////////////////// SERVICES ///////////////////////////////
export * from './services/marcas.service';
export * from './services/tipos-servicio.service';
export * from './services/grupo-vehiculos.service';
export * from './services/vehiculo.service';
export * from './services/tipo-motor.service';
export * from './services/tipo-combustible.service';
export * from './services/tipo-transmision.service';
export * from './services/localizacion.service';
export * from './services/documento-tipo.service';
export * from './services/equipo.service';
export * from './services/pieza.service';
export * from './services/refaccion.service';
export * from './services/grupo-equipos-industriales.service';
export * from './services/equipo-industrial.service';
export * from './services/grupo-refrigeradores.service';
export * from './services/refrigerador.service';
export * from './services/despiece.service';
export * from './services/requisicion-servicio.service';
export * from './services/orden.service';
export * from './services/orden-servicio.service';
export * from './services/tipo-orden.service';
export * from './services/recurso.service';
export * from './services/servicio.service';
export * from './services/taller.service';
export * from './services/equipo-informatica-grupo.service';
export * from './services/equipo-informatica-tipo.service';
export * from './services/equipo-informatica.service';
export * from './services/servicio-requisicion.service';
//export * from './services/dispositivos.service';
export * from './services/configdispositivos.service';
export * from './services/causa-baja.service';
export * from './services/llanta-posicion.service';
export * from './services/llanta.service';
export * from './services/llanta-modelo.service';
export * from './services/sistema.service';
export * from './services/propietario.service';
export * from './services/tipo-licencia.service';
export * from './services/licencia.service';
export * from './services/software.service';
export * from './services/complemento.service';
export * from './services/software-contacto.service';
export * from './services/paqueteria.service';
export * from './services/aplicacion.service';
export * from './services/localizacion-tipo.service';
export * from './services/dispositivo-grupo.service';
export * from './services/dispositivo.service';
export * from './services/sistema-operativo.service';
export * from './services/configuracion.service';
export * from './services/politica.service';
export * from './services/red-telefonica.service';
export * from './services/equipo-grupo.service';

//////////// COMPONENTES Y DIRECTIVAS ////////////////////////////////
//CATALOGOS
export * from './catalogs/marcas.manager';
export * from './catalogs/marcas.editor';
export * from './catalogs/vehiculos-grupos.manager';
export * from './catalogs/vehiculos-grupos.editor';
export * from './catalogs/vehiculos.manager';
export * from './catalogs/vehiculos.editor';
export * from './catalogs/tipos-motor.manager';
export * from './catalogs/tipos-motor.editor';
export * from './catalogs/tipos-combustible.manager';
export * from './catalogs/tipos-combustible.editor';
export * from './catalogs/tipos-transmision.manager';
export * from './catalogs/tipos-transmision.editor';
export * from './catalogs/localizaciones.manager';
export * from './catalogs/tipos-documento.editor';
export * from './catalogs/tipos-documento.manager';
export * from './catalogs/refacciones.editor';
export * from './catalogs/refacciones.manager';
export * from './catalogs/equipos-industriales-grupos.editor';
export * from './catalogs/equipos-industriales-grupos.manager';
export * from './catalogs/equipos-industriales.editor';
export * from './catalogs/equipos-industriales.manager';
export * from './catalogs/refrigeradores-grupos.editor';
export * from './catalogs/refrigeradores-grupos.manager';
export * from './catalogs/refrigeradores.editor';
export * from './catalogs/refrigeradores.manager';
export * from './catalogs/despiece.manager';
export * from './catalogs/tipos-ordenes.editor';
export * from './catalogs/tipos-ordenes.manager';
export * from './catalogs/recursos.editor';
export * from './catalogs/recursos.manager';
export * from './catalogs/servicios.editor';
export * from './catalogs/servicios.manager';
export * from './catalogs/talleres.editor';
export * from './catalogs/talleres.manager';
export * from './catalogs/equipos-informatica-grupos.editor';
export * from './catalogs/equipos-informatica-grupos.manager';
export * from './catalogs/equipos-informatica-tipos.editor';
export * from './catalogs/equipos-informatica-tipos.manager';
export * from './catalogs/equipos-informatica.editor';
export * from './catalogs/equipos-informatica.manager';
//export * from './catalogs/dispositivos.editor';
//export * from './catalogs/dispositivos.manager';
export * from './catalogs/configuraciones-dispositivos';
export * from './catalogs/servicios-tipos.editor';
export * from './catalogs/servicios-tipos.manager';
export * from './catalogs/causas-bajas.editor';
export * from './catalogs/causas-bajas.manager';
export * from './catalogs/llantas-posiciones.editor';
export * from './catalogs/llantas-posiciones.manager';
export * from './catalogs/llantas.editor';
export * from './catalogs/llantas.manager';
export * from './catalogs/llantas-modelos.editor';
export * from './catalogs/llantas-modelos.manager';
export * from './catalogs/sistemas.editor';
export * from './catalogs/sistemas.manager';
export * from './catalogs/propietarios.editor';
export * from './catalogs/propietarios.manager';
export * from './catalogs/tipos-licencias.editor';
export * from './catalogs/tipos-licencias.manager';
export * from './catalogs/softwares.editor';
export * from './catalogs/softwares.manager';
export * from './catalogs/complementos.editor';
export * from './catalogs/complementos.manager';
export * from './catalogs/softwares-contactos.editor';
export * from './catalogs/softwares-contactos.manager';
export * from './catalogs/paqueterias.manager';
export * from './catalogs/aplicaciones.editor';
export * from './catalogs/aplicaciones.manager';
export * from './catalogs/dispositivos-grupos.editor';
export * from './catalogs/dispositivos-grupos.manager';
export * from './catalogs/dispositivos.editor';
export * from './catalogs/dispositivos.manager';
export * from './catalogs/sistemas-operativos.editor';
export * from './catalogs/sistemas-operativos.manager';
export * from './catalogs/configuraciones.editor';
export * from './catalogs/configuraciones.manager';
export * from './catalogs/politicas.editor';
export * from './catalogs/politicas.manager';
export * from './catalogs/redes-telefonicas.editor';
export * from './catalogs/redes-telefonicas.manager';


//CATALOGS PARTS
export * from './catalogs/parts/aplicacion-version.editor';
export * from './catalogs/localizaciones-tipos.editor';
export * from './catalogs/localizaciones-tipos.manager';
export * from './catalogs/aplicacion-configuraciones-qr.component';

//DOCUMENTOS
export * from './documents/requisiciones-servicios.manager';
export * from './documents/requisiciones-servicios.editor';
export * from './documents/parts/requisiciones-servicios-detail.editor';
export * from './documents/ordenes.manager';
export * from './documents/ordenes.editor';
export * from './documents/parts/ordenes-detail.editor';
export * from './documents/ordenes-servicios.manager';
export * from './documents/ordenes-servicios.editor';
export * from './documents/parts/ordenes-servicios-detail.editor';
export * from './documents/servicios-requisiciones-tit.manager';
export * from './documents/servicios-requisiciones-tit.editor';
export * from './documents/parts/servicios-requisiciones-tit-detail.editor';


//COMPONENTES
export * from './components/fotografias.component';
export * from './components/documentos.component';
export * from './components/documentos-licencias.component';
export * from './components/marca-selector.component';
export * from './components/localizacion-selector.component';
export * from './components/refaccion-selector.component';
export * from './components/equipo-selector.component';
export * from './components/recurso-selector.component';
export * from './components/equipo-informatica-selector.component';
export * from './controls/dispositivo-selector.component';
export * from './components/vehiculo-selector.component';
export * from './components/llanta-selector.component';
export * from './controls/configuracion-selector.component';
export * from './controls/politica-selector.component';
export * from './controls/aplicacion-selector.component';
