﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { SoftwareInfo } from '../models/software';
import { LicenciaInfo } from '../models/licencia';
export class ComplementoInfo extends CatalogInfo {
	nombre: string;
	idSoftware: number;
	idLicencia: number;
	descripcion: string;
    noVersion: string;

    software: SoftwareInfo;
    licencia: LicenciaInfo;


    constructor() {
        super();

        this.software = new SoftwareInfo;
        this.licencia = new LicenciaInfo;
    }
}

export class ComplementoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}