﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class ConfiguracionInfo extends CatalogInfo {
	nombre: string;
	keyConfiguracion: string;
	defaultValue: string;
	descripcion: string;
	tipo: string;
    dataType: string;

    constructor() {
        super();
    }
}

export class ConfiguracionItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}