﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ClasificacionValor, IClasificable } from 'framework3/general';
import { EquipoInfo } from './equipo';

export class EquipoInformaticaInfo extends CatalogInfo {
	idEquipo: number;
	procesador: string;
	velocidadProcesador: number;
	memoriaRAM: number;
	capacidadHD: number;
	direccionIP: string;
	idCuenta: number;

    equipo: EquipoInfo;

    clasificaciones: ClasificacionValor[];

    constructor() {
        super();

        this.equipo = new EquipoInfo;
        this.clasificaciones = [];

    }
}

export class EquipoInformaticaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}