﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { GrupoEquiposInfo } from './grupo-equipos';

export class EquipoInfo extends CatalogInfo {
    nombre: string;
	numEconomico: string;
	numSerie: string;
    idEquipoGrupo: number;
    fechaCompra: Date;
	idServicioTipo: number;
	fechaUltServicio: Date;
	ultOrdenServicio: string;
	idPerfil: number;
	idLocalizacion: number;
	idCuenta: number;
    grupo: GrupoEquiposInfo;


    constructor() {
        super();

        this.grupo = new GrupoEquiposInfo;
    }
}

export class EquipoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}