﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { MarcaInfo } from '../models/marcas';

export class GrupoEquiposInfo extends CatalogInfo {
	nombre: string;
	modelo: string;
	idMarca: number;
    idCuenta: number;
    marca: MarcaInfo;

    constructor() {
        super();
        this.marca = new MarcaInfo();
    }
}

export class GrupoEquiposItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}