﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { GrupoEquiposInfo } from './grupo-equipos';

export class GrupoVehiculosInfo extends CatalogInfo {
	idEquipoGrupo: number;
	anio: number;
    idSubMarca: number;
	version: string;
	idTipoMotor: number;
	idTipoTransmision: number;
	idCuenta: number;

    grupoEquipos: GrupoEquiposInfo;

    constructor() {
        super();

        this.grupoEquipos = new GrupoEquiposInfo;
    }
}

export class GrupoVehiculosItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}