﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class LocalizacionInfo extends HierarchyInfo<LocalizacionInfo> {
	idLocalizacionTipo: number;
	cantidadEquipos: number;


    constructor() {
        super();
    }
}

export class LocalizacionItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}