﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { SubMarca } from './submarca';

export class MarcaInfo extends CatalogInfo {
    nombre: string;
    idServicioTipo: number;
    idCuenta: number;
    subMarcas: SubMarca[];

    constructor() {
        super();

        this.subMarcas = [];
    }
}

export class MarcaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected: boolean = false;
}

