﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { EquipoInfo } from './equipo';
import { RefaccionInfo } from './refaccion';

export class PiezaInfo extends CatalogInfo {
	idEquipo: number;
	idRefaccion: number;
	idArticuloStock: number;
	fechaCompra: Date;
	fechaColocacion: Date;
	idEquipoOrigen: number;
	instalada: boolean;
	fechaUltimaRevision: Date;
	baja: boolean;
	fechaBaja: Date;
	idCausaBaja: number;
    equipo: EquipoInfo;
    refaccion: RefaccionInfo;


    constructor() {
        super();
        this.equipo = new EquipoInfo;
        this.refaccion = new RefaccionInfo;
    }
}

export class PiezaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}