﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class PoliticaInfo extends CatalogInfo {
	nombre: string;
	keyPolitica: string;
	defaultValue: boolean;
	descripcion: string;
	tipo: string;


    constructor() {
        super();
    }
}

export class PoliticaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}