﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class RecursoInfo extends CatalogInfo {
	idEmpleado: number;
	idLocalizacion: number;
	idTipoServicio: number;
    costoHora: number;
    nombre: string;


    constructor() {
        super();
    }
}

export class RecursoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}