﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { ServicioRequisicionDetail } from './servicio-requisicion-detail';

export class ServicioRequisicionInfo extends DocumentInfo<ServicioRequisicionDetail> {
	idOrdenServicio: string;
	fechaOrdenServicio: Date;
	idTraspasoTit: string;
	fechaTraspasoTit: Date;
	traspasoDevolucion: string;
	fechaTraspasoDevolucion: Date;
	entradaUsado: string;
	fechaEntradaUsado: Date;
	salidaUtilizado: string;
	fechaSalidaUtilizado: Date;
	cantidad: number;
	costo: number;


    constructor() {
        super();
    }
}

export class ServicioRequisicionItem extends DocumentItem {

}