﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { MarcaInfo } from '../models/marcas';

export class SistemaInfo extends CatalogInfo {
	nombre: string;
	idServicioTipo: number;
	idMarca: number;

    marca: MarcaInfo;

    constructor() {
        super();
        this.marca = new MarcaInfo();
        this.idServicioTipo = 4;
    }
}

export class SistemaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}