﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { AlmacenInfo } from '../../inventory/models/almacen'

export class TallerInfo extends CatalogInfo {
	nombre: string;
	idLocalizacion: number;
	idAlmacen: number;
	idAlmacenRefaccion: number;
	idAlmacenRefaccionUsada: number;
	idTipoServicio: number;

    almacen: AlmacenInfo;
    almacenRefaccion: AlmacenInfo;
    almacenRefaccionUsada: AlmacenInfo;

    constructor() {
        super();
        this.almacen = new AlmacenInfo();
        this.almacenRefaccion = new AlmacenInfo();
        this.almacenRefaccionUsada = new AlmacenInfo();
    }
}

export class TallerItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}