﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class TipoServicioInfo extends CatalogInfo {
    nombre: string;
    idCuenta: number;


    constructor() {
        super();
    }
}

export class TipoServicioItem {
    id: number;
    nombre: string;
}



export class TipoServicioUsuarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}
