﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { EquipoIndustrialInfo } from '../models/equipo-industrial'

@Injectable()
export class EquipoIndustrialService extends CatalogService<EquipoIndustrialInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/equiposindustriales");
    }

    create(): Promise<EquipoIndustrialInfo> {
        return Promise.resolve(new EquipoIndustrialInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number): Promise<EquipoIndustrialInfo> {
        let params: URLSearchParams = new URLSearchParams();
        params.set('param1', param1.toString());
        return this.apiService.getData('sample-method', params)
            .map(response => response.json() as EquipoIndustrialInfo)
            .toPromise();
    }
	*/
}

