﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { GrupoEquiposIndustrialesInfo } from '../models/grupo-equipos-industriales'

@Injectable()
export class GrupoEquiposIndustrialesService extends CatalogService<GrupoEquiposIndustrialesInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/equipos-industriales-grupos");
    }

    create(): Promise<GrupoEquiposIndustrialesInfo> {
        return Promise.resolve(new GrupoEquiposIndustrialesInfo());
    }


}

