﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { LlantaModeloInfo } from '../models/llanta-modelo'

@Injectable()
export class LlantaModeloService extends CatalogService<LlantaModeloInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/mantenimiento/llantas-modelos');
    }

    create(): Promise<LlantaModeloInfo> {
        return Promise.resolve(new LlantaModeloInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<LlantaModeloInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<LlantaModeloInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

