﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { RefaccionInfo } from '../models/refaccion'
import { RefaccionArticulo } from '../models/refaccion-articulo'

@Injectable()
export class RefaccionService extends CatalogService<RefaccionInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/mantenimiento/refacciones");
    }

    create(): Promise<RefaccionInfo> {
        return Promise.resolve(new RefaccionInfo());
    }

}

