﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ProductoInsumo } from './producto-insumo';

export class ExplosionInfo extends CatalogInfo {
	fecha: Date;
	idProducto: number;
	cantidad: number;
	idCuenta: number;
    insumos: ProductoInsumo[];

    constructor() {
        super();
        this.insumos = [];
    }
}

export class ExplosionItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}