﻿import { Component, Type, ViewChild } from '@angular/core';
import * as wjNg2Grid from 'wijmo/wijmo.grid';
import * as wjBase from 'wijmo/wijmo.angular2.directiveBase';
@Component({
    selector: 'aggregated-grid-column',
    templateUrl: 'aggregate-grid-column.component',
    inputs: (<Component>wjBase.Ng2Utils.getTypeAnnotation(
        wjNg2Grid.Column, Component))
        .inputs.concat('cellTemplate')
})
export class AggregatedGridColumn {
    // Defines a type of a component that should be used as the column cell template.

    @ViewChild('myColumn') cellTemplate: wjNg2Grid.Column;

    //cellTemplate: Type;
};
