﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { SegmentoNegocioInfo } from '../../accounting/models/segmento-negocio'
import { Articulo, Servicio } from '../models/categorias-presupuestales'

export class CentroCostoInfo extends CatalogInfo {
    nombre: string;
	idSegmentoNegocio: number;
    segmentoNegocio: SegmentoNegocioInfo;
    articulos: Articulo[];
    servicios: Servicio[];

    constructor() {
        super();
        this.segmentoNegocio = new SegmentoNegocioInfo();
    }
}

export class CentroCostoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}