﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
//
//import { CajaInfo } from '../../treasury';

export class DepartamentoInfo extends CatalogInfo {
	nombre: string;
	idCaja: number;
	tipoPresupuesto: string;
	capturaDetallada: boolean;
    idCuenta: number;
    idCentroCosto: number;
    //caja: CajaInfo;

    constructor() {
        super();
        //this.caja = new CajaInfo();
    }
}

export class DepartamentoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    tipoPresupuesto?: string;
    capturaDetallada?: boolean;
    descripcionTipoPresupuesto?: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}