﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { GastoDetail } from './gasto-detail';
import { GastoComprobanteItem } from './gasto-comprobante-item';

export class GastoInfo extends DocumentInfo<GastoDetail> {
	fechaAfectacion: Date;
    idDepartamento: number;
    idPresupuesto: string;
    FechaPresupuesto: Date;
	tipoBeneficiario: string;
	idBeneficiario: number;
	idGastoTipo: number;
	importeGasto: number;
	subTotal: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	descuentos: number;
	total: number;
	idDivisa: number;
	tipoCambio: number;
	idCuentaPorCobrar: string;
	fechaCuentaPorCobrar: Date;
	idDocumentoRef: string;
	fechaDocumentoRef: Date;
	observaciones: string;

    comprobantes: GastoComprobanteItem[] = [];

    constructor() {
        super();
        this.comprobantes = [];
        this.idDivisa = 0;
    }
}

export class GastoItem extends DocumentItem {

}