﻿import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { ArticuloInfo } from '../models/articulo';
import { UnidadMedidaInfo } from '../../inventory/models/unidad-medida';
import { OrdenDetail } from './orden-detail';

export class OrdenDetailArticulo extends OrdenDetail {
    
    articulo: ArticuloInfo;
    unidadMedida: UnidadMedidaInfo;
    unidades: number;

    constructor() {
        super();
        this.unidades = 0;
        this.articulo = new ArticuloInfo();    
        this.unidadMedida = new UnidadMedidaInfo();
    }

}