﻿import { DocumentDetail, TrackableItem } from 'framework3/core';
import { CategoriasPresupuestalesInfo } from '../models/categorias-presupuestales';


export class PresupuestosDetail extends DocumentDetail {
	idCategoriaPresupuestal: number=0;
	montoPresupuesto: number=0;
	montoUtilizado: number=0;
	montoApartado: number=0;
    montoDisponible: number=0;

    categoriaPresupuestal: CategoriasPresupuestalesInfo;
    articulos: CategoriaDetail[] = [];
    servicios: CategoriaDetail[] = [];
    conceptos: CategoriaDetail[] = [];

    constructor() {
        super();
        this.categoriaPresupuestal = new CategoriasPresupuestalesInfo();
        this.articulos = [];
        this.servicios = [];
        this.conceptos= [];
    }


}

export class CategoriaDetail extends TrackableItem {
    //idPresupuestoCatDet: number;
    //idPresupuestoDet: number;
    //idPresupuesto: string;
    //fechaSys: number;
    descripcion: string;
    idServicio: number;
    idArticulo: number;
    montoPresupuesto: number=0;
    montoUtilizado: number=0;
    montoApartado: number=0;
    montoDisponible: number=0;
    }