﻿import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';

import { RecepcionDetail } from './recepcion-detail';

//Para el articulo
import { ArticuloInfo } from './articulo';
import { UnidadMedidaInfo, ArticuloStockInfo, StockInfo } from '../../inventory';
import { OrdenDetail } from '../../maintenance/models/orden-detail';

export class RecepcionArticuloDetail extends RecepcionDetail {

    //Para el articulo       
    flete: number;
    idLote: number;
    numSerie: string;
    fechaCaducidad: Date;
    unidades: number;
    idUbicacion: number;
    
    articulo: ArticuloInfo;
    stock: StockInfo;

    constructor() {
        super();
        this.numSerie = "";
        this.articulo = new ArticuloInfo();
        this.stock = new StockInfo();        
        this.unidades = 0;          
        this.fechaCaducidad = new Date();
        this.idUbicacion = 0;
    }
}