﻿import { DocumentInfo, DocumentItem, CatalogItem } from 'framework3/core';
import { RequisicionDetail } from './requisicion-detail';

export class RequisicionInfo extends DocumentInfo<RequisicionDetail> {
	fechaAfectacion: Date;
	idGrupoRequisiciones: string;
	idTipoRequisicion: number;
    idCentral: number;
    idDepartamento: number;
	idCentroRecepcion: number;
	idCentroCosto: number;
	idPresupuesto: string;
	idCategoriaPresupuestal: number;
	idArticulo: number;
	idServicio: number;
	cantidad: number;
	recibido: number;
	entregado: number;
	idUnidadMedida: number;
	idOrden: string;
	fechaOrden: Date;
	observaciones: string;


    constructor() {
        super();
        this.idPresupuesto = "";
    }
}

export class RequisicionItem extends DocumentItem {

}
