﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { RequisicionInfo, RequisicionItem } from '../models/requisicion';
import { RequisicionDetail } from '../models/requisicion-detail';

@Injectable()
export class RequisicionService extends DocumentService<RequisicionDetail, RequisicionInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/compras/requisiciones');
    }

    create(): Promise<RequisicionInfo> {
        let newDoc = new RequisicionInfo();
        return Promise.resolve(newDoc);
    }

	/*
    sampleMethod(param1: number, param2: string): Promise<RequisicionInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<RequisicionInfo>('sample-method', params)
            .toPromise();
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: RequisicionInfo) {

    }
	*/



}