﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ParametroItem } from './parametro';

export class ClaseNominaInfo extends CatalogInfo {
	nombre: string;
	descripcion: string;
	idCompania: number;
    idStatus: number;
    parametros: ParametroItem[];

    constructor() {
        super();
        this.parametros = [];
    }
}

export class ClaseNominaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}