﻿import { HierarchyInfo, CatalogItem, TrackableItem } from 'framework3/core';

export class DepartamentoInfo extends HierarchyInfo<DepartamentoInfo> {

    idCuenta: number;

    constructor() {
        super();
    }

}

export class DepartamentoItem implements CatalogItem {

    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;

}


export class Acceso extends TrackableItem {
    idUsuario: number;
    idDepartamento: number;
    departamento: DepartamentoInfo;

    constructor() {
        super();
        this.departamento = new DepartamentoInfo();
    }
}