﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class EmpresaAdamInfo extends CatalogInfo {
	nombre: string;
	cadenaConexion: string;
    banco: number;

    constructor() {
        super();
    }
}

export class EmpresaAdamItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}