﻿import { TrackableItem } from "framework3/core";

// Features
import { IncidenciaInfo } from '../models/incidencia';

export class KardexAsistenciaInfo extends TrackableItem {

    fecha: Date;
    idEmpleado: number;
    idPeriodoTrabajo: number;
    estatus: string;
    idIncidencia: number;
    folio: string;
    observaciones: string;
    manual: boolean;
    eliminada: boolean;
    incidencia?: IncidenciaInfo;

    constructor() {
        super();
        this.folio = "";
        this.observaciones = "";
    }

}