﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class PuestoInfo extends HierarchyInfo<PuestoInfo> {

    idDepartamento: number;
    idCuenta: number;
    idRiesgoPuesto: number;

    constructor() {
        super();
    }

}

export class PuestoItem implements CatalogItem {

    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;

}