﻿import { AdamNominaInfo } from '../models/adamnomina'

export class NominaAdamInfo {

    concepto: string;
    fecha: Date;
    empleado: string;
    noLiquidacion: number;
    proCancelar: boolean;
    proGenerar: boolean;
    proTimbrar: boolean;
    proEnviar: boolean;
    idBeneficiario: number;
    idPresupuesto: number;
    idCategoriaPresupuestal: number;
    tipo: string; // R: Recibo - F: Finiquito - P: Programacion
    idSucursal: number;
    uuid: string;

    nomina: AdamNominaInfo;
    sustituciones: Array<SustitucionInfo>;

    constructor() {
        this.concepto = "Pago de Nómina";
        this.nomina = new AdamNominaInfo();
        this.proCancelar = false;
        this.proGenerar = true;
        this.proTimbrar = true;
        this.proEnviar = true;
    }
}
export class SustitucionInfo {
    idReciboNominaAdam: string;
    empleado: string;
}
export class ConsultaAsistenciaInfo {
    Codigo: string;
    fechaInicial: Date;
    fechaFinal: Date;
}
export class AsistenciaInfo {
    fecha: Date;
    incidencia: string;
}