﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { CompaniaInfo } from '../models/compania'

@Injectable()
export class CompaniaService extends CatalogService<CompaniaInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/companias');
    }

    create(): Promise<CompaniaInfo> {
        return Promise.resolve(new CompaniaInfo());
    }

}

