﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { HorarioInfo } from '../models/horario'

@Injectable()
export class HorarioService extends CatalogService<HorarioInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/horarios');
    }

    create(): Promise<HorarioInfo> {
        return Promise.resolve(new HorarioInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<HorarioInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<HorarioInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

