﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, HierarchyInfo, HierarchyService } from 'framework3/core';
//Locales
import { PuestoInfo, PuestoItem } from '../models/puesto';


@Injectable()
export class PuestoService extends HierarchyService<PuestoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, "api/rh/puesto");
    }

    create(): Promise<PuestoInfo> {
        return Promise.resolve(new PuestoInfo());
    }

}