﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { TipoEventoInfo } from '../models/tipo-evento'

@Injectable()
export class TipoEventoService extends CatalogService<TipoEventoInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/rh/tipos-eventos');
    }

    create(): Promise<TipoEventoInfo> {
        return Promise.resolve(new TipoEventoInfo());
    }

	/*
	//Sample method
    sampleMethod(param1: number, param2: string): Promise<TipoEventoInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<TipoEventoInfo>('sample-method', params)
            .toPromise();
    }
	*/
}

