﻿import { CatalogItem, TrackableItem } from 'framework3/core';

export class ArticuloGrupoDescuentoItem extends TrackableItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    marca: string;
    modelo: string;
    unidadMedida: string;
    porcentajeDescuento1: number;
    porcentajeDescuento2: number;
    porcentajeDescuento3: number;
    porcentajeDescuento4: number;
    porcentajeDescuento5: number;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}