﻿import { Context, CatalogInfo, CatalogItem, EmpresaInfo as EmpresaBase } from 'framework3/core';

export class EmpresaInfo extends CatalogInfo {
	creditoSolicitarMetodoPagoFacturar: boolean;
	efectivoMetodoCobranza: string;
    idCuenta: number;
    impuestosIncluidos: boolean;
    tipoPrecio: string;
    politicaDescuento: string;
    empresaBase: EmpresaBase;
    idRemitentePortal: number;
    idFormatoVenta: number;

    constructor() {
        super();
        this.empresaBase = new EmpresaBase();
    }
}

export class EmpresaItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    domicilio?: string;
    colonia?: string;
    poblacion?: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}