﻿import { HierarchyInfo, CatalogItem } from 'framework3/core';

export class EstructuraComercialInfo extends HierarchyInfo<EstructuraComercialInfo> {
	idCuenta: number;


    constructor() {
        super();
    }
}

export class EstructuraComercialItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    namedPath: string;
    activo: boolean;
    selected: boolean = false;
    estatus?: string;
}