﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoInfo } from '../../accounting';
//import { ImpuestoAsignacionInfo } from '../../accounting/models/impuesto-asignacion';
import { ImpuestoAsignacionZonaInfo } from '../models/impuesto-asignacion-zona';

export class ServicioInfo extends CatalogInfo {
	nombre: string;
	idEstCom: number;
	idFlujo: number;
	idCuenta: number;
	impuestoIncluido: boolean;
    libre: boolean;
    idCategoriaFiscal: number;
    idUnidadMedida: number;
    impuestos: ImpuestoAsignacionZonaInfo[] = [];

    constructor() {
        super();
    }
}

export class ServicioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    flujo: string;
    estructuraComercial: string;
    libre: boolean;
    idUnidadMedida: number;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}