﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { CajaInfo } from '../../credit/models/caja';

export class TerminalInfo extends CatalogInfo {
	nombre: string;
	pC: string;
	idCaja: number;
	idCuenta: number;
    caja: CajaInfo;

    constructor() {
        super();
        this.caja = new CajaInfo();         
    }
}

export class TerminalItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}