﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { MarcasInfo } from '../models/marcas'

@Injectable()
export class MarcasService extends CatalogService<MarcasInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/ventas/marcas');
    }

    create(): Promise<MarcasInfo> {
        return Promise.resolve(new MarcasInfo());
    }

}

