﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
//Azteca Kernel
import { Context, CatalogService } from 'framework3/core';
//Locales
import { VendedorInfo } from '../models/vendedor'

@Injectable()
export class VendedorService extends CatalogService<VendedorInfo>{

    constructor(http: HttpClient, context: Context) {
        super(http, context, 'api/ventas/vendedores');
    }

    create(): Promise<VendedorInfo> {
        return Promise.resolve(new VendedorInfo());
    }
}

