﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

import { DatasetInfo } from './dataset';

export class TranspilerInfo extends CatalogInfo {
	nombre: string;
	idDatasetInput: number;
	idDatasetOutput: number;
	dataInput: string;
	dataOuput: string;
	idEnsambladoCustom: string;
	customClass: string;
    datasetInput?: DatasetInfo;
    datasetOutput?: DatasetInfo;

    constructor() {
        super();
    }
}

export class TranspilerItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class TranspilerHistItem {

    idTranspilerHist: number;
    idTranspiler: number;
    dataInput: string;
    dataOutput: string;
    referencia: string;
    result: string;
    startTime: Date;
    endTime: Date;

    constructor() {
    }

}