﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';

export class BeneficiarioInfo extends CatalogInfo {
	nombre: string;
	idGrupoBeneficiario: number;
	tipoBeneficiario: string;
	idReferencia: number;
	idBanco: number;
	clabe: string;
	leyendaCheque: boolean;
	saldo: number;
	limiteCredito: number;
	diasCredito: number;
	idCuenta: number;


    constructor() {
        super();
        this.idReferencia = 0;
        this.tipoBeneficiario = '';
    }
}

export class BeneficiarioItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    tipoBeneficiario: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}

export class GrupoBeneficiarioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean = false;
}