﻿import { Context, CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoAsignacionInfo} from'../../accounting/models/impuesto-asignacion'

export class ConceptoInfo extends CatalogInfo {
	nombre: string;
	idCuenta: number;
    impuestos: ImpuestoAsignacionInfo[] = [];

    constructor() {
        super();
        this.impuestos = [];        
    }



}

export class ConceptoItem implements CatalogItem {    
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
	selected?:boolean = false;
}