﻿import { DocumentInfo, DocumentItem } from 'framework3/core';
import { ContrareciboDetail } from './contrarecibo-detail';

export class ContrareciboInfo extends DocumentInfo<ContrareciboDetail> {
	fechaAfectacion: Date;
	idCaja: number;
	idBeneficiario: number;
	idDivisa: number;
	tipoCambio: number;
	vencimiento: Date;
	idDocumentoRef: string;
	fechaDocumentoRef: Date;
	subTotal: number;
	descuentos: number;
	impuestosTrasladados: number;
	impuestosRetenidos: number;
	total: number;
	tipoCambioPago: number;


    constructor() {
        super();
    }
}

export class ContrareciboItem extends DocumentItem {
    total: number;
}