﻿import { DivisaInfo, ImpuestoDetailInfo, DescuentosInfo } from '../../accounting';

export class CostoInfo {
    costoNeto: number;
    costoBase: number;
    tipoCambio: number;
    divisa: DivisaInfo;

    totalDescuentos: number;
    totalImpuestosTrasladados: number;
    totalImpuestosRetenidos: number;

    impuestos: ImpuestoDetailInfo[];
    descuentos: DescuentosInfo;

    constructor() {
        this.divisa = new DivisaInfo();
        this.impuestos = [];
        this.descuentos = new DescuentosInfo();
    }
}