﻿//Frameworks
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpRequest, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import 'rxjs/add/operator/toPromise';
//Azteca Framework
import { Context, DocumentInfo, DocumentItem, DocumentService } from 'framework3/core';
//Locales
import { CuentaPorPagarInfo, CuentaPorPagarItem } from '../models/cuenta-por-pagar';
import { CuentaPorPagarDetail } from '../models/cuenta-por-pagar-detail';

@Injectable()
export class CuentaPorPagarService extends DocumentService<CuentaPorPagarDetail, CuentaPorPagarInfo> {

    constructor(protected http: HttpClient, protected context: Context ) {
        super(http, context, 'api/tesoreria/cuentas-por-pagar');
    }

    create(): Promise<CuentaPorPagarInfo> {
        let newDoc = new CuentaPorPagarInfo();
        return Promise.resolve(newDoc);
    }

	/*
    sampleMethod(param1: number, param2: string): Promise<CuentaPorPagarInfo> {
        let params = new HttpParams()
			.set('param1', param1.toString())
			.set('param2', param2);
		//
        return this.apiService.get<CuentaPorPagarInfo>('sample-method', params)
            .toPromise();
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) en los resultados de búsquedas. Eliminar si no es necesario
	protected mapSearchResult(row: any) {
        
    }
	*/

	/*
	//Descomentar si se necesita realizar conversión de fechas (o cualquier otro tipo de dato) al cargar un documento. Eliminar si no es necesario
    protected mapDocument(document: CuentaPorPagarInfo) {

    }
	*/



}